#!/usr/bin/env node
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(global, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/cli/main.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/analysis/credData.js":
/*!**********************************!*\
  !*** ./src/analysis/credData.js ***!
  \**********************************/
/*! exports provided: computeCredData, compressByThreshold */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"computeCredData\", function() { return computeCredData; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"compressByThreshold\", function() { return compressByThreshold; });\n/**\n * Comprehensive data on a cred distribution.\n */ /** Summary of a node's cred across all time.\n *\n * CredData includes this information for every node in the graph, regardless of its score.\n */ /**\n * A node's cred data at interval time resolution.\n *\n * To save space, the CredData may filter out the NodeCredOverTime entirely\n * for nodes with low score, or may filter out the seedFlow or syntheticLoopFlow\n * fields if either was trivial.\n */ /**\n * An edge's cred flows across all time.\n *\n * CredData includes this for every edge in the graph, regardless of its cred flows.\n */ /**\n * An edge's cred flows at interval time resolution.\n *\n * To save space, we may filter out this struct entirely for low-cred-flow edges, or we might\n * skip either the forwardFlow or backwardFlow fields if it had negligible cred flows in either direction.\n */function computeCredData(scores){const numIntervals=scores.length;if(numIntervals===0){return{nodeSummaries:[],nodeOverTime:[],edgeSummaries:[],edgeOverTime:[],intervalEnds:[]};}const intervalEnds=scores.map(x=>x.interval.endTimeMs);const numNodes=scores[0].cred.length;const numEdges=scores[0].forwardFlow.length;const nodeSummaries=new Array(numNodes).fill(null).map(()=>({cred:0,seedFlow:0,syntheticLoopFlow:0}));const nodeOverTime=new Array(numNodes).fill(null).map(()=>({cred:new Array(numIntervals),seedFlow:new Array(numIntervals),syntheticLoopFlow:new Array(numIntervals)}));const edgeSummaries=new Array(numEdges).fill(null).map(()=>({forwardFlow:0,backwardFlow:0}));const edgeOverTime=new Array(numEdges).fill(null).map(()=>({forwardFlow:new Array(numIntervals),backwardFlow:new Array(numIntervals)}));for(let i=0;i<numIntervals;i++){const{cred,forwardFlow,backwardFlow,seedFlow,syntheticLoopFlow}=scores[i];for(let n=0;n<numNodes;n++){nodeSummaries[n].cred+=cred[n];nodeOverTime[n].cred[i]=cred[n];nodeSummaries[n].seedFlow+=seedFlow[n];nodeOverTime[n].seedFlow[i]=seedFlow[n];nodeSummaries[n].syntheticLoopFlow+=syntheticLoopFlow[n];nodeOverTime[n].syntheticLoopFlow[i]=syntheticLoopFlow[n];}for(let e=0;e<numEdges;e++){edgeSummaries[e].forwardFlow+=forwardFlow[e];edgeOverTime[e].forwardFlow[i]=forwardFlow[e];edgeSummaries[e].backwardFlow+=backwardFlow[e];edgeOverTime[e].backwardFlow[i]=backwardFlow[e];}}return{nodeSummaries,nodeOverTime,edgeSummaries,edgeOverTime,intervalEnds};}/**\n * Compress the cred data by removing all time-level info on\n * flows/accumulations that sum to less than the threshold.\n *\n * E.g. if we set the threshold to 10 and a node has only 9 cred, we store its\n * summary info but not how those flows split across time.\n *\n * If the node had 11 cred but only 1 cred from seed and 0 from synthetic loop,\n * then we store the timing info for its cred, but not for its seed or\n * synthetic loop flows.\n *\n * Likewise for edges, we separately decide whether to store the forward flow\n * and the backward flow.\n */function compressByThreshold(x,threshold){const{nodeSummaries,nodeOverTime,edgeSummaries,edgeOverTime,intervalEnds}=x;const newNodeOverTime=nodeOverTime.map((d,i)=>{if(d==null){// It might be null if the data was already compressed. The function\n// should be idempotent. This way we can chain compression strategies\n// later on.\nreturn null;}const s=nodeSummaries[i];if(s.cred<threshold){// If the cred is below threshold, then we know both the seed flow and\n// the synthetic loop flow are below threshold, since the cred is the sum\n// of those flows plus the flows from edges. So we can shortcut straight\n// to returning null.\nreturn null;}return{// We get a space efficiency boost here, since for the majority of nodes,\n// even though they have material cred, they have little seed or\n// synthetic loop flow. So we can save ourselves from storing large\n// arrays of near-zero values.\ncred:d.cred,seedFlow:s.seedFlow<threshold?null:d.seedFlow,syntheticLoopFlow:s.syntheticLoopFlow<threshold?null:d.syntheticLoopFlow};});const newEdgeOverTime=edgeOverTime.map((d,i)=>{if(d==null){// It might be null if the data was already compressed. The function\n// should be idempotent. This way we can chain compression strategies\n// later on.\nreturn null;}const{forwardFlow,backwardFlow}=edgeSummaries[i];const checkF=forwardFlow>=threshold;const checkB=backwardFlow>=threshold;if(checkF||checkB){// The edge might be effectively unidrectional--in that case let's not\n// waste space storing data for the direction that had very little cred\n// flow.\nreturn{forwardFlow:checkF?d.forwardFlow:null,backwardFlow:checkB?d.backwardFlow:null};}return null;});return{nodeOverTime:newNodeOverTime,edgeOverTime:newEdgeOverTime,nodeSummaries,edgeSummaries,intervalEnds};}\n\n//# sourceURL=webpack:///./src/analysis/credData.js?");

/***/ }),

/***/ "./src/analysis/credResult.js":
/*!************************************!*\
  !*** ./src/analysis/credResult.js ***!
  \************************************/
/*! exports provided: compute, compressByThreshold, toJSON, fromJSON */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"compute\", function() { return compute; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"compressByThreshold\", function() { return compressByThreshold; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toJSON\", function() { return toJSON; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromJSON\", function() { return fromJSON; });\n/* harmony import */ var _core_weightedGraph__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../core/weightedGraph */ \"./src/core/weightedGraph.js\");\n/* harmony import */ var _util_compat__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../util/compat */ \"./src/util/compat.js\");\n/* harmony import */ var _timeline_params__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./timeline/params */ \"./src/analysis/timeline/params.js\");\n/* harmony import */ var _pluginDeclaration__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./pluginDeclaration */ \"./src/analysis/pluginDeclaration.js\");\n/* harmony import */ var _core_algorithm_timelinePagerank__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../core/algorithm/timelinePagerank */ \"./src/core/algorithm/timelinePagerank.js\");\n/* harmony import */ var _credData__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./credData */ \"./src/analysis/credData.js\");\n/* harmony import */ var _core_algorithm_distributionToCred__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../core/algorithm/distributionToCred */ \"./src/core/algorithm/distributionToCred.js\");\n/**\n * Comprehensive cred output data, including the graph, the scores, the params, and the plugins.\n */async function compute(wg,params,plugins){const{graph}=wg;const nodeOrder=Array.from(graph.nodes()).map(x=>x.address);const userTypes=[].concat(...plugins.map(x=>x.userTypes));const scorePrefixes=userTypes.map(x=>x.prefix);const distribution=await Object(_core_algorithm_timelinePagerank__WEBPACK_IMPORTED_MODULE_4__[\"timelinePagerank\"])(wg,params.intervalDecay,params.alpha);const credScores=Object(_core_algorithm_distributionToCred__WEBPACK_IMPORTED_MODULE_6__[\"distributionToCred\"])(distribution,nodeOrder,scorePrefixes);const credData=Object(_credData__WEBPACK_IMPORTED_MODULE_5__[\"computeCredData\"])(credScores);return{weightedGraph:wg,credData,params,plugins};}// Lossily compress a CredResult, by throwing away time-specific cred\n// data for any flows that summed to less than `threshold` cred.\n// We may want to implement more sophisticated and context-aware strategies\n// in the future.\nfunction compressByThreshold(x,threshold){const{params,plugins,weightedGraph,credData}=x;return{params,plugins,weightedGraph,credData:Object(_credData__WEBPACK_IMPORTED_MODULE_5__[\"compressByThreshold\"])(credData,threshold)};}const COMPAT_INFO={type:\"sourcecred/credResult\",version:\"0.1.0\"};function toJSON(x){const{weightedGraph,credData,params,plugins}=x;return Object(_util_compat__WEBPACK_IMPORTED_MODULE_1__[\"toCompat\"])(COMPAT_INFO,{weightedGraph:Object(_core_weightedGraph__WEBPACK_IMPORTED_MODULE_0__[\"toJSON\"])(weightedGraph),credData,params:Object(_timeline_params__WEBPACK_IMPORTED_MODULE_2__[\"paramsToJSON\"])(params),plugins:Object(_pluginDeclaration__WEBPACK_IMPORTED_MODULE_3__[\"toJSON\"])(plugins)});}function fromJSON(j){const x=Object(_util_compat__WEBPACK_IMPORTED_MODULE_1__[\"fromCompat\"])(COMPAT_INFO,j);const{weightedGraph,credData,params,plugins}=x;return{weightedGraph:Object(_core_weightedGraph__WEBPACK_IMPORTED_MODULE_0__[\"fromJSON\"])(weightedGraph),credData,params:Object(_timeline_params__WEBPACK_IMPORTED_MODULE_2__[\"paramsFromJSON\"])(params),plugins:Object(_pluginDeclaration__WEBPACK_IMPORTED_MODULE_3__[\"fromJSON\"])(plugins)};}\n\n//# sourceURL=webpack:///./src/analysis/credResult.js?");

/***/ }),

/***/ "./src/analysis/pluginDeclaration.js":
/*!*******************************************!*\
  !*** ./src/analysis/pluginDeclaration.js ***!
  \*******************************************/
/*! exports provided: toJSON, fromJSON, combineTypes, weightsForDeclaration */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toJSON\", function() { return toJSON; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromJSON\", function() { return fromJSON; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"combineTypes\", function() { return combineTypes; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"weightsForDeclaration\", function() { return weightsForDeclaration; });\n/* harmony import */ var _core_weights__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../core/weights */ \"./src/core/weights.js\");\n/* harmony import */ var _util_compat__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../util/compat */ \"./src/util/compat.js\");\nconst COMPAT_INFO={type:\"sourcecred/pluginDeclarations\",version:\"0.1.0\"};// TODO(@decentralion): Maybe merge this file with analysis/types\nfunction toJSON(decs){return Object(_util_compat__WEBPACK_IMPORTED_MODULE_1__[\"toCompat\"])(COMPAT_INFO,decs);}function fromJSON(json){return Object(_util_compat__WEBPACK_IMPORTED_MODULE_1__[\"fromCompat\"])(COMPAT_INFO,json);}function combineTypes(decs){const nodeTypes=[].concat(...decs.map(x=>x.nodeTypes));const edgeTypes=[].concat(...decs.map(x=>x.edgeTypes));return{nodeTypes,edgeTypes};}function weightsForDeclaration(dec){const weights=_core_weights__WEBPACK_IMPORTED_MODULE_0__[\"empty\"]();const{nodeTypes,edgeTypes}=dec;for(const{prefix,defaultWeight}of nodeTypes){weights.nodeWeights.set(prefix,defaultWeight);}for(const{prefix,defaultWeight}of edgeTypes){weights.edgeWeights.set(prefix,defaultWeight);}return weights;}\n\n//# sourceURL=webpack:///./src/analysis/pluginDeclaration.js?");

/***/ }),

/***/ "./src/analysis/timeline/params.js":
/*!*****************************************!*\
  !*** ./src/analysis/timeline/params.js ***!
  \*****************************************/
/*! exports provided: DEFAULT_ALPHA, DEFAULT_INTERVAL_DECAY, paramsToJSON, paramsFromJSON, parser, defaultParams, partialParams */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"DEFAULT_ALPHA\", function() { return DEFAULT_ALPHA; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"DEFAULT_INTERVAL_DECAY\", function() { return DEFAULT_INTERVAL_DECAY; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"paramsToJSON\", function() { return paramsToJSON; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"paramsFromJSON\", function() { return paramsFromJSON; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parser\", function() { return parser; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"defaultParams\", function() { return defaultParams; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"partialParams\", function() { return partialParams; });\n/* harmony import */ var _util_combo__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/combo */ \"./src/util/combo.js\");\nfunction ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);if(enumerableOnly)symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;});keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=arguments[i]!=null?arguments[i]:{};if(i%2){ownKeys(Object(source),true).forEach(function(key){_defineProperty(target,key,source[key]);});}else if(Object.getOwnPropertyDescriptors){Object.defineProperties(target,Object.getOwnPropertyDescriptors(source));}else{ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}/**\n * Parameters for computing TimelineCred\n *\n * The parameters are intended to be user-configurable.\n */const DEFAULT_ALPHA=0.2;const DEFAULT_INTERVAL_DECAY=0.5;function paramsToJSON(p){return{alpha:p.alpha,intervalDecay:p.intervalDecay};}function paramsFromJSON(p){return{alpha:p.alpha,intervalDecay:p.intervalDecay};}const partialParser=_util_combo__WEBPACK_IMPORTED_MODULE_0__[\"shape\"]({alpha:_util_combo__WEBPACK_IMPORTED_MODULE_0__[\"number\"],intervalDecay:_util_combo__WEBPACK_IMPORTED_MODULE_0__[\"number\"]});const parser=_util_combo__WEBPACK_IMPORTED_MODULE_0__[\"fmap\"](partialParser,partialParams);/**\n * Exports the default TimelineCredParameters.\n *\n * End consumers of SourceCred will not need to depend on this; it's\n * provided for implementation of SourceCred's APIs.\n */function defaultParams(){return{alpha:DEFAULT_ALPHA,intervalDecay:DEFAULT_INTERVAL_DECAY};}/**\n * Fill in default values for timeline cred parameters.\n */function partialParams(partial){return _objectSpread(_objectSpread({},defaultParams()),partial);}\n\n//# sourceURL=webpack:///./src/analysis/timeline/params.js?");

/***/ }),

/***/ "./src/cli/bundledPlugins.js":
/*!***********************************!*\
  !*** ./src/cli/bundledPlugins.js ***!
  \***********************************/
/*! exports provided: bundledPlugins */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"bundledPlugins\", function() { return bundledPlugins; });\n/* harmony import */ var _plugins_github_cliPlugin__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../plugins/github/cliPlugin */ \"./src/plugins/github/cliPlugin.js\");\n/* harmony import */ var _plugins_discourse_cliPlugin__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../plugins/discourse/cliPlugin */ \"./src/plugins/discourse/cliPlugin.js\");\n/* harmony import */ var _plugins_experimental_discord_cliPlugin__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../plugins/experimental-discord/cliPlugin */ \"./src/plugins/experimental-discord/cliPlugin.js\");\n/**\n * Returns an object mapping owner-name pairs to CLI plugin\n * declarations; keys are like `sourcecred/github`.\n */function bundledPlugins(){return{\"sourcecred/github\":new _plugins_github_cliPlugin__WEBPACK_IMPORTED_MODULE_0__[\"GithubCliPlugin\"](),\"sourcecred/discourse\":new _plugins_discourse_cliPlugin__WEBPACK_IMPORTED_MODULE_1__[\"DiscourseCliPlugin\"](),\"sourcecred/discord\":new _plugins_experimental_discord_cliPlugin__WEBPACK_IMPORTED_MODULE_2__[\"DiscordCliPlugin\"]()};}\n\n//# sourceURL=webpack:///./src/cli/bundledPlugins.js?");

/***/ }),

/***/ "./src/cli/cliPlugin.js":
/*!******************************!*\
  !*** ./src/cli/cliPlugin.js ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("\n\n//# sourceURL=webpack:///./src/cli/cliPlugin.js?");

/***/ }),

/***/ "./src/cli/command.js":
/*!****************************!*\
  !*** ./src/cli/command.js ***!
  \****************************/
/*! exports provided: handlingErrors */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"handlingErrors\", function() { return handlingErrors; });\nfunction handlingErrors(command){return async(args,stdio)=>{function die(e){stdio.err(e instanceof Error?e.stack:JSON.stringify(e));return Promise.resolve(1);}try{return command(args,stdio).catch(e=>die(e));}catch(e){return die(e);}};}\n\n//# sourceURL=webpack:///./src/cli/command.js?");

/***/ }),

/***/ "./src/cli/common.js":
/*!***************************!*\
  !*** ./src/cli/common.js ***!
  \***************************/
/*! exports provided: loadInstanceConfig, makePluginDir, pluginDirectoryContext, loadJson, loadJsonWithDefault */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"loadInstanceConfig\", function() { return loadInstanceConfig; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"makePluginDir\", function() { return makePluginDir; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"pluginDirectoryContext\", function() { return pluginDirectoryContext; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"loadJson\", function() { return loadJson; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"loadJsonWithDefault\", function() { return loadJsonWithDefault; });\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! path */ \"path\");\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! fs-extra */ \"fs-extra\");\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(fs_extra__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _instanceConfig__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./instanceConfig */ \"./src/cli/instanceConfig.js\");\n/* harmony import */ var _util_combo__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../util/combo */ \"./src/util/combo.js\");\nasync function loadInstanceConfig(baseDir){const projectFilePath=Object(path__WEBPACK_IMPORTED_MODULE_0__[\"join\"])(baseDir,\"sourcecred.json\");const contents=await fs_extra__WEBPACK_IMPORTED_MODULE_1___default.a.readFile(projectFilePath);return Promise.resolve(Object(_instanceConfig__WEBPACK_IMPORTED_MODULE_2__[\"parse\"])(JSON.parse(contents)));}// Make a directory, if it doesn't exist.\nfunction mkdirx(path){try{fs_extra__WEBPACK_IMPORTED_MODULE_1___default.a.mkdirSync(path);}catch(e){if(e.code!==\"EEXIST\"){throw e;}}}function makePluginDir(baseDir,prefix,pluginId){const idParts=pluginId.split(\"/\");if(idParts.length!==2){throw new Error(\"Bad plugin name: \".concat(pluginId));}const[pluginOwner,pluginName]=idParts;const pathComponents=[...prefix,pluginOwner,pluginName];let path=baseDir;for(const pc of pathComponents){path=Object(path__WEBPACK_IMPORTED_MODULE_0__[\"join\"])(path,pc);mkdirx(path);}return path;}function pluginDirectoryContext(baseDir,pluginName){const cacheDir=makePluginDir(baseDir,[\"cache\"],pluginName);const configDir=makePluginDir(baseDir,[\"config\",\"plugins\"],pluginName);return{configDirectory(){return configDir;},cacheDirectory(){return cacheDir;}};}/**\n * Load and parse a JSON file from disk.\n *\n * If the file cannot be read, then an error is thrown.\n * If parsing fails, an error is thrown.\n */async function loadJson(path,parser){const contents=await fs_extra__WEBPACK_IMPORTED_MODULE_1___default.a.readFile(path);return parser.parseOrThrow(JSON.parse(contents));}/**\n * Load and parse a JSON file from disk, with a default to use if the file is\n * not found.\n *\n * This is intended as a convenience for situations where the user may\n * optionally provide configuration in a json file saved to disk.\n *\n * The default must be provided as a function that returns a default, to\n * accommodate situations where the object may be mutable, or where constructing\n * the default may be expensive.\n *\n * If no file is present at that location, then the default constructor is\n * invoked to create a default value, and that is returned.\n *\n * If attempting to load the file fails for any reason other than ENOENT\n * (e.g. the path actually is a directory), then the error is thrown.\n *\n * If parsing fails, an error is thrown.\n */async function loadJsonWithDefault(path,parser,def){try{const contents=await fs_extra__WEBPACK_IMPORTED_MODULE_1___default.a.readFile(path);return parser.parseOrThrow(JSON.parse(contents));}catch(e){if(e.code===\"ENOENT\"){return def();}else{throw e;}}}\n\n//# sourceURL=webpack:///./src/cli/common.js?");

/***/ }),

/***/ "./src/cli/graph.js":
/*!**************************!*\
  !*** ./src/cli/graph.js ***!
  \**************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! fs-extra */ \"fs-extra\");\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(fs_extra__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var lodash_sortby__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! lodash.sortby */ \"lodash.sortby\");\n/* harmony import */ var lodash_sortby__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash_sortby__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! json-stable-stringify */ \"json-stable-stringify\");\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(json_stable_stringify__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! path */ \"path\");\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_3__);\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../util/null */ \"./src/util/null.js\");\n/* harmony import */ var _util_taskReporter__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../util/taskReporter */ \"./src/util/taskReporter.js\");\n/* harmony import */ var _core_references_cascadingReferenceDetector__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../core/references/cascadingReferenceDetector */ \"./src/core/references/cascadingReferenceDetector.js\");\n/* harmony import */ var _common__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./common */ \"./src/cli/common.js\");\n/* harmony import */ var _core_weightedGraph__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../core/weightedGraph */ \"./src/core/weightedGraph.js\");\nfunction die(std,message){std.err(\"fatal: \"+message);return 1;}const graphCommand=async(args,std)=>{const taskReporter=new _util_taskReporter__WEBPACK_IMPORTED_MODULE_5__[\"LoggingTaskReporter\"]();taskReporter.start(\"graph\");const baseDir=process.cwd();const config=await Object(_common__WEBPACK_IMPORTED_MODULE_7__[\"loadInstanceConfig\"])(baseDir);let pluginsToLoad=[];if(args.length===0){pluginsToLoad=config.bundledPlugins.keys();}else{for(const arg of args){if(config.bundledPlugins.has(arg)){pluginsToLoad.push(arg);}else{return die(std,\"can't find plugin \".concat(arg,\"; remember to use fully scoped name, as in sourcecred/github\"));}}}const graphOutputPrefix=[\"output\",\"graphs\"];const rd=await buildReferenceDetector(baseDir,config,taskReporter);for(const name of pluginsToLoad){const plugin=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](config.bundledPlugins.get(name));const task=\"\".concat(name,\": generating graph\");taskReporter.start(task);const dirContext=Object(_common__WEBPACK_IMPORTED_MODULE_7__[\"pluginDirectoryContext\"])(baseDir,name);const graph=await plugin.graph(dirContext,rd,taskReporter);const serializedGraph=json_stable_stringify__WEBPACK_IMPORTED_MODULE_2___default()(Object(_core_weightedGraph__WEBPACK_IMPORTED_MODULE_8__[\"toJSON\"])(graph));const outputDir=Object(_common__WEBPACK_IMPORTED_MODULE_7__[\"makePluginDir\"])(baseDir,graphOutputPrefix,name);const outputPath=Object(path__WEBPACK_IMPORTED_MODULE_3__[\"join\"])(outputDir,\"graph.json\");await fs_extra__WEBPACK_IMPORTED_MODULE_0___default.a.writeFile(outputPath,serializedGraph);taskReporter.finish(task);}taskReporter.finish(\"graph\");return 0;};async function buildReferenceDetector(baseDir,config,taskReporter){taskReporter.start(\"reference detector\");const rds=[];for(const[name,plugin]of lodash_sortby__WEBPACK_IMPORTED_MODULE_1___default()([...config.bundledPlugins],(_ref)=>{let[k,_]=_ref;return k;})){const dirContext=Object(_common__WEBPACK_IMPORTED_MODULE_7__[\"pluginDirectoryContext\"])(baseDir,name);const task=\"reference detector for \".concat(name);taskReporter.start(task);const rd=await plugin.referenceDetector(dirContext,taskReporter);rds.push(rd);taskReporter.finish(task);}taskReporter.finish(\"reference detector\");return new _core_references_cascadingReferenceDetector__WEBPACK_IMPORTED_MODULE_6__[\"CascadingReferenceDetector\"](rds);}/* harmony default export */ __webpack_exports__[\"default\"] = (graphCommand);\n\n//# sourceURL=webpack:///./src/cli/graph.js?");

/***/ }),

/***/ "./src/cli/help.js":
/*!*************************!*\
  !*** ./src/cli/help.js ***!
  \*************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _util_dedent__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../util/dedent */ \"./src/util/dedent.js\");\nfunction _templateObject2(){const data=_taggedTemplateLiteral([\"      usage: sourcecred help [COMMAND]\\n\\n      Use 'sourcecred help' for general help and a list of commands.\\n      Use 'sourcecred help COMMAND' for help about COMMAND.\\n      \"],[\"\\\\\\n      usage: sourcecred help [COMMAND]\\n\\n      Use 'sourcecred help' for general help and a list of commands.\\n      Use 'sourcecred help COMMAND' for help about COMMAND.\\n      \"]);_templateObject2=function _templateObject2(){return data;};return data;}function _templateObject(){const data=_taggedTemplateLiteral([\"    usage: sourcecred COMMAND [ARGS...]\\n           sourcecred [--version] [--help]\\n\\n    Commands:\\n      help          show this help message\\n\\n    Use 'sourcecred help COMMAND' for help about an individual command.\\n    \"],[\"\\\\\\n    usage: sourcecred COMMAND [ARGS...]\\n           sourcecred [--version] [--help]\\n\\n    Commands:\\n      help          show this help message\\n\\n    Use 'sourcecred help COMMAND' for help about an individual command.\\n    \"]);_templateObject=function _templateObject(){return data;};return data;}function _taggedTemplateLiteral(strings,raw){if(!raw){raw=strings.slice(0);}return Object.freeze(Object.defineProperties(strings,{raw:{value:Object.freeze(raw)}}));}// Implementation of `sourcecred help`.\nconst help=async(args,std)=>{if(args.length===0){usage(std.out);return 0;}const command=args[0];const subHelps={help:metaHelp};if(subHelps[command]!==undefined){return subHelps[command](args.slice(1),std);}else{usage(std.err);return 1;}};function usage(print){// TODO: Make the usage function pull its list of commands\n// from the sub-helps, to ensure that it is comprehensive\nprint(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_0__[\"default\"])(_templateObject()).trimRight());}const metaHelp=async(args,std)=>{if(args.length===0){std.out(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_0__[\"default\"])(_templateObject2()).trimRight());return 0;}else{usage(std.err);return 1;}};/* harmony default export */ __webpack_exports__[\"default\"] = (help);\n\n//# sourceURL=webpack:///./src/cli/help.js?");

/***/ }),

/***/ "./src/cli/instanceConfig.js":
/*!***********************************!*\
  !*** ./src/cli/instanceConfig.js ***!
  \***********************************/
/*! exports provided: parse */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parse\", function() { return parse; });\n/* harmony import */ var _util_combo__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../util/combo */ \"./src/util/combo.js\");\n/* harmony import */ var _cliPlugin__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./cliPlugin */ \"./src/cli/cliPlugin.js\");\n/* harmony import */ var _cliPlugin__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_cliPlugin__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _bundledPlugins__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./bundledPlugins */ \"./src/cli/bundledPlugins.js\");\nconst parser=(()=>{const C=_util_combo__WEBPACK_IMPORTED_MODULE_0__;function makePluginMap(bundledPluginNames){const allBundledPlugins=Object(_bundledPlugins__WEBPACK_IMPORTED_MODULE_2__[\"bundledPlugins\"])();const bundledPlugins=new Map();for(const name of bundledPluginNames){const plugin=allBundledPlugins[name];if(plugin==null){throw new Error(\"bad bundled plugin: \"+JSON.stringify(name));}bundledPlugins.set(name,plugin);}return bundledPlugins;}return C.object({bundledPlugins:C.fmap(C.array(C.string),makePluginMap)});})();function parse(raw){return parser.parseOrThrow(raw);}\n\n//# sourceURL=webpack:///./src/cli/instanceConfig.js?");

/***/ }),

/***/ "./src/cli/load.js":
/*!*************************!*\
  !*** ./src/cli/load.js ***!
  \*************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../util/null */ \"./src/util/null.js\");\n/* harmony import */ var _common__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./common */ \"./src/cli/common.js\");\n/* harmony import */ var _util_taskReporter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../util/taskReporter */ \"./src/util/taskReporter.js\");\nfunction die(std,message){std.err(\"fatal: \"+message);return 1;}const loadCommand=async(args,std)=>{let pluginsToLoad=[];const baseDir=process.cwd();const config=await Object(_common__WEBPACK_IMPORTED_MODULE_1__[\"loadInstanceConfig\"])(baseDir);if(args.length===0){pluginsToLoad=config.bundledPlugins.keys();}else{for(const arg of args){if(config.bundledPlugins.has(arg)){pluginsToLoad.push(arg);}else{return die(std,\"can't find plugin \".concat(arg,\"; remember to use fully scoped name, as in sourcecred/github\"));}}}const taskReporter=new _util_taskReporter__WEBPACK_IMPORTED_MODULE_2__[\"LoggingTaskReporter\"]();taskReporter.start(\"load\");const loadPromises=[];for(const name of pluginsToLoad){const plugin=_util_null__WEBPACK_IMPORTED_MODULE_0__[\"get\"](config.bundledPlugins.get(name));const task=\"loading \".concat(name);taskReporter.start(task);const dirContext=Object(_common__WEBPACK_IMPORTED_MODULE_1__[\"pluginDirectoryContext\"])(baseDir,name);const promise=plugin.load(dirContext,taskReporter).then(()=>taskReporter.finish(task));loadPromises.push(promise);}await Promise.all(loadPromises);taskReporter.finish(\"load\");return 0;};/* harmony default export */ __webpack_exports__[\"default\"] = (loadCommand);\n\n//# sourceURL=webpack:///./src/cli/load.js?");

/***/ }),

/***/ "./src/cli/main.js":
/*!*************************!*\
  !*** ./src/cli/main.js ***!
  \*************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"default\", function() { return main; });\n/* harmony import */ var _command__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./command */ \"./src/cli/command.js\");\n/* harmony import */ var _sourcecred__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./sourcecred */ \"./src/cli/sourcecred.js\");\n__webpack_require__(/*! ../tools/entry */ \"./src/tools/entry.js\");function main(){return Object(_command__WEBPACK_IMPORTED_MODULE_0__[\"handlingErrors\"])(_sourcecred__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(process.argv.slice(2),{out:x=>console.log(x),err:x=>console.error(x)}).then(exitCode=>{process.exitCode=exitCode;});}// Only run in the Webpack bundle, not as a Node module (during tests).\n/* istanbul ignore next */ /*:: declare var __webpack_require__: mixed; */ // eslint-disable-next-line camelcase\nif(true){main();}\n\n//# sourceURL=webpack:///./src/cli/main.js?");

/***/ }),

/***/ "./src/cli/score.js":
/*!**************************!*\
  !*** ./src/cli/score.js ***!
  \**************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! fs-extra */ \"fs-extra\");\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(fs_extra__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! json-stable-stringify */ \"json-stable-stringify\");\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(json_stable_stringify__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! path */ \"path\");\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var _common__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./common */ \"./src/cli/common.js\");\n/* harmony import */ var _core_weightedGraph__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../core/weightedGraph */ \"./src/core/weightedGraph.js\");\n/* harmony import */ var _core_weights__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../core/weights */ \"./src/core/weights.js\");\n/* harmony import */ var _util_taskReporter__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../util/taskReporter */ \"./src/util/taskReporter.js\");\n/* harmony import */ var _analysis_credResult__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../analysis/credResult */ \"./src/analysis/credResult.js\");\n/* harmony import */ var _analysis_timeline_params__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../analysis/timeline/params */ \"./src/analysis/timeline/params.js\");\nfunction die(std,message){std.err(\"fatal: \"+message);return 1;}// Any cred flow that sums to less than this threshold will be filtered\n// from the time-level cred data (though we will still have a summary).\n// TODO: Make this a configurable parameter.\nconst CRED_THRESHOLD=10;const scoreCommand=async(args,std)=>{if(args.length!==0){return die(std,\"usage: sourcecred score\");}const taskReporter=new _util_taskReporter__WEBPACK_IMPORTED_MODULE_6__[\"LoggingTaskReporter\"]();taskReporter.start(\"score\");const baseDir=process.cwd();const config=await Object(_common__WEBPACK_IMPORTED_MODULE_3__[\"loadInstanceConfig\"])(baseDir);const graphOutputPrefix=[\"output\",\"graphs\"];async function loadGraph(pluginName){const outputDir=Object(_common__WEBPACK_IMPORTED_MODULE_3__[\"makePluginDir\"])(baseDir,graphOutputPrefix,pluginName);const outputPath=Object(path__WEBPACK_IMPORTED_MODULE_2__[\"join\"])(outputDir,\"graph.json\");const graphJSON=JSON.parse(await fs_extra__WEBPACK_IMPORTED_MODULE_0___default.a.readFile(outputPath));return Object(_core_weightedGraph__WEBPACK_IMPORTED_MODULE_4__[\"fromJSON\"])(graphJSON);}const pluginNames=Array.from(config.bundledPlugins.keys());const graphs=await Promise.all(pluginNames.map(loadGraph));const combinedGraph=Object(_core_weightedGraph__WEBPACK_IMPORTED_MODULE_4__[\"merge\"])(graphs);// TODO(@decentralion): This is snapshot tested, add unit tests?\nconst weightsPath=Object(path__WEBPACK_IMPORTED_MODULE_2__[\"join\"])(baseDir,\"config\",\"weights.json\");const weights=await Object(_common__WEBPACK_IMPORTED_MODULE_3__[\"loadJsonWithDefault\"])(weightsPath,_core_weights__WEBPACK_IMPORTED_MODULE_5__[\"parser\"],_core_weights__WEBPACK_IMPORTED_MODULE_5__[\"empty\"]);const weightedGraph=Object(_core_weightedGraph__WEBPACK_IMPORTED_MODULE_4__[\"overrideWeights\"])(combinedGraph,weights);const plugins=Array.from(config.bundledPlugins.values());const declarations=plugins.map(x=>x.declaration());// TODO(@decentralion): This is snapshot tested, add unit tests?\nconst paramsPath=Object(path__WEBPACK_IMPORTED_MODULE_2__[\"join\"])(baseDir,\"config\",\"params.json\");const params=await Object(_common__WEBPACK_IMPORTED_MODULE_3__[\"loadJsonWithDefault\"])(paramsPath,_analysis_timeline_params__WEBPACK_IMPORTED_MODULE_8__[\"parser\"],_analysis_timeline_params__WEBPACK_IMPORTED_MODULE_8__[\"defaultParams\"]);const credResult=await Object(_analysis_credResult__WEBPACK_IMPORTED_MODULE_7__[\"compute\"])(weightedGraph,params,declarations);const compressed=Object(_analysis_credResult__WEBPACK_IMPORTED_MODULE_7__[\"compressByThreshold\"])(credResult,CRED_THRESHOLD);const credJSON=json_stable_stringify__WEBPACK_IMPORTED_MODULE_1___default()(Object(_analysis_credResult__WEBPACK_IMPORTED_MODULE_7__[\"toJSON\"])(compressed));const outputPath=Object(path__WEBPACK_IMPORTED_MODULE_2__[\"join\"])(baseDir,\"output\",\"credResult.json\");await fs_extra__WEBPACK_IMPORTED_MODULE_0___default.a.writeFile(outputPath,credJSON);taskReporter.finish(\"score\");return 0;};/* harmony default export */ __webpack_exports__[\"default\"] = (scoreCommand);\n\n//# sourceURL=webpack:///./src/cli/score.js?");

/***/ }),

/***/ "./src/cli/site.js":
/*!*************************!*\
  !*** ./src/cli/site.js ***!
  \*************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! fs-extra */ \"fs-extra\");\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(fs_extra__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! path */ \"path\");\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_1__);\nconst SITE_TEMPLATE_DIR=\"site-template\";const SITE_OUTPUT=\"site\";// under instance dir\nconst SITE_SYMLINKS=[\"index.html\",\"favicon.png\",\"static\"];function die(std,message){std.err(\"fatal: \"+message);return 1;}const siteCommand=async(args,std)=>{if(args.length!==0){return die(std,\"usage: sourcecred site\");}const siteTemplate=Object(path__WEBPACK_IMPORTED_MODULE_1__[\"join\"])(__dirname,SITE_TEMPLATE_DIR);await fs_extra__WEBPACK_IMPORTED_MODULE_0___default.a.copy(siteTemplate,SITE_OUTPUT,{dereference:true});for(const symlink of SITE_SYMLINKS){await lnsf(Object(path__WEBPACK_IMPORTED_MODULE_1__[\"join\"])(SITE_OUTPUT,symlink),symlink);}return 0;};// Create a symlink, overwriting if it exists, like `ln -sf`.\nasync function lnsf(src,dst){try{await fs_extra__WEBPACK_IMPORTED_MODULE_0___default.a.symlink(src,dst);}catch(e){if(e.code!==\"EEXIST\"){throw e;}}await fs_extra__WEBPACK_IMPORTED_MODULE_0___default.a.unlink(dst);await fs_extra__WEBPACK_IMPORTED_MODULE_0___default.a.symlink(src,dst);}/* harmony default export */ __webpack_exports__[\"default\"] = (siteCommand);\n\n//# sourceURL=webpack:///./src/cli/site.js?");

/***/ }),

/***/ "./src/cli/sourcecred.js":
/*!*******************************!*\
  !*** ./src/cli/sourcecred.js ***!
  \*******************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _core_version__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../core/version */ \"./src/core/version.js\");\n/* harmony import */ var _load__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./load */ \"./src/cli/load.js\");\n/* harmony import */ var _graph__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./graph */ \"./src/cli/graph.js\");\n/* harmony import */ var _score__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./score */ \"./src/cli/score.js\");\n/* harmony import */ var _site__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./site */ \"./src/cli/site.js\");\n/* harmony import */ var _help__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./help */ \"./src/cli/help.js\");\nconst sourcecred=async(args,std)=>{if(args.length===0){Object(_help__WEBPACK_IMPORTED_MODULE_5__[\"default\"])([],{out:std.err,err:std.err});return 1;}switch(args[0]){case\"--version\":std.out(\"sourcecred \"+_core_version__WEBPACK_IMPORTED_MODULE_0__[\"VERSION_SHORT\"]);return 0;case\"--help\":case\"help\":return Object(_help__WEBPACK_IMPORTED_MODULE_5__[\"default\"])(args.slice(1),std);case\"load\":return Object(_load__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(args.slice(1),std);case\"graph\":return Object(_graph__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(args.slice(1),std);case\"score\":return Object(_score__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(args.slice(1),std);case\"site\":return Object(_site__WEBPACK_IMPORTED_MODULE_4__[\"default\"])(args.slice(1),std);default:std.err(\"fatal: unknown command: \"+JSON.stringify(args[0]));std.err(\"fatal: run 'sourcecred help' for commands and usage\");return 1;}};/* harmony default export */ __webpack_exports__[\"default\"] = (sourcecred);\n\n//# sourceURL=webpack:///./src/cli/sourcecred.js?");

/***/ }),

/***/ "./src/core/address.js":
/*!*****************************!*\
  !*** ./src/core/address.js ***!
  \*****************************/
/*! exports provided: makeAddressModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"makeAddressModule\", function() { return makeAddressModule; });\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! json-stable-stringify */ \"json-stable-stringify\");\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _util_map__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../util/map */ \"./src/util/map.js\");\nfunction makeAddressModule(options){// for readability and interface consistency\nconst{name,nonce}=options;const otherNonces=new Map(options.otherNonces||new Map());const separator=\"\\0\";if(nonce.indexOf(separator)!==-1){throw new Error(\"invalid nonce (contains NUL): \".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(nonce)));}const nonceWithSeparator=nonce+separator;const otherNoncesWithSeparators=_util_map__WEBPACK_IMPORTED_MODULE_2__[\"mapKeys\"](otherNonces,otherNonce=>{if(otherNonce===nonce){throw new Error(\"primary nonce listed as otherNonce: \".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(nonce)));}if(otherNonce.indexOf(separator)!==-1){throw new Error(\"invalid otherNonce (contains NUL): \".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(otherNonce)));}return otherNonce+separator;});function assertValid(address,what){// istanbul ignore if\nif(true){// Catching invalid addresses in test code should be sufficient\nreturn;}const prefix=what==null?\"\":\"\".concat(what,\": \");if(address==null){throw new Error(prefix+\"expected \".concat(name,\", got: \").concat(String(address)));}if(!address.endsWith(separator)){throw new Error(prefix+\"expected \".concat(name,\", got: \").concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(address)));}if(!address.startsWith(nonceWithSeparator)){for(const[otherNonceWithSeparator,otherName]of otherNoncesWithSeparators){if(address.startsWith(otherNonceWithSeparator)){throw new Error(prefix+\"expected \".concat(name,\", got \").concat(otherName,\": \").concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(address)));}}throw new Error(prefix+\"expected \".concat(name,\", got: \").concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(address)));}}function partsString(parts){// This is needed to properly print arrays containing `undefined`.\nreturn\"[\"+parts.map(p=>String(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(p))).join(\",\")+\"]\";}function assertValidParts(parts,what){// istanbul ignore if\nif(true){// Catching invalid parts in test code should be sufficient\nreturn;}const prefix=what==null?\"\":\"\".concat(what,\": \");if(parts==null){throw new Error(prefix+\"expected array of parts, got: \".concat(String(parts)));}parts.forEach(s=>{if(s==null){throw new Error(prefix+\"expected array of parts, got \".concat(String(s),\" in: \").concat(partsString(parts)));}if(s.indexOf(separator)!==-1){const where=\"\".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(s),\" in \").concat(partsString(parts));throw new Error(prefix+\"part contains NUL character: \".concat(where));}});}function nullDelimited(components){return[...components,\"\"].join(separator);}function fromParts(parts){assertValidParts(parts);return nonce+separator+nullDelimited(parts);}const empty=fromParts([]);function toParts(address){assertValid(address);const parts=address.split(separator);return parts.slice(1,parts.length-1);}function toString(address){const parts=toParts(address);return\"\".concat(name).concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(parts));}function append(address){assertValid(address);for(var _len=arguments.length,parts=new Array(_len>1?_len-1:0),_key=1;_key<_len;_key++){parts[_key-1]=arguments[_key];}assertValidParts(parts);return address+nullDelimited(parts);}function hasPrefix(address,prefix){assertValid(address,\"address\");assertValid(prefix,\"prefix\");return address.startsWith(prefix);}function fromRaw(address){if(!address.endsWith(separator)){throw new Error(\"address does not end with separator: \".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(address)));}if(!address.startsWith(nonceWithSeparator)){for(const[otherNonceWithSeparator,otherName]of otherNoncesWithSeparators){if(address.startsWith(otherNonceWithSeparator)){throw new Error(\"expected \".concat(name,\", got \").concat(otherName,\": \").concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(address)));}}throw new Error(\"expected \".concat(name,\", got: \").concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()(address)));}return address;}const result={assertValid,assertValidParts,empty,fromParts,toParts,toString,append,hasPrefix,fromRaw};return deep_freeze__WEBPACK_IMPORTED_MODULE_1___default()(result);}\n\n//# sourceURL=webpack:///./src/core/address.js?");

/***/ }),

/***/ "./src/core/algorithm/distribution.js":
/*!********************************************!*\
  !*** ./src/core/algorithm/distribution.js ***!
  \********************************************/
/*! exports provided: uniformDistribution, computeDelta */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"uniformDistribution\", function() { return uniformDistribution; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"computeDelta\", function() { return computeDelta; });\n/**\n * A distribution over the integers `0` through `n - 1`, where `n` is\n * the length of the array. The value at index `i` is the probability of\n * `i` in the distribution. The values should sum to 1.\n */function uniformDistribution(n){if(isNaN(n)||!isFinite(n)||n!==Math.floor(n)||n<=0){throw new Error(\"expected positive integer, but got: \"+n);}return new Float64Array(n).fill(1/n);}/**\n * Compute the maximum difference (in absolute value) between components in two\n * distributions.\n *\n * Equivalent to $\\norm{pi0 - pi1}_\\infty$.\n */function computeDelta(pi0,pi1){if(pi0.length===0||pi0.length!==pi1.length){throw new Error(\"invalid input\");}let maxDelta=-Infinity;// Here, we assume that `pi0.nodeOrder` and `pi1.nodeOrder` are the\n// same (i.e., there has been no permutation).\npi0.forEach((x,i)=>{const delta=Math.abs(x-pi1[i]);maxDelta=Math.max(delta,maxDelta);});return maxDelta;}\n\n//# sourceURL=webpack:///./src/core/algorithm/distribution.js?");

/***/ }),

/***/ "./src/core/algorithm/distributionToCred.js":
/*!**************************************************!*\
  !*** ./src/core/algorithm/distributionToCred.js ***!
  \**************************************************/
/*! exports provided: distributionToCred, toJSON, fromJSON */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"distributionToCred\", function() { return distributionToCred; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toJSON\", function() { return toJSON; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromJSON\", function() { return fromJSON; });\n/* harmony import */ var d3_array__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3-array */ \"d3-array\");\n/* harmony import */ var d3_array__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3_array__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _util_compat__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../util/compat */ \"./src/util/compat.js\");\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/**\n * Takes timeline distributions and uses them to create normalized cred.\n *//**\n * Convert a TimelineDistribution into CredScores.\n *\n * The difference between the distribution and cred is that cred has been\n * re-normalized to present human-agreeable scores, rather than a probability\n * distribution.\n *\n * This implementation normalizes the scores so that in each interval, the\n * total score of every node matching a scoringNodePrefix is equal to the\n * interval's weight.\n *\n * Edge cases:\n *     - If in an interval the sum of the scoring nodes' distribution is 0,\n *       return a total cred score of 0 for all nodes in the interval.\n *     - If none of the nodes match a scoring node prefix, return\n *       a total cred score of 0 for all nodes in all intervals.\n *\n */function distributionToCred(ds,nodeOrder,scoringNodePrefixes){const scoringNodeIndices=[];for(let i=0;i<nodeOrder.length;i++){const addr=nodeOrder[i];if(scoringNodePrefixes.some(x=>_core_graph__WEBPACK_IMPORTED_MODULE_2__[\"NodeAddress\"].hasPrefix(addr,x))){scoringNodeIndices.push(i);}}return ds.map((_ref)=>{let{interval,distribution,intervalWeight,forwardFlow,backwardFlow,syntheticLoopFlow,seedFlow}=_ref;const intervalTotalScore=Object(d3_array__WEBPACK_IMPORTED_MODULE_0__[\"sum\"])(scoringNodeIndices.map(x=>distribution[x]));const intervalNormalizer=intervalTotalScore===0?0:intervalWeight/intervalTotalScore;const normalize=arr=>arr.map(x=>x*intervalNormalizer);return{interval,cred:normalize(distribution),forwardFlow:normalize(forwardFlow),backwardFlow:normalize(backwardFlow),seedFlow:normalize(seedFlow),syntheticLoopFlow:normalize(syntheticLoopFlow)};});}const COMPAT_INFO={type:\"sourcecred/timelineCredScores\",version:\"0.2.0\"};function toJSON(s){return Object(_util_compat__WEBPACK_IMPORTED_MODULE_1__[\"toCompat\"])(COMPAT_INFO,s.map((_ref2)=>{let{interval,cred,forwardFlow,backwardFlow,seedFlow,syntheticLoopFlow}=_ref2;return{interval,cred:Array.from(cred),forwardFlow:Array.from(forwardFlow),backwardFlow:Array.from(backwardFlow),seedFlow:Array.from(seedFlow),syntheticLoopFlow:Array.from(syntheticLoopFlow)};}));}function fromJSON(j){const scoreArray=Object(_util_compat__WEBPACK_IMPORTED_MODULE_1__[\"fromCompat\"])(COMPAT_INFO,j);return scoreArray.map((_ref3)=>{let{cred,interval,forwardFlow,backwardFlow,seedFlow,syntheticLoopFlow}=_ref3;return{cred:new Float64Array(cred),forwardFlow:new Float64Array(forwardFlow),backwardFlow:new Float64Array(backwardFlow),seedFlow:new Float64Array(seedFlow),syntheticLoopFlow:new Float64Array(syntheticLoopFlow),interval};});}\n\n//# sourceURL=webpack:///./src/core/algorithm/distributionToCred.js?");

/***/ }),

/***/ "./src/core/algorithm/graphToMarkovChain.js":
/*!**************************************************!*\
  !*** ./src/core/algorithm/graphToMarkovChain.js ***!
  \**************************************************/
/*! exports provided: adjacencySource, createConnections, createOrderedSparseMarkovChain, permute, normalizeNeighbors, normalize, distributionToNodeDistribution */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"adjacencySource\", function() { return adjacencySource; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createConnections\", function() { return createConnections; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createOrderedSparseMarkovChain\", function() { return createOrderedSparseMarkovChain; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"permute\", function() { return permute; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"normalizeNeighbors\", function() { return normalizeNeighbors; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"normalize\", function() { return normalize; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"distributionToNodeDistribution\", function() { return distributionToNodeDistribution; });\n/* harmony import */ var _util_map__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/map */ \"./src/util/map.js\");\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../util/null */ \"./src/util/null.js\");\nfunction adjacencySource(target,adjacency){switch(adjacency.type){case\"SYNTHETIC_LOOP\":return target;case\"IN_EDGE\":return adjacency.edge.src;case\"OUT_EDGE\":return adjacency.edge.dst;default:throw new Error(adjacency.type);}}function createConnections(graph,edgeWeight,syntheticLoopWeight){const result=new Map();const totalOutWeight=new Map();for(const node of graph.nodes()){result.set(node.address,[]);totalOutWeight.set(node.address,0);}function processConnection(target,connection){const connections=_util_null__WEBPACK_IMPORTED_MODULE_1__[\"get\"](result.get(target));connections.push(connection);const source=adjacencySource(target,connection.adjacency);const priorOutWeight=_util_null__WEBPACK_IMPORTED_MODULE_1__[\"get\"](totalOutWeight.get(source));totalOutWeight.set(source,priorOutWeight+connection.weight);}// Add self-loops.\nfor(const node of graph.nodes()){processConnection(node.address,{adjacency:{type:\"SYNTHETIC_LOOP\"},weight:syntheticLoopWeight});}// Process edges.\nfor(const edge of graph.edges({showDangling:false})){const{forwards,backwards}=edgeWeight(edge);const{src,dst}=edge;processConnection(dst,{adjacency:{type:\"IN_EDGE\",edge},weight:forwards});processConnection(src,{adjacency:{type:\"OUT_EDGE\",edge},weight:backwards});}// Normalize in-weights.\nfor(const[target,connections]of result.entries()){for(const connection of connections){const source=adjacencySource(target,connection.adjacency);const normalization=_util_null__WEBPACK_IMPORTED_MODULE_1__[\"get\"](totalOutWeight.get(source));const newWeight=connection.weight/normalization;// (any-cast because property is not writable)\nconnection.weight=newWeight;}}return result;}function createNodeAddressMarkovChain(ntc){return _util_map__WEBPACK_IMPORTED_MODULE_0__[\"mapValues\"](ntc,(target,connections)=>{const inNeighbors=new Map();for(const connection of connections){const source=adjacencySource(target,connection.adjacency);inNeighbors.set(source,connection.weight+_util_null__WEBPACK_IMPORTED_MODULE_1__[\"orElse\"](inNeighbors.get(source),0));}return inNeighbors;});}function nodeAddressMarkovChainToOrderedSparseMarkovChain(chain){const nodeOrder=Array.from(chain.keys());const addressToIndex=new Map();nodeOrder.forEach((node,index)=>{addressToIndex.set(node,index);});return{nodeOrder,chain:nodeOrder.map(dst=>{const theseNeighbors=_util_null__WEBPACK_IMPORTED_MODULE_1__[\"get\"](chain.get(dst));const result={neighbor:new Uint32Array(theseNeighbors.size),weight:new Float64Array(theseNeighbors.size)};let i=0;for(const[src,weight]of theseNeighbors.entries()){const srcIndex=_util_null__WEBPACK_IMPORTED_MODULE_1__[\"get\"](addressToIndex.get(src));result.neighbor[i]=srcIndex;result.weight[i]=weight;i++;}return result;})};}function createOrderedSparseMarkovChain(connections){const chain=createNodeAddressMarkovChain(connections);return nodeAddressMarkovChainToOrderedSparseMarkovChain(chain);}/**\n * Return an equivalent form of the given chain whose `nodeOrder` is the\n * provided array, which must be a permutation of the node order of the\n * original chain.\n */function permute(old,newOrder){const newIndices={};const oldIndices={};newOrder.forEach((node,i)=>{newIndices[node]=i;});old.nodeOrder.forEach((node,i)=>{oldIndices[node]=i;});const newChain=[];for(const node of newOrder){const{neighbor:oldNeighbors,weight}=old.chain[oldIndices[node]];const newNeighbors=oldNeighbors.map(oldIndex=>newIndices[old.nodeOrder[oldIndex]]);newChain.push({neighbor:newNeighbors,weight});}return{nodeOrder:newOrder,chain:newChain};}/**\n * Return an equivalent form of the given chain such that for for each\n * node, the entries in `chain[node].neighbors` are sorted.\n */function normalizeNeighbors(old){return{nodeOrder:old.nodeOrder,chain:old.chain.map((_ref)=>{let{neighbor,weight}=_ref;if(neighbor.length!==weight.length){throw new Error(\"\".concat(neighbor.length,\" !== \").concat(weight.length));}const entries=Array(neighbor.length).fill(null).map((_,i)=>({neighbor:neighbor[i],weight:weight[i]}));entries.sort((a,b)=>a.neighbor-b.neighbor);return{neighbor:new Uint32Array(entries.map(x=>x.neighbor)),weight:new Float64Array(entries.map(x=>x.weight))};})};}function normalize(old){return normalizeNeighbors(permute(old,old.nodeOrder.slice().sort()));}function distributionToNodeDistribution(nodeOrder,pi){const result=new Map();nodeOrder.forEach((node,i)=>{const probability=pi[i];result.set(node,probability);});return result;}\n\n//# sourceURL=webpack:///./src/core/algorithm/graphToMarkovChain.js?");

/***/ }),

/***/ "./src/core/algorithm/markovChain.js":
/*!*******************************************!*\
  !*** ./src/core/algorithm/markovChain.js ***!
  \*******************************************/
/*! exports provided: sparseMarkovChainFromTransitionMatrix, sparseMarkovChainAction, findStationaryDistribution */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"sparseMarkovChainFromTransitionMatrix\", function() { return sparseMarkovChainFromTransitionMatrix; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"sparseMarkovChainAction\", function() { return sparseMarkovChainAction; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"findStationaryDistribution\", function() { return findStationaryDistribution; });\n/* harmony import */ var _distribution__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./distribution */ \"./src/core/algorithm/distribution.js\");\n/**\n * The data inputs to running PageRank.\n *\n * We keep these separate from the PagerankOptions below,\n * because we expect that within a given context, every call to\n * findStationaryDistribution (or other Pagerank functions) will\n * have different PagerankParams, but often have the same PagerankOptions.\n */function sparseMarkovChainFromTransitionMatrix(matrix){const n=matrix.length;matrix.forEach((row,i)=>{if(row.length!==n){throw new Error(\"expected rows to have length \".concat(n,\", but row \").concat(i,\" has \").concat(row.length));}});matrix.forEach((row,i)=>{row.forEach((value,j)=>{if(isNaN(value)||!isFinite(value)||value<0){throw new Error(\"expected positive real entries, but [\".concat(i,\"][\").concat(j,\"] is \").concat(value));}});});matrix.forEach((row,i)=>{const rowsum=row.reduce((a,b)=>a+b,0);if(Math.abs(rowsum-1)>1e-6){throw new Error(\"expected rows to sum to 1, but row \".concat(i,\" sums to \").concat(rowsum));}});return matrix.map((_,j)=>{const column=matrix.map((row,i)=>[i,row[j]]).filter((_ref)=>{let[_,p]=_ref;return p>0;});return{neighbor:new Uint32Array(column.map((_ref2)=>{let[i,_]=_ref2;return i;})),weight:new Float64Array(column.map((_ref3)=>{let[_,p]=_ref3;return p;}))};});}function sparseMarkovChainActionInto(chain,seed,alpha,input,output){chain.forEach((_ref4,dst)=>{let{neighbor,weight}=_ref4;const inDegree=neighbor.length;// (also `weight.length`)\nlet probability=alpha*seed[dst];for(let i=0;i<inDegree;i++){const src=neighbor[i];probability+=(1-alpha)*input[src]*weight[i];}output[dst]=probability;});}function sparseMarkovChainAction(chain,seed,alpha,pi){const result=new Float64Array(pi.length);sparseMarkovChainActionInto(chain,seed,alpha,pi,result);return result;}function*findStationaryDistributionGenerator(params,options){const{chain,pi0,seed,alpha}=params;let pi=new Float64Array(pi0);let scratch=new Float64Array(pi.length);let nIterations=0;while(true){if(nIterations>=options.maxIterations){if(options.verbose){console.log(\"[\".concat(nIterations,\"] FAILED to converge\"));}// We need to do one more step so that we can compute the empirical convergence\n// delta for the returned distribution.\nsparseMarkovChainActionInto(chain,seed,alpha,pi,scratch);const convergenceDelta=Object(_distribution__WEBPACK_IMPORTED_MODULE_0__[\"computeDelta\"])(pi,scratch);return{pi,convergenceDelta};}nIterations++;sparseMarkovChainActionInto(chain,seed,alpha,pi,scratch);// We compute the convergenceDelta between 'scratch' (the newest\n// distribution) and 'pi' (the distribution from the previous step). If the\n// delta is below threshold, then the distribution from the last step was\n// already converged and we return it (not scratch). Otherwise, we assign\n// `scratch` to `distribution` and try again.\nconst convergenceDelta=Object(_distribution__WEBPACK_IMPORTED_MODULE_0__[\"computeDelta\"])(pi,scratch);if(options.verbose){console.log(\"[\".concat(nIterations,\"] delta = \").concat(convergenceDelta));}if(convergenceDelta<options.convergenceThreshold){if(options.verbose){console.log(\"[\".concat(nIterations,\"] CONVERGED\"));}return{pi,convergenceDelta};}[scratch,pi]=[pi,scratch];yield;}// ESLint knows that this next line is unreachable, but Flow doesn't. :-)\n// eslint-disable-next-line no-unreachable\nthrow new Error(\"Unreachable.\");}function findStationaryDistribution(params,options){const gen=findStationaryDistributionGenerator(params,{verbose:options.verbose,convergenceThreshold:options.convergenceThreshold,maxIterations:options.maxIterations});return new Promise((resolve,_unused_reject)=>{const{yieldAfterMs}=options;const tick=()=>{const start=Date.now();do{const result=gen.next();if(result.done){if(result.value==null){// Should never happen.\nthrow new Error(String(result.value));}resolve(result.value);return;}}while(Date.now()-start<yieldAfterMs);setTimeout(tick,0);};tick();});}\n\n//# sourceURL=webpack:///./src/core/algorithm/markovChain.js?");

/***/ }),

/***/ "./src/core/algorithm/nodeDistribution.js":
/*!************************************************!*\
  !*** ./src/core/algorithm/nodeDistribution.js ***!
  \************************************************/
/*! exports provided: distributionToNodeDistribution, weightedDistribution */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"distributionToNodeDistribution\", function() { return distributionToNodeDistribution; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"weightedDistribution\", function() { return weightedDistribution; });\n/* harmony import */ var _graph__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../graph */ \"./src/core/graph.js\");\n/* harmony import */ var _distribution__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./distribution */ \"./src/core/algorithm/distribution.js\");\nfunction distributionToNodeDistribution(nodeOrder,pi){const result=new Map();nodeOrder.forEach((node,i)=>{const probability=pi[i];result.set(node,probability);});return result;}/**\n * Create a Distribution using provided node weights.\n *\n * weightedDistribution takes in a node order (as a read only array of NodeAddressT),\n * and a map providing weights for a subset of those nodes. It returns a Distribution\n * with the invariant that every node's weight is proportional to its relative weight\n * in the weights map. For example, in a case where there were three nodes and they\n * had weights of 0, 1, and 3 respectively, the distribution would be [0, 0.25, 0.75].\n *\n * If a node address is not present in the weight map, its weight is assumed to be 0.\n * If any weight is negative or non-finite, an error will be thrown.\n * If the sum of all weights is 0, then a uniform distribution will be returned.\n * If the weight map assigned weight to nodes which are not in the node order, an error\n * will be thrown.\n */function weightedDistribution(nodeOrder,weights){let totalWeight=0;for(const[address,weight]of weights.entries()){if(weight<0||!isFinite(weight)){throw new Error(\"Invalid weight \".concat(weight,\" associated with address \").concat(_graph__WEBPACK_IMPORTED_MODULE_0__[\"NodeAddress\"].toString(address)));}totalWeight+=weight;}if(totalWeight===0){return Object(_distribution__WEBPACK_IMPORTED_MODULE_1__[\"uniformDistribution\"])(nodeOrder.length);}let numEncounteredWeights=0;const distribution=new Float64Array(nodeOrder.length);for(let i=0;i<distribution.length;i++){const weight=weights.get(nodeOrder[i]);if(weight!=null){numEncounteredWeights++;distribution[i]=weight/totalWeight;}}if(numEncounteredWeights!==weights.size){throw new Error(\"weights included nodes not present in the nodeOrder\");}return distribution;}\n\n//# sourceURL=webpack:///./src/core/algorithm/nodeDistribution.js?");

/***/ }),

/***/ "./src/core/algorithm/timelinePagerank.js":
/*!************************************************!*\
  !*** ./src/core/algorithm/timelinePagerank.js ***!
  \************************************************/
/*! exports provided: SYNTHETIC_LOOP_WEIGHT, timelinePagerank, _timelineNodeWeights, _timelineNodeToConnections, _computeTimelineDistribution, _intervalResult */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"SYNTHETIC_LOOP_WEIGHT\", function() { return SYNTHETIC_LOOP_WEIGHT; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"timelinePagerank\", function() { return timelinePagerank; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_timelineNodeWeights\", function() { return _timelineNodeWeights; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_timelineNodeToConnections\", function() { return _timelineNodeToConnections; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_computeTimelineDistribution\", function() { return _computeTimelineDistribution; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_intervalResult\", function() { return _intervalResult; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var d3_array__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! d3-array */ \"d3-array\");\n/* harmony import */ var d3_array__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(d3_array__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../util/null */ \"./src/util/null.js\");\n/* harmony import */ var _graph__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../graph */ \"./src/core/graph.js\");\n/* harmony import */ var _interval__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../interval */ \"./src/core/interval.js\");\n/* harmony import */ var _weightEvaluator__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./weightEvaluator */ \"./src/core/algorithm/weightEvaluator.js\");\n/* harmony import */ var _nodeDistribution__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./nodeDistribution */ \"./src/core/algorithm/nodeDistribution.js\");\n/* harmony import */ var _graphToMarkovChain__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./graphToMarkovChain */ \"./src/core/algorithm/graphToMarkovChain.js\");\n/* harmony import */ var _markovChain__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./markovChain */ \"./src/core/algorithm/markovChain.js\");\n/**\n * Core logic for computing timeline PageRank on a graph.\n */const SYNTHETIC_LOOP_WEIGHT=1e-3;/**\n * Runs timeline PageRank on a graph.\n *\n * The graph is partitioned into weeklong intervals. For each interval, we run\n * PageRank, assigning seed weight to nodes which have already been created,\n * and considering edges which have already been created. Node weights and edge\n * weights both decay by the `intervalDecay` every week.\n *\n * Detailed description:\n *\n * First, we partition the graph into week-long intervals using the `interval`\n * module. For each such interval, we will produce a score distribution over\n * all the nodes in the graph, and a total weight for the interval, based on\n * the decayed weights of all the nodes that had been created as of that\n * interval.\n *\n * To get the score distribution, we create a node weight map for each\n * interval, and a markov chain for each interval.\n *\n * In the node weight map, every node is initially assigned full weight in the\n * interval of its creation, and in every interval thereafter its weight decays\n * by `intervalDecay`. However, note that the 'full weight' is normalized based\n * on the interval decay. To make this concrete, suppose that we have an\n * interval decay of 0.5, and a node with a base weight of 8. We want the total\n * weight given to this node (across all intervals) to equal 8, so that\n * weight-based cred normalization will be independent of the interval decay.\n * So we give it a normalized weight of 4 in the first interval, 2 in the\n * second, and so forth.\n *\n * For each interval, we also create a markov chain which describes the graph\n * state as of that interval. That markov chain only contains weight for edges\n * which were already created as of the interval; any edges that are not yet\n * created effectively have a weight of 0. Like the node weights, edge weights\n * are created with full weight, and then decay by `intervalDecay` each\n * interval. Unlike the node weights, we don't need to normalize based on\n * intervalDecay, since markov chains always normalize the edge weights.\n *\n * Given the markov chain and node weights for the interval, we compute the\n * score distribution by running finding the stationary distribution for that\n * markov chain, using the node weights as the seed vector. As ever, the\n * `alpha` parameter determines how much probability mass returns to the seed\n * vector. (See the docs in markovChain.js for more details.) The score\n * distribution uses the Graph's canonical node ordering.\n *\n * The output array contains an element for each interval in the graph\n * partitioning. Each element contains the interval, the distribution, as well\n * as the sum of all node weights for that interval (so that we can normalize\n * cred).\n *\n * The method is factored apart into a wrapper function which does validation,\n * and iterators that produce the node weights and the markov chains. This\n * facilitates testing the timelime logic separately. Finally, we compose all\n * the pieces and run PageRank for each interval.\n */async function timelinePagerank(weightedGraph,intervalDecay,alpha){if(intervalDecay<0||intervalDecay>1||!isFinite(intervalDecay)){throw new Error(\"invalid intervalDecay: \".concat(intervalDecay));}if(alpha<0||alpha>1||!isFinite(alpha)){throw new Error(\"invalid alpha: \".concat(alpha));}// Produce the evaluators we will use to get the baseline weight for each\n// node and edge\nconst nodeEvaluator=Object(_weightEvaluator__WEBPACK_IMPORTED_MODULE_5__[\"nodeWeightEvaluator\"])(weightedGraph.weights);const edgeEvaluator=Object(_weightEvaluator__WEBPACK_IMPORTED_MODULE_5__[\"edgeWeightEvaluator\"])(weightedGraph.weights);const graphPartitionSlices=Object(_interval__WEBPACK_IMPORTED_MODULE_4__[\"partitionGraph\"])(weightedGraph.graph);if(graphPartitionSlices.length===0){return[];}const intervals=graphPartitionSlices.map(x=>x.interval);const nodeCreationHistory=graphPartitionSlices.map(x=>x.nodes);const edgeCreationHistory=graphPartitionSlices.map(x=>x.edges);const nodeOrder=Array.from(weightedGraph.graph.nodes()).map(x=>x.address);const edgeOrder=Array.from(weightedGraph.graph.edges({showDangling:false})).map(x=>x.address);const nodeWeightIterator=_timelineNodeWeights(nodeCreationHistory,nodeEvaluator,intervalDecay);const nodeToConnectionsIterator=_timelineNodeToConnections(weightedGraph.graph,edgeCreationHistory,edgeEvaluator,intervalDecay);return _computeTimelineDistribution(nodeOrder,edgeOrder,intervals,nodeWeightIterator,nodeToConnectionsIterator,alpha);}function*_timelineNodeWeights(nodeCreationHistory,nodeEvaluator,intervalDecay){let lastNodeWeights=new Map();for(const nodes of nodeCreationHistory){const nodeWeights=new Map();// Decay all the previous weights.\nfor(const[address,weight]of lastNodeWeights.entries()){nodeWeights.set(address,weight*intervalDecay);}// Add new nodes at full weight.\nfor(const{address}of nodes){// Normalize by (1 - intervalDecay) so that the total weight of a node across\n// intervals converges to the full base weight\nconst normalizedWeight=nodeEvaluator(address)*(1-intervalDecay);nodeWeights.set(address,normalizedWeight);}yield nodeWeights;lastNodeWeights=nodeWeights;}}function*_timelineNodeToConnections(graph,edgeCreationHistory,edgeEvaluator,intervalDecay){const edgeWeights=new Map();for(const edges of edgeCreationHistory){for(const[address,{forwards,backwards}]of edgeWeights.entries()){edgeWeights.set(address,{forwards:forwards*intervalDecay,backwards:backwards*intervalDecay});}for(const{address}of edges){edgeWeights.set(address,edgeEvaluator(address));}const defaultEdgeWeight=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwards:0,backwards:0});const currentEdgeWeight=e=>{return _util_null__WEBPACK_IMPORTED_MODULE_2__[\"orElse\"](edgeWeights.get(e.address),defaultEdgeWeight);};yield Object(_graphToMarkovChain__WEBPACK_IMPORTED_MODULE_7__[\"createConnections\"])(graph,currentEdgeWeight,SYNTHETIC_LOOP_WEIGHT);}}// Warning: This function is untested.\n// Modify with care.\nasync function _computeTimelineDistribution(nodeOrder,edgeOrder,intervals,nodeWeightIterator,nodeToConnectionsIterator,alpha){const results=[];let pi0=null;for(const interval of intervals){const nodeWeights=_util_null__WEBPACK_IMPORTED_MODULE_2__[\"get\"](nodeWeightIterator.next().value);const nodeToConnections=_util_null__WEBPACK_IMPORTED_MODULE_2__[\"get\"](nodeToConnectionsIterator.next().value);const result=await _intervalResult(nodeWeights,nodeToConnections,nodeOrder,edgeOrder,interval,pi0,alpha);results.push(result);// Use the latest convergce results as the starting point for the next run\n// of PageRank\npi0=result.distribution;}return results;}async function _intervalResult(nodeWeights,nodeToConnections,nodeOrder,edgeOrder,interval,pi0,alpha){const{chain}=Object(_graphToMarkovChain__WEBPACK_IMPORTED_MODULE_7__[\"createOrderedSparseMarkovChain\"])(nodeToConnections);const nodeToIndex=new Map(nodeOrder.map((x,i)=>[x,i]));const edgeToIndex=new Map(edgeOrder.map((x,i)=>[x,i]));const seed=Object(_nodeDistribution__WEBPACK_IMPORTED_MODULE_6__[\"weightedDistribution\"])(nodeOrder,nodeWeights);if(pi0==null){pi0=seed;}const params={chain,alpha,seed,pi0};const distributionResult=await Object(_markovChain__WEBPACK_IMPORTED_MODULE_8__[\"findStationaryDistribution\"])(params,{verbose:false,convergenceThreshold:1e-7,maxIterations:255,yieldAfterMs:30});const intervalWeight=Object(d3_array__WEBPACK_IMPORTED_MODULE_1__[\"sum\"])(nodeWeights.values());const forwardFlow=new Float64Array(edgeOrder.length);const backwardFlow=new Float64Array(edgeOrder.length);const syntheticLoopFlow=new Float64Array(nodeOrder.length);const seedFlow=seed.map(x=>x*alpha);for(const[target,connections]of nodeToConnections.entries()){for(const{adjacency,weight}of connections){// We now iterate over every \"adjacency\" in the markov chain. Every edge corresponds to\n// two adjacencies (one forward, one backward), and every synthetic loop also corresponds\n// to one adjacency.\n// The adjacencies are used to construct the underling Markov Chain, and crucially their\n// \"weights\" are normalized probabilities rather than raw pre-normalized weights. This means\n// we can now calculate the exact amount of score that flowed along each adjacency.\n// The score flow on an adjacency is equal to (1-alpha) * (sourceScore * adjacencyWeight),\n// where sourceScore is the score of the node that is the \"source\" of that adjacency (the\n// src for an IN_EDGE adjacency, the dst for an OUT_EDGE adjacency, or the node itself\n// for a synthetic loop adjacency). Since the sum of the outbound weights for any source\n// is `1`, we have an invariant that the total outbound score flow for any node is that node's\n// score times (1-alpha), which satisfies the PageRank property.\nconst source=Object(_graphToMarkovChain__WEBPACK_IMPORTED_MODULE_7__[\"adjacencySource\"])(target,adjacency);const sourceIndex=_util_null__WEBPACK_IMPORTED_MODULE_2__[\"get\"](nodeToIndex.get(source));const contribution=weight*distributionResult.pi[sourceIndex]*(1-alpha);switch(adjacency.type){case\"SYNTHETIC_LOOP\":{syntheticLoopFlow[sourceIndex]=contribution;break;}case\"IN_EDGE\":{// IN_EDGE from the perspective of the target, i.e. it's forward flow\nconst edgeIndex=_util_null__WEBPACK_IMPORTED_MODULE_2__[\"get\"](edgeToIndex.get(adjacency.edge.address));forwardFlow[edgeIndex]=contribution;break;}case\"OUT_EDGE\":{// OUT_EDGE from the perspective of the target, i.e. it's backwards flow\nconst edgeIndex=_util_null__WEBPACK_IMPORTED_MODULE_2__[\"get\"](edgeToIndex.get(adjacency.edge.address));backwardFlow[edgeIndex]=contribution;break;}default:{throw new Error(adjacency.type);}}}}return{interval,intervalWeight,distribution:distributionResult.pi,forwardFlow,backwardFlow,syntheticLoopFlow,seedFlow};}\n\n//# sourceURL=webpack:///./src/core/algorithm/timelinePagerank.js?");

/***/ }),

/***/ "./src/core/algorithm/weightEvaluator.js":
/*!***********************************************!*\
  !*** ./src/core/algorithm/weightEvaluator.js ***!
  \***********************************************/
/*! exports provided: nodeWeightEvaluator, edgeWeightEvaluator */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"nodeWeightEvaluator\", function() { return nodeWeightEvaluator; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"edgeWeightEvaluator\", function() { return edgeWeightEvaluator; });\n/* harmony import */ var _trie__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../trie */ \"./src/core/trie.js\");\n/**\n * Given the weights and types, produce a NodeWeightEvaluator, which assigns a\n * numerical weight to any node.\n *\n * The weights are interpreted as prefixes, i.e. a given address may match\n * multiple weights. When this is the case, the matching weights are multiplied\n * together. When no weights match, a default weight of 1 is returned.\n *\n * We currently take the NodeTypes and use them to 'fill in' default type\n * weights if no weight for the type's prefix is explicitly set. This is a\n * legacy affordance; shortly we will remove the NodeTypes and require that the\n * plugins provide the type weights when the Weights object is constructed.\n */function nodeWeightEvaluator(weights){const nodeTrie=new _trie__WEBPACK_IMPORTED_MODULE_0__[\"NodeTrie\"]();for(const[prefix,weight]of weights.nodeWeights.entries()){nodeTrie.add(prefix,weight);}return function nodeWeight(a){const matchingWeights=nodeTrie.get(a);return matchingWeights.reduce((a,b)=>a*b,1);};}/**\n * Given the weights and the types, produce an EdgeWeightEvaluator,\n * which will assign an EdgeWeight to any edge.\n *\n * The edge weights are interpreted as prefix matchers, so a single edge may\n * match zero or more EdgeWeights. The weight for the edge will be the product\n * of all matching EdgeWeights (with 1 as the default forwards and backwards\n * weight.)\n *\n * The types are used to 'fill in' extra type weights. This is a temporary\n * state of affairs; we will change plugins to include the type weights\n * directly in the weights object, so that producing weight evaluators will no\n * longer depend on having plugin declarations on hand.\n */function edgeWeightEvaluator(weights){const edgeTrie=new _trie__WEBPACK_IMPORTED_MODULE_0__[\"EdgeTrie\"]();for(const[prefix,weight]of weights.edgeWeights.entries()){edgeTrie.add(prefix,weight);}return function evaluator(address){const weights=edgeTrie.get(address);return weights.reduce((a,b)=>({forwards:a.forwards*b.forwards,backwards:a.backwards*b.backwards}),{forwards:1,backwards:1});};}\n\n//# sourceURL=webpack:///./src/core/algorithm/weightEvaluator.js?");

/***/ }),

/***/ "./src/core/graph.js":
/*!***************************!*\
  !*** ./src/core/graph.js ***!
  \***************************/
/*! exports provided: NodeAddress, EdgeAddress, Direction, Graph, nodeToString, edgeToString, edgeToStrings, edgeToParts */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"NodeAddress\", function() { return NodeAddress; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"EdgeAddress\", function() { return EdgeAddress; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Direction\", function() { return Direction; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Graph\", function() { return Graph; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"nodeToString\", function() { return nodeToString; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"edgeToString\", function() { return edgeToString; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"edgeToStrings\", function() { return edgeToStrings; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"edgeToParts\", function() { return edgeToParts; });\n/* harmony import */ var lodash_isequal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! lodash.isequal */ \"lodash.isequal\");\n/* harmony import */ var lodash_isequal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash_isequal__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _address__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./address */ \"./src/core/address.js\");\n/* harmony import */ var _util_compat__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../util/compat */ \"./src/util/compat.js\");\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../util/null */ \"./src/util/null.js\");\nfunction ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);if(enumerableOnly)symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;});keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=arguments[i]!=null?arguments[i]:{};if(i%2){ownKeys(Object(source),true).forEach(function(key){_defineProperty(target,key,source[key]);});}else if(Object.getOwnPropertyDescriptors){Object.defineProperties(target,Object.getOwnPropertyDescriptors(source));}else{ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}const NodeAddress=Object(_address__WEBPACK_IMPORTED_MODULE_2__[\"makeAddressModule\"])({name:\"NodeAddress\",nonce:\"N\",otherNonces:new Map().set(\"E\",\"EdgeAddress\")});const EdgeAddress=Object(_address__WEBPACK_IMPORTED_MODULE_2__[\"makeAddressModule\"])({name:\"EdgeAddress\",nonce:\"E\",otherNonces:new Map().set(\"N\",\"NodeAddress\")});/**\n * Represents a node in the graph.\n */const COMPAT_INFO={type:\"sourcecred/graph\",version:\"0.8.0\"};const Direction=deep_freeze__WEBPACK_IMPORTED_MODULE_1___default()({IN:Symbol(\"IN\"),OUT:Symbol(\"OUT\"),ANY:Symbol(\"ANY\")});class Graph{// Map every node address present in the graph to its inEdges (edges for\n// which it is a dst) and outEdges (edges for which it is a src)\n// Incremented each time that any change is made to the graph. Used to\n// check for comodification and to avoid needlessly checking\n// invariants.\nconstructor(){_defineProperty(this,\"_nodes\",void 0);_defineProperty(this,\"_edges\",void 0);_defineProperty(this,\"_incidentEdges\",void 0);_defineProperty(this,\"_modificationCount\",void 0);_defineProperty(this,\"_cachedOrder\",void 0);_defineProperty(this,\"_invariantsLastChecked\",void 0);this._modificationCount=0;this._invariantsLastChecked={when:-1,failure:\"Invariants never checked\"};this._cachedOrder={nodeOrder:[],edgeOrder:[],modificationCount:0};this._nodes=new Map();this._edges=new Map();this._incidentEdges=new Map();this._maybeCheckInvariants();}_checkForComodification(since){// TODO(perf): Consider eliding this in production.\nconst now=this._modificationCount;if(now===since){this._maybeCheckInvariants();return;}if(now>since){throw new Error(\"Concurrent modification detected\");}if(now<since){throw new Error(\"Invariant violation: expected modification count in the future\");}this._maybeCheckInvariants();}_markModification(){// TODO(perf): Consider eliding this in production.\nif(this._modificationCount>=Number.MAX_SAFE_INTEGER){throw new Error(\"Graph cannot be modified more than \".concat(this._modificationCount,\" times.\"));}this._modificationCount++;this._maybeCheckInvariants();}/**\n   * A node address is 'referenced' if it is either present in the graph, or is\n   * the src or dst of some edge.\n   *\n   * Referenced nodes always have an entry in this._incidentEdges (regardless\n   * of whether they are incident to any edges).\n   *\n   * This method ensures that a given node address has a reference.\n   */_reference(n){if(!this._incidentEdges.has(n)){this._incidentEdges.set(n,{inEdges:[],outEdges:[]});}}/**\n   * A node stops being referenced as soon as it is both not in the graph, and is\n   * not incident to any edge. This method must be called after any operation which\n   * might cause a node address to no longer be referenced, so that the node can\n   * be unreferenced if appropriate.\n   */_unreference(n){const incidence=this._incidentEdges.get(n);if(incidence!=null){const{inEdges,outEdges}=incidence;if(!this._nodes.has(n)&&inEdges.length===0&&outEdges.length===0){this._incidentEdges.delete(n);}}}_getOrder(){const modificationCount=this._modificationCount;if(this._cachedOrder.modificationCount!==modificationCount){const edgeOrder=Array.from(this._edges.keys()).sort();const nodeOrder=Array.from(this._nodes.keys()).sort();this._cachedOrder={nodeOrder,edgeOrder,modificationCount};}return this._cachedOrder;}/**\n   * Returns how many times the graph has been modified.\n   *\n   * This value is exposed so that users of Graph can cache computations over\n   * the graph with confidence, knowing that they will be able to check the\n   * modification count to know when their cache is potentially invalid.\n   *\n   * This value may increase any time the graph is potentially modified, even\n   * if no modification actually occurs; for example, if a client calls\n   * `addNode`, the modification count may increase even if the added node was\n   * already present in the graph.\n   *\n   * This value is not serialized, and is ignored when checking equality, i.e.\n   * two graphs may be semantically equal even when they have different\n   * modification counts.\n   */modificationCount(){return this._modificationCount;}/**\n   * Adds a new node to the graph.\n   *\n   * If the node already exists in the graph, no action is taken and no error\n   * is thrown. (This operation is idempotent).\n   *\n   * Returns `this` for chaining.\n   */addNode(node){const{address}=node;NodeAddress.assertValid(address);this._reference(address);const existingNode=this._nodes.get(address);if(existingNode==null){this._nodes.set(address,node);}else{if(!lodash_isequal__WEBPACK_IMPORTED_MODULE_0___default()(node,existingNode)){const strNode=nodeToString(node);const strExisting=nodeToString(existingNode);throw new Error(\"conflict between new node \".concat(strNode,\" and existing \").concat(strExisting));}}this._markModification();this._maybeCheckInvariants();return this;}/**\n   * Remove a node from the graph.\n   *\n   * If the node does not exist in the graph, no action is taken and no error\n   * is thrown. (This operation is idempotent.)\n   *\n   * Removing a node which is incident to some edges is allowed; such edges will\n   * become dangling edges. See the discussion of 'Dangling Edges' in the module docstring\n   * for details.\n   *\n   * Returns `this` for chaining.\n   */removeNode(a){NodeAddress.assertValid(a);this._nodes.delete(a);this._unreference(a);this._markModification();this._maybeCheckInvariants();return this;}/**\n   * Test whether there exists a Node corresponding to the given NodeAddress.\n   *\n   * This will return false for node addresses which are referenced by some\n   * edge, but not actually present in the graph.\n   */hasNode(a){NodeAddress.assertValid(a);const result=this._nodes.has(a);this._maybeCheckInvariants();return result;}/**\n   * Returns the Node matching a given NodeAddressT, if such a node exists,\n   * or undefined otherwise.\n   */node(address){NodeAddress.assertValid(address);const result=this._nodes.get(address);this._maybeCheckInvariants();return result;}/**\n   * Returns an iterator over all of the nodes in the graph.\n   *\n   * Optionally, the caller can provide a node prefix. If\n   * provided, the iterator will only contain nodes matching that\n   * prefix. See semantics of [Address.hasPrefix][1] for details.\n   *\n   * Clients must not modify the graph during iteration. If they do so, an\n   * error may be thrown at the iteration call site.\n   *\n   * Nodes are yielded in address-sorted order.\n   *\n   * [1]: https://github.com/sourcecred/sourcecred/blob/7c7fa2d83d4fd5ba38efb2b2f4e0244235ac1312/src/core/address.js#L74\n   */nodes(options){const prefix=options!=null?options.prefix:NodeAddress.empty;if(prefix==null){throw new Error(\"Invalid prefix: \".concat(String(prefix)));}const result=this._nodesIterator(this._modificationCount,prefix);this._maybeCheckInvariants();return result;}*_nodesIterator(initialModificationCount,prefix){for(const address of this._getOrder().nodeOrder){if(NodeAddress.hasPrefix(address,prefix)){const node=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](this._nodes.get(address));this._checkForComodification(initialModificationCount);this._maybeCheckInvariants();yield node;}}this._checkForComodification(initialModificationCount);this._maybeCheckInvariants();}/**\n   * Add an edge to the graph.\n   *\n   * It is permitted to add an edge if its src or dst are not in the graph. See\n   * the discussion of 'Dangling Edges' in the module docstring for semantics.\n   *\n   * It is an error to add an edge if a distinct edge with the same address\n   * already exists in the graph (i.e., if the source or destination are\n   * different).\n   *\n   * Adding an edge that already exists to the graph is a no-op. (This\n   * operation is idempotent.)\n   *\n   * Returns `this` for chaining.\n   */addEdge(edge){NodeAddress.assertValid(edge.src,\"edge.src\");NodeAddress.assertValid(edge.dst,\"edge.dst\");EdgeAddress.assertValid(edge.address,\"edge.address\");this._reference(edge.src);this._reference(edge.dst);const existingEdge=this._edges.get(edge.address);if(existingEdge!=null){if(existingEdge.src!==edge.src||existingEdge.dst!==edge.dst||existingEdge.address!==edge.address||existingEdge.timestampMs!==edge.timestampMs){const strEdge=edgeToString(edge);const strExisting=edgeToString(existingEdge);throw new Error(\"conflict between new edge \".concat(strEdge,\" and existing \").concat(strExisting));}}else{this._edges.set(edge.address,edge);const{inEdges}=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](this._incidentEdges.get(edge.dst));const{outEdges}=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](this._incidentEdges.get(edge.src));inEdges.push(edge);outEdges.push(edge);}this._edges.set(edge.address,edge);this._markModification();this._maybeCheckInvariants();return this;}/**\n   * Remove an edge from the graph.\n   *\n   * Calling removeEdge on an address that does not correspond to any edge in\n   * the graph is a no-op. (This method is idempotent.)\n   *\n   * Returns `this` for chaining.\n   */removeEdge(address){EdgeAddress.assertValid(address);const edge=this._edges.get(address);if(edge!=null){this._edges.delete(address);const{inEdges}=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](this._incidentEdges.get(edge.dst));const{outEdges}=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](this._incidentEdges.get(edge.src));// TODO(perf): This is linear in the degree of the endpoints of the\n// edge. Consider storing in non-list form (e.g., `inEdges` and\n// `outEdges` fields in `_incidentEdges` could be `Set<EdgeAddressT>`).\n[inEdges,outEdges].forEach(edges=>{const index=edges.findIndex(edge=>edge.address===address);if(index===-1){const strAddress=EdgeAddress.toString(address);throw new Error(\"Invariant violation when removing edge@\".concat(strAddress));}edges.splice(index,1);});this._unreference(edge.src);this._unreference(edge.dst);}this._markModification();this._maybeCheckInvariants();return this;}/**\n   * Test whether the graph contains an edge with the given address.\n   */hasEdge(address){EdgeAddress.assertValid(address);const result=this._edges.has(address);this._maybeCheckInvariants();return result;}/**\n   * Test whether there is a dangling edge at the given address.\n   *\n   * Returns true if the edge is present, and is dangling.\n   * Returns false if the edge is present, and is not dangling.\n   * Returns undefined if the edge is not present.\n   *\n   * See the module docstring for more details on dangling edges.\n   */isDanglingEdge(address){EdgeAddress.assertValid(address);const edge=this.edge(address);let result;if(edge!=null){const{src,dst}=edge;result=!this.hasNode(src)||!this.hasNode(dst);}this._maybeCheckInvariants();return result;}/**\n   * Returns the Edge matching a given EdgeAddressT, if such an edge exists, or\n   * null otherwise.\n   */edge(address){EdgeAddress.assertValid(address);const result=this._edges.get(address);this._maybeCheckInvariants();return result;}/**\n   * Returns an iterator over edges in the graph, optionally filtered by edge\n   * address prefix, source address prefix, and/or destination address prefix.\n   *\n   * The caller must pass an options object with a boolean field `showDangling`,\n   * which determines whether dangling edges will be included in the results.\n   * The caller may also pass fields `addressPrefix`, `srcPrefix`, and `dstPrefix`\n   * to perform prefix-based address filtering of edges that are returned.\n   * (See the module docstring for more context on dangling edges.)\n   *\n   * Suppose that you want to find every edge that represents authorship by a\n   * user. If all authorship edges have the `AUTHORS_EDGE_PREFIX` prefix, and\n   * all user nodes have the `USER_NODE_PREFIX` prefix, then you could call:\n   *\n   * graph.edges({\n   *  showDangling: true,  // or false, irrelevant for this example\n   *  addressPrefix: AUTHORS_EDGE_PREFIX,\n   *  srcPrefix: USER_NODE_PREFIX,\n   * });\n   *\n   * In this example, as `dstPrefix` was left unset, it will default to\n   * `NodeAddress.empty`, which is a prefix of every node address.\n   *\n   * Clients must not modify the graph during iteration. If they do so, an\n   * error may be thrown at the iteration call site.\n   *\n   * The edges are yielded in sorted address order.\n   */edges(options){if(options==null){throw new Error(\"Options are required for Graph.edges\");}const{showDangling}=options;const addressPrefix=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"orElse\"](options.addressPrefix,EdgeAddress.empty);const srcPrefix=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"orElse\"](options.srcPrefix,NodeAddress.empty);const dstPrefix=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"orElse\"](options.dstPrefix,NodeAddress.empty);const result=this._edgesIterator(this._modificationCount,showDangling,addressPrefix,srcPrefix,dstPrefix);this._maybeCheckInvariants();return result;}*_edgesIterator(initialModificationCount,showDangling,addressPrefix,srcPrefix,dstPrefix){for(const address of this._getOrder().edgeOrder){const edge=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](this._edges.get(address));if((showDangling||this.isDanglingEdge(edge.address)===false)&&EdgeAddress.hasPrefix(edge.address,addressPrefix)&&NodeAddress.hasPrefix(edge.src,srcPrefix)&&NodeAddress.hasPrefix(edge.dst,dstPrefix)){this._checkForComodification(initialModificationCount);this._maybeCheckInvariants();yield edge;}}this._checkForComodification(initialModificationCount);this._maybeCheckInvariants();}/**\n   * Find the `Neighbors` that are incident to a chosen root node.\n   *\n   * A `Neighbor` contains an edge that is incident to the root,\n   * and the node at the other endpoint of the edge. This may be\n   * either the source or destination of the edge, depending on whether the\n   * edge is an in-edge or an out-edge from the perspective of the root. For\n   * convenience, a `Neighbor` is thus an object that includes both the edge\n   * and the adjacent node.\n   *\n   * Every non-dangling edge incident to the root corresponds to exactly one\n   * neighbor, but note that multiple neighbors may have the same `node` in the\n   * case that there are multiple edges with the same source and destination.\n   *\n   * Callers to `neighbors` must provide `NeighborsOptions` as follows:\n   *\n   * - direction: one of Direction.IN, direction.OUT, or Direction.ANY.\n   *   - Direction.IN finds neigbhors where root is the destination of the\n   *     edge.\n   *   - Direction.OUT finds neigbhors where root is the source of the edge.\n   *   - Direction.ANY finds neigbhors where root is the source or destination\n   *     of the edge.\n   *\n   * - nodePrefix: A NodeAddressT to use as a prefix filter for the adjacent node.\n   *   If you want all nodes, use `NodeAddress`.empty.\n   *\n   * - edgePrefix: An EdgeAddressT to use as a prefix filter for the edge.\n   *   If you want all edges, use `EdgeAddress`.empty.\n   *\n   * Calling `neighbors` on a node that is not present in the graph is an error.\n   *\n   * If the root node has an edge for which it is both the source and the\n   * destination (a loop edge), there will be one `Neighbor` with the root node\n   * and the loop edge.\n   *\n   * No `Neighbors` will be created for dangling edges, as such edges do not\n   * correspond to any Node in the graph.\n   *\n   * Clients must not modify the graph during iteration. If they do so, an\n   * error may be thrown at the iteration call site. The iteration order is\n   * undefined.\n   */neighbors(node,options){if(!this.hasNode(node)){throw new Error(\"Node does not exist: \".concat(NodeAddress.toString(node)));}const result=this._neighbors(node,options,this._modificationCount);this._maybeCheckInvariants();return result;}*_neighbors(node,options,initialModificationCount){const nodeFilter=n=>NodeAddress.hasPrefix(n,options.nodePrefix);const edgeFilter=e=>EdgeAddress.hasPrefix(e,options.edgePrefix);const direction=options.direction;const adjacencies=[];if(direction===Direction.IN||direction===Direction.ANY){const{inEdges}=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](this._incidentEdges.get(node));adjacencies.push({edges:inEdges,direction:\"IN\"});}if(direction===Direction.OUT||direction===Direction.ANY){const{outEdges}=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](this._incidentEdges.get(node));adjacencies.push({edges:outEdges,direction:\"OUT\"});}for(const adjacency of adjacencies){for(const edge of adjacency.edges){if(direction===Direction.ANY&&adjacency.direction===\"IN\"){if(edge.src===edge.dst){continue;// don't yield loop edges twice.\n}}const neighborNodeAddress=adjacency.direction===\"IN\"?edge.src:edge.dst;const neighborNode=this.node(neighborNodeAddress);if(nodeFilter(neighborNodeAddress)&&edgeFilter(edge.address)&&neighborNode!=null){this._checkForComodification(initialModificationCount);this._maybeCheckInvariants();yield{edge,node:neighborNode};}}}this._checkForComodification(initialModificationCount);this._maybeCheckInvariants();}/**\n   * Checks whether this graph is equal to another graph.\n   *\n   * Two Graphs are considered equal if they have identical sets of nodes\n   * and edges. Insertion order is irrelevant.\n   *\n   * Runs in time `O(n + e)`, where `n` is the number of nodes and `e` is the\n   * number of edges.\n   */equals(that){if(!(that instanceof Graph)){throw new Error(\"Expected Graph, got \".concat(String(that)));}const result=lodash_isequal__WEBPACK_IMPORTED_MODULE_0___default()(this._nodes,that._nodes)&&lodash_isequal__WEBPACK_IMPORTED_MODULE_0___default()(this._edges,that._edges);this._maybeCheckInvariants();return result;}/**\n   * Produce a copy of this graph.\n   *\n   * The copy is equal to the original, but distinct, so that they may be\n   * modified independently.\n   */copy(){const result=Graph.merge([this]);this._maybeCheckInvariants();return result;}/**\n   * Serialize a Graph into a plain JavaScript object.\n   */toJSON(){// Unlike Array.from(this.nodes()).map((x) => x.address), this will include\n// node references. Including node references is necessary so that we can\n// index edges' src and dst consistently, even for dangling edges.\nconst sortedNodeAddresses=Array.from(this._incidentEdges.keys()).sort();const nodeAddressToSortedIndex=new Map();sortedNodeAddresses.forEach((address,i)=>{nodeAddressToSortedIndex.set(address,i);});const sortedEdges=Array.from(this.edges({showDangling:true}));const indexedEdges=sortedEdges.map((_ref)=>{let{src,dst,address,timestampMs}=_ref;const srcIndex=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](nodeAddressToSortedIndex.get(src));const dstIndex=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](nodeAddressToSortedIndex.get(dst));return{srcIndex,dstIndex,address:EdgeAddress.toParts(address),timestampMs};});const sortedNodes=Array.from(this.nodes());const indexedNodes=sortedNodes.map((_ref2)=>{let{address,description,timestampMs}=_ref2;const index=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](nodeAddressToSortedIndex.get(address));return{index,description,timestampMs};});const rawJSON={sortedNodeAddresses:sortedNodeAddresses.map(x=>NodeAddress.toParts(x)),edges:indexedEdges,nodes:indexedNodes};const result=Object(_util_compat__WEBPACK_IMPORTED_MODULE_3__[\"toCompat\"])(COMPAT_INFO,rawJSON);this._maybeCheckInvariants();return result;}/**\n   * Deserializes a GraphJSON into a new Graph.\n   */static fromJSON(compatJson){const{nodes:nodesJSON,edges:edgesJSON,sortedNodeAddresses:sortedNodeAddressesJSON}=Object(_util_compat__WEBPACK_IMPORTED_MODULE_3__[\"fromCompat\"])(COMPAT_INFO,compatJson);const sortedNodeAddresses=sortedNodeAddressesJSON.map(NodeAddress.fromParts);const result=new Graph();nodesJSON.forEach(j=>{const n={address:sortedNodeAddresses[j.index],description:j.description,timestampMs:j.timestampMs};result.addNode(n);});edgesJSON.forEach((_ref3)=>{let{address,srcIndex,dstIndex,timestampMs}=_ref3;const src=sortedNodeAddresses[srcIndex];const dst=sortedNodeAddresses[dstIndex];result.addEdge({address:EdgeAddress.fromParts(address),src:src,dst:dst,timestampMs});});return result;}/**\n   * Compute the union of the given graphs. The result is a new graph that has\n   * all of the nodes and all of the edges from all the provided graphs.\n   *\n   * If two of the given graphs have edges with the same address, the edges\n   * must be equal (i.e. must have the same source and destination in each\n   * graph). If this is not the case, an error will be thrown.\n   *\n   * Example usage:\n   *\n   * const g1 = new Graph().addNode(a).addNode(b).addEdge(e);\n   * const g2 = new Graph().addNode(b).addNode(c).addEdge(f);\n   * const g3 = Graph.merge([g1, g2]);\n   * Array.from(g3.nodes()).length;  // 3\n   * Array.from(g3.edges()).length;  // 2\n   * const g1 = new Graph().addNode(a).addNode(b).addEdge(x);\n   * const g2 = new Graph().addNode(c);\n   * const g3 = Graph.merge([g1, g2]);\n   *\n   * The newly created graph is a separate instance from any of the input graphs,\n   * and may be mutated independently.\n   */static merge(graphs){const result=new Graph();for(const graph of graphs){for(const node of graph.nodes()){result.addNode(node);}for(const edge of graph.edges({showDangling:true})){result.addEdge(edge);}}return result;}/**\n   * Create a new graph, in which some nodes have been contracted together.\n   *\n   * contractNodes takes a list of NodeContractions, each of which specifies a\n   * replacement node, and a list of old node addresses to map onto the new\n   * node. A new graph will be returned where the new node is added, none of\n   * the old nodes are present, and every edge incident to one of the old nodes\n   * has been re-written so that it is incident to the new node instead.\n   *\n   * If the same node addresses is \"old\" for several contractions, all incident\n   * edges will be re-written to connect to whichever contraction came last.\n   *\n   * If the replacement node is present in the graph, no error will be thrown,\n   * provided that the replacement node is consistent with the one in the graph.\n   *\n   * If there is a \"chain\" of remaps (i.e. a->b and b->c), then an error will\n   * be thrown, as support for chaining has not yet been implemented.\n   *\n   * The original Graph is not mutated.\n   *\n   * contractNodes runs in O(n+e+k), where `n` is the number of nodes, `e` is the\n   * number of edges, and `k` is the number of contractions. If needed, we can\n   * improve the peformance by mutating the original graph instead of creating\n   * a new one.\n   */contractNodes(contractions){const remap=new Map();const replacements=new Set();const contracted=new Graph();for(const{old,replacement}of contractions){for(const addr of old){if(replacements.has(addr)){throw new Error(\"Chained contractions are not supported: \".concat(NodeAddress.toString(addr)));}remap.set(addr,replacement.address);}replacements.add(replacement.address);contracted.addNode(replacement);}for(const node of this.nodes()){if(!remap.has(node.address)){contracted.addNode(node);}}for(const edge of this.edges({showDangling:true})){const src=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"orElse\"](remap.get(edge.src),edge.src);const dst=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"orElse\"](remap.get(edge.dst),edge.dst);const newEdge=_objectSpread(_objectSpread({},edge),{},{src,dst});contracted.addEdge(newEdge);}return contracted;}checkInvariants(){if(this._invariantsLastChecked.when!==this._modificationCount){let failure=null;try{this._checkInvariants();}catch(e){failure=e.message;}finally{this._invariantsLastChecked={when:this._modificationCount,failure};}}if(this._invariantsLastChecked.failure!=null){throw new Error(this._invariantsLastChecked.failure);}}_checkInvariants(){// Definition. A node `n` is in the graph if `n` is deep-equal to\n// `_nodes.get(n.address)`.\n//\n// Definition. An edge `e` is in the graph if `e` is deep-equal to\n// `_edges.get(e.address)`.\n//\n// Definition. A *logical value* is an equivalence class of ECMAScript\n// values modulo deep equality (or, from context, an element of such a\n// class).\n// Invariant 1. A node address `na` is 'referenced' if `_incidentEdges.has(na)`.\n// 1.1 If a node is in the graph, then it is referenced by its address.\n// 1.2 If a node has any incident edge, then it is referenced.\n// 1.3 If a node is not in the graph and does not have incident edges, then\n// it is not referenced.\nconst referencedNodesEncountered=new Set();// 1.1\nfor(const[address,node]of this._nodes){if(node.address!==address){throw new Error(\"bad node address for \".concat(NodeAddress.toString(address)));}if(!this._incidentEdges.has(address)){throw new Error(\"missing incident-edges for \".concat(NodeAddress.toString(address)));}referencedNodesEncountered.add(address);}// 1.2\nfor(const edge of this._edges.values()){if(!this._incidentEdges.has(edge.src)){throw new Error(\"missing incident-edges for src of: \".concat(edgeToString(edge)));}referencedNodesEncountered.add(edge.src);if(!this._incidentEdges.has(edge.dst)){throw new Error(\"missing incident-edges for dst of: \".concat(edgeToString(edge)));}referencedNodesEncountered.add(edge.dst);}// Check 1.3 by implication: for every address in\n// referencedNodesEncountered, we've explicitly checked that it is present\n// in _incidentEdges.\n//\n// Therefore, if the number of keys in _incidentEdges differs from the\n// number of elements in referencedNodesEncountered, it must be because\n// some elements in _incidentEdges were not present in\n// referencedNodesEncountered, which means that they did not correspond to\n// a node in the graph and did not have incident edges.\nconst numIncidentEntries=Array.from(this._incidentEdges.keys()).length;if(numIncidentEntries!==referencedNodesEncountered.size){throw new Error(\"extra addresses in incident-edges\");}// Invariant 2. For an edge address `a`, if `_edges.has(a)` and\n// `_edges.get(a) === e`, then:\n//  1. `e.address` equals `a`;\n//  2. `e.src` is referenced;\n//  3. `e.dst` is referenced;\n//  4. `_incidentEdges.get(e.dst).inEdges` contains `e`; and\n//  5. `_incidentEdges.get(e.src).outEdges` contains `e`.\n//\n// 2.2 and 2.3 are implied by 2.4 and 2.5 respectively (as a node's address\n// being available in _incidentEdges means that it is referenced). So we may\n// ignore them.\n//\n// We check 2.1 here, and check 2.4 and 2.5 later for improved performance.\nfor(const[address,edge]of this._edges.entries()){if(edge.address!==address){throw new Error(\"bad edge address: \".concat(edgeToString(edge),\" does not match \").concat(address));}}// Invariant 3. Suppose that `_incidentEdges.has(n)` and, let `es` be\n// `_incidentEdges.get(n).inEdges`. Then\n//  1. `es` contains any logical value at most once;\n//  2. if `es` contains `e`, then `e` is in the graph; and\n//  3. if `es` contains `e`, then `e.dst === n`.\n//\n// Invariant 4. Suppose that `_incidentEdges.has(n)` and, let `es` be\n// `_incidentEdges.get(n).outEdges`. Then\n//  1. `es` contains any logical value at most once;\n//  2. if `es` contains `e`, then `e` is in the graph; and\n//  3. if `es` contains `e`, then `e.src === n`.\n//\n// Note that Invariant 3.1 is equivalent to the following:\n//\n//     Invariant 3.1*. If `a` is an address, then there is at most\n//     one index `i` such that `es[i].address` is `a`.\n//\n// It is immediate that 3.1* implies 3.1. To see that 3.1 implies\n// 3.1*, suppose that `i` and `j` are such that `es[i].address` and\n// `es[j].address` are both `a`. Then, by Invariant 3.2, each of\n// `es[i]` and `es[j]` is in the graph, so each is deep-equal to\n// `_edges.get(a)`. Therefore, `es[i]` and `es[j]` are deep-equal to\n// each other. By 3.1, `es` contains a logical value at most once,\n// so `i` must be equal to `j`.\n//\n// Therefore, it is valid to verify that 3.1*, which we will do. The\n// same logic of course applies to Invariant 4.1.\nconst inEdgesSeen=new Set();const outEdgesSeen=new Set();const incidentEntries=Array.from(this._incidentEdges.entries());for(const{seen,entries,baseNodeAccessor,kind}of[{seen:inEdgesSeen,entries:incidentEntries.map((_ref4)=>{let[a,{inEdges}]=_ref4;return[a,inEdges];}),baseNodeAccessor:e=>e.dst,kind:\"in-edge\"},{seen:outEdgesSeen,entries:incidentEntries.map((_ref5)=>{let[a,{outEdges}]=_ref5;return[a,outEdges];}),baseNodeAccessor:e=>e.src,kind:\"out-edge\"}]){for(const[base,edges]of entries){for(const edge of edges){// 3.1/4.1\nif(seen.has(edge.address)){throw new Error(\"duplicate \".concat(kind,\": \").concat(edgeToString(edge)));}seen.add(edge.address);const expected=this._edges.get(edge.address);// 3.2/4.2\nif(!lodash_isequal__WEBPACK_IMPORTED_MODULE_0___default()(edge,expected)){if(expected==null){throw new Error(\"spurious \".concat(kind,\": \").concat(edgeToString(edge)));}else{const vs=\"\".concat(edgeToString(edge),\" vs. \").concat(edgeToString(expected));throw new Error(\"bad \".concat(kind,\": \").concat(vs));}}// 3.3/4.3\nconst expectedBase=baseNodeAccessor(edge);if(base!==baseNodeAccessor(edge)){throw new Error(\"bad \".concat(kind,\": \").concat(edgeToString(edge),\" should be \")+\"should be anchored at \".concat(NodeAddress.toString(expectedBase)));}}}}// We now return to check 2.4 and 2.5, with the help of the\n// structures that we have built up in checking Invariants 3 and 4.\nfor(const edge of this._edges.values()){// That `_incidentEdges.get(n).inEdges` contains `e` for some `n` is\n// sufficient to show that `_incidentEdges.get(e.dst).inEdges` contains\n// `e`: if `n` were something other than `e.dst`, then we would have a\n// failure of invariant 3.3, which would have been caught earlier.\n// Likewise for outEdges.\nif(!inEdgesSeen.has(edge.address)){throw new Error(\"missing in-edge: \".concat(edgeToString(edge)));}if(!outEdgesSeen.has(edge.address)){throw new Error(\"missing out-edge: \".concat(edgeToString(edge)));}}}_maybeCheckInvariants(){if(false){}}}/**\n * Convert a node into a human readable string.\n *\n * The precise behavior is an implementation detail and subject to change.\n */function nodeToString(node){const address=NodeAddress.toString(node.address);return\"{address: \".concat(address,\"}\");}/**\n * Convert an edge into a human readable string.\n *\n * The precise behavior is an implementation detail and subject to change.\n */function edgeToString(edge){const address=EdgeAddress.toString(edge.address);const src=NodeAddress.toString(edge.src);const dst=NodeAddress.toString(edge.dst);return\"{address: \".concat(address,\", src: \").concat(src,\", dst: \").concat(dst,\", timestampMs: \").concat(edge.timestampMs,\"}\");}/**\n * Convert an edge to an object whose fields are human-readable.\n * This is useful for storing edges in human-readable formats that\n * should not include NUL characters, such as Jest snapshots.\n */function edgeToStrings(edge){return{address:EdgeAddress.toString(edge.address),src:NodeAddress.toString(edge.src),dst:NodeAddress.toString(edge.dst),timestampMs:edge.timestampMs};}function edgeToParts(edge){const addressParts=EdgeAddress.toParts(edge.address);const srcParts=NodeAddress.toParts(edge.src);const dstParts=NodeAddress.toParts(edge.dst);const timestampMs=edge.timestampMs;return{addressParts,srcParts,dstParts,timestampMs};}\n\n//# sourceURL=webpack:///./src/core/graph.js?");

/***/ }),

/***/ "./src/core/interval.js":
/*!******************************!*\
  !*** ./src/core/interval.js ***!
  \******************************/
/*! exports provided: partitionGraph, graphIntervals, weekIntervals */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"partitionGraph\", function() { return partitionGraph; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"graphIntervals\", function() { return graphIntervals; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"weekIntervals\", function() { return weekIntervals; });\n/* harmony import */ var d3_array__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! d3-array */ \"d3-array\");\n/* harmony import */ var d3_array__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(d3_array__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _util_sortBy__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../util/sortBy */ \"./src/util/sortBy.js\");\n/* harmony import */ var d3_time__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! d3-time */ \"d3-time\");\n/* harmony import */ var d3_time__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(d3_time__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../util/null */ \"./src/util/null.js\");\n/**\n * Partition a graph based on time intervals.\n *\n * The intervals are always one week long, as calculated using d3.utcWeek.\n * The result may contain empty intervals.\n * If the graph is empty, no intervals are returned.\n * Timeless nodes are not included in the partition, nor are dangling edges.\n */function partitionGraph(graph){const nodes=Array.from(graph.nodes());const timefulNodes=nodes.filter(x=>x.timestampMs!=null);const sortedNodes=Object(_util_sortBy__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(timefulNodes,x=>x.timestampMs);const edges=Array.from(graph.edges({showDangling:false}));const sortedEdges=Object(_util_sortBy__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(edges,x=>x.timestampMs);const intervals=graphIntervals(graph);let nodeIndex=0;let edgeIndex=0;return intervals.map(interval=>{const nodes=[];const edges=[];while(nodeIndex<sortedNodes.length&&sortedNodes[nodeIndex].timestampMs<interval.endTimeMs){nodes.push(sortedNodes[nodeIndex++]);}while(edgeIndex<sortedEdges.length&&sortedEdges[edgeIndex].timestampMs<interval.endTimeMs){edges.push(sortedEdges[edgeIndex++]);}return{interval,nodes,edges};});}/**\n * Produce an array of Intervals which cover all the node and edge timestamps\n * for a graph.\n *\n * The intervals are one week long, and are aligned on clean week boundaries.\n *\n * This function is basically a wrapper around weekIntervals that makes sure\n * the graph's nodes and edges are all accounted for properly.\n */function graphIntervals(graph){const nodeTimestamps=Array.from(graph.nodes()).map(x=>x.timestampMs).filter(x=>x!=null)// Unnecessary map is to satisfy flow that the array doesn't contain null.\n.map(x=>_util_null__WEBPACK_IMPORTED_MODULE_3__[\"get\"](x));const edgeTimestamps=Array.from(graph.edges({showDangling:false})).map(x=>x.timestampMs);if(nodeTimestamps.length===0&&edgeTimestamps.length===0){return[];}const allTimestamps=nodeTimestamps.concat(edgeTimestamps);const start=Object(d3_array__WEBPACK_IMPORTED_MODULE_0__[\"min\"])(allTimestamps);const end=Object(d3_array__WEBPACK_IMPORTED_MODULE_0__[\"max\"])(allTimestamps);return weekIntervals(start,end);}/**\n * Produce an array of week-long intervals to cover the startTime and endTime.\n *\n * Each interval is one week long and aligned on week boundaries, as produced\n * by d3.utcWeek. The weeks always use UTC boundaries to ensure consistent\n * output regardless of which timezone the user is in.\n *\n * Assuming that the inputs are valid, there will always be at least one\n * interval, so that that interval can cover the input timestamps. (E.g. if\n * startMs and endMs are the same value, then the produced interval will be the\n * start and end of the last week that starts on or before startMs.)\n */function weekIntervals(startMs,endMs){if(!isFinite(startMs)||!isFinite(endMs)){throw new Error(\"invalid non-finite input\");}if(typeof startMs!==\"number\"||typeof endMs!==\"number\"){throw new Error(\"start or end are not numbers\");}if(startMs>endMs){throw new Error(\"start time after end time\");}// Promote the window to the nearest week boundaries, to ensure that\n// utcWeek.range will not return an empty array.\n// We add one to the endTime so that just in case we're exactly on a week\n// boundary, we still get at least one interval.\nstartMs=d3_time__WEBPACK_IMPORTED_MODULE_2__[\"utcWeek\"].floor(startMs);endMs=d3_time__WEBPACK_IMPORTED_MODULE_2__[\"utcWeek\"].ceil(endMs+1);const boundaries=d3_time__WEBPACK_IMPORTED_MODULE_2__[\"utcWeek\"].range(startMs,endMs);boundaries.push(endMs);const intervals=[];for(let i=0;i<boundaries.length-1;i++){intervals.push({startTimeMs:+boundaries[i],endTimeMs:+boundaries[i+1]});}return intervals;}\n\n//# sourceURL=webpack:///./src/core/interval.js?");

/***/ }),

/***/ "./src/core/references/cascadingReferenceDetector.js":
/*!***********************************************************!*\
  !*** ./src/core/references/cascadingReferenceDetector.js ***!
  \***********************************************************/
/*! exports provided: CascadingReferenceDetector */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"CascadingReferenceDetector\", function() { return CascadingReferenceDetector; });\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}/**\n * A class for composing ReferenceDetectors. Calls ReferenceDetectors in the order\n * they're given in the constructor, returning the first NodeAddressT it encounters.\n */class CascadingReferenceDetector{constructor(refs){_defineProperty(this,\"refs\",void 0);this.refs=refs;}addressFromUrl(url){for(const ref of this.refs){const addr=ref.addressFromUrl(url);if(addr)return addr;}}}\n\n//# sourceURL=webpack:///./src/core/references/cascadingReferenceDetector.js?");

/***/ }),

/***/ "./src/core/references/index.js":
/*!**************************************!*\
  !*** ./src/core/references/index.js ***!
  \**************************************/
/*! exports provided: MappedReferenceDetector, CascadingReferenceDetector, TranslatingReferenceDetector */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _mappedReferenceDetector__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./mappedReferenceDetector */ \"./src/core/references/mappedReferenceDetector.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"MappedReferenceDetector\", function() { return _mappedReferenceDetector__WEBPACK_IMPORTED_MODULE_0__[\"MappedReferenceDetector\"]; });\n\n/* harmony import */ var _cascadingReferenceDetector__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./cascadingReferenceDetector */ \"./src/core/references/cascadingReferenceDetector.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"CascadingReferenceDetector\", function() { return _cascadingReferenceDetector__WEBPACK_IMPORTED_MODULE_1__[\"CascadingReferenceDetector\"]; });\n\n/* harmony import */ var _translatingReferenceDetector__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./translatingReferenceDetector */ \"./src/core/references/translatingReferenceDetector.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"TranslatingReferenceDetector\", function() { return _translatingReferenceDetector__WEBPACK_IMPORTED_MODULE_2__[\"TranslatingReferenceDetector\"]; });\n\n\n\n//# sourceURL=webpack:///./src/core/references/index.js?");

/***/ }),

/***/ "./src/core/references/mappedReferenceDetector.js":
/*!********************************************************!*\
  !*** ./src/core/references/mappedReferenceDetector.js ***!
  \********************************************************/
/*! exports provided: MappedReferenceDetector */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"MappedReferenceDetector\", function() { return MappedReferenceDetector; });\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}/**\n * A reference detector which uses a pregenerated `Map<URL, NodeAddressT>` as a\n * lookup table.\n *\n * Note: this is sensitive to canonicalization issues because it's based on string\n * comparisons. For example:\n * - \"http://foo.bar/123\" != \"http://foo.bar/123#chapter-2\"\n * - \"http://foo.bar/?a=1&b=2\" != \"http://foo.bar/?b=2&a=1\"\n * - \"http://foo.bar/space+bar\" != \"http://foo.bar/space%20bar\"\n */class MappedReferenceDetector{constructor(map){_defineProperty(this,\"map\",void 0);this.map=map;}addressFromUrl(url){return this.map.get(url);}}\n\n//# sourceURL=webpack:///./src/core/references/mappedReferenceDetector.js?");

/***/ }),

/***/ "./src/core/references/translatingReferenceDetector.js":
/*!*************************************************************!*\
  !*** ./src/core/references/translatingReferenceDetector.js ***!
  \*************************************************************/
/*! exports provided: TranslatingReferenceDetector */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"TranslatingReferenceDetector\", function() { return TranslatingReferenceDetector; });\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}/**\n * A ReferenceDetector which takes a base ReferenceDetector and applies a\n * translate function to any results.\n */class TranslatingReferenceDetector{constructor(base,translate){_defineProperty(this,\"translate\",void 0);_defineProperty(this,\"base\",void 0);this.base=base;this.translate=translate;}addressFromUrl(url){const baseAddr=this.base.addressFromUrl(url);if(!baseAddr)return;return this.translate(baseAddr);}}\n\n//# sourceURL=webpack:///./src/core/references/translatingReferenceDetector.js?");

/***/ }),

/***/ "./src/core/trie.js":
/*!**************************!*\
  !*** ./src/core/trie.js ***!
  \**************************/
/*! exports provided: NodeTrie, EdgeTrie */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"NodeTrie\", function() { return NodeTrie; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"EdgeTrie\", function() { return EdgeTrie; });\n/* harmony import */ var _graph__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./graph */ \"./src/core/graph.js\");\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../util/null */ \"./src/util/null.js\");\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}const EMPTY_ENTRY_SYMBOL=Symbol(\"EMPTY\");class BaseTrie{/**\n   * Create an empty trie backed by the given address module.\n   */constructor(m){_defineProperty(this,\"addressModule\",void 0);_defineProperty(this,\"entry\",void 0);this.addressModule=m;this.entry={value:EMPTY_ENTRY_SYMBOL,map:new Map()};}/**\n   * Add key `k` to this trie with value `v`. Return `this`.\n   */add(k,val){const parts=this.addressModule.toParts(k);let entry=this.entry;for(const part of parts){if(!entry.map.has(part)){entry.map.set(part,{map:new Map(),value:EMPTY_ENTRY_SYMBOL});}entry=_util_null__WEBPACK_IMPORTED_MODULE_1__[\"get\"](entry.map.get(part));}if(entry.value!==EMPTY_ENTRY_SYMBOL){throw new Error(\"Tried to overwrite entry at \".concat(this.addressModule.toString(k)));}entry.value=val;return this;}/**\n   * Get the values in this trie along the path to `k`.\n   *\n   * More specifically, this method has the following observable\n   * behavior. Let `inits` be the list of all prefixes of `k`, ordered\n   * by length (shortest to longest). Observe that the length of `inits`\n   * is `n + 1`, where `n` is the number of parts of `k`; `inits` begins\n   * with the empty address and ends with `k` itself. Initialize the\n   * result to an empty array. For each prefix `p` in `inits`, if `p`\n   * was added to this trie with value `v`, then append `v` to\n   * `result`. Return `result`.\n   */get(k){const parts=this.addressModule.toParts(k);const result=[];let entry=this.entry;// nb: if parts has length `n`, there are `n+1` opportunities to add a\n// value to the resultant array, which is correct as there may be `n+1`\n// appropriate values to return: one for each part, and another for the\n// empty address.\nfor(const part of parts){if(entry.value!==EMPTY_ENTRY_SYMBOL){const value=entry.value;result.push(value);}const tmpEntry=entry.map.get(part);if(tmpEntry==null){return result;}else{entry=tmpEntry;}}if(entry.value!==EMPTY_ENTRY_SYMBOL){const value=entry.value;result.push(value);}return result;}/**\n   * Get the last stored value `v` in the path to key `k`.\n   * Returns undefined if no value is available.\n   */getLast(k){const path=this.get(k);return path[path.length-1];}}class NodeTrie extends BaseTrie{constructor(){super(_graph__WEBPACK_IMPORTED_MODULE_0__[\"NodeAddress\"]);}}class EdgeTrie extends BaseTrie{constructor(){super(_graph__WEBPACK_IMPORTED_MODULE_0__[\"EdgeAddress\"]);}}\n\n//# sourceURL=webpack:///./src/core/trie.js?");

/***/ }),

/***/ "./src/core/version.js":
/*!*****************************!*\
  !*** ./src/core/version.js ***!
  \*****************************/
/*! exports provided: parseGitState, parseEnvironment, VERSION_INFO, formatShort, formatFull, VERSION_SHORT, VERSION_FULL */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parseGitState\", function() { return parseGitState; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parseEnvironment\", function() { return parseEnvironment; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"VERSION_INFO\", function() { return VERSION_INFO; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"formatShort\", function() { return formatShort; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"formatFull\", function() { return formatFull; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"VERSION_SHORT\", function() { return VERSION_SHORT; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"VERSION_FULL\", function() { return VERSION_FULL; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n/**\n * Parse the given string as a `GitState`, throwing an error if it is\n * not valid. The argument should be the result of calling\n * `JSON.stringify` with a valid `GitState`. Thus, this is a checked\n * version of `JSON.parse`.\n */function parseGitState(raw){if(typeof raw!==\"string\"){throw new Error(\"gitState: not a string: \"+String(raw));}const parsed=JSON.parse(raw);if(parsed==null||typeof parsed!==\"object\"){throw new Error(\"gitState: not a JSON object: \"+String(parsed));}deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()(parsed);// This intermediate variable helps out Flow's inference...\nconst gitState=parsed;if(typeof gitState.commitHash!==\"string\"||typeof gitState.commitTimestamp!==\"string\"||typeof gitState.dirty!==\"boolean\"||Object.keys(gitState).length!==3){throw new Error(\"gitState: bad shape: \"+JSON.stringify(gitState));}return gitState;}const gitState=parseGitState(\"{\\\"commitHash\\\":\\\"387000dae8ea\\\",\\\"commitTimestamp\\\":\\\"20200704-1623\\\",\\\"dirty\\\":true}\");/**\n * Parse the given string as an `Environment`, throwing an error if it\n * is not valid. The input should be a valid `Environment`.\n */function parseEnvironment(raw){if(raw!==\"development\"&&raw!==\"production\"&&raw!==\"test\"){throw new Error(\"environment: \"+(raw==null?String(raw):JSON.stringify(raw)));}return raw;}const environment=parseEnvironment(\"development\");const VERSION_INFO=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({major:0,minor:7,patch:0,gitState,environment});function formatShort(info){return\"v\".concat(info.major,\".\").concat(info.minor,\".\").concat(info.patch);}function formatFull(info){const parts=[\"v\".concat(info.major,\".\").concat(info.minor,\".\").concat(info.patch),info.gitState.commitHash,info.gitState.commitTimestamp,info.gitState.dirty?\"dirty\":\"clean\",info.environment];return parts.join(\"-\");}const VERSION_SHORT=formatShort(VERSION_INFO);const VERSION_FULL=formatFull(VERSION_INFO);\n\n//# sourceURL=webpack:///./src/core/version.js?");

/***/ }),

/***/ "./src/core/weightedGraph.js":
/*!***********************************!*\
  !*** ./src/core/weightedGraph.js ***!
  \***********************************/
/*! exports provided: empty, toJSON, fromJSON, merge, overrideWeights */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"empty\", function() { return empty; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toJSON\", function() { return toJSON; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromJSON\", function() { return fromJSON; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"merge\", function() { return merge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"overrideWeights\", function() { return overrideWeights; });\n/* harmony import */ var _graph__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./graph */ \"./src/core/graph.js\");\n/* harmony import */ var _weights__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./weights */ \"./src/core/weights.js\");\n/* harmony import */ var _util_compat__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../util/compat */ \"./src/util/compat.js\");\n/** The WeightedGraph a Graph alongside associated Weights\n *\n * Any combination of Weights and Graph can make a valid WeightedGraph. If the\n * Weights contains weights for node or edge addresses that are not present in\n * the graph, then those weights will be ignored. If the graph contains nodes\n * or edges which do not correspond to any weights, then default weights will\n * be inferred.\n */const COMPAT_INFO={type:\"sourcecred/weightedGraph\",version:\"0.1.0\"};/**\n * Create a new, empty WeightedGraph.\n */function empty(){return{graph:new _graph__WEBPACK_IMPORTED_MODULE_0__[\"Graph\"](),weights:_weights__WEBPACK_IMPORTED_MODULE_1__[\"empty\"]()};}function toJSON(w){const graphJSON=w.graph.toJSON();const weightsJSON=_weights__WEBPACK_IMPORTED_MODULE_1__[\"toJSON\"](w.weights);return Object(_util_compat__WEBPACK_IMPORTED_MODULE_2__[\"toCompat\"])(COMPAT_INFO,{graphJSON,weightsJSON});}function fromJSON(j){const{graphJSON,weightsJSON}=Object(_util_compat__WEBPACK_IMPORTED_MODULE_2__[\"fromCompat\"])(COMPAT_INFO,j);const graph=_graph__WEBPACK_IMPORTED_MODULE_0__[\"Graph\"].fromJSON(graphJSON);const weights=_weights__WEBPACK_IMPORTED_MODULE_1__[\"fromJSON\"](weightsJSON);return{graph,weights};}/**\n * Merge multiple WeightedGraphs together.\n *\n * This delegates to the semantics of Graph.merge and Weights.merge.\n */function merge(ws){const graph=_graph__WEBPACK_IMPORTED_MODULE_0__[\"Graph\"].merge(ws.map(w=>w.graph));const weights=_weights__WEBPACK_IMPORTED_MODULE_1__[\"merge\"](ws.map(w=>w.weights));return{graph,weights};}/**\n * Create a new WeightedGraph where default weights have been overriden.\n *\n * This takes a base WeightedGraph along with a set of \"override\" weights. The\n * new graph has the union of both the base and override weights; wherever\n * there is a conflict, the override weights will replace the base weights.\n * This is useful in situations where we want to let the user manually specify\n * some weights, and ensure that the user's decisions will trump any defaults.\n *\n * This method does not mutuate any of the original arguments. For performance\n * reasons, it is not a full copy; the input and output WeightedGraphs have the\n * exact same underlying Graph, which should not be modified.\n */function overrideWeights(wg,overrides){const weights=_weights__WEBPACK_IMPORTED_MODULE_1__[\"merge\"]([wg.weights,overrides],{nodeResolver:(a,b)=>b,edgeResolver:(a,b)=>b});return{graph:wg.graph,weights};}\n\n//# sourceURL=webpack:///./src/core/weightedGraph.js?");

/***/ }),

/***/ "./src/core/weights.js":
/*!*****************************!*\
  !*** ./src/core/weights.js ***!
  \*****************************/
/*! exports provided: empty, copy, merge, parser, toJSON, fromJSON */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"empty\", function() { return empty; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"copy\", function() { return copy; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"merge\", function() { return merge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parser\", function() { return parser; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toJSON\", function() { return toJSON; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromJSON\", function() { return fromJSON; });\n/* harmony import */ var _util_map__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../util/map */ \"./src/util/map.js\");\n/* harmony import */ var _util_combo__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../util/combo */ \"./src/util/combo.js\");\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _util_compat__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../util/compat */ \"./src/util/compat.js\");\n/**\n * Represents the weight for a particular Node (or node address prefix).\n * Weight 1 is the default value and signifies normal importance.\n * Weights are linear, so 2 is twice as important as 1.\n */ /**\n * Creates new, empty weights.\n */function empty(){return{nodeWeights:new Map(),edgeWeights:new Map()};}function copy(w){return{nodeWeights:new Map(w.nodeWeights),edgeWeights:new Map(w.edgeWeights)};}/** Merge multiple Weights together.\n *\n * The resultant Weights will have every weight specified by each of the input\n * weights.\n *\n * When there are overlaps (i.e. the same address is present in two or more of\n * the Weights), then the appropriate resolver will be invoked to resolve the\n * conflict. The resolver takes two weights and combines them to return a new\n * weight.\n *\n * When no resolvers are explicitly provided, merge defaults to\n * conservative \"error on conflict\" resolvers.\n */function merge(ws,resolvers){if(resolvers==null){const nodeResolver=(_unused_a,_unused_b)=>{throw new Error(\"node weight conflict detected, but no resolver specified\");};const edgeResolver=(_unused_a,_unused_b)=>{throw new Error(\"edge weight conflict detected, but no resolver specified\");};resolvers={nodeResolver,edgeResolver};}const weights=empty();const{nodeWeights,edgeWeights}=weights;const{nodeResolver,edgeResolver}=resolvers;for(const w of ws){for(const[addr,val]of w.nodeWeights.entries()){const existing=nodeWeights.get(addr);if(existing==null){nodeWeights.set(addr,val);}else{try{nodeWeights.set(addr,nodeResolver(existing,val));}catch(e){throw new Error(\"\".concat(e,\" when resolving \").concat(_core_graph__WEBPACK_IMPORTED_MODULE_2__[\"NodeAddress\"].toString(addr)));}}}for(const[addr,val]of w.edgeWeights.entries()){const existing=edgeWeights.get(addr);if(existing==null){edgeWeights.set(addr,val);}else{try{edgeWeights.set(addr,edgeResolver(existing,val));}catch(e){throw new Error(\"Error \".concat(e,\" when resolving \").concat(_core_graph__WEBPACK_IMPORTED_MODULE_2__[\"EdgeAddress\"].toString(addr)));}}}}return weights;}function serialize_0_2_0(weights){return{nodeWeights:_util_map__WEBPACK_IMPORTED_MODULE_0__[\"toObject\"](weights.nodeWeights),edgeWeights:_util_map__WEBPACK_IMPORTED_MODULE_0__[\"toObject\"](weights.edgeWeights)};}function deserialize_0_2_0(weights){return{nodeWeights:_util_map__WEBPACK_IMPORTED_MODULE_0__[\"fromObject\"](weights.nodeWeights),edgeWeights:_util_map__WEBPACK_IMPORTED_MODULE_0__[\"fromObject\"](weights.edgeWeights)};}const Parse_0_2_0=(()=>{const parseNodeAddress=_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"fmap\"](_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"string\"],_core_graph__WEBPACK_IMPORTED_MODULE_2__[\"NodeAddress\"].fromRaw);const parseEdgeAddress=_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"fmap\"](_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"string\"],_core_graph__WEBPACK_IMPORTED_MODULE_2__[\"EdgeAddress\"].fromRaw);const parseEdgeWeight=_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"object\"]({forwards:_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"number\"],backwards:_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"number\"]});return _util_combo__WEBPACK_IMPORTED_MODULE_1__[\"object\"]({nodeWeights:_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"dict\"](_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"number\"],parseNodeAddress),edgeWeights:_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"dict\"](parseEdgeWeight,parseEdgeAddress)});})();const COMPAT_INFO={type:\"sourcecred/weights\",version:\"0.2.0\"};const parser=Object(_util_compat__WEBPACK_IMPORTED_MODULE_3__[\"compatibleParser\"])(COMPAT_INFO.type,{\"0.2.0\":_util_combo__WEBPACK_IMPORTED_MODULE_1__[\"fmap\"](Parse_0_2_0,deserialize_0_2_0)});function toJSON(weights){return Object(_util_compat__WEBPACK_IMPORTED_MODULE_3__[\"toCompat\"])(COMPAT_INFO,serialize_0_2_0(weights));}function fromJSON(json){return parser.parseOrThrow(json);}\n\n//# sourceURL=webpack:///./src/core/weights.js?");

/***/ }),

/***/ "./src/graphql/mirror.js":
/*!*******************************!*\
  !*** ./src/graphql/mirror.js ***!
  \*******************************/
/*! exports provided: Mirror, _buildSchemaInfo, _FIELD_PREFIXES, _makeSingleUpdateFunction */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Mirror\", function() { return Mirror; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_buildSchemaInfo\", function() { return _buildSchemaInfo; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_FIELD_PREFIXES\", function() { return _FIELD_PREFIXES; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_makeSingleUpdateFunction\", function() { return _makeSingleUpdateFunction; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! json-stable-stringify */ \"json-stable-stringify\");\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(json_stable_stringify__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _util_dedent__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../util/dedent */ \"./src/util/dedent.js\");\n/* harmony import */ var _util_map__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../util/map */ \"./src/util/map.js\");\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../util/null */ \"./src/util/null.js\");\n/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./schema */ \"./src/graphql/schema.js\");\n/* harmony import */ var _queries__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./queries */ \"./src/graphql/queries.js\");\nfunction _templateObject37(){const data=_taggedTemplateLiteral([\"              SELECT\\n                  objects.id AS parentId,\\n                  connections.fieldname AS fieldname,\\n                  connection_entries.connection_id IS NOT NULL AS hasContents,\\n                  connection_entries.child_id AS childId\\n              FROM transitive_dependencies\\n              JOIN objects\\n                  USING (id)\\n              JOIN connections\\n                  ON objects.id = connections.object_id\\n              LEFT OUTER JOIN connection_entries\\n                  ON connections.rowid = connection_entries.connection_id\\n              ORDER BY\\n                  objects.id, connections.fieldname, connection_entries.idx ASC\\n            \"],[\"\\\\\\n              SELECT\\n                  objects.id AS parentId,\\n                  connections.fieldname AS fieldname,\\n                  connection_entries.connection_id IS NOT NULL AS hasContents,\\n                  connection_entries.child_id AS childId\\n              FROM transitive_dependencies\\n              JOIN objects\\n                  USING (id)\\n              JOIN connections\\n                  ON objects.id = connections.object_id\\n              LEFT OUTER JOIN connection_entries\\n                  ON connections.rowid = connection_entries.connection_id\\n              ORDER BY\\n                  objects.id, connections.fieldname, connection_entries.idx ASC\\n            \"]);_templateObject37=function _templateObject37(){return data;};return data;}function _templateObject36(){const data=_taggedTemplateLiteral([\"              SELECT\\n                parent_id AS parentId,\\n                fieldname AS fieldname,\\n                child_id AS childId\\n              FROM transitive_dependencies JOIN links\\n              ON transitive_dependencies.id = links.parent_id\\n            \"],[\"\\\\\\n              SELECT\\n                parent_id AS parentId,\\n                fieldname AS fieldname,\\n                child_id AS childId\\n              FROM transitive_dependencies JOIN links\\n              ON transitive_dependencies.id = links.parent_id\\n            \"]);_templateObject36=function _templateObject36(){return data;};return data;}function _templateObject35(){const data=_taggedTemplateLiteral([\"              SELECT\\n                object_id AS objectId,\\n                fieldname AS name,\\n                value AS value\\n              FROM transitive_dependencies JOIN primitives\\n              ON transitive_dependencies.id = primitives.object_id\\n              -- Order by field name to ensure that nested fields appear\\n              -- before their eggs: e.g., \\\"author\\\" before \\\"author.user\\\".\\n              ORDER BY fieldname ASC\\n            \"],[\"\\\\\\n              SELECT\\n                object_id AS objectId,\\n                fieldname AS name,\\n                value AS value\\n              FROM transitive_dependencies JOIN primitives\\n              ON transitive_dependencies.id = primitives.object_id\\n              -- Order by field name to ensure that nested fields appear\\n              -- before their eggs: e.g., \\\"author\\\" before \\\"author.user\\\".\\n              ORDER BY fieldname ASC\\n            \"]);_templateObject35=function _templateObject35(){return data;};return data;}function _templateObject34(){const data=_taggedTemplateLiteral([\"                SELECT objects.id AS id, NULL as fieldname\\n                FROM transitive_dependencies\\n                JOIN objects USING (id)\\n                WHERE objects.last_update IS NULL\\n                UNION ALL\\n                SELECT objects.id AS id, connections.fieldname AS fieldname\\n                FROM transitive_dependencies\\n                JOIN objects\\n                    USING (id)\\n                LEFT OUTER JOIN connections\\n                    ON objects.id = connections.object_id\\n                WHERE\\n                    connections.rowid IS NOT NULL\\n                    AND connections.last_update IS NULL\\n              \"],[\"\\\\\\n                SELECT objects.id AS id, NULL as fieldname\\n                FROM transitive_dependencies\\n                JOIN objects USING (id)\\n                WHERE objects.last_update IS NULL\\n                UNION ALL\\n                SELECT objects.id AS id, connections.fieldname AS fieldname\\n                FROM transitive_dependencies\\n                JOIN objects\\n                    USING (id)\\n                LEFT OUTER JOIN connections\\n                    ON objects.id = connections.object_id\\n                WHERE\\n                    connections.rowid IS NOT NULL\\n                    AND connections.last_update IS NULL\\n              \"]);_templateObject34=function _templateObject34(){return data;};return data;}function _templateObject33(){const data=_taggedTemplateLiteral([\"            WITH RECURSIVE\\n            cte_direct_deps (parent_id, child_id) AS (\\n                SELECT parent_id, child_id FROM links\\n                WHERE child_id IS NOT NULL\\n                UNION\\n                SELECT DISTINCT\\n                    connections.object_id AS parent_id,\\n                    connection_entries.child_id AS child_id\\n                FROM connections JOIN connection_entries\\n                ON connections.rowid = connection_entries.connection_id\\n                WHERE child_id IS NOT NULL\\n            ),\\n            cte_transitive_deps (id) AS (\\n                VALUES (:rootId) UNION\\n                SELECT cte_direct_deps.child_id\\n                FROM cte_transitive_deps JOIN cte_direct_deps\\n                ON cte_transitive_deps.id = cte_direct_deps.parent_id\\n            )\\n            INSERT INTO transitive_dependencies (id, typename)\\n            SELECT objects.id AS id, objects.typename AS typename\\n            FROM objects JOIN cte_transitive_deps\\n            ON objects.id = cte_transitive_deps.id\\n          \"],[\"\\\\\\n            WITH RECURSIVE\\n            cte_direct_deps (parent_id, child_id) AS (\\n                SELECT parent_id, child_id FROM links\\n                WHERE child_id IS NOT NULL\\n                UNION\\n                SELECT DISTINCT\\n                    connections.object_id AS parent_id,\\n                    connection_entries.child_id AS child_id\\n                FROM connections JOIN connection_entries\\n                ON connections.rowid = connection_entries.connection_id\\n                WHERE child_id IS NOT NULL\\n            ),\\n            cte_transitive_deps (id) AS (\\n                VALUES (:rootId) UNION\\n                SELECT cte_direct_deps.child_id\\n                FROM cte_transitive_deps JOIN cte_direct_deps\\n                ON cte_transitive_deps.id = cte_direct_deps.parent_id\\n            )\\n            INSERT INTO transitive_dependencies (id, typename)\\n            SELECT objects.id AS id, objects.typename AS typename\\n            FROM objects JOIN cte_transitive_deps\\n            ON objects.id = cte_transitive_deps.id\\n          \"]);_templateObject33=function _templateObject33(){return data;};return data;}function _templateObject32(){const data=_taggedTemplateLiteral([\"          CREATE TEMPORARY TABLE transitive_dependencies (\\n              id TEXT NOT NULL PRIMARY KEY,\\n              typename TEXT NOT NULL\\n          )\\n        \"],[\"\\\\\\n          CREATE TEMPORARY TABLE transitive_dependencies (\\n              id TEXT NOT NULL PRIMARY KEY,\\n              typename TEXT NOT NULL\\n          )\\n        \"]);_templateObject32=function _templateObject32(){return data;};return data;}function _templateObject31(){const data=_taggedTemplateLiteral([\"            UPDATE links SET child_id = :childId\\n            WHERE parent_id = :parentId AND fieldname = :fieldname\\n          \"],[\"\\\\\\n            UPDATE links SET child_id = :childId\\n            WHERE parent_id = :parentId AND fieldname = :fieldname\\n          \"]);_templateObject31=function _templateObject31(){return data;};return data;}function _templateObject30(){const data=_taggedTemplateLiteral([\"            UPDATE primitives\\n            SET value = :value\\n            WHERE object_id = :id AND fieldname = :fieldname\\n          \"],[\"\\\\\\n            UPDATE primitives\\n            SET value = :value\\n            WHERE object_id = :id AND fieldname = :fieldname\\n          \"]);_templateObject30=function _templateObject30(){return data;};return data;}function _templateObject29(){const data=_taggedTemplateLiteral([\"            UPDATE objects SET last_update = :updateId\\n            WHERE id = :objectId\\n          \"],[\"\\\\\\n            UPDATE objects SET last_update = :updateId\\n            WHERE id = :objectId\\n          \"]);_templateObject29=function _templateObject29(){return data;};return data;}function _templateObject28(){const data=_taggedTemplateLiteral([\"        INSERT INTO connection_entries (connection_id, idx, child_id)\\n        VALUES (:connectionId, :idx, :childId)\\n      \"],[\"\\\\\\n        INSERT INTO connection_entries (connection_id, idx, child_id)\\n        VALUES (:connectionId, :idx, :childId)\\n      \"]);_templateObject28=function _templateObject28(){return data;};return data;}function _templateObject27(){const data=_taggedTemplateLiteral([\"          SELECT IFNULL(MAX(idx), 0) + 1 FROM connection_entries\\n          WHERE connection_id = :connectionId\\n        \"],[\"\\\\\\n          SELECT IFNULL(MAX(idx), 0) + 1 FROM connection_entries\\n          WHERE connection_id = :connectionId\\n        \"]);_templateObject27=function _templateObject27(){return data;};return data;}function _templateObject26(){const data=_taggedTemplateLiteral([\"          UPDATE connections\\n          SET\\n              last_update = :updateId,\\n              total_count = :totalCount,\\n              has_next_page = :hasNextPage,\\n              end_cursor = :endCursor\\n          WHERE rowid = :connectionId\\n        \"],[\"\\\\\\n          UPDATE connections\\n          SET\\n              last_update = :updateId,\\n              total_count = :totalCount,\\n              has_next_page = :hasNextPage,\\n              end_cursor = :endCursor\\n          WHERE rowid = :connectionId\\n        \"]);_templateObject26=function _templateObject26(){return data;};return data;}function _templateObject25(){const data=_taggedTemplateLiteral([\"          SELECT rowid FROM connections\\n          WHERE object_id = :objectId AND fieldname = :fieldname\\n        \"],[\"\\\\\\n          SELECT rowid FROM connections\\n          WHERE object_id = :objectId AND fieldname = :fieldname\\n        \"]);_templateObject25=function _templateObject25(){return data;};return data;}function _templateObject24(){const data=_taggedTemplateLiteral([\"          SELECT\\n              last_update IS NOT NULL AS initialized,\\n              end_cursor AS endCursor\\n          FROM connections\\n          WHERE object_id = :objectId AND fieldname = :fieldname\\n        \"],[\"\\\\\\n          SELECT\\n              last_update IS NOT NULL AS initialized,\\n              end_cursor AS endCursor\\n          FROM connections\\n          WHERE object_id = :objectId AND fieldname = :fieldname\\n        \"]);_templateObject24=function _templateObject24(){return data;};return data;}function _templateObject23(){const data=_taggedTemplateLiteral([\"        UPDATE network_log\\n        SET\\n            update_id = :updateId\\n        WHERE rowid = :rowid\\n      \"],[\"\\\\\\n        UPDATE network_log\\n        SET\\n            update_id = :updateId\\n        WHERE rowid = :rowid\\n      \"]);_templateObject23=function _templateObject23(){return data;};return data;}function _templateObject22(){const data=_taggedTemplateLiteral([\"        UPDATE network_log\\n        SET\\n            response = :response,\\n            response_time_epoch_millis = :responseTimestamp\\n        WHERE rowid = :rowid\\n      \"],[\"\\\\\\n        UPDATE network_log\\n        SET\\n            response = :response,\\n            response_time_epoch_millis = :responseTimestamp\\n        WHERE rowid = :rowid\\n      \"]);_templateObject22=function _templateObject22(){return data;};return data;}function _templateObject21(){const data=_taggedTemplateLiteral([\"          INSERT INTO network_log (\\n              query, query_parameters, request_time_epoch_millis\\n          )\\n          VALUES (:query, :queryParameters, :requestTimestamp)\\n        \"],[\"\\\\\\n          INSERT INTO network_log (\\n              query, query_parameters, request_time_epoch_millis\\n          )\\n          VALUES (:query, :queryParameters, :requestTimestamp)\\n        \"]);_templateObject21=function _templateObject21(){return data;};return data;}function _templateObject20(){const data=_taggedTemplateLiteral([\"            SELECT\\n                objects.typename AS objectTypename,\\n                connections.object_id AS objectId,\\n                connections.fieldname AS fieldname,\\n                connections.last_update IS NULL AS neverUpdated,\\n                connections.end_cursor AS endCursor\\n            FROM connections\\n            LEFT OUTER JOIN updates\\n                ON connections.last_update = updates.rowid\\n            JOIN objects\\n                ON connections.object_id = objects.id\\n            WHERE\\n                objectTypename IS NOT NULL\\n                AND (\\n                    connections.has_next_page\\n                    OR connections.last_update IS NULL\\n                    OR updates.time_epoch_millis < :timeEpochMillisThreshold\\n                )\\n          \"],[\"\\\\\\n            SELECT\\n                objects.typename AS objectTypename,\\n                connections.object_id AS objectId,\\n                connections.fieldname AS fieldname,\\n                connections.last_update IS NULL AS neverUpdated,\\n                connections.end_cursor AS endCursor\\n            FROM connections\\n            LEFT OUTER JOIN updates\\n                ON connections.last_update = updates.rowid\\n            JOIN objects\\n                ON connections.object_id = objects.id\\n            WHERE\\n                objectTypename IS NOT NULL\\n                AND (\\n                    connections.has_next_page\\n                    OR connections.last_update IS NULL\\n                    OR updates.time_epoch_millis < :timeEpochMillisThreshold\\n                )\\n          \"]);_templateObject20=function _templateObject20(){return data;};return data;}function _templateObject19(){const data=_taggedTemplateLiteral([\"            SELECT typename AS typename, id AS id\\n            FROM objects\\n            LEFT OUTER JOIN updates ON objects.last_update = updates.rowid\\n            WHERE\\n                typename IS NOT NULL\\n                AND (\\n                    objects.last_update IS NULL\\n                    OR updates.time_epoch_millis < :timeEpochMillisThreshold\\n                )\\n          \"],[\"\\\\\\n            SELECT typename AS typename, id AS id\\n            FROM objects\\n            LEFT OUTER JOIN updates ON objects.last_update = updates.rowid\\n            WHERE\\n                typename IS NOT NULL\\n                AND (\\n                    objects.last_update IS NULL\\n                    OR updates.time_epoch_millis < :timeEpochMillisThreshold\\n                )\\n          \"]);_templateObject19=function _templateObject19(){return data;};return data;}function _templateObject18(){const data=_taggedTemplateLiteral([\"            SELECT id AS id\\n            FROM objects\\n            WHERE typename IS NULL\\n          \"],[\"\\\\\\n            SELECT id AS id\\n            FROM objects\\n            WHERE typename IS NULL\\n          \"]);_templateObject18=function _templateObject18(){return data;};return data;}function _templateObject17(){const data=_taggedTemplateLiteral([\"        INSERT INTO connections (object_id, fieldname)\\n        VALUES (:id, :fieldname)\\n      \"],[\"\\\\\\n        INSERT INTO connections (object_id, fieldname)\\n        VALUES (:id, :fieldname)\\n      \"]);_templateObject17=function _templateObject17(){return data;};return data;}function _templateObject16(){const data=_taggedTemplateLiteral([\"        INSERT INTO links (parent_id, fieldname, child_id)\\n        VALUES (:id, :fieldname, NULL)\\n      \"],[\"\\\\\\n        INSERT INTO links (parent_id, fieldname, child_id)\\n        VALUES (:id, :fieldname, NULL)\\n      \"]);_templateObject16=function _templateObject16(){return data;};return data;}function _templateObject15(){const data=_taggedTemplateLiteral([\"\\n        INSERT INTO primitives (object_id, fieldname, value)\\n        VALUES (:id, :fieldname, NULL)\\n      \"]);_templateObject15=function _templateObject15(){return data;};return data;}function _templateObject14(){const data=_taggedTemplateLiteral([\"          UPDATE objects SET typename = :typename\\n          WHERE id = :id\\n          AND typename IS NULL  -- sanity check\\n          AND :typename IS NOT NULL  -- sanity check\\n        \"],[\"\\\\\\n          UPDATE objects SET typename = :typename\\n          WHERE id = :id\\n          AND typename IS NULL  -- sanity check\\n          AND :typename IS NOT NULL  -- sanity check\\n        \"]);_templateObject14=function _templateObject14(){return data;};return data;}function _templateObject13(){const data=_taggedTemplateLiteral([\"            INSERT INTO objects (id, last_update, typename)\\n            VALUES (:id, NULL, :typename)\\n          \"],[\"\\\\\\n            INSERT INTO objects (id, last_update, typename)\\n            VALUES (:id, NULL, :typename)\\n          \"]);_templateObject13=function _templateObject13(){return data;};return data;}function _templateObject12(){const data=_taggedTemplateLiteral([\"          CREATE TABLE network_log (\\n              rowid INTEGER PRIMARY KEY,\\n              query TEXT,\\n              query_parameters TEXT,  -- stringified JSON object\\n              request_time_epoch_millis INTEGER,\\n              response TEXT,\\n              response_time_epoch_millis INTEGER,\\n              update_id INTEGER,\\n              CHECK((query IS NULL) = (query_parameters IS NULL)),\\n              CHECK((request_time_epoch_millis IS NULL) = (query IS NULL)),\\n              CHECK((response_time_epoch_millis IS NULL) = (response IS NULL)),\\n              FOREIGN KEY(update_id) REFERENCES updates(rowid)\\n          )\\n        \"],[\"\\\\\\n          CREATE TABLE network_log (\\n              rowid INTEGER PRIMARY KEY,\\n              query TEXT,\\n              query_parameters TEXT,  -- stringified JSON object\\n              request_time_epoch_millis INTEGER,\\n              response TEXT,\\n              response_time_epoch_millis INTEGER,\\n              update_id INTEGER,\\n              CHECK((query IS NULL) = (query_parameters IS NULL)),\\n              CHECK((request_time_epoch_millis IS NULL) = (query IS NULL)),\\n              CHECK((response_time_epoch_millis IS NULL) = (response IS NULL)),\\n              FOREIGN KEY(update_id) REFERENCES updates(rowid)\\n          )\\n        \"]);_templateObject12=function _templateObject12(){return data;};return data;}function _templateObject11(){const data=_taggedTemplateLiteral([\"          CREATE INDEX idx_connection_entries__connection_id\\n          ON connection_entries (connection_id)\\n        \"],[\"\\\\\\n          CREATE INDEX idx_connection_entries__connection_id\\n          ON connection_entries (connection_id)\\n        \"]);_templateObject11=function _templateObject11(){return data;};return data;}function _templateObject10(){const data=_taggedTemplateLiteral([\"          CREATE TABLE connection_entries (\\n              rowid INTEGER PRIMARY KEY,\\n              connection_id INTEGER NOT NULL,\\n              idx INTEGER NOT NULL,  -- impose an ordering\\n              child_id TEXT,\\n              UNIQUE(connection_id, idx),\\n              FOREIGN KEY(connection_id) REFERENCES connections(rowid),\\n              FOREIGN KEY(child_id) REFERENCES objects(id)\\n          )\\n        \"],[\"\\\\\\n          CREATE TABLE connection_entries (\\n              rowid INTEGER PRIMARY KEY,\\n              connection_id INTEGER NOT NULL,\\n              idx INTEGER NOT NULL,  -- impose an ordering\\n              child_id TEXT,\\n              UNIQUE(connection_id, idx),\\n              FOREIGN KEY(connection_id) REFERENCES connections(rowid),\\n              FOREIGN KEY(child_id) REFERENCES objects(id)\\n          )\\n        \"]);_templateObject10=function _templateObject10(){return data;};return data;}function _templateObject9(){const data=_taggedTemplateLiteral([\"          CREATE UNIQUE INDEX idx_connections__object_id__fieldname\\n          ON connections (object_id, fieldname)\\n        \"],[\"\\\\\\n          CREATE UNIQUE INDEX idx_connections__object_id__fieldname\\n          ON connections (object_id, fieldname)\\n        \"]);_templateObject9=function _templateObject9(){return data;};return data;}function _templateObject8(){const data=_taggedTemplateLiteral([\"          CREATE TABLE connections (\\n              rowid INTEGER PRIMARY KEY,\\n              object_id TEXT NOT NULL,\\n              fieldname TEXT NOT NULL,\\n              last_update INTEGER,\\n              -- Each of the below fields must be NULL if the connection\\n              -- has never been updated.\\n              total_count INTEGER,\\n              has_next_page BOOLEAN,\\n              -- The end cursor may be NULL if no items are in the connection;\\n              -- this is a consequence of GraphQL and the Relay pagination spec.\\n              -- (It may also be NULL if the connection was never updated.)\\n              end_cursor TEXT,\\n              CHECK((last_update IS NULL) = (total_count IS NULL)),\\n              CHECK((last_update IS NULL) = (has_next_page IS NULL)),\\n              CHECK((last_update IS NULL) <= (end_cursor IS NULL)),\\n              UNIQUE(object_id, fieldname),\\n              FOREIGN KEY(object_id) REFERENCES objects(id),\\n              FOREIGN KEY(last_update) REFERENCES updates(rowid)\\n          )\\n        \"],[\"\\\\\\n          CREATE TABLE connections (\\n              rowid INTEGER PRIMARY KEY,\\n              object_id TEXT NOT NULL,\\n              fieldname TEXT NOT NULL,\\n              last_update INTEGER,\\n              -- Each of the below fields must be NULL if the connection\\n              -- has never been updated.\\n              total_count INTEGER,\\n              has_next_page BOOLEAN,\\n              -- The end cursor may be NULL if no items are in the connection;\\n              -- this is a consequence of GraphQL and the Relay pagination spec.\\n              -- (It may also be NULL if the connection was never updated.)\\n              end_cursor TEXT,\\n              CHECK((last_update IS NULL) = (total_count IS NULL)),\\n              CHECK((last_update IS NULL) = (has_next_page IS NULL)),\\n              CHECK((last_update IS NULL) <= (end_cursor IS NULL)),\\n              UNIQUE(object_id, fieldname),\\n              FOREIGN KEY(object_id) REFERENCES objects(id),\\n              FOREIGN KEY(last_update) REFERENCES updates(rowid)\\n          )\\n        \"]);_templateObject8=function _templateObject8(){return data;};return data;}function _templateObject7(){const data=_taggedTemplateLiteral([\"          CREATE UNIQUE INDEX idx_links__parent_id__fieldname\\n          ON links (parent_id, fieldname)\\n        \"],[\"\\\\\\n          CREATE UNIQUE INDEX idx_links__parent_id__fieldname\\n          ON links (parent_id, fieldname)\\n        \"]);_templateObject7=function _templateObject7(){return data;};return data;}function _templateObject6(){const data=_taggedTemplateLiteral([\"          CREATE TABLE links (\\n              rowid INTEGER PRIMARY KEY,\\n              parent_id TEXT NOT NULL,\\n              fieldname TEXT NOT NULL,\\n              child_id TEXT,\\n              UNIQUE(parent_id, fieldname),\\n              FOREIGN KEY(parent_id) REFERENCES objects(id),\\n              FOREIGN KEY(child_id) REFERENCES objects(id)\\n          )\\n        \"],[\"\\\\\\n          CREATE TABLE links (\\n              rowid INTEGER PRIMARY KEY,\\n              parent_id TEXT NOT NULL,\\n              fieldname TEXT NOT NULL,\\n              child_id TEXT,\\n              UNIQUE(parent_id, fieldname),\\n              FOREIGN KEY(parent_id) REFERENCES objects(id),\\n              FOREIGN KEY(child_id) REFERENCES objects(id)\\n          )\\n        \"]);_templateObject6=function _templateObject6(){return data;};return data;}function _templateObject5(){const data=_taggedTemplateLiteral([\"          CREATE UNIQUE INDEX idx_primitives__object_id__fieldname\\n          ON primitives (object_id, fieldname)\\n        \"],[\"\\\\\\n          CREATE UNIQUE INDEX idx_primitives__object_id__fieldname\\n          ON primitives (object_id, fieldname)\\n        \"]);_templateObject5=function _templateObject5(){return data;};return data;}function _templateObject4(){const data=_taggedTemplateLiteral([\"          CREATE TABLE primitives (\\n              rowid INTEGER PRIMARY KEY,\\n              object_id TEXT NOT NULL,\\n              fieldname TEXT NOT NULL,\\n              value,  -- JSON string, or SQL 0 or 1 for nest fields\\n              UNIQUE(object_id, fieldname),\\n              FOREIGN KEY(object_id) REFERENCES objects(id)\\n          )\\n        \"],[\"\\\\\\n          CREATE TABLE primitives (\\n              rowid INTEGER PRIMARY KEY,\\n              object_id TEXT NOT NULL,\\n              fieldname TEXT NOT NULL,\\n              value,  -- JSON string, or SQL 0 or 1 for nest fields\\n              UNIQUE(object_id, fieldname),\\n              FOREIGN KEY(object_id) REFERENCES objects(id)\\n          )\\n        \"]);_templateObject4=function _templateObject4(){return data;};return data;}function _templateObject3(){const data=_taggedTemplateLiteral([\"          CREATE TABLE objects (\\n              id TEXT NOT NULL PRIMARY KEY,\\n              typename TEXT,\\n              last_update INTEGER,\\n              FOREIGN KEY(last_update) REFERENCES updates(rowid),\\n              CHECK((last_update IS NOT NULL) <= (typename IS NOT NULL))\\n          )\\n        \"],[\"\\\\\\n          CREATE TABLE objects (\\n              id TEXT NOT NULL PRIMARY KEY,\\n              typename TEXT,\\n              last_update INTEGER,\\n              FOREIGN KEY(last_update) REFERENCES updates(rowid),\\n              CHECK((last_update IS NOT NULL) <= (typename IS NOT NULL))\\n          )\\n        \"]);_templateObject3=function _templateObject3(){return data;};return data;}function _templateObject2(){const data=_taggedTemplateLiteral([\"          CREATE TABLE updates (\\n              rowid INTEGER PRIMARY KEY,\\n              time_epoch_millis INTEGER NOT NULL\\n          )\\n        \"],[\"\\\\\\n          CREATE TABLE updates (\\n              rowid INTEGER PRIMARY KEY,\\n              time_epoch_millis INTEGER NOT NULL\\n          )\\n        \"]);_templateObject2=function _templateObject2(){return data;};return data;}function _templateObject(){const data=_taggedTemplateLiteral([\"          CREATE TABLE IF NOT EXISTS meta (\\n              zero INTEGER PRIMARY KEY,\\n              config TEXT NOT NULL\\n          )\\n        \"],[\"\\\\\\n          CREATE TABLE IF NOT EXISTS meta (\\n              zero INTEGER PRIMARY KEY,\\n              config TEXT NOT NULL\\n          )\\n        \"]);_templateObject=function _templateObject(){return data;};return data;}function _taggedTemplateLiteral(strings,raw){if(!raw){raw=strings.slice(0);}return Object.freeze(Object.defineProperties(strings,{raw:{value:Object.freeze(raw)}}));}function ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);if(enumerableOnly)symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;});keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=arguments[i]!=null?arguments[i]:{};if(i%2){ownKeys(Object(source),true).forEach(function(key){_defineProperty(target,key,source[key]);});}else if(Object.getOwnPropertyDescriptors){Object.defineProperties(target,Object.getOwnPropertyDescriptors(source));}else{ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}/**\n * A local mirror of a subset of a GraphQL database.\n *\n * Clients should interact with this module as follows:\n *\n *   - Invoke the constructor to acquire a `Mirror` instance.\n *   - Invoke `registerObject` to register a root object of interest.\n *   - Invoke `update` to update all transitive dependencies.\n *   - Invoke `extract` to retrieve the data in structured form.\n *\n * See the relevant methods for documentation.\n */ /*\n * NOTE(perf): The implementation of this class is not particularly\n * optimized. In particular, when we interact with SQLite, we compile\n * our prepared statements many times over the lifespan of an\n * instance. It may be beneficial to precompile them at instance\n * construction time.\n */class Mirror{/**\n   * Create a GraphQL mirror using the given database connection and\n   * GraphQL schema.\n   *\n   * The connection must be to a database that either (a) is empty and\n   * unused, or (b) has been previously used for a GraphQL mirror with\n   * an identical GraphQL schema and options. The database attached to\n   * the connection must not be modified by any other clients. In other\n   * words, passing a connection to this constructor entails\n   * transferring ownership of the attached database to this module.\n   *\n   * If the database attached to the connection has been used with an\n   * incompatible GraphQL schema or an outdated version of this module,\n   * an error will be thrown and the database will remain unmodified.\n   *\n   * If a list of blacklisted IDs is provided, then any object with\n   * matching ID will be treated as `null` when it appears as the target\n   * of a node reference, nested node reference, or connection entry.\n   * This can be used to work around bugs in remote schemas.\n   *\n   * If `guessTypename` is provided, it should attempt to guess the\n   * typename of an object given its ID, returning `null` if no guess\n   * can be made. This will be used as a cross-check against results\n   * returned from the server to provide an early warning in cases where\n   * the results differ, potentially due to server-side contract\n   * violations. This option only affects console warnings, not the\n   * final state of the mirror.\n   */constructor(db,schema,options){_defineProperty(this,\"_db\",void 0);_defineProperty(this,\"_schema\",void 0);_defineProperty(this,\"_schemaInfo\",void 0);_defineProperty(this,\"_blacklistedIds\",void 0);_defineProperty(this,\"_guessTypename\",void 0);if(db==null)throw new Error(\"db: \"+String(db));if(schema==null)throw new Error(\"schema: \"+String(schema));const fullOptions=_objectSpread({blacklistedIds:[],guessTypename:()=>null},options||{});this._db=db;this._schema=schema;this._schemaInfo=_buildSchemaInfo(this._schema);this._blacklistedIds=(()=>{const result={};for(const id of fullOptions.blacklistedIds){result[id]=true;}return result;})();this._guessTypename=fullOptions.guessTypename;this._initialize();}/**\n   * Embed the GraphQL schema into the database, initializing it for use\n   * as a mirror.\n   *\n   * This method should only be invoked once, at construction time.\n   *\n   * If the database has already been initialized with the same schema\n   * and version, no action is taken and no error is thrown. If the\n   * database has been initialized with a different schema or version,\n   * the database is left unchanged, and an error is thrown.\n   *\n   * A discussion of the database structure follows.\n   *\n   * ---\n   *\n   * Objects have three kinds of fields: connections, links, and\n   * primitives. The database likewise has a `connections` table,\n   * `links` table, and `primitives` table, each storing corresponding\n   * data for all GraphQL object types.\n   *\n   * In more detail:\n   *\n   *   - The `connections` table has a row for each `(id, fieldname)`\n   *     pair, where `fieldname` is the name of a connection field on the\n   *     object with the given ID. This stores metadata about the\n   *     connection: its total count, when it was last updated, etc. It\n   *     does not store the actual entries in the connection (the nodes\n   *     that the connection points to); `connection_entries` stores\n   *     these.\n   *\n   *   - The `links` table has a row for each `(id, fieldname)` pair,\n   *     where `fieldname` is the name of a link field on the object\n   *     with the given ID. This simply points to the referenced object.\n   *\n   *   - The `primitives` table has a row for each `(id, fieldname)`\n   *     pair, where `fieldname` is the name of a (non-ID) primitive\n   *     field on the object with the given ID. The `value` column holds\n   *     the JSON-stringified primitive value: so, for instance, the\n   *     JSON value `null` is represented as the SQL string 'null',\n   *     _not_ SQL NULL, while the JSON string \"null\" is represented as\n   *     the SQL string '\"null\"'. This is primarily to accommodate\n   *     storing booleans: SQLite has no boolean storage class, and we\n   *     cannot simply encode `true` and `false` as `1` and `0` because\n   *     we need to be able to distinguish between these respective\n   *     values when we read them back out. There are other ways to do\n   *     this more efficiently in both space and time (see discussion on\n   *     #883 for some options).\n   *\n   * These fields are type-specific, and so only exist once a node's\n   * typename is set.\n   *\n   * We refer to node and primitive data together as \"own data\", because\n   * this is the data that can be queried uniformly for all elements of\n   * a type; querying connection data, by contrast, requires the\n   * object-specific end cursor.\n   *\n   * Nested fields merit additional explanation. The nested field itself\n   * exists on the `primitives` table with SQL value NULL, 0, or 1 (as\n   * SQL integers, not strings). As with all other primitives, `NULL`\n   * indicates that the value has never been fetched. If the value has\n   * been fetched, it is 0 if the nested field itself was `null` on the\n   * GraphQL result, or 1 if it was present. This field lets us\n   * distinguish \"author: null\" from \"author: {user: null}\".\n   *\n   * The \"eggs\" of a nested field are treated as normal primitive or\n   * link values, whose fieldname is the nested fieldname and egg\n   * fieldname joined by a period. So, if object type `Foo` has nested\n   * field `bar: Schema.nested({baz: Schema.primitive()})`, then the\n   * `primitives` table will include a row with fieldname 'bar.baz'.\n   * Likewise, a row in the `links` table might have fieldname\n   * 'quux.zod'.\n   *\n   * All aforementioned tables are keyed by object ID. Each object also\n   * appears once in the `objects` table, which relates its ID,\n   * typename, and last own-data update. Each connection has its own\n   * last-update value, because connections can be updated independently\n   * of each other and of own-data. An object's typename may be `NULL`\n   * if we have only reached the object through edges of unfaithful\n   * type, in which case we will perform an extra query to definitively\n   * determine fetch the object's type before requesting its own data or\n   * connections.\n   *\n   * Note that any object in the database should have entries in the\n   * `connections`, `links`, and `primitives` tables for all relevant\n   * fields, even if the node has never been updated. This is for\n   * convenience of implementation: it means that the first fetch for a\n   * node is the same as subsequent fetches (a simple SQL `UPDATE`\n   * instead of first requiring an existence check).\n   *\n   * A table `network_log` logs all GraphQL requests made by this module\n   * and their corresponding responses, as well as the update created\n   * from the response. This is for debugging. For example, if a node in\n   * the database is corrupt in some way, inspecting the network log\n   * will show exactly which queries caused it to enter its broken\n   * state. In theory, it should be possible to replay the network log\n   * to re-create the database state exactly, though no tooling exists\n   * to do so automatically.\n   *\n   * Finally, a table `meta` is used to store metadata about the mirror\n   * itself. This is used to make sure that the mirror is not loaded\n   * with an incompatible version of the code or schema. It is never\n   * updated after it is first set.\n   */_initialize(){// The following version number must be updated if there is any\n// change to the way in which a GraphQL schema is mapped to a SQL\n// schema or the way in which the resulting SQL schema is\n// interpreted. If you've made a change and you're not sure whether\n// it requires bumping the version, bump it: requiring some extra\n// one-time cache resets is okay; doing the wrong thing is not.\nconst blob=json_stable_stringify__WEBPACK_IMPORTED_MODULE_1___default()({version:\"MIRROR_v9\",schema:this._schema,options:{blacklistedIds:this._blacklistedIds}});const db=this._db;db.transaction(()=>{// We store the metadata in a singleton table `meta`, whose unique row\n// has primary key `0`. Only the first ever insert will succeed; we\n// are locked into the first config.\ndb.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject())).run();const existingBlob=db.prepare(\"SELECT config FROM meta\").pluck().get();if(existingBlob===blob){// Already set up; nothing to do.\nreturn;}else if(existingBlob!==undefined){throw new Error(\"Database already populated with \"+\"incompatible schema, options, or version\");}db.prepare(\"INSERT INTO meta (zero, config) VALUES (0, ?)\").run(blob);const tables=[// Time is stored in milliseconds since 1970-01-01T00:00Z, with\n// ECMAScript semantics (leap seconds ignored, exactly 86.4M ms\n// per day, etc.).\n//\n// We use milliseconds rather than seconds because (a) this\n// simplifies JavaScript interop to a simple `+new Date()` and\n// `new Date(value)`, and (b) this avoids a lurking Year 2038\n// problem by surfacing >32-bit values immediately. (We have\n// over 200,000 years before the number of milliseconds since\n// epoch is more than `Number.MAX_SAFE_INTEGER`.)\nObject(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject2()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject3()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject4()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject5()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject6()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject7()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject8()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject9()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject10()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject11()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject12())];for(const sql of tables){db.prepare(sql).run();}})();}/**\n   * Register a new update, representing one communication with the\n   * remote server. A unique ID will be created and returned.\n   */_createUpdate(updateTimestamp){return this._db.prepare(\"INSERT INTO updates (time_epoch_millis) VALUES (?)\").run(+updateTimestamp).lastInsertRowid;}/**\n   * Inform the GraphQL mirror of the existence of an object. The\n   * object's ID must be specified. The object's concrete type may also\n   * be specified, in which case it must be an OBJECT type in the\n   * GraphQL schema.\n   *\n   * If the object has previously been registered with the same type, no\n   * action is taken and no error is raised. If the object has\n   * previously been registered with a different type, an error is\n   * thrown, and the database is left unchanged.\n   */registerObject(object){this._db.transaction(()=>{this._nontransactionallyRegisterObject(object);})();}/**\n   * As `registerObject`, but do not enter any transactions. Other\n   * methods may call this method as a subroutine in a larger\n   * transaction.\n   *\n   * This internal method also permits registering an object without\n   * specifying its typename.\n   */_nontransactionallyRegisterObject(object,guessMismatchMessage){const db=this._db;const{typename,id}=object;if(guessMismatchMessage==null){guessMismatchMessage=guess=>{const s=JSON.stringify;const message=\"object \".concat(s(object.id),\" \")+\"looks like it should have type \".concat(s(guess),\", \")+\"not \".concat(s(object.typename));return message;};}const existingTypename=db.prepare(\"SELECT typename FROM objects WHERE id = ?\").pluck().get(id);if(existingTypename===typename){// Already registered, and no typename upgrade; nothing to do.\nreturn;}else if(existingTypename!=null&&typename==null){// Already registered, and already have typename; nothing to do.\nreturn;}else if(existingTypename===undefined){// OK: New registration.\n}else if(existingTypename===null){// OK: Typename upgrade. Take the user-supplied type as reliable.\n// We still need to add primitives, links, and connections rows.\n}else{// Not OK: Already had a typename, but it didn't match.\nconst s=JSON.stringify;throw new Error(\"Inconsistent type for ID \".concat(s(id),\": \")+\"expected \".concat(s(existingTypename),\", got \").concat(s(typename)));}if(typename!=null){if(this._schema[typename]==null){throw new Error(\"Unknown type: \"+JSON.stringify(typename));}if(this._schema[typename].type!==\"OBJECT\"){throw new Error(\"Cannot add object of non-object type: \"+\"\".concat(JSON.stringify(typename),\" (\").concat(this._schema[typename].type,\")\"));}const guess=this._guessTypename(object.id);if(guess!=null&&guess!==object.typename){console.warn(\"Warning: \"+guessMismatchMessage(guess));}}if(existingTypename===undefined){this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject13())).run({id,typename});}else{// Should be a typename upgrade.\nconst stmt=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject14()));_makeSingleUpdateFunction(stmt)({id,typename});}if(typename==null){// Can't add fields if typename not known.\nreturn;}const addPrimitive=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject15()));const addLink=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject16()));const addConnection=this._db.prepare(// These fields are initialized to NULL because there has\n// been no update and so they have no meaningful values:\n// last_update, total_count, has_next_page, end_cursor.\nObject(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject17()));const objectType=this._schemaInfo.objectTypes[typename];for(const fieldname of objectType.primitiveFieldNames){addPrimitive.run({id,fieldname});}for(const fieldname of objectType.linkFieldNames){addLink.run({id,fieldname});}for(const parentFieldname of objectType.nestedFieldNames){addPrimitive.run({id,fieldname:parentFieldname});const children=objectType.nestedFields[parentFieldname];for(const childFieldname of Object.keys(children.primitives)){const fieldname=\"\".concat(parentFieldname,\".\").concat(childFieldname);addPrimitive.run({id,fieldname});}for(const childFieldname of Object.keys(children.nodes)){const fieldname=\"\".concat(parentFieldname,\".\").concat(childFieldname);addLink.run({id,fieldname});}}for(const fieldname of objectType.connectionFieldNames){addConnection.run({id,fieldname});}}/**\n   * Register an object corresponding to the provided `NodeFieldResult`,\n   * if any, returning the object's ID. If the provided value is `null`,\n   * no action is taken, no error is thrown, and `null` is returned.\n   *\n   * As with `registerObject`, an error is thrown if an object by the\n   * given ID already exists with a different typename.\n   *\n   * This method does not begin or end any transactions. Other methods\n   * may call this method as a subroutine in a larger transaction.\n   *\n   * See: `registerObject`.\n   */_nontransactionallyRegisterNodeFieldResult(result,context){if(result==null){return null;}else if(this._blacklistedIds[result.id]){return null;}else{// If queried via an unfaithful field, typename will be missing;\n// in that case, register the object with unknown type (`null`).\nconst typename=result.__typename===undefined?null:result.__typename;const id=result.id;const object={typename,id};this._nontransactionallyRegisterObject(object,guess=>{const s=JSON.stringify;const message=\"object \".concat(s(object.id),\" \")+\"looks like it should have type \".concat(s(guess),\", \")+\"but the server claims that it has type \".concat(s(object.typename));return\"\".concat(context(),\": \").concat(message);});return object.id;}}/**\n   * Find objects and connections that are not known to be up-to-date.\n   *\n   * An object's typename is up-to-date if it has ever been fetched from\n   * a faithful field reference or a direct typename query.\n   *\n   * An object is up-to-date if its own data has been loaded at least as\n   * recently as the provided date.\n   *\n   * A connection is up-to-date if it has been fetched at least as\n   * recently as the provided date, and at the time of fetching there\n   * were no more pages.\n   */_findOutdated(since){const db=this._db;return db.transaction(()=>{const typenames=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject18())).pluck().all();const objects=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject19())).all({timeEpochMillisThreshold:+since});const connections=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject20())).all({timeEpochMillisThreshold:+since}).map(entry=>{const result=_objectSpread({},entry);if(result.neverUpdated){result.endCursor=undefined;// as opposed to `null`\n}delete result.neverUpdated;return result;});return{typenames,objects,connections};})();}/**\n   * Check whether the given query plan indicates that the mirror is\n   * already up to date and no further queries are required.\n   */_isUpToDate(queryPlan){return queryPlan.typenames.length===0&&queryPlan.objects.length===0&&queryPlan.connections.length===0;}/**\n   * Create a GraphQL selection set to fetch data corresponding to the\n   * given query plan.\n   *\n   * The resulting GraphQL should be embedded into a top-level query.\n   *\n   * The result of this query is an `UpdateResult`.\n   *\n   * This function is pure: it does not interact with the database.\n   */_queryFromPlan(queryPlan,options){const fetchTypenamesFor=queryPlan.typenames.slice(0,options.typenamesLimit);const typenameBatches=[];for(let i=0;i<fetchTypenamesFor.length;i+=options.nodesOfTypeLimit){typenameBatches.push(fetchTypenamesFor.slice(i,i+options.nodesOfTypeLimit));}// Group objects by type, so that we have to specify each type's\n// fieldset fewer times (only once per `nodesOfTypeLimit` nodes\n// instead of for every node).\nconst objectsByType=new Map();for(const object of queryPlan.objects.slice(0,options.nodesLimit)){_util_map__WEBPACK_IMPORTED_MODULE_3__[\"pushValue\"](objectsByType,object.typename,object.id);}const paginatedObjectsByType=[];for(const[typename,allIds]of objectsByType.entries()){for(let i=0;i<allIds.length;i+=options.nodesOfTypeLimit){const ids=allIds.slice(i,i+options.nodesOfTypeLimit);paginatedObjectsByType.push({typename,ids});}}// Group connections by object, so that we only have to fetch the\n// node once.\nconst connectionsByObject=new Map();for(const connection of queryPlan.connections.slice(0,options.connectionLimit)){let existing=connectionsByObject.get(connection.objectId);if(existing==null){existing={typename:connection.objectTypename,connections:[]};connectionsByObject.set(connection.objectId,existing);}else{if(connection.objectTypename!==existing.typename){const s=JSON.stringify;throw new Error(\"Query plan has inconsistent typenames for \"+\"object \".concat(s(connection.objectId),\": \")+\"\".concat(s(existing.typename),\" vs. \").concat(s(connection.objectTypename)));}}existing.connections.push({fieldname:connection.fieldname,endCursor:connection.endCursor});}const b=_queries__WEBPACK_IMPORTED_MODULE_6__[\"build\"];// Each top-level field other than `typenames` corresponds to either\n// an object type (fetching own data for objects of that type) or a\n// particular node (updating connections on that node). We alias\n// each such field, which is necessary to ensure that their names\n// are all unique. The names chosen are sufficient to identify which\n// _kind_ of query the field corresponds to (type's own data vs\n// node's connections), but do not need to identify the particular\n// type or node in question. This is because all descendant\n// selections are self-describing: they include the ID of any\n// relevant objects.\nreturn[].concat(typenameBatches.map((typenames,i)=>{const name=\"\".concat(_FIELD_PREFIXES.TYPENAMES).concat(i);return b.alias(name,b.field(\"nodes\",{ids:b.list(typenames.map(id=>b.literal(id)))},this._queryTypename()));}),paginatedObjectsByType.map((_ref,i)=>{let{typename,ids}=_ref;const name=\"\".concat(_FIELD_PREFIXES.OWN_DATA).concat(i);return b.alias(name,b.field(\"nodes\",{ids:b.list(ids.map(id=>b.literal(id)))},[b.inlineFragment(typename,this._queryOwnData(typename))]));}),_util_map__WEBPACK_IMPORTED_MODULE_3__[\"mapToArray\"](connectionsByObject,(_ref2,i)=>{let[id,{typename,connections}]=_ref2;const name=\"\".concat(_FIELD_PREFIXES.NODE_CONNECTIONS).concat(i);return b.alias(name,b.field(\"node\",{id:b.literal(id)},[b.field(\"id\"),b.inlineFragment(typename,[].concat(...connections.map((_ref3)=>{let{fieldname,endCursor}=_ref3;return this._queryConnection(typename,fieldname,endCursor,options.connectionPageSize);})))]));}));}/**\n   * Ingest data given by an `UpdateResult`. This is porcelain over\n   * `_updateConnection` and `_updateOwnData`.\n   *\n   * See: `_findOutdated`.\n   * See: `_queryFromPlan`.\n   */_updateData(updateId,queryResult){this._db.transaction(()=>{this._nontransactionallyUpdateData(updateId,queryResult);})();}/**\n   * As `_updateData`, but do not enter any transactions. Other methods\n   * may call this method as a subroutine in a larger transaction.\n   */_nontransactionallyUpdateData(updateId,queryResult){for(const topLevelKey of Object.keys(queryResult)){const rawValue=queryResult[topLevelKey];if(topLevelKey.startsWith(_FIELD_PREFIXES.TYPENAMES)){const updateRecord=rawValue;this._nontransactionallyUpdateTypenames(updateRecord);}else if(topLevelKey.startsWith(_FIELD_PREFIXES.OWN_DATA)){const updateRecord=rawValue;this._nontransactionallyUpdateOwnData(updateId,updateRecord);}else if(topLevelKey.startsWith(_FIELD_PREFIXES.NODE_CONNECTIONS)){const updateRecord=rawValue;for(const fieldname of Object.keys(updateRecord)){if(fieldname===\"id\"){continue;}this._nontransactionallyUpdateConnection(updateId,updateRecord.id,fieldname,updateRecord[fieldname]);}}else{throw new Error(\"Bad key in query result: \"+JSON.stringify(topLevelKey));}}}/**\n   * Save the request query and query parameters to the database.\n   */_logRequest(body,variables,timestamp){const query=_queries__WEBPACK_IMPORTED_MODULE_6__[\"stringify\"].body(body,_queries__WEBPACK_IMPORTED_MODULE_6__[\"inlineLayout\"]());const queryParameters=json_stable_stringify__WEBPACK_IMPORTED_MODULE_1___default()(variables);return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject21())).run({query,queryParameters,requestTimestamp:+timestamp}).lastInsertRowid;}/**\n   * Save the network response and response timestamp to the table row\n   * corresponding to the request that generated it.\n   */_logResponse(rowid,jsonResponse,timestamp){const response=json_stable_stringify__WEBPACK_IMPORTED_MODULE_1___default()(jsonResponse);const stmt=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject22()));const saveResponse=_makeSingleUpdateFunction(stmt);saveResponse({response,responseTimestamp:+timestamp,rowid});}/**\n   * Save the UpdateId in the table row corresponding to the network request\n   * that generated it.\n   */_logRequestUpdateId(rowid,updateId){const stmt=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject23()));const saveUpdateId=_makeSingleUpdateFunction(stmt);saveUpdateId({rowid,updateId});}/**\n   * Perform one step of the update loop: find outdated entities, fetch\n   * their updates, and feed the results back into the database.\n   *\n   * Returns a promise that resolves to `true` if any changes were made.\n   */async _updateStep(postQuery,options){const queryPlan=this._findOutdated(options.since);if(this._isUpToDate(queryPlan)){return Promise.resolve(false);}const querySelections=this._queryFromPlan(queryPlan,{// TODO(@wchargin): Expose `typenamesLimit` as an option and fix\n// up callers.\ntypenamesLimit:options.nodesLimit,nodesLimit:options.nodesLimit,nodesOfTypeLimit:options.nodesOfTypeLimit,connectionPageSize:options.connectionPageSize,connectionLimit:options.connectionLimit});const body=[_queries__WEBPACK_IMPORTED_MODULE_6__[\"build\"].query(\"MirrorUpdate\",[],querySelections)];const variables={};const requestRowId=this._logRequest(body,variables,options.now());const result=await postQuery({body,variables});this._logResponse(requestRowId,result,options.now());this._db.transaction(()=>{const updateId=this._createUpdate(options.now());this._logRequestUpdateId(requestRowId,updateId);this._nontransactionallyUpdateData(updateId,result);})();return Promise.resolve(true);}/**\n   * Update this mirror with new information from a remote GraphQL\n   * server.\n   *\n   * The `postQuery` function should post a GraphQL query to the remote\n   * server and return the `data` contents of its response, rejecting if\n   * there are any errors. (Note that this requirement may change\n   * backward-incompatibly in future versions of this module, in the\n   * case that we wish to handle deletions without regenerating all\n   * data.)\n   *\n   * The options are as follows:\n   *\n   *   - `since`: Fetch all data that is not known to be up-to-date as\n   *     of the provided time. For instance, to fetch all objects more\n   *     than a day old, use `new Date(new Date() - 86400e3)`.\n   *\n   *   - `now`: Function to yield the current date, which will be used\n   *     as the modification time for any objects or connections updated\n   *     in this process. Should probably be `() => new Date()`.\n   *\n   *   - `connectionPageSize`: Maximum number of entries to fetch in any\n   *     given connection. Some providers have a hard limit of 100 on\n   *     this value.\n   *\n   *   - `connectionLimit`: Maximum number of connections to fetch in a\n   *     single query.\n   *\n   * See: `registerObject`.\n   * See: `extract`.\n   */async update(postQuery,options){while(await this._updateStep(postQuery,options));}/**\n   * Create a GraphQL selection set required to identify an object of\n   * the given declared type, which may be either an object type or a\n   * union type. This is the minimal required data whenever we find a\n   * reference to an object that we want to traverse later.\n   *\n   * The `fidelity` argument should be the fidelity of the field being\n   * traversed. If it is faithful, the object's typename will be queried\n   * as well; if it is unfaithful, the typename will not be requested.\n   *\n   * The resulting GraphQL should be embedded in the context of any node\n   * of the provided type. For instance, `_queryShallow(\"Issue\")`\n   * returns a selection set that might replace the `?` in any of the\n   * following queries:\n   *\n   *     repository(owner: \"foo\", name: \"bar\") {\n   *       issues(first: 1) {\n   *         nodes { ? }\n   *       }\n   *     }\n   *\n   *     nodes(ids: [\"issue#1\", \"issue#2\"]) { ? }\n   *\n   * The result of this query has type `NodeFieldResult`.\n   *\n   * This function is pure: it does not interact with the database.\n   */_queryShallow(typename,fidelity){const type=this._schema[typename];if(type==null){// Should not be reachable via APIs.\nthrow new Error(\"No such type: \"+JSON.stringify(typename));}const b=_queries__WEBPACK_IMPORTED_MODULE_6__[\"build\"];const typenameQuery=[];switch(fidelity.type){case\"FAITHFUL\":typenameQuery.push(b.field(\"__typename\"));break;case\"UNFAITHFUL\":// Do not query typename.\nbreak;// istanbul ignore next\ndefault:throw new Error(fidelity.type);}switch(type.type){case\"SCALAR\":throw new Error(\"Cannot create selections for scalar type: \"+JSON.stringify(typename));case\"ENUM\":throw new Error(\"Cannot create selections for enum type: \"+JSON.stringify(typename));case\"OBJECT\":return[...typenameQuery,b.field(\"id\")];case\"UNION\":return[// Known issue: This selection set may be empty if the field\n// is unfaithful and the union type has no clauses. This would\n// emit an invalid GraphQL query; the GraphQL syntax requires\n// at least one selection. However, empty union types are also\n// disallowed in GraphQL, so this should not be a problem on a\n// well-formed schema. Handling this properly would require\n// transitively upward-pruning the query and seems unlikely to\n// be worth it at this time.\n...typenameQuery,...this._schemaInfo.unionTypes[typename].clauses.map(clause=>b.inlineFragment(clause,[b.field(\"id\")]))];// istanbul ignore next\ndefault:throw new Error(type.type);}}/**\n   * Get the current value of the end cursor on a connection, or\n   * `undefined` if the object has never been fetched. If no object by\n   * the given ID is known, or the object does not have a connection of\n   * the given name, then an error is thrown.\n   *\n   * Note that `null` is a valid end cursor and is distinct from\n   * `undefined`.\n   */_getEndCursor(objectId,fieldname){const result=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject24()))// No need to worry about corruption in the form of multiple\n// matches: there is a UNIQUE(object_id, fieldname) constraint.\n.get({objectId,fieldname});if(result===undefined){const s=JSON.stringify;throw new Error(\"No such connection: \".concat(s(objectId),\".\").concat(s(fieldname)));}return result.initialized?result.endCursor:undefined;}/**\n   * Create a GraphQL selection set to fetch elements from a collection,\n   * specified by its enclosing object type and the connection field\n   * name (for instance, \"Repository\" and \"issues\").\n   *\n   * If the connection has been queried before and you wish to fetch new\n   * elements, use an appropriate end cursor. Use `undefined` otherwise.\n   * Note that `null` is a valid end cursor and is distinct from\n   * `undefined`. Note that these semantics are compatible with the\n   * return value of `_getEndCursor`.\n   *\n   * If an end cursor for a particular node's connection was specified,\n   * then the resulting GraphQL should be embedded in the context of\n   * that node. For instance, if repository \"foo/bar\" has ID \"baz\" and\n   * an end cursor of \"c000\" on its \"issues\" connection, then the\n   * GraphQL emitted by `_queryConnection(\"issues\", \"c000\")` might\n   * replace the `?` in the following query:\n   *\n   *     node(id: \"baz\") { ? }\n   *\n   * If no end cursor was specified, then the resulting GraphQL may be\n   * embedded in the context of _any_ node with a connection of the\n   * appropriate fieldname. For instance, `_queryConnection(\"issues\")`\n   * emits GraphQL that may replace the `?` in either of the following\n   * queries:\n   *\n   *     node(id: \"baz\") { ? }  # where \"baz\" is a repository ID\n   *     repository(owner: \"foo\", name: \"bar\") { ? }\n   *\n   * Note, however, that this query will fetch nodes from the _start_ of\n   * the connection. It would be wrong to append these results onto an\n   * connection for which we have already fetched data.\n   *\n   * The result of this query has type `ConnectionFieldResult`.\n   *\n   * This function is pure: it does not interact with the database.\n   *\n   * See: `_getEndCursor`.\n   * See: `_updateConnection`.\n   */_queryConnection(typename,fieldname,endCursor,connectionPageSize){if(this._schema[typename]==null){throw new Error(\"No such type: \"+JSON.stringify(typename));}if(this._schema[typename].type!==\"OBJECT\"){const s=JSON.stringify;throw new Error(\"Cannot query connection on non-object type \".concat(s(typename),\" \")+\"(\".concat(this._schema[typename].type,\")\"));}const field=this._schemaInfo.objectTypes[typename].fields[fieldname];if(field==null){const s=JSON.stringify;throw new Error(\"Object type \".concat(s(typename),\" has no field \").concat(s(fieldname)));}if(field.type!==\"CONNECTION\"){const s=JSON.stringify;throw new Error(\"Cannot query non-connection field \".concat(s(typename),\".\").concat(s(fieldname),\" \")+\"(\".concat(field.type,\")\"));}const b=_queries__WEBPACK_IMPORTED_MODULE_6__[\"build\"];const connectionArguments={first:b.literal(connectionPageSize)};if(endCursor!==undefined){connectionArguments.after=b.literal(endCursor);}return[b.field(fieldname,connectionArguments,[b.field(\"totalCount\"),b.field(\"pageInfo\",{},[b.field(\"endCursor\"),b.field(\"hasNextPage\")]),b.field(\"nodes\",{},this._queryShallow(field.elementType,field.fidelity))])];}/**\n   * Ingest new entries in a connection on an existing object.\n   *\n   * The connection's last update will be set to the given value, which\n   * must be an existing update lest an error be thrown.\n   *\n   * If the object does not exist or does not have a connection by the\n   * given name, an error will be thrown.\n   *\n   * See: `_queryConnection`.\n   * See: `_createUpdate`.\n   */_updateConnection(updateId,objectId,fieldname,queryResult){this._db.transaction(()=>{this._nontransactionallyUpdateConnection(updateId,objectId,fieldname,queryResult);})();}/**\n   * As `_updateConnection`, but do not enter any transactions. Other\n   * methods may call this method as a subroutine in a larger\n   * transaction.\n   */_nontransactionallyUpdateConnection(updateId,objectId,fieldname,queryResult){const db=this._db;const connectionId=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject25())).pluck().get({objectId,fieldname});// There is a UNIQUE(object_id, fieldname) constraint, so we don't\n// have to worry about pollution due to duplicates. But it's\n// possible that no such connection exists, indicating that the\n// object has not been registered. This is an error.\nif(connectionId===undefined){const s=JSON.stringify;throw new Error(\"No such connection: \".concat(s(objectId),\".\").concat(s(fieldname)));}db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject26())).run({updateId,totalCount:queryResult.totalCount,hasNextPage:+queryResult.pageInfo.hasNextPage,endCursor:queryResult.pageInfo.endCursor,connectionId});let nextIndex=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject27())).pluck().get({connectionId});const addEntry=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject28()));for(const node of queryResult.nodes){const childId=this._nontransactionallyRegisterNodeFieldResult(node,()=>{const s=JSON.stringify;return\"when processing \"+\"\".concat(s(fieldname),\" connection of object \").concat(s(objectId));});const idx=nextIndex++;addEntry.run({connectionId,idx,childId});}}/**\n   * Create a GraphQL selection set required to fetch the own-data\n   * (primitives and node references) of an object, but not its\n   * connection entries. The result depends only on the (concrete) type\n   * of the object, not its ID.\n   *\n   * The provided typename must correspond to an object type, not a\n   * union type; otherwise, an error will be thrown.\n   *\n   * The resulting GraphQL can be embedded into the context of any node\n   * with the provided typename. For instance, if there are issues with\n   * IDs \"#1\" and \"#2\", then `_queryOwnData(\"Issue\")` emits GraphQL\n   * that may replace the `?` in any of the following queries:\n   *\n   *     repository(owner: \"foo\", name: \"bar\") {\n   *       issues(first: 1) { ? }\n   *     }\n   *     nodes(ids: [\"#1\", \"#2\") { ... on Issue { ? } }\n   *     node(id: \"#1\") { ... on Issue { ? } }\n   *\n   * The result of this query has type `E`, where `E` is the element\n   * type of `OwnDataUpdateResult`. That is, it is an object with shape\n   * that depends on the provided typename: the name of each ID or\n   * primitive field is a key mapping to a primitive value, and the name\n   * of each node field is a key mapping to a `NodeFieldResult`.\n   * Additionally, the attribute \"__typename\" maps to the node's\n   * typename.\n   *\n   * This function is pure: it does not interact with the database.\n   */_queryOwnData(typename){const type=this._schema[typename];if(type==null){throw new Error(\"No such type: \".concat(JSON.stringify(typename)));}if(type.type!==\"OBJECT\"){throw new Error(\"Not an object type: \".concat(JSON.stringify(typename),\" (\").concat(type.type,\")\"));}const b=_queries__WEBPACK_IMPORTED_MODULE_6__[\"build\"];return[b.field(\"__typename\"),...Object.keys(type.fields).map(fieldname=>{const field=type.fields[fieldname];switch(field.type){case\"ID\":return b.field(fieldname);case\"PRIMITIVE\":return b.field(fieldname);case\"NODE\":return b.field(fieldname,{},this._queryShallow(field.elementType,field.fidelity));case\"CONNECTION\":// Not handled by this function.\nreturn null;case\"NESTED\":return b.field(fieldname,{},Object.keys(field.eggs).map(childFieldname=>{const childField=field.eggs[childFieldname];switch(childField.type){case\"PRIMITIVE\":return b.field(childFieldname);case\"NODE\":return b.field(childFieldname,{},this._queryShallow(childField.elementType,childField.fidelity));// istanbul ignore next\ndefault:throw new Error(childField.type);}}));// istanbul ignore next\ndefault:throw new Error(field.type);}}).filter(Boolean)];}/**\n   * Ingest own-data (primitive and link) updates for many objects of a\n   * fixed concrete type. Every object in the input list must have the\n   * same `__typename` attribute, which must be the name of a valid\n   * object type.\n   *\n   * See: `_queryOwnData`.\n   */_updateOwnData(updateId,queryResult){this._db.transaction(()=>{this._nontransactionallyUpdateOwnData(updateId,queryResult);})();}/**\n   * As `_updateOwnData`, but do not enter any transactions. Other\n   * methods may call this method as a subroutine in a larger\n   * transaction.\n   */_nontransactionallyUpdateOwnData(updateId,queryResult){if(queryResult.length===0){return;}const typename=queryResult[0].__typename;if(this._schema[typename]==null){throw new Error(\"Unknown type: \"+JSON.stringify(typename));}if(this._schema[typename].type!==\"OBJECT\"){throw new Error(\"Cannot update data for non-object type: \"+\"\".concat(JSON.stringify(typename),\" (\").concat(this._schema[typename].type,\")\"));}const db=this._db;const objectType=this._schemaInfo.objectTypes[typename];// First, make sure that all objects for which we're given own data\n// actually exist and have the correct typename.\n{const checkTypename=db.prepare(\"SELECT typename IS NOT NULL FROM objects WHERE id = ?\").pluck();for(const entry of queryResult){const hasTypename=checkTypename.get(entry.id);if(hasTypename==null){throw new Error(\"Cannot update data for nonexistent node: \"+JSON.stringify(entry.id));}if(!hasTypename){throw new Error(\"Cannot update data before typename known: \"+JSON.stringify(entry.id));}if(entry.__typename!==typename){const s=JSON.stringify;throw new Error(\"Result set has inconsistent typenames: \"+\"\".concat(s(typename),\" vs. \").concat(s(entry.__typename)));}}}// Set each node's `lastUpdate` time.\n{const setLastUpdate=(()=>{const stmt=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject29()));const update=_makeSingleUpdateFunction(stmt);return objectId=>update({objectId,updateId});})();for(const entry of queryResult){setLastUpdate(entry.id);}}// Update each node's primitive data.\n//\n// (This typedef would be in the following block statement but for\n// facebook/flow#6961.)\n{const parameterNameFor={topLevelField(fieldname){return[\"t\",fieldname].join(\"_\");},nestedField(nestFieldname,eggFieldname){return[\"n\",String(nestFieldname.length),nestFieldname,eggFieldname].join(\"_\");}};const updatePrimitive=_makeSingleUpdateFunction(db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject30())));for(const entry of queryResult){const primitives={id:entry.id};// Add top-level primitives.\nfor(const fieldname of objectType.primitiveFieldNames){const value=entry[fieldname];const primitive=value;if(primitive===undefined){const s=JSON.stringify;throw new Error(\"Missing primitive \".concat(s(fieldname),\" on \").concat(s(entry.id),\" \")+\"of type \".concat(s(typename),\" (got \").concat(primitive,\")\"));}const jsonValue=JSON.stringify(primitive);primitives[parameterNameFor.topLevelField(fieldname)]=jsonValue;updatePrimitive({id:entry.id,fieldname,value:jsonValue});}// Add nested primitives.\nfor(const nestFieldname of objectType.nestedFieldNames){const nestValue=entry[nestFieldname];const topLevelNested=nestValue;if(topLevelNested===undefined){const s=JSON.stringify;throw new Error(\"Missing nested field \"+\"\".concat(s(nestFieldname),\" on \").concat(s(entry.id),\" \")+\"of type \".concat(s(typename),\" (got \").concat(topLevelNested,\")\"));}primitives[parameterNameFor.topLevelField(nestFieldname)]=topLevelNested==null?0:1;updatePrimitive({id:entry.id,fieldname:nestFieldname,value:topLevelNested==null?0:1});const eggFields=objectType.nestedFields[nestFieldname].primitives;for(const eggFieldname of Object.keys(eggFields)){const eggValue=topLevelNested==null?null:topLevelNested[eggFieldname];const primitive=eggValue;if(primitive===undefined){const s=JSON.stringify;throw new Error(\"Missing nested field \"+\"\".concat(s(nestFieldname),\".\").concat(s(eggFieldname),\" \")+\"on \".concat(s(entry.id),\" \")+\"of type \".concat(s(typename),\" (got \").concat(primitive,\")\"));}const jsonValue=JSON.stringify(primitive);primitives[parameterNameFor.nestedField(nestFieldname,eggFieldname)]=jsonValue;updatePrimitive({id:entry.id,fieldname:\"\".concat(nestFieldname,\".\").concat(eggFieldname),value:jsonValue});}}}}// Update each node's links.\n{const updateLink=(()=>{const stmt=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject31()));return _makeSingleUpdateFunction(stmt);})();for(const entry of queryResult){// Add top-level links.\nfor(const fieldname of objectType.linkFieldNames){const value=entry[fieldname];const link=value;if(link===undefined){const s=JSON.stringify;throw new Error(\"Missing node reference \".concat(s(fieldname),\" on \").concat(s(entry.id),\" \")+\"of type \".concat(s(typename),\" (got \").concat(link,\")\"));}const parentId=entry.id;const childId=this._nontransactionallyRegisterNodeFieldResult(link,()=>\"when setting \"+\"\".concat(typename,\"[\").concat(JSON.stringify(parentId),\"].\").concat(fieldname));updateLink({parentId,fieldname,childId});}// Add nested links.\nfor(const nestFieldname of objectType.nestedFieldNames){const nestValue=entry[nestFieldname];const topLevelNested=nestValue;// No need for an extra safety check that this is present: we\n// handled that while covering primitive fields.\nconst childFields=objectType.nestedFields[nestFieldname].nodes;for(const childFieldname of Object.keys(childFields)){const childValue=topLevelNested==null?null:topLevelNested[childFieldname];const link=childValue;if(link===undefined){const s=JSON.stringify;throw new Error(\"Missing nested field \"+\"\".concat(s(nestFieldname),\".\").concat(s(childFieldname),\" \")+\"on \".concat(s(entry.id),\" \")+\"of type \".concat(s(typename),\" (got \").concat(link,\")\"));}const fieldname=\"\".concat(nestFieldname,\".\").concat(childFieldname);const parentId=entry.id;const childId=this._nontransactionallyRegisterNodeFieldResult(link,()=>\"when setting \"+\"\".concat(typename,\"[\").concat(JSON.stringify(parentId),\"].\").concat(fieldname));updateLink({parentId,fieldname,childId});}}}}// Last-updates, primitives, and links all updated: we're done.\n}/**\n   * Create a GraphQL selection set required to fetch the typename of an\n   * object. The resulting GraphQL can be embedded in any node context.\n   *\n   * The result of this query has type `E`, where `E` is the element\n   * type of `TypenamesUpdateResult`.\n   *\n   * This function is pure: it does not interact with the database.\n   */_queryTypename(){const b=_queries__WEBPACK_IMPORTED_MODULE_6__[\"build\"];return[b.field(\"__typename\"),b.field(\"id\")];}/**\n   * Ingest typenames for many object IDs.\n   *\n   * See: `_queryTypenames`.\n   */_updateTypenames(queryResult){this._db.transaction(()=>{this._nontransactionallyUpdateTypenames(queryResult);})();}/**\n   * As `_updateTypenames`, but do not enter any transactions. Other\n   * methods may call this method as a subroutine in a larger\n   * transaction.\n   */_nontransactionallyUpdateTypenames(queryResult){for(const datum of queryResult){// Need to go through `registerObject` to ensure that primitives,\n// links, and connections are initialized.\nthis._nontransactionallyRegisterObject({id:datum.id,typename:datum.__typename});}}/**\n   * Extract a structured object and all of its transitive dependencies\n   * from the database.\n   *\n   * The result is an object whose keys are fieldnames, and whose values\n   * are:\n   *\n   *   - for \"__typename\": the object's GraphQL typename;\n   *   - for \"id\": the object's GraphQL ID;\n   *   - for primitive fields: the corresponding primitive value;\n   *   - for node reference fields: a reference to the corresponding\n   *     extracted object, which may be `null`;\n   *   - for connection fields: an in-order array of the corresponding\n   *     extracted objects, each of which may be `null`;\n   *   - for nested fields: an object with primitive and node reference\n   *     fields in the same form as above (note: nested objects do not\n   *     automatically have a \"__typename\" field).\n   *\n   * For instance, the result of `extract(\"issue:1\")` might be:\n   *\n   *     {\n   *       __typename: \"Issue\",\n   *       id: \"issue:1172\",\n   *       title: \"bug: holding <Space> causes CPU to overheat\",\n   *       body: \"We should fix this immediately.\",\n   *       author: {\n   *         __typename: \"User\",\n   *         id: \"user:admin\",\n   *         login: \"admin\",\n   *       },\n   *       comments: [\n   *         {\n   *           __typename: \"IssueComment\",\n   *           body: \"I depend on this behavior; please do not change it.\",\n   *           author: {\n   *             __typename: \"User\",\n   *             id: \"user:longtimeuser4\",\n   *             login: \"longtimeuser4\",\n   *           },\n   *         },\n   *         {\n   *           __typename: \"IssueComment\",\n   *           body: \"That's horrifying.\",\n   *           author: {\n   *             __typename: \"User\",\n   *             id: \"user:admin\",\n   *             login: \"admin\",\n   *           },\n   *         },\n   *       ],\n   *       timeline: [\n   *         {\n   *           __typename: \"Commit\",\n   *           messageHeadline: \"reinstate CPU warmer (fixes #1172)\",\n   *           author: {\n   *             date: \"2001-02-03T04:05:06-07:00\",\n   *             user: {\n   *               __typename: \"User\",\n   *               id: \"user:admin\",\n   *               login: \"admin\",\n   *             }\n   *           }\n   *         }\n   *       ],\n   *     }\n   *\n   * (Here, \"title\" is a primitive, the \"author\" field on an issue is a\n   * node reference, \"comments\" is a connection, and the \"author\" field\n   * on a commit is a nested object.)\n   *\n   * The returned structure may be circular.\n   *\n   * If a node appears more than one time in the result---for instance,\n   * the \"user:admin\" node above---all instances will refer to the same\n   * object. However, objects are distinct across calls to `extract`, so\n   * it is safe to deeply mutate the result of this function.\n   *\n   * The provided object ID must correspond to a known object, or an\n   * error will be thrown. Furthermore, all transitive dependencies of\n   * the object must have been at least partially loaded at some point,\n   * or an error will be thrown.\n   */extract(rootId){const db=this._db;return db.transaction(()=>{// Pre-compute transitive dependencies into a temporary table.\ndb.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject32())).run();try{db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject33())).run({rootId});// Check to make sure all required objects and connections have\n// been updated at least once.\n{const neverUpdatedEntry=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject34())).get();if(neverUpdatedEntry!==undefined){const entry=neverUpdatedEntry;const s=JSON.stringify;const missingData=entry.fieldname==null?\"own data\":\"\".concat(s(entry.fieldname),\" connection\");throw new Error(\"\".concat(s(rootId),\" transitively depends on \").concat(s(entry.id),\", \")+\"but that object's \".concat(missingData,\" has never been fetched\"));}}// Constructing the result set inherently requires mutation,\n// because the object graph can have cycles. We start by\n// creating a record for each object, with just that object's\n// typename and ID. Then, we link in primitives, node\n// references, and connection entries.\nconst allObjects=new Map();// Initialize `allObjects`.\n{const getObjects=db.prepare(\"SELECT id AS id, typename AS typename FROM transitive_dependencies\");for(const object of getObjects.iterate()){allObjects.set(object.id,{id:object.id,__typename:object.typename});}}// Fill in primitive data.\n{const getPrimitives=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject35()));for(const field of getPrimitives.iterate()){const object=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](allObjects.get(field.objectId));if(field.value===0){// Nested object is absent.\nobject[field.name]=null;}else if(field.value===1){// Nested object is present.\nobject[field.name]={};}else{// Normal field, not nested object indicator.\nconst value=JSON.parse(field.value);const parts=field.name.split(\".\");switch(parts.length){case 1:object[field.name]=value;break;case 2:{const[nestName,eggName]=parts;if(object[nestName]!==null){object[nestName][eggName]=value;}break;}// istanbul ignore next: should not be possible\ndefault:throw new Error(\"Corruption: bad field name: \".concat(JSON.stringify(field.name)));}}}}// Add links.\n{const getLinks=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject36()));for(const link of getLinks.iterate()){const parent=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](allObjects.get(link.parentId));const child=link.childId==null?null:_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](allObjects.get(link.childId));const{fieldname}=link;const parts=fieldname.split(\".\");switch(parts.length){case 1:parent[fieldname]=child;break;case 2:{const[nestName,eggName]=parts;if(parent[nestName]!==null){parent[nestName][eggName]=child;}break;}// istanbul ignore next: should not be possible\ndefault:throw new Error(\"Corruption: bad link name: \".concat(JSON.stringify(fieldname)));}}}// Add connections.\n{const getConnectionData=db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject37()));for(const datum of getConnectionData.iterate()){const parent=_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](allObjects.get(datum.parentId));if(parent[datum.fieldname]===undefined){parent[datum.fieldname]=[];}if(datum.hasContents){const child=datum.childId==null?null:_util_null__WEBPACK_IMPORTED_MODULE_4__[\"get\"](allObjects.get(datum.childId));parent[datum.fieldname].push(child);}}}const result=allObjects.get(rootId);if(result===undefined){throw new Error(\"No such object: \"+JSON.stringify(rootId));}return result;}finally{this._db.prepare(\"DROP TABLE temp.transitive_dependencies\").run();}})();}}/**\n * Decomposition of a schema, grouping types by their kind (object vs.\n * union) and object fields by their kind (primitive vs. link vs.\n * connection).\n *\n * All arrays contain elements in arbitrary order.\n */function _buildSchemaInfo(schema){const result={objectTypes:{},unionTypes:{}};for(const typename of Object.keys(schema)){const type=schema[typename];switch(type.type){case\"SCALAR\":// Nothing to do.\nbreak;case\"ENUM\":// Nothing to do.\nbreak;case\"OBJECT\":{const entry={fields:type.fields,nestedFields:{},primitiveFieldNames:[],linkFieldNames:[],connectionFieldNames:[],nestedFieldNames:[]};result.objectTypes[typename]=entry;for(const fieldname of Object.keys(type.fields)){const field=type.fields[fieldname];switch(field.type){case\"ID\":break;case\"PRIMITIVE\":entry.primitiveFieldNames.push(fieldname);break;case\"NODE\":entry.linkFieldNames.push(fieldname);break;case\"CONNECTION\":entry.connectionFieldNames.push(fieldname);break;case\"NESTED\":{entry.nestedFieldNames.push(fieldname);const nestedFieldData={primitives:{},nodes:{}};for(const eggFieldname of Object.keys(field.eggs)){const eggField=field.eggs[eggFieldname];switch(eggField.type){case\"PRIMITIVE\":nestedFieldData.primitives[eggFieldname]=eggField;break;case\"NODE\":nestedFieldData.nodes[eggFieldname]=eggField;break;// istanbul ignore next\ndefault:throw new Error(eggField.type);}}entry.nestedFields[fieldname]=nestedFieldData;break;}// istanbul ignore next\ndefault:throw new Error(field.type);}}break;}case\"UNION\":{const entry={clauses:Object.keys(type.clauses)};result.unionTypes[typename]=entry;break;}// istanbul ignore next\ndefault:throw new Error(type.type);}}return result;}const _FIELD_PREFIXES=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({/**\n   * A key of an `UpdateResult` has this prefix if and only if the\n   * corresponding value represents `TypenamesUpdateResult`s.\n   */TYPENAMES:\"typenames_\",/**\n   * A key of an `UpdateResult` has this prefix if and only if the\n   * corresponding value represents `OwnDataUpdateResult`s.\n   */OWN_DATA:\"owndata_\",/**\n   * A key of an `UpdateResult` has this prefix if and only if the\n   * corresponding value represents `NodeConnectionsUpdateResult`s.\n   */NODE_CONNECTIONS:\"node_\"});/**\n * Convert a prepared statement into a JS function that executes that\n * statement and asserts that it makes exactly one change to the\n * database.\n *\n * The prepared statement must use only named parameters, not positional\n * parameters.\n *\n * The prepared statement must not return data (e.g., INSERT and UPDATE\n * are okay; SELECT is not).\n *\n * The statement is not executed inside an additional transaction, so in\n * the case that the assertion fails, the effects of the statement are\n * not rolled back by this function.\n *\n * This is useful when the statement is like `UPDATE ... WHERE id = ?`\n * and it is assumed that `id` is a primary key for a record already\n * exists---if either existence or uniqueness fails, this method will\n * raise an error quickly instead of leading to a corrupt state.\n *\n * For example, this code...\n *\n *     const setName: ({|+userId: string, +newName: string|}) => void =\n *       _makeSingleUpdateFunction(\n *         \"UPDATE users SET name = :newName WHERE id = :userId\"\n *       );\n *     setName({userId: \"user:foo\", newName: \"The Magnificent Foo\"});\n *\n * ...will update `user:foo`'s name, or throw an error if there is no\n * such user or if multiple users have this ID.\n */function _makeSingleUpdateFunction(stmt){if(stmt.reader){throw new Error(\"Cannot create update function for statement that returns data: \"+stmt.source);}return args=>{const result=stmt.run(args);if(result.changes!==1){throw new Error(\"Bad change count: \"+JSON.stringify({source:stmt.source,args,changes:result.changes}));}};}\n\n//# sourceURL=webpack:///./src/graphql/mirror.js?");

/***/ }),

/***/ "./src/graphql/queries.js":
/*!********************************!*\
  !*** ./src/graphql/queries.js ***!
  \********************************/
/*! exports provided: build, multilineLayout, inlineLayout, stringify */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"build\", function() { return build; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"multilineLayout\", function() { return multilineLayout; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"inlineLayout\", function() { return inlineLayout; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"stringify\", function() { return stringify; });\n/**\n * GraphQL structured query data format.\n *\n * Main module exports:\n *   - lots of types for various GraphQL language constructs\n *   - the `build` object, providing a fluent builder API\n *   - the `stringify` object, and particularly `stringify.body`\n *   - the two layout strategies `multilineLayout` and `inlineLayout`\n */ // We only need opaque type handles; no need to embed the GraphQL type\n// system into Flow.\nconst build={query(name,params,selections){return{type:\"QUERY\",name,params,selections};},param(name,type){return{name,type};},fragment(name,typeCondition,selections){return{type:\"FRAGMENT\",name,typeCondition,selections};},field(name,args,selections){return{type:\"FIELD\",alias:null,name,args:args||{},selections:selections||[]};},alias(newAlias,field){return{type:\"FIELD\",alias:newAlias,name:field.name,args:field.args,selections:field.selections};},fragmentSpread(fragmentName){return{type:\"FRAGMENT_SPREAD\",fragmentName};},inlineFragment(typeCondition,selections){return{type:\"INLINE_FRAGMENT\",typeCondition,selections};},variable(name){return{type:\"VARIABLE\",data:name};},literal(value){return{type:\"LITERAL\",data:value};},enumLiteral(value){return{type:\"ENUM\",data:value};},list(data){return{type:\"LIST\",data:data};},object(data){return{type:\"OBJECT\",data:data};}};/**\n * A strategy for stringifying a sequence of GraphQL language tokens.\n */ /**\n * Create a layout strategy that lays out text over multiple lines,\n * indenting with the given tab string (such as \"\\t\" or \"  \").\n */function multilineLayout(tab){function strategy(indentLevel){return{atom:line=>{const indentation=Array(indentLevel).fill(tab).join(\"\");return indentation+line;},join:xs=>xs.join(\"\\n\"),next:()=>strategy(indentLevel+1)};}return strategy(0);}/**\n * Create a layout strategy that lays out all text on one line.\n */function inlineLayout(){const result={atom:line=>line,join:xs=>xs.join(\" \"),next:()=>result};return result;}/*\n * Map a stringification function across a list, and join the results\n * with a formatter.\n */function formatList(values,subformatter,ls){return ls.join(values.map(x=>subformatter(x,ls)));}/*\n * Map a stringification function across the values of an object, and\n * join the keys and their corresponding results with a formatter.\n */function formatObject(object,subformatter,ls){function formatKey(k,ls){return ls.join([ls.atom(\"\".concat(k,\":\")),subformatter(object[k],ls.next())]);}return formatList(Object.keys(object),formatKey,ls);}const stringify={body(body,ls){return formatList(body,stringify.definition,ls);},definition(definition,ls){switch(definition.type){case\"QUERY\":return stringify.queryDefinition(definition,ls);case\"FRAGMENT\":return stringify.fragmentDefinition(definition,ls);// istanbul ignore next: unreachable per Flow\ndefault:throw new Error(\"Unknown definition type: \".concat(definition.type));}},queryDefinition(query,ls){const paramsPart=(()=>{if(query.params.length===0){return\"\";}else{const items=formatList(query.params,stringify.parameter,inlineLayout());return\"(\".concat(items,\")\");}})();const selectionsPart=formatList(query.selections,stringify.selection,ls.next());return ls.join([ls.atom(\"query \".concat(query.name).concat(paramsPart,\" {\")),selectionsPart,ls.atom(\"}\")]);},parameter(parameter,ls){return ls.atom(\"$\".concat(parameter.name,\": \").concat(parameter.type));},fragmentDefinition(fragment,ls){const selectionsPart=formatList(fragment.selections,stringify.selection,ls.next());return ls.join([ls.atom(\"fragment \".concat(fragment.name,\" on \").concat(fragment.typeCondition,\" {\")),selectionsPart,ls.atom(\"}\")]);},selection(selection,ls){switch(selection.type){case\"FIELD\":return stringify.field(selection,ls);case\"FRAGMENT_SPREAD\":return stringify.fragmentSpread(selection,ls);case\"INLINE_FRAGMENT\":return stringify.inlineFragment(selection,ls);// istanbul ignore next: unreachable per Flow\ndefault:throw new Error(\"Unknown selection type: \".concat(selection.type));}},field(field,ls){const aliasPart=(()=>{if(field.alias==null){return\"\";}else{return\"\".concat(field.alias,\": \");}})();const argsPart=(()=>{if(Object.keys(field.args).length===0){return\"\";}else{const args=formatObject(field.args,stringify.value,inlineLayout());return\"(\".concat(args,\")\");}})();if(field.selections.length===0){return ls.atom(\"\".concat(field.name).concat(argsPart));}else{const selectionsPart=formatList(field.selections,stringify.selection,ls.next());return ls.join([ls.atom(\"\".concat(aliasPart).concat(field.name).concat(argsPart,\" {\")),selectionsPart,ls.atom(\"}\")]);}},fragmentSpread(fs,ls){return ls.atom(\"...\".concat(fs.fragmentName));},inlineFragment(fragment,ls){const typeConditionPart=fragment.typeCondition==null?\"\":\" on \".concat(fragment.typeCondition);const selectionsPart=formatList(fragment.selections,stringify.selection,ls.next());return ls.join([ls.atom(\"...\".concat(typeConditionPart,\" {\")),selectionsPart,ls.atom(\"}\")]);},value(value,ls){switch(value.type){case\"VARIABLE\":return stringify.variableValue(value,ls);case\"LITERAL\":return stringify.literalValue(value,ls);case\"ENUM\":return stringify.enumValue(value,ls);case\"LIST\":return stringify.listValue(value,ls);case\"OBJECT\":return stringify.objectValue(value,ls);// istanbul ignore next: unreachable per Flow\ndefault:throw new Error(\"Unknown value type: \".concat(value.type));}},variableValue(value,ls){return ls.atom(\"$\".concat(value.data));},literalValue(value,ls){return ls.atom(JSON.stringify(value.data));},enumValue(value,ls){return ls.atom(value.data);},listValue(value,ls){return ls.join([ls.atom(\"[\"),formatList(value.data,stringify.value,ls.next()),ls.atom(\"]\")]);},objectValue(value,ls){return ls.join([ls.atom(\"{\"),formatObject(value.data,stringify.value,ls.next()),ls.atom(\"}\")]);}};\n\n//# sourceURL=webpack:///./src/graphql/queries.js?");

/***/ }),

/***/ "./src/graphql/schema.js":
/*!*******************************!*\
  !*** ./src/graphql/schema.js ***!
  \*******************************/
/*! exports provided: faithful, unfaithful, schema, scalar, enum, object, union, id, primitive, node, connection, nonNull, nullable, nested */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"faithful\", function() { return faithful; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"unfaithful\", function() { return unfaithful; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"schema\", function() { return schema; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"scalar\", function() { return scalar; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"enum\", function() { return enum_; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"object\", function() { return object; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"union\", function() { return union; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"id\", function() { return id; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"primitive\", function() { return primitive; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"node\", function() { return node; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"connection\", function() { return connection; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"nonNull\", function() { return nonNull; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"nullable\", function() { return nullable; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"nested\", function() { return nested; });\nfunction ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);if(enumerableOnly)symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;});keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=arguments[i]!=null?arguments[i]:{};if(i%2){ownKeys(Object(source),true).forEach(function(key){_defineProperty(target,key,source[key]);});}else if(Object.getOwnPropertyDescriptors){Object.defineProperties(target,Object.getOwnPropertyDescriptors(source));}else{ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}/**\n * Data types to describe a particular subset of GraphQL schemata.\n * Schemata represented by this module must satisfy these constraints:\n *\n *   - Every object must have an `id` field of primitive type.\n *   - Every field of an object must be either a primitive, a reference\n *     to a single (possibly nullable) object, or a _connection_ as\n *     described in the Relay cursor connections specification. In\n *     particular, no field may directly contain a list.\n *   - Interface types must be represented as unions of all their\n *     implementations.\n */ // The name of a GraphQL type, like `Repository` or `Int`.\n// The name of a GraphQL object field, like `name` or `pullRequests`.\n// The database-wide unique ID of a GraphQL object.\n// Description of a GraphQL schema. Types are represented as follows:\n//   - An object type is represented directly as an `OBJECT`.\n//   - A union type is represented directly as a `UNION`.\n//   - An interface type is represented as a `UNION` of all its\n//     implementations.\n//   - Scalars and enums may only occur as object fields, and are\n//     represented as `PRIMITIVE`s (except for `ID`s).\n//   - Connections are supported as object fields, but arbitrary lists\n//     are not.\n//\n// Primitive and enum fields on an object type may optionally be\n// annotated with their representations.\n//\n// To accommodate schemata where some object types do not have IDs,\n// objects may have \"nested\" fields of primitive or node-reference type.\n// These may be nested to depth exactly 1. Suppose that `Foo` is an\n// object type that includes `bar: Bar!`, but `Bar` is an object type\n// without an `id`. Then `Bar` may not be a first-class type, but `Foo`\n// may pull properties off of it using\n//\n//     bar: nested({x: primitive(), y: node(\"Baz\")});\n//\n// The property \"bar\" in the above example is called a _nested_\n// property, and its fields \"x\" and \"y\" are called _eggs_. (The nest\n// contains the eggs.)\n// A field is _faithful_ if selecting its `__typename` and `id` will\n// always yield the correct `__typename` for the node of the given ID.\n// In theory, this should always be the case, but some remote schemas\n// are broken. For details, see:\n//\n//   - https://github.com/sourcecred/sourcecred/issues/996\n//   - https://github.com/sourcecred/sourcecred/issues/998\n//\n// For an unfaithful field, the `actualTypenames` property lists all the\n// types of objects that can _actually_ be returned when the field is\n// queried. (This set only affects generated Flow types, not runtime\n// semantics.) These must all be object types.\n//\n// It is always sound to represent an actually-faithful field as\n// unfaithful, but doing so may incur additional queries. Marking a type\n// as faithful should be seen as an optimization that may be performed\n// only when the server is abiding by its contract for that field.\nfunction faithful(){return{type:\"FAITHFUL\"};}function unfaithful(actualTypenames){const actualTypenamesObject={};for(const t of actualTypenames){actualTypenamesObject[t]=true;}return{type:\"UNFAITHFUL\",actualTypenames:actualTypenamesObject};}// Every object must have exactly one `id` field, and it must have this\n// name.\nconst ID_FIELD_NAME=\"id\";function schema(types){function assertKind(path,elementTypename,validKinds){let{isFidelity=false}=arguments.length>3&&arguments[3]!==undefined?arguments[3]:{};const self=(isFidelity?\"unfaithful typenames list of \":\"\")+\"field \".concat(path.map(x=>JSON.stringify(x)).join(\"/\"));const elementType=types[elementTypename];if(elementType==null){throw new Error(\"\".concat(self,\" has unknown type: \\\"\").concat(elementTypename,\"\\\"\"));}if(!validKinds.includes(elementType.type)){throw new Error(\"\".concat(self,\" has invalid type \\\"\").concat(elementTypename,\"\\\" \")+\"of kind \\\"\".concat(elementType.type,\"\\\"\"));}}function validateFidelity(path,fidelity){switch(fidelity.type){case\"FAITHFUL\":break;case\"UNFAITHFUL\":for(const typename of Object.keys(fidelity.actualTypenames)){assertKind(path,typename,[\"OBJECT\"],{isFidelity:true});}break;// istanbul ignore next: unreachable per Flow\ndefault:throw new Error(fidelity.type);}}const result={};for(const typename of Object.keys(types)){const type=types[typename];switch(type.type){case\"SCALAR\":result[typename]={type:\"SCALAR\",representation:type.representation};break;case\"ENUM\":result[typename]={type:\"ENUM\",values:_objectSpread({},type.values)};break;case\"OBJECT\":for(const fieldname of Object.keys(type.fields)){const field=type.fields[fieldname];switch(field.type){case\"ID\":// Nothing to check.\nbreak;case\"PRIMITIVE\":if(field.annotation!=null){assertKind([typename,fieldname],field.annotation.elementType,[\"SCALAR\",\"ENUM\"]);}break;case\"NODE\":assertKind([typename,fieldname],field.elementType,[\"OBJECT\",\"UNION\"]);validateFidelity([typename,fieldname],field.fidelity);break;case\"CONNECTION\":assertKind([typename,fieldname],field.elementType,[\"OBJECT\",\"UNION\"]);validateFidelity([typename,fieldname],field.fidelity);break;case\"NESTED\":for(const eggName of Object.keys(field.eggs)){const egg=field.eggs[eggName];switch(egg.type){case\"PRIMITIVE\":if(egg.annotation!=null){assertKind([typename,fieldname,eggName],egg.annotation.elementType,[\"SCALAR\",\"ENUM\"]);}break;case\"NODE\":assertKind([typename,fieldname,eggName],egg.elementType,[\"OBJECT\",\"UNION\"]);validateFidelity([typename,fieldname,eggName],egg.fidelity);break;// istanbul ignore next: unreachable per Flow\ndefault:throw new Error(egg.type);}}break;// istanbul ignore next: unreachable per Flow\ndefault:throw new Error(field.type);}}result[typename]={type:\"OBJECT\",fields:_objectSpread({},type.fields)};break;case\"UNION\":for(const clause of Object.keys(type.clauses)){const clauseType=types[clause];if(clauseType==null){throw new Error(\"union has unknown clause: \\\"\".concat(typename,\"\\\"/\\\"\").concat(clause,\"\\\"\"));}if(clauseType.type!==\"OBJECT\"){// The GraphQL spec doesn't permit unions of interfaces or\n// other unions (or primitives). This is nice, because it\n// means that we don't have to worry about ill-founded\n// unions.\nthrow new Error(\"union has non-object type clause: \\\"\".concat(typename,\"\\\"/\\\"\").concat(clause,\"\\\"\"));}}result[typename]={type:\"UNION\",clauses:_objectSpread({},type.clauses)};break;// istanbul ignore next\ndefault:throw new Error(type.type);}}return result;}function scalar(representation){return{type:\"SCALAR\",representation};}function enum_(values){const valuesObject={};for(const v of values){valuesObject[v]=true;}return{type:\"ENUM\",values:valuesObject};}function object(fields){for(const fieldname of Object.keys(fields)){const field=fields[fieldname];if(fieldname===\"__typename\"){throw new Error(\"reserved field name: \"+fieldname);}if(field.type===\"ID\"&&fieldname!==ID_FIELD_NAME){throw new Error(\"invalid ID field with name \\\"\".concat(fieldname,\"\\\"\"));}}if(fields[ID_FIELD_NAME]==null){throw new Error(\"expected ID field with name \\\"\".concat(ID_FIELD_NAME,\"\\\"\"));}if(fields[ID_FIELD_NAME].type!==\"ID\"){throw new Error(\"field \\\"\".concat(ID_FIELD_NAME,\"\\\" must be an ID field\"));}// Workaround for <https://github.com/facebook/flow/issues/7128>.\nconst exactFields=_objectSpread({},fields);return{type:\"OBJECT\",fields:exactFields};}function union(clauses){const clausesMap={};for(const clause of clauses){if(clausesMap[clause]!=null){throw new Error(\"duplicate union clause: \\\"\".concat(clause,\"\\\"\"));}clausesMap[clause]=true;}return{type:\"UNION\",clauses:clausesMap};}function id(){return{type:\"ID\"};}function primitive(annotation){return{type:\"PRIMITIVE\",annotation:annotation||null};}function node(elementType){let fidelity=arguments.length>1&&arguments[1]!==undefined?arguments[1]:faithful();return{type:\"NODE\",elementType,fidelity};}function connection(elementType){let fidelity=arguments.length>1&&arguments[1]!==undefined?arguments[1]:faithful();return{type:\"CONNECTION\",elementType,fidelity};}function nonNull(elementType){return{nonNull:true,elementType};}function nullable(elementType){return{nonNull:false,elementType};}function nested(eggs){return{type:\"NESTED\",eggs:_objectSpread({},eggs)};}\n\n//# sourceURL=webpack:///./src/graphql/schema.js?");

/***/ }),

/***/ "./src/plugins/discourse/address.js":
/*!******************************************!*\
  !*** ./src/plugins/discourse/address.js ***!
  \******************************************/
/*! exports provided: topicAddress, postAddress, userAddress, likeAddress */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"topicAddress\", function() { return topicAddress; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"postAddress\", function() { return postAddress; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"userAddress\", function() { return userAddress; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"likeAddress\", function() { return likeAddress; });\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _declaration__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./declaration */ \"./src/plugins/discourse/declaration.js\");\nfunction topicAddress(serverUrl,id){return _core_graph__WEBPACK_IMPORTED_MODULE_0__[\"NodeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_1__[\"topicNodeType\"].prefix,serverUrl,String(id));}function postAddress(serverUrl,id){return _core_graph__WEBPACK_IMPORTED_MODULE_0__[\"NodeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_1__[\"postNodeType\"].prefix,serverUrl,String(id));}function userAddress(serverUrl,username){return _core_graph__WEBPACK_IMPORTED_MODULE_0__[\"NodeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_1__[\"userNodeType\"].prefix,serverUrl,username);}function likeAddress(serverUrl,like){return _core_graph__WEBPACK_IMPORTED_MODULE_0__[\"NodeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_1__[\"likeNodeType\"].prefix,serverUrl,like.username,String(like.postId));}\n\n//# sourceURL=webpack:///./src/plugins/discourse/address.js?");

/***/ }),

/***/ "./src/plugins/discourse/cliPlugin.js":
/*!********************************************!*\
  !*** ./src/plugins/discourse/cliPlugin.js ***!
  \********************************************/
/*! exports provided: DiscourseCliPlugin */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"DiscourseCliPlugin\", function() { return DiscourseCliPlugin; });\n/* harmony import */ var better_sqlite3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! better-sqlite3 */ \"better-sqlite3\");\n/* harmony import */ var better_sqlite3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(better_sqlite3__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! fs-extra */ \"fs-extra\");\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(fs_extra__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! path */ \"path\");\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var _createGraph__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./createGraph */ \"./src/plugins/discourse/createGraph.js\");\n/* harmony import */ var _declaration__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./declaration */ \"./src/plugins/discourse/declaration.js\");\n/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./config */ \"./src/plugins/discourse/config.js\");\n/* harmony import */ var _analysis_pluginDeclaration__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../analysis/pluginDeclaration */ \"./src/analysis/pluginDeclaration.js\");\n/* harmony import */ var _mirrorRepository__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./mirrorRepository */ \"./src/plugins/discourse/mirrorRepository.js\");\n/* harmony import */ var _fetch__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./fetch */ \"./src/plugins/discourse/fetch.js\");\n/* harmony import */ var _mirror__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./mirror */ \"./src/plugins/discourse/mirror.js\");\n/* harmony import */ var _referenceDetector__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./referenceDetector */ \"./src/plugins/discourse/referenceDetector.js\");\nasync function loadConfig(dirContext){const dirname=dirContext.configDirectory();const path=Object(path__WEBPACK_IMPORTED_MODULE_2__[\"join\"])(dirname,\"config.json\");const contents=await fs_extra__WEBPACK_IMPORTED_MODULE_1___default.a.readFile(path);return Promise.resolve(Object(_config__WEBPACK_IMPORTED_MODULE_5__[\"parseConfig\"])(JSON.parse(contents)));}async function repository(ctx,serverUrl){const path=Object(path__WEBPACK_IMPORTED_MODULE_2__[\"join\"])(ctx.cacheDirectory(),\"discourseMirror.db\");const db=await new better_sqlite3__WEBPACK_IMPORTED_MODULE_0___default.a(path);return new _mirrorRepository__WEBPACK_IMPORTED_MODULE_7__[\"SqliteMirrorRepository\"](db,serverUrl);}class DiscourseCliPlugin{declaration(){return _declaration__WEBPACK_IMPORTED_MODULE_4__[\"declaration\"];}async load(ctx,reporter){const{serverUrl,mirrorOptions}=await loadConfig(ctx);const repo=await repository(ctx,serverUrl);const fetcher=new _fetch__WEBPACK_IMPORTED_MODULE_8__[\"Fetcher\"]({serverUrl});const mirror=new _mirror__WEBPACK_IMPORTED_MODULE_9__[\"Mirror\"](repo,fetcher,serverUrl,mirrorOptions);await mirror.update(reporter);}async graph(ctx,rd){const _=rd;// TODO(#1808): not yet used\nconst config=await loadConfig(ctx);const repo=await repository(ctx,config.serverUrl);const graph=Object(_createGraph__WEBPACK_IMPORTED_MODULE_3__[\"createGraph\"])(config.serverUrl,repo);const weights=Object(_analysis_pluginDeclaration__WEBPACK_IMPORTED_MODULE_6__[\"weightsForDeclaration\"])(_declaration__WEBPACK_IMPORTED_MODULE_4__[\"declaration\"]);return{graph,weights};}async referenceDetector(ctx){const config=await loadConfig(ctx);const repo=await repository(ctx,config.serverUrl);return new _referenceDetector__WEBPACK_IMPORTED_MODULE_10__[\"DiscourseReferenceDetector\"](repo);}}\n\n//# sourceURL=webpack:///./src/plugins/discourse/cliPlugin.js?");

/***/ }),

/***/ "./src/plugins/discourse/config.js":
/*!*****************************************!*\
  !*** ./src/plugins/discourse/config.js ***!
  \*****************************************/
/*! exports provided: parseConfig */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parseConfig\", function() { return parseConfig; });\n/* harmony import */ var _util_combo__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/combo */ \"./src/util/combo.js\");\n/* harmony import */ var _mirror__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./mirror */ \"./src/plugins/discourse/mirror.js\");\nconst parser=(()=>{const C=_util_combo__WEBPACK_IMPORTED_MODULE_0__;return C.object({serverUrl:C.fmap(C.string,serverUrl=>{const httpRE=new RegExp(/^https?:\\/\\//);if(!httpRE.test(serverUrl)){throw new Error(\"expected server url to start with 'https://' or 'http://'\");}return serverUrl;})},{mirrorOptions:_mirror__WEBPACK_IMPORTED_MODULE_1__[\"optionsShapeParser\"]});})();function parseConfig(raw){return parser.parseOrThrow(raw);}\n\n//# sourceURL=webpack:///./src/plugins/discourse/config.js?");

/***/ }),

/***/ "./src/plugins/discourse/createGraph.js":
/*!**********************************************!*\
  !*** ./src/plugins/discourse/createGraph.js ***!
  \**********************************************/
/*! exports provided: userNode, topicNode, postNode, likeNode, authorsTopicEdge, authorsPostEdge, topicContainsPostEdge, postRepliesEdge, createsLikeEdge, likesEdge, createGraph */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"userNode\", function() { return userNode; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"topicNode\", function() { return topicNode; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"postNode\", function() { return postNode; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"likeNode\", function() { return likeNode; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"authorsTopicEdge\", function() { return authorsTopicEdge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"authorsPostEdge\", function() { return authorsPostEdge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"topicContainsPostEdge\", function() { return topicContainsPostEdge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"postRepliesEdge\", function() { return postRepliesEdge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createsLikeEdge\", function() { return createsLikeEdge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"likesEdge\", function() { return likesEdge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createGraph\", function() { return createGraph; });\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/null */ \"./src/util/null.js\");\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _declaration__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./declaration */ \"./src/plugins/discourse/declaration.js\");\n/* harmony import */ var _address__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./address */ \"./src/plugins/discourse/address.js\");\n/* harmony import */ var _references__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./references */ \"./src/plugins/discourse/references.js\");\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}function userNode(serverUrl,username){const url=\"\".concat(serverUrl,\"/u/\").concat(username,\"/\");const description=\"[@\".concat(username,\"](\").concat(url,\")\");return{address:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"userAddress\"])(serverUrl,username),description,timestampMs:null};}function topicNode(serverUrl,topic){const url=\"\".concat(serverUrl,\"/t/\").concat(String(topic.id));const description=\"[\".concat(topic.title,\"](\").concat(url,\")\");const address=Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"topicAddress\"])(serverUrl,topic.id);return{address,description,timestampMs:topic.timestampMs};}function postNode(serverUrl,post,description){const address=Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"postAddress\"])(serverUrl,post.id);return{timestampMs:post.timestampMs,address,description};}function likeNode(serverUrl,like,postDescription){const address=Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"likeAddress\"])(serverUrl,like);const description=\"\\u2764\\uFE0F by \".concat(like.username,\" on post \").concat(postDescription);return{timestampMs:like.timestampMs,address,description};}function authorsTopicEdge(serverUrl,topic){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"authorsTopicEdgeType\"].prefix,serverUrl,topic.authorUsername,String(topic.id));return{address,timestampMs:topic.timestampMs,src:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"userAddress\"])(serverUrl,topic.authorUsername),dst:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"topicAddress\"])(serverUrl,topic.id)};}function authorsPostEdge(serverUrl,post){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"authorsPostEdgeType\"].prefix,serverUrl,post.authorUsername,String(post.id));return{address,timestampMs:post.timestampMs,src:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"userAddress\"])(serverUrl,post.authorUsername),dst:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"postAddress\"])(serverUrl,post.id)};}function topicContainsPostEdge(serverUrl,post){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"topicContainsPostEdgeType\"].prefix,serverUrl,String(post.topicId),String(post.id));return{address,timestampMs:post.timestampMs,src:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"topicAddress\"])(serverUrl,post.topicId),dst:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"postAddress\"])(serverUrl,post.id)};}function postRepliesEdge(serverUrl,post,basePostId){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"postRepliesEdgeType\"].prefix,serverUrl,String(post.id),String(basePostId));return{address,timestampMs:post.timestampMs,src:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"postAddress\"])(serverUrl,post.id),dst:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"postAddress\"])(serverUrl,basePostId)};}function createsLikeEdge(serverUrl,like){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"createsLikeEdgeType\"].prefix,serverUrl,like.username,String(like.postId));return{address,timestampMs:like.timestampMs,src:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"userAddress\"])(serverUrl,like.username),dst:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"likeAddress\"])(serverUrl,like)};}function likesEdge(serverUrl,like){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"likesEdgeType\"].prefix,serverUrl,like.username,String(like.postId));return{address,timestampMs:like.timestampMs,src:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"likeAddress\"])(serverUrl,like),dst:Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"postAddress\"])(serverUrl,like.postId)};}function createGraph(serverUrl,data){const gc=new _GraphCreator(serverUrl,data);return gc.graph;}class _GraphCreator{constructor(serverUrl,data){_defineProperty(this,\"graph\",void 0);_defineProperty(this,\"serverUrl\",void 0);_defineProperty(this,\"data\",void 0);_defineProperty(this,\"topicIdToTitle\",void 0);_defineProperty(this,\"postIdToDescription\",void 0);if(serverUrl.endsWith(\"/\")){throw new Error(\"by convention, serverUrl should not end with /\");}this.serverUrl=serverUrl;this.data=data;this.graph=new _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"Graph\"]();this.topicIdToTitle=new Map();this.postIdToDescription=new Map();for(const username of data.users()){this.graph.addNode(userNode(serverUrl,username));}for(const topic of data.topics()){this.topicIdToTitle.set(topic.id,topic.title);this.graph.addNode(topicNode(serverUrl,topic));this.graph.addEdge(authorsTopicEdge(serverUrl,topic));}for(const post of data.posts()){const topicTitle=this.topicIdToTitle.get(post.topicId)||\"[unknown topic]\";const url=\"\".concat(this.serverUrl,\"/t/\").concat(String(post.topicId),\"/\").concat(String(post.indexWithinTopic));const description=\"[post #\".concat(post.indexWithinTopic,\" on \").concat(topicTitle,\"](\").concat(url,\")\");this.addPost(post,description);this.postIdToDescription.set(post.id,description);}for(const like of data.likes()){this.addLike(like);}}addPost(post,description){this.graph.addNode(postNode(this.serverUrl,post,description));this.graph.addEdge(authorsPostEdge(this.serverUrl,post));this.graph.addEdge(topicContainsPostEdge(this.serverUrl,post));this.maybeAddPostRepliesEdge(post);const discourseReferences=Object(_references__WEBPACK_IMPORTED_MODULE_4__[\"linksToReferences\"])(Object(_references__WEBPACK_IMPORTED_MODULE_4__[\"parseLinks\"])(post.cooked,this.serverUrl));for(const reference of discourseReferences){const edge=this.referenceEdge(post,reference);if(edge!=null){this.graph.addEdge(edge);}}}addLike(like){const postDescription=this.postIdToDescription.get(like.postId)||\"[unknown post]\";this.graph.addNode(likeNode(this.serverUrl,like,postDescription));this.graph.addEdge(likesEdge(this.serverUrl,like));this.graph.addEdge(createsLikeEdge(this.serverUrl,like));}/**\n   * Any post that is not the first post in the thread is a reply to some post.\n   * This method adds those reply edges. It is a bit hairy to work around unintuitive\n   * choices in the Discourse API.\n   */maybeAddPostRepliesEdge(post){let replyToPostIndex=post.replyToPostIndex;if(replyToPostIndex==null&&post.indexWithinTopic>1){// For posts that are a reply to the first posts (or, depending on how you look at it,\n// replies to the topic), the replyToPostIndex gets set to null. For purposes of cred calculation,\n// I think replies to the first post should have a reply edge, as any other reply would.\n// So I correct for the API weirdness here.\nreplyToPostIndex=1;}if(replyToPostIndex!=null){const basePostId=this.data.findPostInTopic(post.topicId,replyToPostIndex);if(basePostId!=null){this.graph.addEdge(postRepliesEdge(this.serverUrl,post,basePostId));}}}referenceEdge(post,reference){if(reference.serverUrl!=null&&reference.serverUrl.toLowerCase()!==this.serverUrl.toLowerCase()){// Don't attempt to make cross-instance links for now, since we only\n// load one Discourse forum in a given instance.\nreturn null;}const src=Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"postAddress\"])(this.serverUrl,post.id);const timestampMs=post.timestampMs;let dst=null;let address=null;switch(reference.type){case\"TOPIC\":{address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"referencesTopicEdgeType\"].prefix,this.serverUrl,String(post.id),String(reference.topicId));dst=Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"topicAddress\"])(this.serverUrl,reference.topicId);break;}case\"POST\":{const referredPostId=this.data.findPostInTopic(reference.topicId,reference.postIndex);if(referredPostId==null){// Maybe a bad link, or the post or topic was deleted.\nreturn null;}dst=Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"postAddress\"])(this.serverUrl,referredPostId);address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"referencesPostEdgeType\"].prefix,this.serverUrl,String(post.id),String(referredPostId));break;}case\"USER\":{dst=Object(_address__WEBPACK_IMPORTED_MODULE_3__[\"userAddress\"])(this.serverUrl,reference.username);address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"referencesUserEdgeType\"].prefix,this.serverUrl,String(post.id),reference.username);break;}default:{throw new Error(\"Unexpected reference type: \".concat(reference.type));}}return{src,dst:_util_null__WEBPACK_IMPORTED_MODULE_0__[\"get\"](dst),timestampMs,address:_util_null__WEBPACK_IMPORTED_MODULE_0__[\"get\"](address)};}}\n\n//# sourceURL=webpack:///./src/plugins/discourse/createGraph.js?");

/***/ }),

/***/ "./src/plugins/discourse/declaration.js":
/*!**********************************************!*\
  !*** ./src/plugins/discourse/declaration.js ***!
  \**********************************************/
/*! exports provided: nodePrefix, edgePrefix, topicNodeType, postNodeType, userNodeType, likeNodeType, topicContainsPostEdgeType, postRepliesEdgeType, authorsTopicEdgeType, authorsPostEdgeType, createsLikeEdgeType, likesEdgeType, referencesPostEdgeType, referencesTopicEdgeType, referencesUserEdgeType, declaration */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"nodePrefix\", function() { return nodePrefix; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"edgePrefix\", function() { return edgePrefix; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"topicNodeType\", function() { return topicNodeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"postNodeType\", function() { return postNodeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"userNodeType\", function() { return userNodeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"likeNodeType\", function() { return likeNodeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"topicContainsPostEdgeType\", function() { return topicContainsPostEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"postRepliesEdgeType\", function() { return postRepliesEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"authorsTopicEdgeType\", function() { return authorsTopicEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"authorsPostEdgeType\", function() { return authorsPostEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createsLikeEdgeType\", function() { return createsLikeEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"likesEdgeType\", function() { return likesEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"referencesPostEdgeType\", function() { return referencesPostEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"referencesTopicEdgeType\", function() { return referencesTopicEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"referencesUserEdgeType\", function() { return referencesUserEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"declaration\", function() { return declaration; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\nconst nodePrefix=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts([\"sourcecred\",\"discourse\"]);const edgePrefix=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].fromParts([\"sourcecred\",\"discourse\"]);const topicNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Topic\",pluralName:\"Topics\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(nodePrefix,\"topic\"),defaultWeight:0,description:\"A topic (or post-container) in a Discourse instance. Every topic has at least one post.\"});const postNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Post\",pluralName:\"Posts\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(nodePrefix,\"post\"),defaultWeight:0,description:\"A post in some topic in a Discourse instance.\"});const userNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"User\",pluralName:\"Users\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(nodePrefix,\"user\"),defaultWeight:0,description:\"A user account on a particular Discourse instance.\"});const likeNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Like\",pluralName:\"Likes\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(nodePrefix,\"like\"),defaultWeight:4,description:\"A like by some user, directed at some post\"});const topicContainsPostEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"contains post\",backwardName:\"is contained by topic\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"topicContainsPost\"),defaultWeight:{forwards:0,backwards:1/8},description:\"Connects a topic to the posts that it contains.\"});const postRepliesEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"post is reply to\",backwardName:\"post replied to by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"replyTo\"),defaultWeight:{forwards:1/2,backwards:0},description:\"Connects a post to the post that it is a reply to.\"});const authorsTopicEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"authors topic\",backwardName:\"topic is authored by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"authors\",\"topic\"),defaultWeight:{forwards:0,backwards:1},description:\"Connects an author to a topic they created.\"});const authorsPostEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"authors post\",backwardName:\"post is authored by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"authors\",\"post\"),defaultWeight:{forwards:0,backwards:1},description:\"Connects an author to a post they've created.\"});const createsLikeEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"creates like\",backwardName:\"like created by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"createsLike\"),defaultWeight:{forwards:1,backwards:0},description:\"Connects a Discourse user to a like that they created.\"});const likesEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"likes\",backwardName:\"is liked by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"likes\"),defaultWeight:{forwards:1,backwards:0},description:\"Connects a Discourse like to a post that was liked.\"});const referencesPostEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"references post\",backwardName:\"post is referenced by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"references\",\"post\"),defaultWeight:{forwards:1/2,backwards:0},description:\"Connects a Discourse post to another post it referenced.\"});const referencesTopicEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"references topic\",backwardName:\"topic is referenced by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"references\",\"topic\"),defaultWeight:{forwards:1/2,backwards:0},description:\"Connects a Discourse post to a topic it referenced.\"});const referencesUserEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"mentions\",backwardName:\"is mentioned by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"references\",\"user\"),defaultWeight:{forwards:1/4,backwards:0},description:\"Connects a Discourse post to a user it mentions\"});const declaration=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Discourse\",nodePrefix,edgePrefix,nodeTypes:[userNodeType,topicNodeType,postNodeType,likeNodeType],edgeTypes:[postRepliesEdgeType,authorsTopicEdgeType,authorsPostEdgeType,topicContainsPostEdgeType,likesEdgeType,createsLikeEdgeType,referencesPostEdgeType,referencesTopicEdgeType,referencesUserEdgeType],userTypes:[userNodeType]});\n\n//# sourceURL=webpack:///./src/plugins/discourse/declaration.js?");

/***/ }),

/***/ "./src/plugins/discourse/fetch.js":
/*!****************************************!*\
  !*** ./src/plugins/discourse/fetch.js ***!
  \****************************************/
/*! exports provided: Fetcher */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Fetcher\", function() { return Fetcher; });\n/* harmony import */ var isomorphic_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! isomorphic-fetch */ \"isomorphic-fetch\");\n/* harmony import */ var isomorphic_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(isomorphic_fetch__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var bottleneck__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! bottleneck */ \"bottleneck\");\n/* harmony import */ var bottleneck__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(bottleneck__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../util/null */ \"./src/util/null.js\");\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}/**\n * Class for retrieving data from the Discourse API.\n *\n * The Discourse API implements the JSON endpoints for all functionality of the actual site.\n * As such, it tends to return a lot of information that we don't care about (in contrast\n * to a GraphQL API which would give us only what we ask for). As such, we implement a simple\n * interface over it, which both abstracts over calling the API, and does some post-processing\n * on the results to simplify it to data that is relevant for us.\n */const MAX_API_REQUESTS_PER_MINUTE=55;class Fetcher{// We limit the rate of API requests, as documented here:\n// https://meta.discourse.org/t/global-rate-limits-and-throttling-in-discourse/78612\n// Note this limit is for admin API keys. If we change to user user API keys\n// (would be convenient as the keys would be less sensitive), we will need to lower\n// this rate limit by a factor of 3\n// TODO: I've set the max requests per minute to 55 (below the stated limit\n// of 60) to be a bit conservative, and avoid getting limited by the server.\n// We could improve our throughput by increasing the requests per minute to the\n// stated limit, and incorporating retry logic to account for the occasional 529.\nconstructor(options,// fetchImplementation shouldn't be provided by clients, but is convenient for testing.\nfetchImplementation,// Used to avoid going over the Discourse API rate limit\nminTimeMs){_defineProperty(this,\"options\",void 0);_defineProperty(this,\"_fetchImplementation\",void 0);this.options=options;const minTime=_util_null__WEBPACK_IMPORTED_MODULE_2__[\"orElse\"](minTimeMs,1000*60/MAX_API_REQUESTS_PER_MINUTE);// n.b. the rate limiting isn't programmatically tested. However, it's easy\n// to tell when it's broken: try to load a nontrivial Discourse server, and see\n// if you get a 429 failure.\nconst limiter=new bottleneck__WEBPACK_IMPORTED_MODULE_1___default.a({minTime});const unlimitedFetch=_util_null__WEBPACK_IMPORTED_MODULE_2__[\"orElse\"](fetchImplementation,isomorphic_fetch__WEBPACK_IMPORTED_MODULE_0___default.a);this._fetchImplementation=limiter.wrap(unlimitedFetch);}_fetch(endpoint){const{serverUrl}=this.options;if(!endpoint.startsWith(\"/\")){throw new Error(\"invalid endpoint: \".concat(endpoint));}if(!serverUrl.startsWith(\"http\")||serverUrl.endsWith(\"/\")){throw new Error(\"invalid server url: \".concat(serverUrl));}const fetchOptions={method:\"GET\",headers:{Accept:\"application/json\"}};const fullUrl=\"\".concat(serverUrl).concat(endpoint);return this._fetchImplementation(fullUrl,fetchOptions);}async categoryDefinitionTopicIds(){const topicIdRE=new RegExp(\"/t/[\\\\w-]+/(\\\\d+)$\");const urls=[];const categoriesWithSubcategories=[];// Root categories\nconst response=await this._fetch(\"/categories.json?show_subcategory_list=true\");failIfMissing(response);failForNotOk(response);const{categories:rootCategories}=(await response.json()).category_list;for(const cat of rootCategories){if(cat.topic_url!=null){urls.push(cat.topic_url);}if(cat.subcategory_ids){categoriesWithSubcategories.push(cat.id);}}// Subcategories\nfor(const rootCatId of categoriesWithSubcategories){const subResponse=await this._fetch(\"/categories.json?show_subcategory_list=true&parent_category_id=\".concat(rootCatId));failIfMissing(subResponse);failForNotOk(subResponse);const{categories:subCategories}=(await subResponse.json()).category_list;for(const cat of subCategories){if(cat.topic_url!=null){urls.push(cat.topic_url);}}}const ids=urls.map(url=>{const match=topicIdRE.exec(url);if(match==null){throw new Error(\"Encountered topic URL we failed to parse it's TopicId from: \".concat(url));}return Number(match[1]);});return new Set(ids);}async topicWithPosts(id){const response=await this._fetch(\"/t/\".concat(id,\".json\"));const{status}=response;if(status===403||status===404||status===410){// The topic is hidden, deleted, or otherwise missing.\n// Example of a 404 topic: https://discourse.sourcecred.io/t/116\nreturn null;}failForNotOk(response);const json=await response.json();const{posts_count:postCount}=json;let posts=json.post_stream.posts.map(parsePost);const topic={id:json.id,categoryId:json.category_id,title:json.title,timestampMs:Date.parse(json.created_at),authorUsername:json.details.created_by.username};// This shouldn't could cause infinite loops when the API is weird.\n// As requesting pages beyond the last page will produce a 404.\n// Pagination here is 1-based, and we already had page 1.\nlet page=2;while(postCount>posts.length){const resNext=await this._fetch(\"/t/\".concat(id,\".json?page=\").concat(page));failForNotOk(resNext);const subPosts=(await resNext.json()).post_stream.posts.map(parsePost);posts=[...posts,...subPosts];page++;}return{topic,posts};}async likesByUser(username,offset){const response=await this._fetch(\"/user_actions.json?username=\".concat(username,\"&filter=1&offset=\").concat(offset));const{status}=response;if(status===404){// The user probably no longer exists. This is expected, see #1440.\nreturn null;}failIfMissing(response);failForNotOk(response);const json=await response.json();return json.user_actions.map(parseLike);}async topicsBumpedSince(sinceMs){const topics=[];let lastUnpinnedTimestamp=Infinity;let morePages=true;let page=0;// Keep going till we've found timestamps older than sinceMs.\nwhile(lastUnpinnedTimestamp>=sinceMs&&morePages){const response=await this._fetch(\"/latest.json?order=activity&ascending=false&page=\".concat(page));failIfMissing(response);failForNotOk(response);const{topic_list:topicList}=await response.json();// Having the same amount of results as expected by pagination, assume there's another page.\nmorePages=topicList.per_page===topicList.topics.length;for(const jsonTopic of topicList.topics){const topic=parseLatestTopic(jsonTopic);// Due to how pinning works, we may have some topics in here that weren't bumped past `sinceMs`.\n// Filter those out now.\nif(topic.bumpedMs>sinceMs){topics.push(topic);}// Make sure we ignore pinned topics for this value, as pinned topics move to the top,\n// and are unhelpful in knowing whether we should fetch another page.\nif(!jsonTopic.pinned){lastUnpinnedTimestamp=Math.min(lastUnpinnedTimestamp,topic.bumpedMs);}}page++;}return topics;}}function failIfMissing(response){if(response.status===404){throw new Error(\"404 Not Found on: \".concat(response.url,\"; maybe bad serverUrl?\"));}if(response.status===403){throw new Error(\"403 Forbidden: bad API username or key?\");}if(response.status===410){throw new Error(\"410 Gone\");}}function failForNotOk(response){if(!response.ok){throw new Error(\"not OK status \".concat(response.status,\" on \").concat(response.url));}}/**\n * Parses a \"latest\" topic.\n *\n * A \"latest\" topic, is a topic as returned by the /latest.json API call,\n * and has a distinct assumptions:\n * - bumped_at is always present.\n *\n * usernamesById map used to resolve these IDs to usernames.\n */function parseLatestTopic(json){if(json.bumped_at==null){throw new Error(\"Unexpected missing bumped_at field for /latest.json request for topic ID \".concat(json.id,\".\"));}return{id:json.id,categoryId:json.category_id,title:json.title,timestampMs:Date.parse(json.created_at),bumpedMs:Date.parse(json.bumped_at)};}function parsePost(json){return{id:json.id,timestampMs:Date.parse(json.created_at),indexWithinTopic:json.post_number,replyToPostIndex:json.reply_to_post_number,topicId:json.topic_id,authorUsername:json.username,cooked:json.cooked};}function parseLike(json){return{username:json.target_username,postId:json.post_id,timestampMs:Date.parse(json.created_at)};}\n\n//# sourceURL=webpack:///./src/plugins/discourse/fetch.js?");

/***/ }),

/***/ "./src/plugins/discourse/mirror.js":
/*!*****************************************!*\
  !*** ./src/plugins/discourse/mirror.js ***!
  \*****************************************/
/*! exports provided: optionsParser, optionsShapeParser, Mirror */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"optionsParser\", function() { return optionsParser; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"optionsShapeParser\", function() { return optionsShapeParser; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Mirror\", function() { return Mirror; });\n/* harmony import */ var _util_combo__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/combo */ \"./src/util/combo.js\");\n/* harmony import */ var _mirrorRepository__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./mirrorRepository */ \"./src/plugins/discourse/mirrorRepository.js\");\nfunction ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);if(enumerableOnly)symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;});keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=arguments[i]!=null?arguments[i]:{};if(i%2){ownKeys(Object(source),true).forEach(function(key){_defineProperty(target,key,source[key]);});}else if(Object.getOwnPropertyDescriptors){Object.defineProperties(target,Object.getOwnPropertyDescriptors(source));}else{ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}const optionsParserFields={recheckCategoryDefinitionsAfterMs:_util_combo__WEBPACK_IMPORTED_MODULE_0__[\"number\"],recheckTopicsInCategories:_util_combo__WEBPACK_IMPORTED_MODULE_0__[\"array\"](_util_combo__WEBPACK_IMPORTED_MODULE_0__[\"number\"])};const optionsParser=_util_combo__WEBPACK_IMPORTED_MODULE_0__[\"object\"](optionsParserFields);const optionsShapeParser=_util_combo__WEBPACK_IMPORTED_MODULE_0__[\"shape\"](optionsParserFields);const defaultOptions={recheckCategoryDefinitionsAfterMs:24*3600*1000,// 24h\nrecheckTopicsInCategories:[]};function sortTopicByBumpedMs(a,b){return a.bumpedMs-b.bumpedMs;}/**\n * Mirrors data from the Discourse API into a local sqlite db.\n *\n * This class allows us to persist a local copy of data from a Discourse\n * instance. We have it for reasons similar to why we have a GraphQL mirror for\n * GitHub; it allows us to avoid re-doing expensive IO every time we re-load\n * SourceCred. It also gives us robustness in the face of network failures (we\n * can keep however much we downloaded until the fault).\n *\n * As implemented, the Mirror will never update already-downloaded content,\n * meaning it will not catch edits or deletions. As such, it's advisable to\n * replace the cache periodically (perhaps once a week or month). We may\n * implement automatic cache invalidation in the future.\n *\n * Each Mirror instance is tied to a particular server. Trying to use a mirror\n * for multiple Discourse servers is not permitted; use separate Mirrors.\n */class Mirror{/**\n   * Construct a new Mirror instance.\n   *\n   * Takes a Database, which may be a pre-existing Mirror database. The\n   * provided DiscourseInterface will be used to retrieve new data from Discourse.\n   *\n   * A serverUrl is required so that we can ensure that this Mirror is only storing\n   * data from a particular Discourse server.\n   */constructor(repo,fetcher,serverUrl,options){_defineProperty(this,\"_options\",void 0);_defineProperty(this,\"_repo\",void 0);_defineProperty(this,\"_fetcher\",void 0);_defineProperty(this,\"_serverUrl\",void 0);this._repo=repo;this._fetcher=fetcher;this._serverUrl=serverUrl;this._options=_objectSpread(_objectSpread({},defaultOptions),options||{});}async update(reporter){reporter.start(\"discourse\");await this._updateTopicsV2(reporter);await this._updateLikes(reporter);reporter.finish(\"discourse\");}async _updateTopicsV2(reporter){reporter.start(\"discourse/topics\");const{topicBumpMs:lastLocalTopicBumpMs,definitionCheckMs:lastDefinitionCheckMs}=this._repo.syncHeads();const startTime=Date.now();const shouldCheckDefinitions=startTime-lastDefinitionCheckMs>=this._options.recheckCategoryDefinitionsAfterMs;const bumpedTopics=await this._fetcher.topicsBumpedSince(lastLocalTopicBumpMs);const topicBumpsById=new Map(bumpedTopics.map(t=>[t.id,t.bumpedMs]));// Make sure we have oldest first in our load queue.\nbumpedTopics.sort(sortTopicByBumpedMs);// Create a uniqueness filter.\nconst existingTopics=new Set();const once=tid=>{if(existingTopics.has(tid))return false;existingTopics.add(tid);return true;};// Add definition topics if the flag to do so is set.\nconst definitionTopicIds=shouldCheckDefinitions?await this._fetcher.categoryDefinitionTopicIds():[];// Add specific-category topics when it's set in our options.\nconst selectCategoryTopics=this._repo.topicsInCategories(this._options.recheckTopicsInCategories);// Note: order is important here.\n// Initial load should happen in order of bump date,\n// reloads at the end are ok to be in random order.\nconst topicLoadQueue=[...bumpedTopics.map(t=>t.id),...definitionTopicIds,...selectCategoryTopics].filter(once);for(const topicId of topicLoadQueue){const topicWithPosts=await this._fetcher.topicWithPosts(topicId);if(topicWithPosts!=null){const{topic,posts}=topicWithPosts;// We find the bump by:\n// 1. What fetcher's topicsBumpedSince tells us.\n// 2. What the local DB contains (probably force updated a topic that wasn't bumped).\n// 3. Fall back on creation date (category definition topics don't normally have bump dates at all).\nconst bumpedMs=topicBumpsById.get(topicId)||this._repo.bumpedMsForTopic(topicId)||topic.timestampMs;if(bumpedMs==null){throw new Error(\"Missing bump date for topic ID: \".concat(topic.id));}const mergedTopic=_objectSpread(_objectSpread({},topic),{},{bumpedMs});this._repo.replaceTopicTransaction(mergedTopic,posts);}}if(shouldCheckDefinitions){// Note: use the start time as to avoid missing any changes\n// between when we queries upstream and when we completed all tasks.\nthis._repo.bumpDefinitionTopicCheck(startTime);}reporter.finish(\"discourse/topics\");}async _updateLikes(reporter){const addLike=like=>{try{const res=this._repo.addLike(like);return{doneWithUser:res.changes===0};}catch(e){console.warn(\"Warning: Encountered error '\".concat(e.message,\"' \")+\"on a like by \".concat(like.username,\" \")+\"on post id \".concat(like.postId,\".\"));return{doneWithUser:false};}};// I don't want to hard code the expected page size, in case it changes upstream.\n// However, it's helpful to have a good guess of what the page size is, because if we\n// get a result which is shorter than the page size, we know we've hit the end of the\n// user's history, so we don't need to query any more.\n// So, we guess that the largest page size we've seen thus far is likely the page size,\n// and if we see any shorter pages, we know we are done for that particular user.\n// If we are wrong about the page size, the worst case is that we do an unnecessary\n// query when we are actually already done with the user.\nlet possiblePageSize=0;// TODO(perf): In the best case (there are no new likes), this requires\n// doing one query for every user who ever commented in the instance. This\n// is a bit excessive. For each user, we could store when we last checked\n// their likes, and when they last posted. Then we could only scan users\n// who we either haven't scanned in the last week, or who have been active\n// since our last scan. This would likely improve the performance of this\n// section of the update significantly.\nreporter.start(\"discourse/likes\");for(const user of this._repo.users()){let offset=0;let upToDate=false;while(!upToDate){const likeActions=await this._fetcher.likesByUser(user,offset);if(likeActions==null){break;}possiblePageSize=Math.max(likeActions.length,possiblePageSize);for(const like of likeActions){if(addLike(like).doneWithUser){upToDate=true;break;}}if(likeActions.length===0||likeActions.length<possiblePageSize){upToDate=true;}offset+=likeActions.length;}}reporter.finish(\"discourse/likes\");}}\n\n//# sourceURL=webpack:///./src/plugins/discourse/mirror.js?");

/***/ }),

/***/ "./src/plugins/discourse/mirrorRepository.js":
/*!***************************************************!*\
  !*** ./src/plugins/discourse/mirrorRepository.js ***!
  \***************************************************/
/*! exports provided: SqliteMirrorRepository */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"SqliteMirrorRepository\", function() { return SqliteMirrorRepository; });\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! json-stable-stringify */ \"json-stable-stringify\");\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _util_dedent__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../util/dedent */ \"./src/util/dedent.js\");\nfunction _templateObject18(){const data=_taggedTemplateLiteral([\"          REPLACE INTO topics (\\n              id,\\n              category_id,\\n              title,\\n              timestamp_ms,\\n              bumped_ms,\\n              author_username\\n          ) VALUES (\\n              :id,\\n              :category_id,\\n              :title,\\n              :timestamp_ms,\\n              :bumped_ms,\\n              :author_username\\n          )\\n        \"],[\"\\\\\\n          REPLACE INTO topics (\\n              id,\\n              category_id,\\n              title,\\n              timestamp_ms,\\n              bumped_ms,\\n              author_username\\n          ) VALUES (\\n              :id,\\n              :category_id,\\n              :title,\\n              :timestamp_ms,\\n              :bumped_ms,\\n              :author_username\\n          )\\n        \"]);_templateObject18=function _templateObject18(){return data;};return data;}function _templateObject17(){const data=_taggedTemplateLiteral([\"          REPLACE INTO posts (\\n              id,\\n              timestamp_ms,\\n              author_username,\\n              topic_id,\\n              index_within_topic,\\n              reply_to_post_index,\\n              cooked\\n          ) VALUES (\\n              :id,\\n              :timestamp_ms,\\n              :author_username,\\n              :topic_id,\\n              :index_within_topic,\\n              :reply_to_post_index,\\n              :cooked\\n          )\\n        \"],[\"\\\\\\n          REPLACE INTO posts (\\n              id,\\n              timestamp_ms,\\n              author_username,\\n              topic_id,\\n              index_within_topic,\\n              reply_to_post_index,\\n              cooked\\n          ) VALUES (\\n              :id,\\n              :timestamp_ms,\\n              :author_username,\\n              :topic_id,\\n              :index_within_topic,\\n              :reply_to_post_index,\\n              :cooked\\n          )\\n        \"]);_templateObject17=function _templateObject17(){return data;};return data;}function _templateObject16(){const data=_taggedTemplateLiteral([\"          SELECT id FROM topics\\n          WHERE category_id IN (\",\")\\n        \"],[\"\\\\\\n          SELECT id FROM topics\\n          WHERE category_id IN (\",\")\\n        \"]);_templateObject16=function _templateObject16(){return data;};return data;}function _templateObject15(){const data=_taggedTemplateLiteral([\"          DELETE FROM posts\\n          WHERE topic_id = ?\\n          AND id NOT IN (\",\")\\n        \"],[\"\\\\\\n          DELETE FROM posts\\n          WHERE topic_id = ?\\n          AND id NOT IN (\",\")\\n        \"]);_templateObject15=function _templateObject15(){return data;};return data;}function _templateObject14(){const data=_taggedTemplateLiteral([\"          INSERT OR IGNORE INTO likes (\\n              post_id,\\n              timestamp_ms,\\n              username\\n          ) VALUES (\\n              :post_id,\\n              :timestamp_ms,\\n              :username\\n          )\\n        \"],[\"\\\\\\n          INSERT OR IGNORE INTO likes (\\n              post_id,\\n              timestamp_ms,\\n              username\\n          ) VALUES (\\n              :post_id,\\n              :timestamp_ms,\\n              :username\\n          )\\n        \"]);_templateObject14=function _templateObject14(){return data;};return data;}function _templateObject13(){const data=_taggedTemplateLiteral([\"          REPLACE INTO sync_heads (\\n              key,\\n              timestamp_ms\\n          ) VALUES (\\n              :key,\\n              :timestamp_ms\\n          )\\n        \"],[\"\\\\\\n          REPLACE INTO sync_heads (\\n              key,\\n              timestamp_ms\\n          ) VALUES (\\n              :key,\\n              :timestamp_ms\\n          )\\n        \"]);_templateObject13=function _templateObject13(){return data;};return data;}function _templateObject12(){const data=_taggedTemplateLiteral([\"          SELECT id\\n          FROM posts\\n          WHERE topic_id = :topic_id AND index_within_topic = :index_within_topic\\n        \"],[\"\\\\\\n          SELECT id\\n          FROM posts\\n          WHERE topic_id = :topic_id AND index_within_topic = :index_within_topic\\n        \"]);_templateObject12=function _templateObject12(){return data;};return data;}function _templateObject11(){const data=_taggedTemplateLiteral([\"          SELECT username\\n          FROM users\\n          WHERE username = :username COLLATE NOCASE\\n        \"],[\"\\\\\\n          SELECT username\\n          FROM users\\n          WHERE username = :username COLLATE NOCASE\\n        \"]);_templateObject11=function _templateObject11(){return data;};return data;}function _templateObject10(){const data=_taggedTemplateLiteral([\"        SELECT\\n          id,\\n          timestamp_ms,\\n          author_username,\\n          topic_id,\\n          index_within_topic,\\n          reply_to_post_index,\\n          cooked\\n        FROM posts\\n        WHERE topic_id = :topic_id\\n        ORDER BY index_within_topic ASC\\n        LIMIT :max\"],[\"\\\\\\n        SELECT\\n          id,\\n          timestamp_ms,\\n          author_username,\\n          topic_id,\\n          index_within_topic,\\n          reply_to_post_index,\\n          cooked\\n        FROM posts\\n        WHERE topic_id = :topic_id\\n        ORDER BY index_within_topic ASC\\n        LIMIT :max\"]);_templateObject10=function _templateObject10(){return data;};return data;}function _templateObject9(){const data=_taggedTemplateLiteral([\"        SELECT\\n          id,\\n          timestamp_ms,\\n          author_username,\\n          topic_id,\\n          index_within_topic,\\n          reply_to_post_index,\\n          cooked\\n        FROM posts\"],[\"\\\\\\n        SELECT\\n          id,\\n          timestamp_ms,\\n          author_username,\\n          topic_id,\\n          index_within_topic,\\n          reply_to_post_index,\\n          cooked\\n        FROM posts\"]);_templateObject9=function _templateObject9(){return data;};return data;}function _templateObject8(){const data=_taggedTemplateLiteral([\"        SELECT\\n          id,\\n          category_id,\\n          title,\\n          timestamp_ms,\\n          bumped_ms,\\n          author_username\\n        FROM topics\\n        WHERE id = :id\"],[\"\\\\\\n        SELECT\\n          id,\\n          category_id,\\n          title,\\n          timestamp_ms,\\n          bumped_ms,\\n          author_username\\n        FROM topics\\n        WHERE id = :id\"]);_templateObject8=function _templateObject8(){return data;};return data;}function _templateObject7(){const data=_taggedTemplateLiteral([\"        SELECT\\n          id,\\n          category_id,\\n          title,\\n          timestamp_ms,\\n          bumped_ms,\\n          author_username\\n        FROM topics\"],[\"\\\\\\n        SELECT\\n          id,\\n          category_id,\\n          title,\\n          timestamp_ms,\\n          bumped_ms,\\n          author_username\\n        FROM topics\"]);_templateObject7=function _templateObject7(){return data;};return data;}function _templateObject6(){const data=_taggedTemplateLiteral([\"          SELECT\\n              (SELECT IFNULL(MAX(bumped_ms), 0) FROM topics) AS max_topic_bump,\\n              (SELECT timestamp_ms FROM sync_heads WHERE key = :DEFINITION_CHECK_KEY) AS definition_check\\n          \"],[\"\\\\\\n          SELECT\\n              (SELECT IFNULL(MAX(bumped_ms), 0) FROM topics) AS max_topic_bump,\\n              (SELECT timestamp_ms FROM sync_heads WHERE key = :DEFINITION_CHECK_KEY) AS definition_check\\n          \"]);_templateObject6=function _templateObject6(){return data;};return data;}function _templateObject5(){const data=_taggedTemplateLiteral([\"        CREATE TABLE likes (\\n          username TEXT NOT NULL,\\n          post_id INTEGER NOT NULL,\\n          timestamp_ms INTEGER NOT NULL,\\n          CONSTRAINT username_post PRIMARY KEY (username, post_id),\\n          FOREIGN KEY(post_id) REFERENCES posts(id),\\n          FOREIGN KEY(username) REFERENCES users(username)\\n        )\"],[\"\\\\\\n        CREATE TABLE likes (\\n          username TEXT NOT NULL,\\n          post_id INTEGER NOT NULL,\\n          timestamp_ms INTEGER NOT NULL,\\n          CONSTRAINT username_post PRIMARY KEY (username, post_id),\\n          FOREIGN KEY(post_id) REFERENCES posts(id),\\n          FOREIGN KEY(username) REFERENCES users(username)\\n        )\"]);_templateObject5=function _templateObject5(){return data;};return data;}function _templateObject4(){const data=_taggedTemplateLiteral([\"        CREATE TABLE posts (\\n            id INTEGER PRIMARY KEY,\\n            timestamp_ms INTEGER NOT NULL,\\n            author_username TEXT NOT NULL,\\n            topic_id INTEGER NOT NULL,\\n            index_within_topic INTEGER NOT NULL,\\n            reply_to_post_index INTEGER,\\n            cooked TEXT NOT NULL,\\n            FOREIGN KEY(topic_id) REFERENCES topics(id),\\n            FOREIGN KEY(author_username) REFERENCES users(username)\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE posts (\\n            id INTEGER PRIMARY KEY,\\n            timestamp_ms INTEGER NOT NULL,\\n            author_username TEXT NOT NULL,\\n            topic_id INTEGER NOT NULL,\\n            index_within_topic INTEGER NOT NULL,\\n            reply_to_post_index INTEGER,\\n            cooked TEXT NOT NULL,\\n            FOREIGN KEY(topic_id) REFERENCES topics(id),\\n            FOREIGN KEY(author_username) REFERENCES users(username)\\n        )\\n      \"]);_templateObject4=function _templateObject4(){return data;};return data;}function _templateObject3(){const data=_taggedTemplateLiteral([\"        CREATE TABLE topics (\\n            id INTEGER PRIMARY KEY,\\n            category_id INTEGER NOT NULL,\\n            title TEXT NOT NULL,\\n            timestamp_ms INTEGER NOT NULL,\\n            bumped_ms INTEGER NOT NULL,\\n            author_username TEXT NOT NULL,\\n            FOREIGN KEY(author_username) REFERENCES users(username)\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE topics (\\n            id INTEGER PRIMARY KEY,\\n            category_id INTEGER NOT NULL,\\n            title TEXT NOT NULL,\\n            timestamp_ms INTEGER NOT NULL,\\n            bumped_ms INTEGER NOT NULL,\\n            author_username TEXT NOT NULL,\\n            FOREIGN KEY(author_username) REFERENCES users(username)\\n        )\\n      \"]);_templateObject3=function _templateObject3(){return data;};return data;}function _templateObject2(){const data=_taggedTemplateLiteral([\"        CREATE TABLE sync_heads (\\n          key TEXT PRIMARY KEY,\\n          timestamp_ms INTEGER NOT NULL\\n        )\"],[\"\\\\\\n        CREATE TABLE sync_heads (\\n          key TEXT PRIMARY KEY,\\n          timestamp_ms INTEGER NOT NULL\\n        )\"]);_templateObject2=function _templateObject2(){return data;};return data;}function _templateObject(){const data=_taggedTemplateLiteral([\"        CREATE TABLE IF NOT EXISTS meta (\\n            zero INTEGER PRIMARY KEY,\\n            config TEXT NOT NULL\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE IF NOT EXISTS meta (\\n            zero INTEGER PRIMARY KEY,\\n            config TEXT NOT NULL\\n        )\\n      \"]);_templateObject=function _templateObject(){return data;};return data;}function _taggedTemplateLiteral(strings,raw){if(!raw){raw=strings.slice(0);}return Object.freeze(Object.defineProperties(strings,{raw:{value:Object.freeze(raw)}}));}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}// The version should be bumped any time the database schema is changed,\n// so that the cache will be properly invalidated.\nconst VERSION=\"discourse_mirror_v6\";const DEFINITION_CHECK_KEY=\"definition_check\";/**\n * An interface for reading the local Discourse data.\n */function toAddResult(_ref){let{changes,lastInsertRowid}=_ref;return{changes,lastInsertRowid};}class SqliteMirrorRepository{constructor(db,serverUrl){_defineProperty(this,\"_db\",void 0);if(db==null)throw new Error(\"db: \"+String(db));this._db=db;this._transaction(()=>{this._initialize(serverUrl);});}_transaction(queries){const db=this._db;if(db.inTransaction){throw new Error(\"already in transaction\");}try{db.prepare(\"BEGIN\").run();queries();if(db.inTransaction){db.prepare(\"COMMIT\").run();}}finally{if(db.inTransaction){db.prepare(\"ROLLBACK\").run();}}}_initialize(serverUrl){const db=this._db;// We store the config in a singleton table `meta`, whose unique row\n// has primary key `0`. Only the first ever insert will succeed; we\n// are locked into the first config.\ndb.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject())).run();const config=json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()({version:VERSION,serverUrl:serverUrl});const existingConfig=db.prepare(\"SELECT config FROM meta\").pluck().get();if(existingConfig===config){// Already set up; nothing to do.\nreturn;}else if(existingConfig!==undefined){throw new Error(\"Database already populated with incompatible server or version\");}db.prepare(\"INSERT INTO meta (zero, config) VALUES (0, ?)\").run(config);const tables=[Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject2()),\"CREATE TABLE users (username TEXT PRIMARY KEY)\",Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject3()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject4()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject5())];for(const sql of tables){db.prepare(sql).run();}}syncHeads(){const res=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject6())).get({DEFINITION_CHECK_KEY});return{definitionCheckMs:res.definition_check||0,topicBumpMs:res.max_topic_bump};}topics(){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject7())).all().map(x=>({id:x.id,categoryId:x.category_id,title:x.title,timestampMs:x.timestamp_ms,bumpedMs:x.bumped_ms,authorUsername:x.author_username}));}topicById(id){const res=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject8())).get({id});if(!res){return null;}return{id:res.id,categoryId:res.category_id,title:res.title,timestampMs:res.timestamp_ms,bumpedMs:res.bumped_ms,authorUsername:res.author_username};}posts(){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject9())).all().map(x=>({id:x.id,timestampMs:x.timestamp_ms,authorUsername:x.author_username,topicId:x.topic_id,indexWithinTopic:x.index_within_topic,replyToPostIndex:x.reply_to_post_index,cooked:x.cooked}));}postsInTopic(topicId,numberOfPosts){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject10())).all({topic_id:topicId,max:numberOfPosts}).map(x=>({id:x.id,timestampMs:x.timestamp_ms,authorUsername:x.author_username,topicId:x.topic_id,indexWithinTopic:x.index_within_topic,replyToPostIndex:x.reply_to_post_index,cooked:x.cooked}));}users(){return this._db.prepare(\"SELECT username FROM users\").pluck().all();}findUsername(username){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject11())).pluck().get({username});}likes(){return this._db.prepare(\"SELECT post_id, username, timestamp_ms FROM likes\").all().map(x=>({postId:x.post_id,timestampMs:x.timestamp_ms,username:x.username}));}findPostInTopic(topicId,indexWithinTopic){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject12())).pluck().get({topic_id:topicId,index_within_topic:indexWithinTopic});}bumpDefinitionTopicCheck(timestampMs){this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject13())).run({key:DEFINITION_CHECK_KEY,timestamp_ms:timestampMs});}addLike(like){this.addUser(like.username);const res=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject14())).run({post_id:like.postId,timestamp_ms:like.timestampMs,username:like.username});return toAddResult(res);}replaceTopicTransaction(topic,posts){this._transaction(()=>{this.addTopic(topic);for(const post of posts){this.addPost(post);}this.deleteUnexpectedPosts(topic.id,posts.map(p=>p.id));});}deleteUnexpectedPosts(topicId,expected){const res=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject15(),expected.map(_=>\"?\").join(\",\"))).run(topicId,...expected);return res.changes;}topicsInCategories(categoryIds){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject16(),categoryIds.map(_=>\"?\").join(\",\"))).all(...categoryIds).map(t=>t.id);}bumpedMsForTopic(id){const res=this._db.prepare(\"SELECT bumped_ms FROM topics WHERE id = :id\").get({id});return res!=null?res.bumped_ms:null;}addPost(post){this.addUser(post.authorUsername);const res=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject17())).run({id:post.id,timestamp_ms:post.timestampMs,reply_to_post_index:post.replyToPostIndex,index_within_topic:post.indexWithinTopic,topic_id:post.topicId,author_username:post.authorUsername,cooked:post.cooked});return toAddResult(res);}addTopic(topic){this.addUser(topic.authorUsername);const res=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(_templateObject18())).run({id:topic.id,category_id:topic.categoryId,title:topic.title,timestamp_ms:topic.timestampMs,bumped_ms:topic.bumpedMs,author_username:topic.authorUsername});return toAddResult(res);}addUser(username){const res=this._db.prepare(\"INSERT OR IGNORE INTO users (username) VALUES (?)\").run(username);return toAddResult(res);}}\n\n//# sourceURL=webpack:///./src/plugins/discourse/mirrorRepository.js?");

/***/ }),

/***/ "./src/plugins/discourse/referenceDetector.js":
/*!****************************************************!*\
  !*** ./src/plugins/discourse/referenceDetector.js ***!
  \****************************************************/
/*! exports provided: DiscourseReferenceDetector */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"DiscourseReferenceDetector\", function() { return DiscourseReferenceDetector; });\n/* harmony import */ var _address__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./address */ \"./src/plugins/discourse/address.js\");\n/* harmony import */ var _references__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./references */ \"./src/plugins/discourse/references.js\");\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}/**\n * Discourse ReferenceDetector detector that relies on database lookups.\n */class DiscourseReferenceDetector{constructor(data){_defineProperty(this,\"data\",void 0);this.data=data;}addressFromUrl(url){const[reference]=Object(_references__WEBPACK_IMPORTED_MODULE_1__[\"linksToReferences\"])([url]);if(!reference){return null;}switch(reference.type){case\"TOPIC\":{// Just validating the topic exists.\nif(this.data.topicById(reference.topicId)){return Object(_address__WEBPACK_IMPORTED_MODULE_0__[\"topicAddress\"])(reference.serverUrl,reference.topicId);}break;}case\"POST\":{// For posts, we need to convert from topicId + index to a post ID.\n// We're using it to validate the topic and post index exist as well.\nconst postId=this.data.findPostInTopic(reference.topicId,reference.postIndex);if(postId){return Object(_address__WEBPACK_IMPORTED_MODULE_0__[\"postAddress\"])(reference.serverUrl,postId);}break;}case\"USER\":{// Look up the username to validate it exists, and make sure we use\n// the result. As this should correct our capitalization. See #1479.\nconst username=this.data.findUsername(reference.username);if(username){return Object(_address__WEBPACK_IMPORTED_MODULE_0__[\"userAddress\"])(reference.serverUrl,username);}break;}default:{throw new Error(\"Unexpected reference type: \".concat(reference.type));}}}}\n\n//# sourceURL=webpack:///./src/plugins/discourse/referenceDetector.js?");

/***/ }),

/***/ "./src/plugins/discourse/references.js":
/*!*********************************************!*\
  !*** ./src/plugins/discourse/references.js ***!
  \*********************************************/
/*! exports provided: parseLinks, linksToReferences */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parseLinks\", function() { return parseLinks; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"linksToReferences\", function() { return linksToReferences; });\nconst htmlparser2=__webpack_require__(/*! htmlparser2 */ \"htmlparser2\");/**\n * Parse the links from a Discourse post's cookedHtml, generating\n * an array of UrlStrings. All of the UrlStrings will contain the full\n * server URL (i.e. relative references are made absolute). The serverUrl\n * is required so that we can do this.\n */function parseLinks(cookedHtml,serverUrl){const links=[];const httpRegex=/^https?:\\/\\//;if(serverUrl[serverUrl.length-1]===\"/\"){// Strip trailing slash if it was provided, so we can concatenate\n// strings below.\nserverUrl=serverUrl.slice(0,serverUrl.length-1);}if(!serverUrl.match(httpRegex)){throw new Error(\"Invalid server url \".concat(serverUrl));}const parser=new htmlparser2.Parser({onopentag(name,attribs){if(name===\"a\"){const href=attribs.href;if(href!=null){if(href.match(httpRegex)){links.push(href);}if(href[0]===\"/\"){links.push(serverUrl+href);}}}}});parser.write(cookedHtml);parser.end();return links;}function linksToReferences(links){const server=\"(https?://[\\\\w.-]+)\";const topic=\"(?:\".concat(server,\")/t/[\\\\w-]+/(\\\\d+)\");const post=\"(?:\".concat(topic,\")/(\\\\d+)\");const params=\"(?:\\\\?[\\\\w-=]+)?\";const topicRegex=new RegExp(\"^(?:\".concat(topic,\")(?:\").concat(params,\")/?$\"));const postRegex=new RegExp(\"^(?:\".concat(post,\")(?:\").concat(params,\")/?$\"));const userRegex=new RegExp(\"^(?:\".concat(server,\")/u/([\\\\w-]+)(?:\").concat(params,\")/?$\"));const references=[];for(const link of links){let match=null;let decoded;try{decoded=decodeURI(link);}catch(e){console.error(\"\".concat(e,\"\\nFor URL: \").concat(link));continue;}if(match=decoded.match(postRegex)){references.push({type:\"POST\",topicId:+match[2],serverUrl:match[1],postIndex:+match[3]});}else if(match=decoded.match(topicRegex)){references.push({type:\"TOPIC\",topicId:+match[2],serverUrl:match[1]});}else if(match=decoded.match(userRegex)){references.push({type:\"USER\",username:match[2],serverUrl:match[1]});}}return references;}\n\n//# sourceURL=webpack:///./src/plugins/discourse/references.js?");

/***/ }),

/***/ "./src/plugins/experimental-discord/cliPlugin.js":
/*!*******************************************************!*\
  !*** ./src/plugins/experimental-discord/cliPlugin.js ***!
  \*******************************************************/
/*! exports provided: DiscordCliPlugin */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"DiscordCliPlugin\", function() { return DiscordCliPlugin; });\n/* harmony import */ var better_sqlite3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! better-sqlite3 */ \"better-sqlite3\");\n/* harmony import */ var better_sqlite3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(better_sqlite3__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./config */ \"./src/plugins/experimental-discord/config.js\");\n/* harmony import */ var _declaration__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./declaration */ \"./src/plugins/experimental-discord/declaration.js\");\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! path */ \"path\");\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_3__);\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! fs-extra */ \"fs-extra\");\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(fs_extra__WEBPACK_IMPORTED_MODULE_4__);\n/* harmony import */ var _fetcher__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./fetcher */ \"./src/plugins/experimental-discord/fetcher.js\");\n/* harmony import */ var _mirror__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./mirror */ \"./src/plugins/experimental-discord/mirror.js\");\n/* harmony import */ var _analysis_pluginDeclaration__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../analysis/pluginDeclaration */ \"./src/analysis/pluginDeclaration.js\");\n/* harmony import */ var _createGraph__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./createGraph */ \"./src/plugins/experimental-discord/createGraph.js\");\n/* harmony import */ var _models__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./models */ \"./src/plugins/experimental-discord/models.js\");\n/* harmony import */ var _mirrorRepository__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./mirrorRepository */ \"./src/plugins/experimental-discord/mirrorRepository.js\");\nasync function loadConfig(dirContext){const dirname=dirContext.configDirectory();const path=Object(path__WEBPACK_IMPORTED_MODULE_3__[\"join\"])(dirname,\"config.json\");const contents=await fs_extra__WEBPACK_IMPORTED_MODULE_4___default.a.readFile(path);return Promise.resolve(Object(_config__WEBPACK_IMPORTED_MODULE_1__[\"parseConfig\"])(JSON.parse(contents)));}const TOKEN_ENV_VAR_NAME=\"SOURCECRED_DISCORD_TOKEN\";function getTokenFromEnv(){const rawToken=process.env[TOKEN_ENV_VAR_NAME];if(rawToken==null){throw new Error(\"No Discord token provided: set \".concat(TOKEN_ENV_VAR_NAME));}return rawToken;}class DiscordCliPlugin{declaration(){return _declaration__WEBPACK_IMPORTED_MODULE_2__[\"declaration\"];}async load(ctx,reporter){const{guildId}=await loadConfig(ctx);const token=getTokenFromEnv();const fetcher=new _fetcher__WEBPACK_IMPORTED_MODULE_5__[\"Fetcher\"]({token});const repo=await repository(ctx,guildId);const mirror=new _mirror__WEBPACK_IMPORTED_MODULE_6__[\"Mirror\"](repo,fetcher,guildId);await mirror.update(reporter);}async graph(ctx,rd){const _=rd;// TODO(#1808): not yet used\nconst{guildId,reactionWeights}=await loadConfig(ctx);const repo=await repository(ctx,guildId);const declarationWeights=Object(_analysis_pluginDeclaration__WEBPACK_IMPORTED_MODULE_7__[\"weightsForDeclaration\"])(_declaration__WEBPACK_IMPORTED_MODULE_2__[\"declaration\"]);return await Object(_createGraph__WEBPACK_IMPORTED_MODULE_8__[\"createGraph\"])(guildId,repo,declarationWeights,reactionWeights);}async referenceDetector(_unused_ctx){// TODO: Implement Discord reference detection\n// (low priority bc ppl rarely hardlink to Discord messages)\nreturn{addressFromUrl:()=>undefined};}}async function repository(ctx,guild){const path=Object(path__WEBPACK_IMPORTED_MODULE_3__[\"join\"])(ctx.cacheDirectory(),\"discordMirror.db\");const db=await new better_sqlite3__WEBPACK_IMPORTED_MODULE_0___default.a(path);return new _mirrorRepository__WEBPACK_IMPORTED_MODULE_10__[\"SqliteMirrorRepository\"](db,guild);}\n\n//# sourceURL=webpack:///./src/plugins/experimental-discord/cliPlugin.js?");

/***/ }),

/***/ "./src/plugins/experimental-discord/config.js":
/*!****************************************************!*\
  !*** ./src/plugins/experimental-discord/config.js ***!
  \****************************************************/
/*! exports provided: parseConfig */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parseConfig\", function() { return parseConfig; });\n/* harmony import */ var _util_combo__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/combo */ \"./src/util/combo.js\");\n/* harmony import */ var _models__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./models */ \"./src/plugins/experimental-discord/models.js\");\nfunction parseConfig(raw){return parser.parseOrThrow(raw);}const parser=(()=>{const C=_util_combo__WEBPACK_IMPORTED_MODULE_0__;return C.object({guildId:C.string,reactionWeights:C.dict(C.number)});})();\n\n//# sourceURL=webpack:///./src/plugins/experimental-discord/config.js?");

/***/ }),

/***/ "./src/plugins/experimental-discord/createGraph.js":
/*!*********************************************************!*\
  !*** ./src/plugins/experimental-discord/createGraph.js ***!
  \*********************************************************/
/*! exports provided: userAddress, createGraph */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"userAddress\", function() { return userAddress; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createGraph\", function() { return createGraph; });\n/* harmony import */ var entities__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! entities */ \"entities\");\n/* harmony import */ var entities__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(entities__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _mirrorRepository__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./mirrorRepository */ \"./src/plugins/experimental-discord/mirrorRepository.js\");\n/* harmony import */ var _declaration__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./declaration */ \"./src/plugins/experimental-discord/declaration.js\");\n/* harmony import */ var _models__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./models */ \"./src/plugins/experimental-discord/models.js\");\n// Display this many characters in description.\nconst MESSAGE_LENGTH=30;function messageUrl(guild,channel,message){return\"https://discordapp.com/channels/\".concat(guild,\"/\").concat(channel,\"/\").concat(message);}function userAddress(userId){return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_3__[\"memberNodeType\"].prefix,\"user\",userId);}function memberAddress(member){return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_3__[\"memberNodeType\"].prefix,member.user.bot?\"bot\":\"user\",member.user.id);}function messageAddress(message){return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_3__[\"messageNodeType\"].prefix,message.channelId,message.id);}function reactionAddress(reaction){// Hacky order, so we can boost categories.\nreturn _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_3__[\"reactionNodeType\"].prefix,reaction.channelId,_models__WEBPACK_IMPORTED_MODULE_4__[\"emojiToRef\"](reaction.emoji),reaction.authorId,reaction.messageId);}function memberNode(member){const description=\"\".concat(Object(entities__WEBPACK_IMPORTED_MODULE_0__[\"escape\"])(member.user.username),\"#\").concat(member.user.discriminator);return{address:memberAddress(member),description,timestampMs:null};}function messageNode(message,guild,channelName){const url=messageUrl(guild,message.channelId,message.id);const partialMessage=Object(entities__WEBPACK_IMPORTED_MODULE_0__[\"escape\"])(message.content.substring(0,MESSAGE_LENGTH));const description=\"#\".concat(channelName,\" message [\\\"\").concat(partialMessage,\"...\\\"](\").concat(url,\")\");return{address:messageAddress(message),description,timestampMs:message.timestampMs};}function authorsMessageEdge(message,author){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_3__[\"authorsMessageEdgeType\"].prefix,author.user.bot?\"bot\":\"user\",author.user.id,message.channelId,message.id);return{address,timestampMs:message.timestampMs,src:memberAddress(author),dst:messageAddress(message)};}function reactionNode(reaction,timestampMs,guild){const msgUrl=messageUrl(guild,reaction.channelId,reaction.messageId);const reactionStr=reaction.emoji.id?\":\".concat(reaction.emoji.name,\":\"):reaction.emoji.name;const description=\"Reacted `\".concat(reactionStr,\"` to message [\").concat(reaction.messageId,\"](\").concat(msgUrl,\")\");return{address:reactionAddress(reaction),description,timestampMs};}function addsReactionEdge(reaction,member,timestampMs){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_3__[\"addsReactionEdgeType\"].prefix,member.user.bot?\"bot\":\"user\",member.user.id,_models__WEBPACK_IMPORTED_MODULE_4__[\"emojiToRef\"](reaction.emoji),reaction.channelId,reaction.messageId);return{address,// TODO: for now using timestamp of the message,\n// as reactions don't have timestamps.\ntimestampMs,src:memberAddress(member),dst:reactionAddress(reaction)};}function reactsToEdge(reaction,message){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_3__[\"reactsToEdgeType\"].prefix,_models__WEBPACK_IMPORTED_MODULE_4__[\"emojiToRef\"](reaction.emoji),reaction.authorId,reaction.channelId,reaction.messageId);return{address,// TODO: for now using timestamp of the message,\n// as reactions don't have timestamps.\ntimestampMs:message.timestampMs,src:reactionAddress(reaction),dst:messageAddress(message)};}function mentionsEdge(message,member){const address=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(_declaration__WEBPACK_IMPORTED_MODULE_3__[\"mentionsEdgeType\"].prefix,message.channelId,message.authorId,message.id,member.user.bot?\"bot\":\"user\",member.user.id);return{address,timestampMs:message.timestampMs,src:messageAddress(message),dst:memberAddress(member)};}function createGraph(guild,repo,declarationWeights,emojiWeights){const wg={graph:new _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"Graph\"](),weights:declarationWeights};const memberMap=new Map(repo.members().map(m=>[m.user.id,m]));const channels=repo.channels();for(const channel of channels){const messages=repo.messages(channel.id);for(const message of messages){if(message.mentions.length===0&&message.reactionEmoji.length===0)continue;if(message.nonUserAuthor)continue;let hasEdges=false;const reactions=repo.reactions(channel.id,message.id);for(const reaction of reactions){const emojiRef=_models__WEBPACK_IMPORTED_MODULE_4__[\"emojiToRef\"](reaction.emoji);const reactionWeight=emojiWeights[emojiRef];const reactingMember=memberMap.get(reaction.authorId);if(!reactingMember){console.warn(\"Reacting member not loaded \".concat(reaction.authorId,\" (reacted \").concat(emojiRef,\"), maybe a Deleted User?\\n\")+\"\".concat(messageUrl(guild,channel.id,message.id)));continue;}const node=reactionNode(reaction,message.timestampMs,guild);if(reactionWeight!=null){wg.weights.nodeWeights.set(node.address,reactionWeight);}wg.graph.addNode(node);wg.graph.addNode(memberNode(reactingMember));wg.graph.addEdge(reactsToEdge(reaction,message));wg.graph.addEdge(addsReactionEdge(reaction,reactingMember,message.timestampMs));hasEdges=true;}for(const userId of message.mentions){const mentionedMember=memberMap.get(userId);if(!mentionedMember){console.warn(\"Mentioned member not loaded \".concat(userId,\", maybe a Deleted User?\\n\")+\"\".concat(messageUrl(guild,channel.id,message.id)));continue;}wg.graph.addNode(memberNode(mentionedMember));wg.graph.addEdge(mentionsEdge(message,mentionedMember));hasEdges=true;}// Don't bloat the graph with isolated messages.\nif(hasEdges){const author=memberMap.get(message.authorId);if(!author){console.warn(\"Message author not loaded \".concat(message.authorId,\", maybe a Deleted User?\\n\")+\"\".concat(messageUrl(guild,channel.id,message.id)));continue;}wg.graph.addNode(memberNode(author));wg.graph.addNode(messageNode(message,guild,channel.name));wg.graph.addEdge(authorsMessageEdge(message,author));}}}return wg;}\n\n//# sourceURL=webpack:///./src/plugins/experimental-discord/createGraph.js?");

/***/ }),

/***/ "./src/plugins/experimental-discord/declaration.js":
/*!*********************************************************!*\
  !*** ./src/plugins/experimental-discord/declaration.js ***!
  \*********************************************************/
/*! exports provided: nodePrefix, edgePrefix, memberNodeType, messageNodeType, reactionNodeType, authorsMessageEdgeType, addsReactionEdgeType, reactsToEdgeType, mentionsEdgeType, declaration */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"nodePrefix\", function() { return nodePrefix; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"edgePrefix\", function() { return edgePrefix; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"memberNodeType\", function() { return memberNodeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"messageNodeType\", function() { return messageNodeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"reactionNodeType\", function() { return reactionNodeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"authorsMessageEdgeType\", function() { return authorsMessageEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"addsReactionEdgeType\", function() { return addsReactionEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"reactsToEdgeType\", function() { return reactsToEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mentionsEdgeType\", function() { return mentionsEdgeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"declaration\", function() { return declaration; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\nconst nodePrefix=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts([\"sourcecred\",\"discord\"]);const edgePrefix=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].fromParts([\"sourcecred\",\"discord\"]);const memberNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Member\",pluralName:\"Members\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(nodePrefix,\"MEMBER\"),defaultWeight:0,description:\"A member of the Discord server\"});const messageNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Message\",pluralName:\"Messages\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(nodePrefix,\"MESSAGE\"),defaultWeight:0,description:\"A Discord message, posted in a particular channel\"});const reactionNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Reaction\",pluralName:\"Reactions\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(nodePrefix,\"REACTION\"),defaultWeight:1,description:\"A reaction by some user, directed at some message\"});const authorsMessageEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"authors message\",backwardName:\"message is authored by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"AUTHORS\",\"MESSAGE\"),defaultWeight:{forwards:1/4,backwards:1},description:\"Connects an author to a message they've created.\"});const addsReactionEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"adds reaction\",backwardName:\"reaction added by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"ADDS_REACTION\"),defaultWeight:{forwards:1,backwards:1/16},description:\"Connects a member to a reaction that they added.\"});const reactsToEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"reacts to\",backwardName:\"is reacted to by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"REACTS_TO\"),defaultWeight:{forwards:1,backwards:1/16},description:\"Connects a reaction to a message that it reacts to.\"});const mentionsEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"mentions\",backwardName:\"is mentioned by\",prefix:_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(edgePrefix,\"MENTIONS\"),defaultWeight:{forwards:1,backwards:1/16},description:\"Connects a message to the member being mentioned.\"});const declaration=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Discord\",nodePrefix,edgePrefix,nodeTypes:[memberNodeType,messageNodeType,reactionNodeType],edgeTypes:[authorsMessageEdgeType,addsReactionEdgeType,reactsToEdgeType,mentionsEdgeType],userTypes:[memberNodeType]});\n\n//# sourceURL=webpack:///./src/plugins/experimental-discord/declaration.js?");

/***/ }),

/***/ "./src/plugins/experimental-discord/fetcher.js":
/*!*****************************************************!*\
  !*** ./src/plugins/experimental-discord/fetcher.js ***!
  \*****************************************************/
/*! exports provided: Fetcher */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Fetcher\", function() { return Fetcher; });\n/* harmony import */ var isomorphic_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! isomorphic-fetch */ \"isomorphic-fetch\");\n/* harmony import */ var isomorphic_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(isomorphic_fetch__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _models__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./models */ \"./src/plugins/experimental-discord/models.js\");\nfunction ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);if(enumerableOnly)symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;});keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=arguments[i]!=null?arguments[i]:{};if(i%2){ownKeys(Object(source),true).forEach(function(key){_defineProperty(target,key,source[key]);});}else if(Object.getOwnPropertyDescriptors){Object.defineProperties(target,Object.getOwnPropertyDescriptors(source));}else{ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}const fetcherDefaults={apiUrl:\"https://discordapp.com/api\",token:null,fetch: (isomorphic_fetch__WEBPACK_IMPORTED_MODULE_0___default())};class Fetcher{constructor(opts){_defineProperty(this,\"_options\",void 0);this._options=_objectSpread(_objectSpread({},fetcherDefaults),opts);if(!this._options.token){throw new Error(\"A BotToken is required\");}}_fetch(endpoint){const{apiUrl,token}=this._options;if(!token){throw new Error(\"A BotToken is required\");}const requestOptions={method:\"GET\",headers:{Accept:\"application/json\",Authorization:\"Bot \".concat(token)}};const url=new URL(\"\".concat(apiUrl).concat(endpoint)).href;return this._options.fetch(url,requestOptions);}async _fetchJson(endpoint){const res=await this._fetch(endpoint);failIfMissing(res);failForNotOk(res);return await res.json();}async guilds(){const guilds=await this._fetchJson(\"/users/@me/guilds\");return guilds.map(x=>({id:x.id,name:x.name,permissions:x.permissions}));}async emojis(guild){const emojis=await this._fetchJson(\"/guilds/\".concat(guild,\"/emojis\"));return emojis.map(x=>({id:x.id,name:x.name}));}async channels(guild){const channels=await this._fetchJson(\"/guilds/\".concat(guild,\"/channels\"));return channels.map(x=>({id:x.id,name:x.name,type:_models__WEBPACK_IMPORTED_MODULE_1__[\"channelTypeFromId\"](x.type)}));}async roles(guild){const roles=await this._fetchJson(\"/guilds/\".concat(guild,\"/roles\"));return roles.map(x=>({id:x.id,name:x.name}));}async members(guild){// TODO: hack, should have pagination.\nconst members=await this._fetchJson(\"/guilds/\".concat(guild,\"/members?limit=1000\"));if(members.length===1000){throw new Error(\"TODO: getting 1000 members, needs to implement pagination\");}return members.map(x=>({user:{id:x.user.id,username:x.user.username,discriminator:x.user.discriminator,bot:x.user.bot||x.user.system||false},nick:x.nick||null,roles:x.roles}));}async messages(channel,after,limit){const messages=await this._fetchJson(\"/channels/\".concat(channel,\"/messages?after=\").concat(after,\"&limit=\").concat(limit));return messages.map(x=>({id:x.id,channelId:channel,authorId:x.author.id,timestampMs:Date.parse(x.timestamp),content:x.content,reactionEmoji:(x.reactions||[]).map(r=>r.emoji),nonUserAuthor:x.webhook_id!=null||false,mentions:(x.mentions||[]).map(user=>user.id)}));}async reactions(channel,message,emoji){// TODO: implement pagination.\nconst after=\"0\";const limit=100;const emojiRef=_models__WEBPACK_IMPORTED_MODULE_1__[\"emojiToRef\"](emoji);const reactingUsers=await this._fetchJson(\"/channels/\".concat(channel,\"/messages/\").concat(message,\"/reactions/\").concat(emojiRef,\"?after=\").concat(after,\"&limit=\").concat(limit));if(reactingUsers.length===100){throw new Error(\"TODO: implement reactions pagination\");}return reactingUsers.map(x=>({channelId:channel,messageId:message,emoji,authorId:x.id}));}}function failIfMissing(response){if(response.status===404){throw new Error(\"404 Not Found on: \".concat(response.url,\"; maybe bad serverUrl?\"));}if(response.status===403){throw new Error(\"403 Forbidden: bad API username or key?\\n\".concat(response.url));}if(response.status===410){throw new Error(\"410 Gone\");}}function failForNotOk(response){if(!response.ok){throw new Error(\"not OK status \".concat(response.status,\" on \").concat(response.url));}}\n\n//# sourceURL=webpack:///./src/plugins/experimental-discord/fetcher.js?");

/***/ }),

/***/ "./src/plugins/experimental-discord/mirror.js":
/*!****************************************************!*\
  !*** ./src/plugins/experimental-discord/mirror.js ***!
  \****************************************************/
/*! exports provided: Mirror */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Mirror\", function() { return Mirror; });\n/* harmony import */ var _util_taskReporter__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/taskReporter */ \"./src/util/taskReporter.js\");\n/* harmony import */ var _mirrorRepository__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./mirrorRepository */ \"./src/plugins/experimental-discord/mirrorRepository.js\");\n/* harmony import */ var _models__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./models */ \"./src/plugins/experimental-discord/models.js\");\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}// How many messages for each channel to reload.\nconst RELOAD_DEPTH=50;class Mirror{constructor(repo,api,guild){_defineProperty(this,\"_repo\",void 0);_defineProperty(this,\"_api\",void 0);_defineProperty(this,\"guild\",void 0);this._repo=repo;this._api=api;this.guild=guild;}async update(reporter){const guild=await this.validateGuildId();reporter.start(\"discord/\".concat(guild.name));await this.addMembers();const channels=await this.addTextChannels();for(const channel of channels){reporter.start(\"discord/\".concat(guild.name,\"/#\").concat(channel.name));try{await this.addMessages(channel.id);}catch(e){console.warn(e);}reporter.finish(\"discord/\".concat(guild.name,\"/#\").concat(channel.name));}reporter.finish(\"discord/\".concat(guild.name));}async validateGuildId(){const guilds=await this._api.guilds();const guild=guilds.find(g=>g.id===this.guild);if(!guild){throw new Error(\"Couldn't find guild with ID \".concat(this.guild,\"\\nMaybe the bot has no access to it?\"));}// TODO: validate bot permissions\nreturn guild;}async addMembers(){const members=await this._api.members(this.guild);for(const member of members){this._repo.addMember(member);}return this._repo.members();}async addTextChannels(){const channels=await this._api.channels(this.guild);for(const channel of channels){if(channel.type!==\"GUILD_TEXT\")continue;this._repo.addChannel(channel);}return this._repo.channels();}async addMessages(channel,messageLimit){const loadStart=this._repo.nthMessageFromTail(channel,RELOAD_DEPTH);// console.log(channel, (loadStart || {}).id);\nconst limit=messageLimit||100;let page=[];let after=loadStart?loadStart.id:\"0\";do{page=await this._api.messages(channel,after,limit);for(const message of page){after=after<message.id?message.id:after;this._repo.addMessage(message);for(const emoji of message.reactionEmoji){const reactions=await this._api.reactions(channel,message.id,emoji);for(const reaction of reactions){this._repo.addReaction(reaction);}}}}while(page.length>=limit);return this._repo.messages(channel);}}\n\n//# sourceURL=webpack:///./src/plugins/experimental-discord/mirror.js?");

/***/ }),

/***/ "./src/plugins/experimental-discord/mirrorRepository.js":
/*!**************************************************************!*\
  !*** ./src/plugins/experimental-discord/mirrorRepository.js ***!
  \**************************************************************/
/*! exports provided: SqliteMirrorRepository */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"SqliteMirrorRepository\", function() { return SqliteMirrorRepository; });\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! json-stable-stringify */ \"json-stable-stringify\");\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(json_stable_stringify__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _models__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./models */ \"./src/plugins/experimental-discord/models.js\");\n/* harmony import */ var _util_dedent__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../util/dedent */ \"./src/util/dedent.js\");\nfunction _templateObject22(){const data=_taggedTemplateLiteral([\"          INSERT OR IGNORE INTO member_roles (\\n              user_id,\\n              role\\n          ) VALUES (\\n              :user_id,\\n              :role\\n          )\\n        \"],[\"\\\\\\n          INSERT OR IGNORE INTO member_roles (\\n              user_id,\\n              role\\n          ) VALUES (\\n              :user_id,\\n              :role\\n          )\\n        \"]);_templateObject22=function _templateObject22(){return data;};return data;}function _templateObject21(){const data=_taggedTemplateLiteral([\"          INSERT OR IGNORE INTO members (\\n              user_id,\\n              username,\\n              discriminator,\\n              bot,\\n              nick\\n          ) VALUES (\\n              :user_id,\\n              :username,\\n              :discriminator,\\n              :bot,\\n              :nick\\n          )\\n        \"],[\"\\\\\\n          INSERT OR IGNORE INTO members (\\n              user_id,\\n              username,\\n              discriminator,\\n              bot,\\n              nick\\n          ) VALUES (\\n              :user_id,\\n              :username,\\n              :discriminator,\\n              :bot,\\n              :nick\\n          )\\n        \"]);_templateObject21=function _templateObject21(){return data;};return data;}function _templateObject20(){const data=_taggedTemplateLiteral([\"          INSERT OR IGNORE INTO message_mentions (\\n              channel_id,\\n              message_id,\\n              user_id\\n          ) VALUES (\\n              :channel_id,\\n              :message_id,\\n              :user_id\\n          )\\n        \"],[\"\\\\\\n          INSERT OR IGNORE INTO message_mentions (\\n              channel_id,\\n              message_id,\\n              user_id\\n          ) VALUES (\\n              :channel_id,\\n              :message_id,\\n              :user_id\\n          )\\n        \"]);_templateObject20=function _templateObject20(){return data;};return data;}function _templateObject19(){const data=_taggedTemplateLiteral([\"          INSERT OR IGNORE INTO message_reactions (\\n              channel_id,\\n              message_id,\\n              author_id,\\n              emoji\\n          ) VALUES (\\n              :channel_id,\\n              :message_id,\\n              :author_id,\\n              :emoji\\n          )\\n        \"],[\"\\\\\\n          INSERT OR IGNORE INTO message_reactions (\\n              channel_id,\\n              message_id,\\n              author_id,\\n              emoji\\n          ) VALUES (\\n              :channel_id,\\n              :message_id,\\n              :author_id,\\n              :emoji\\n          )\\n        \"]);_templateObject19=function _templateObject19(){return data;};return data;}function _templateObject18(){const data=_taggedTemplateLiteral([\"          INSERT OR IGNORE INTO messages (\\n              id,\\n              channel_id,\\n              author_id,\\n              non_user_author,\\n              timestamp_ms,\\n              content\\n          ) VALUES (\\n              :id,\\n              :channel_id,\\n              :author_id,\\n              :non_user_author,\\n              :timestamp_ms,\\n              :content\\n          )\\n        \"],[\"\\\\\\n          INSERT OR IGNORE INTO messages (\\n              id,\\n              channel_id,\\n              author_id,\\n              non_user_author,\\n              timestamp_ms,\\n              content\\n          ) VALUES (\\n              :id,\\n              :channel_id,\\n              :author_id,\\n              :non_user_author,\\n              :timestamp_ms,\\n              :content\\n          )\\n        \"]);_templateObject18=function _templateObject18(){return data;};return data;}function _templateObject17(){const data=_taggedTemplateLiteral([\"          INSERT OR IGNORE INTO channels (\\n              id,\\n              type,\\n              name\\n          ) VALUES (\\n              :id,\\n              :type,\\n              :name\\n          )\\n        \"],[\"\\\\\\n          INSERT OR IGNORE INTO channels (\\n              id,\\n              type,\\n              name\\n          ) VALUES (\\n              :id,\\n              :type,\\n              :name\\n          )\\n        \"]);_templateObject17=function _templateObject17(){return data;};return data;}function _templateObject16(){const data=_taggedTemplateLiteral([\"        SELECT\\n          channel_id,\\n          message_id,\\n          author_id,\\n          emoji\\n        FROM message_reactions\\n        WHERE channel_id = :channel_id\\n          AND message_id = :message_id\"],[\"\\\\\\n        SELECT\\n          channel_id,\\n          message_id,\\n          author_id,\\n          emoji\\n        FROM message_reactions\\n        WHERE channel_id = :channel_id\\n          AND message_id = :message_id\"]);_templateObject16=function _templateObject16(){return data;};return data;}function _templateObject15(){const data=_taggedTemplateLiteral([\"        SELECT DISTINCT\\n          emoji\\n        FROM message_reactions\\n        WHERE channel_id = :channel_id\\n          AND message_id = :message_id\"],[\"\\\\\\n        SELECT DISTINCT\\n          emoji\\n        FROM message_reactions\\n        WHERE channel_id = :channel_id\\n          AND message_id = :message_id\"]);_templateObject15=function _templateObject15(){return data;};return data;}function _templateObject14(){const data=_taggedTemplateLiteral([\"        SELECT user_id\\n        FROM message_mentions\\n        WHERE channel_id = :channel_id\\n          AND message_id = :message_id\"],[\"\\\\\\n        SELECT user_id\\n        FROM message_mentions\\n        WHERE channel_id = :channel_id\\n          AND message_id = :message_id\"]);_templateObject14=function _templateObject14(){return data;};return data;}function _templateObject13(){const data=_taggedTemplateLiteral([\"        SELECT\\n          id,\\n          channel_id,\\n          author_id,\\n          non_user_author,\\n          timestamp_ms,\\n          content\\n        FROM messages\\n        WHERE channel_id = :channel_id\\n        ORDER BY timestamp_ms\\n        LIMIT 1\\n        OFFSET :offset\\n        \"],[\"\\\\\\n        SELECT\\n          id,\\n          channel_id,\\n          author_id,\\n          non_user_author,\\n          timestamp_ms,\\n          content\\n        FROM messages\\n        WHERE channel_id = :channel_id\\n        ORDER BY timestamp_ms\\n        LIMIT 1\\n        OFFSET :offset\\n        \"]);_templateObject13=function _templateObject13(){return data;};return data;}function _templateObject12(){const data=_taggedTemplateLiteral([\"        SELECT count(*) as count\\n        FROM messages\\n        WHERE channel_id = :channel_id\"],[\"\\\\\\n        SELECT count(*) as count\\n        FROM messages\\n        WHERE channel_id = :channel_id\"]);_templateObject12=function _templateObject12(){return data;};return data;}function _templateObject11(){const data=_taggedTemplateLiteral([\"        SELECT\\n          id,\\n          channel_id,\\n          author_id,\\n          non_user_author,\\n          timestamp_ms,\\n          content\\n        FROM messages\\n        WHERE channel_id = :channel_id\"],[\"\\\\\\n        SELECT\\n          id,\\n          channel_id,\\n          author_id,\\n          non_user_author,\\n          timestamp_ms,\\n          content\\n        FROM messages\\n        WHERE channel_id = :channel_id\"]);_templateObject11=function _templateObject11(){return data;};return data;}function _templateObject10(){const data=_taggedTemplateLiteral([\"        SELECT\\n          id,\\n          type,\\n          name\\n        FROM channels\"],[\"\\\\\\n        SELECT\\n          id,\\n          type,\\n          name\\n        FROM channels\"]);_templateObject10=function _templateObject10(){return data;};return data;}function _templateObject9(){const data=_taggedTemplateLiteral([\"        SELECT\\n          user_id,\\n          role\\n        FROM member_roles\\n        WHERE user_id = :user_id\"],[\"\\\\\\n        SELECT\\n          user_id,\\n          role\\n        FROM member_roles\\n        WHERE user_id = :user_id\"]);_templateObject9=function _templateObject9(){return data;};return data;}function _templateObject8(){const data=_taggedTemplateLiteral([\"        SELECT\\n          user_id,\\n          username,\\n          discriminator,\\n          bot,\\n          nick\\n        FROM members\"],[\"\\\\\\n        SELECT\\n          user_id,\\n          username,\\n          discriminator,\\n          bot,\\n          nick\\n        FROM members\"]);_templateObject8=function _templateObject8(){return data;};return data;}function _templateObject7(){const data=_taggedTemplateLiteral([\"        CREATE TABLE message_mentions (\\n            channel_id TEXT NOT NULL,\\n            message_id TEXT NOT NULL,\\n            user_id TEXT NOT NULL,\\n            CONSTRAINT value_object PRIMARY KEY (channel_id, message_id, user_id)\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE message_mentions (\\n            channel_id TEXT NOT NULL,\\n            message_id TEXT NOT NULL,\\n            user_id TEXT NOT NULL,\\n            CONSTRAINT value_object PRIMARY KEY (channel_id, message_id, user_id)\\n        )\\n      \"]);_templateObject7=function _templateObject7(){return data;};return data;}function _templateObject6(){const data=_taggedTemplateLiteral([\"        CREATE TABLE message_reactions (\\n            channel_id TEXT NOT NULL,\\n            message_id TEXT NOT NULL,\\n            author_id TEXT NOT NULL,\\n            emoji TEXT NOT NULL,\\n            CONSTRAINT value_object PRIMARY KEY (channel_id, message_id, author_id, emoji)\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE message_reactions (\\n            channel_id TEXT NOT NULL,\\n            message_id TEXT NOT NULL,\\n            author_id TEXT NOT NULL,\\n            emoji TEXT NOT NULL,\\n            CONSTRAINT value_object PRIMARY KEY (channel_id, message_id, author_id, emoji)\\n        )\\n      \"]);_templateObject6=function _templateObject6(){return data;};return data;}function _templateObject5(){const data=_taggedTemplateLiteral([\"        CREATE TABLE messages (\\n            id TEXT PRIMARY KEY,\\n            channel_id TEXT NOT NULL,\\n            author_id TEXT NOT NULL,\\n            non_user_author INTEGER NOT NULL,\\n            timestamp_ms INTEGER NOT NULL,\\n            content TEXT NOT NULL\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE messages (\\n            id TEXT PRIMARY KEY,\\n            channel_id TEXT NOT NULL,\\n            author_id TEXT NOT NULL,\\n            non_user_author INTEGER NOT NULL,\\n            timestamp_ms INTEGER NOT NULL,\\n            content TEXT NOT NULL\\n        )\\n      \"]);_templateObject5=function _templateObject5(){return data;};return data;}function _templateObject4(){const data=_taggedTemplateLiteral([\"        CREATE TABLE member_roles (\\n            user_id TEXT,\\n            role TEXT NOT NULL,\\n            CONSTRAINT user_role PRIMARY KEY (user_id, role)\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE member_roles (\\n            user_id TEXT,\\n            role TEXT NOT NULL,\\n            CONSTRAINT user_role PRIMARY KEY (user_id, role)\\n        )\\n      \"]);_templateObject4=function _templateObject4(){return data;};return data;}function _templateObject3(){const data=_taggedTemplateLiteral([\"        CREATE TABLE members (\\n            user_id TEXT PRIMARY KEY,\\n            username TEXT NOT NULL,\\n            discriminator TEXT NOT NULL,\\n            bot INTEGER NOT NULL,\\n            nick TEXT\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE members (\\n            user_id TEXT PRIMARY KEY,\\n            username TEXT NOT NULL,\\n            discriminator TEXT NOT NULL,\\n            bot INTEGER NOT NULL,\\n            nick TEXT\\n        )\\n      \"]);_templateObject3=function _templateObject3(){return data;};return data;}function _templateObject2(){const data=_taggedTemplateLiteral([\"        CREATE TABLE channels (\\n            id TEXT PRIMARY KEY,\\n            type TEXT NOT NULL,\\n            name TEXT NOT NULL\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE channels (\\n            id TEXT PRIMARY KEY,\\n            type TEXT NOT NULL,\\n            name TEXT NOT NULL\\n        )\\n      \"]);_templateObject2=function _templateObject2(){return data;};return data;}function _templateObject(){const data=_taggedTemplateLiteral([\"        CREATE TABLE IF NOT EXISTS meta (\\n            zero INTEGER PRIMARY KEY,\\n            config TEXT NOT NULL\\n        )\\n      \"],[\"\\\\\\n        CREATE TABLE IF NOT EXISTS meta (\\n            zero INTEGER PRIMARY KEY,\\n            config TEXT NOT NULL\\n        )\\n      \"]);_templateObject=function _templateObject(){return data;};return data;}function _taggedTemplateLiteral(strings,raw){if(!raw){raw=strings.slice(0);}return Object.freeze(Object.defineProperties(strings,{raw:{value:Object.freeze(raw)}}));}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}const VERSION=\"discord_mirror_v1\";class SqliteMirrorRepository{constructor(db,guild){_defineProperty(this,\"_db\",void 0);if(db==null)throw new Error(\"db: \"+String(db));this._db=db;this._transaction(()=>{this._initialize(guild);});}_transaction(queries){const db=this._db;if(db.inTransaction){throw new Error(\"already in transaction\");}try{db.prepare(\"BEGIN\").run();queries();if(db.inTransaction){db.prepare(\"COMMIT\").run();}}finally{if(db.inTransaction){db.prepare(\"ROLLBACK\").run();}}}_initialize(guild){const db=this._db;// We store the config in a singleton table `meta`, whose unique row\n// has primary key `0`. Only the first ever insert will succeed; we\n// are locked into the first config.\ndb.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject())).run();const config=json_stable_stringify__WEBPACK_IMPORTED_MODULE_0___default()({version:VERSION,guild});const existingConfig=db.prepare(\"SELECT config FROM meta\").pluck().get();if(existingConfig===config){// Already set up; nothing to do.\nreturn;}else if(existingConfig!==undefined){throw new Error(\"Database already populated with incompatible server or version\");}db.prepare(\"INSERT INTO meta (zero, config) VALUES (0, ?)\").run(config);const tables=[Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject2()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject3()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject4()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject5()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject6()),Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject7())];for(const sql of tables){db.prepare(sql).run();}}members(){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject8())).all().map(x=>({user:{id:x.user_id,username:x.username,discriminator:x.discriminator,bot:x.bot===1},nick:x.nick,roles:this.memberRoles(x.user_id)}));}memberRoles(user){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject9())).all({user_id:user}).map(x=>x.role);}channels(){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject10())).all();}messages(channel){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject11())).all({channel_id:channel}).map(m=>({id:m.id,channelId:m.channel_id,authorId:m.author_id,nonUserAuthor:m.non_user_author===1,timestampMs:m.timestamp_ms,content:m.content,reactionEmoji:this.reactionEmoji(m.channel_id,m.id),mentions:this.mentions(m.channel_id,m.id)}));}nthMessageFromTail(channel,n){const count=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject12())).get({channel_id:channel}).count;if(count<n)return null;const offset=count-n;const m=this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject13())).get({channel_id:channel,offset});return{id:m.id,channelId:m.channel_id,authorId:m.author_id,nonUserAuthor:m.non_user_author===1,timestampMs:m.timestamp_ms,content:m.content,reactionEmoji:this.reactionEmoji(m.channel_id,m.id),mentions:this.mentions(m.channel_id,m.id)};}mentions(channel,message){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject14())).all({channel_id:channel,message_id:message}).map(res=>res.user_id);}reactionEmoji(channel,message){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject15())).all({channel_id:channel,message_id:message}).map(e=>_models__WEBPACK_IMPORTED_MODULE_1__[\"refToEmoji\"](e.emoji));}reactions(channel,message){return this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject16())).all({channel_id:channel,message_id:message}).map(r=>({channelId:r.channel_id,messageId:r.message_id,authorId:r.author_id,emoji:_models__WEBPACK_IMPORTED_MODULE_1__[\"refToEmoji\"](r.emoji)}));}addChannel(channel){this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject17())).run({id:channel.id,type:channel.type,name:channel.name});}addMessage(message){this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject18())).run({id:message.id,channel_id:message.channelId,author_id:message.authorId,non_user_author:Number(message.nonUserAuthor),timestamp_ms:message.timestampMs,content:message.content});for(const user of message.mentions){this.addMention(message,user);}}addReaction(reaction){this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject19())).run({channel_id:reaction.channelId,message_id:reaction.messageId,author_id:reaction.authorId,emoji:_models__WEBPACK_IMPORTED_MODULE_1__[\"emojiToRef\"](reaction.emoji)});}addMention(message,user){this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject20())).run({channel_id:message.channelId,message_id:message.id,user_id:user});}addMember(member){this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject21())).run({user_id:member.user.id,username:member.user.username,discriminator:member.user.discriminator,bot:Number(member.user.bot),nick:member.nick});for(const role of member.roles){this.addMemberRole(member.user.id,role);}}addMemberRole(user,role){this._db.prepare(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(_templateObject22())).run({user_id:user,role});}}\n\n//# sourceURL=webpack:///./src/plugins/experimental-discord/mirrorRepository.js?");

/***/ }),

/***/ "./src/plugins/experimental-discord/models.js":
/*!****************************************************!*\
  !*** ./src/plugins/experimental-discord/models.js ***!
  \****************************************************/
/*! exports provided: ZeroSnowflake, channelTypeFromId, emojiToRef, refToEmoji */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"ZeroSnowflake\", function() { return ZeroSnowflake; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"channelTypeFromId\", function() { return channelTypeFromId; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"emojiToRef\", function() { return emojiToRef; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"refToEmoji\", function() { return refToEmoji; });\n// https://discordapp.com/developers/docs/reference#snowflakes\nconst ZeroSnowflake=\"0\";function channelTypeFromId(id){switch(id){case 0:return\"GUILD_TEXT\";case 1:return\"DM\";case 2:return\"GUILD_VOICE\";case 3:return\"GROUP_DM\";case 4:return\"GUILD_CATEGORY\";case 5:return\"GUILD_NEWS\";case 6:return\"GUILD_STORE\";default:{throw new Error(\"Unknown channel type ID: \".concat(id));}}}function emojiToRef(_ref){let{id,name}=_ref;// Built-in emoji, unicode names.\nif(!id)return name;// Custom emoji.\nreturn\"\".concat(name,\":\").concat(id);}function refToEmoji(ref){const[name,id]=ref.split(\":\");if(!id)return{id:null,name};return{id,name};}\n\n//# sourceURL=webpack:///./src/plugins/experimental-discord/models.js?");

/***/ }),

/***/ "./src/plugins/git/nodes.js":
/*!**********************************!*\
  !*** ./src/plugins/git/nodes.js ***!
  \**********************************/
/*! exports provided: _gitAddress, COMMIT_TYPE, Prefix, fromRaw, toRaw */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_gitAddress\", function() { return _gitAddress; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"COMMIT_TYPE\", function() { return COMMIT_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Prefix\", function() { return Prefix; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromRaw\", function() { return fromRaw; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toRaw\", function() { return toRaw; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\nconst GIT_PREFIX=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts([\"sourcecred\",\"git\"]);function _gitAddress(){for(var _len=arguments.length,parts=new Array(_len),_key=0;_key<_len;_key++){parts[_key]=arguments[_key];}return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(GIT_PREFIX,...parts);}const COMMIT_TYPE=\"COMMIT\";const Prefix=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({base:GIT_PREFIX,commit:_gitAddress(COMMIT_TYPE)});function fromRaw(x){function fail(){return new Error(\"Bad address: \".concat(_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].toString(x)));}if(!_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].hasPrefix(x,GIT_PREFIX)){throw fail();}const[_unused_sc,_unused_git,_type,...rest]=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].toParts(x);const type=_type;switch(type){case\"COMMIT\":{if(rest.length!==1)throw fail();const[hash]=rest;return{type:COMMIT_TYPE,hash};}default:// eslint-disable-next-line no-unused-expressions\ntype;throw fail();}}function toRaw(x){switch(x.type){case COMMIT_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.commit,x.hash);default:throw new Error(\"Unexpected type \".concat(x.type));}}\n\n//# sourceURL=webpack:///./src/plugins/git/nodes.js?");

/***/ }),

/***/ "./src/plugins/github/bots.js":
/*!************************************!*\
  !*** ./src/plugins/github/bots.js ***!
  \************************************/
/*! exports provided: botSet */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"botSet\", function() { return botSet; });\n// TODO(#638): Allow projects to specify bots via configuration,\n// rather than depending on this single souce of truth\nfunction botSet(){return new Set([\"codecov\",\"codecov-io\",\"credbot\",\"facebook-github-bot\",\"gitcoinbot\",\"gitter-badger\",\"googlebot\",\"greenkeeper\",\"greenkeeperio-bot\",\"metamaskbot\",\"nodejs-github-bot\",\"stickler-ci\",\"tensorflow-gardener\",\"tensorflow-jenkins\",\"tensorflowbutler\",\"github-actions\",\"transifex-integration\",\"dependabot\"]);}\n\n//# sourceURL=webpack:///./src/plugins/github/bots.js?");

/***/ }),

/***/ "./src/plugins/github/cacheId.js":
/*!***************************************!*\
  !*** ./src/plugins/github/cacheId.js ***!
  \***************************************/
/*! exports provided: cacheIdForRepoId */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"cacheIdForRepoId\", function() { return cacheIdForRepoId; });\n/* harmony import */ var _repoId__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./repoId */ \"./src/plugins/github/repoId.js\");\n/**\n * A derived ID to reference a cache layer.\n */ /**\n * Derives the CacheId for a RepoId.\n *\n * Returned `CacheId`s will be:\n * - Deterministic\n * - Unique for this plugin\n * - Lowercase\n * - Safe to use for filenames\n * - Distinct for semantically distinct inputs (input IDs that differ\n *   only in case may map to the same output, because GitHub does not\n *   permit collisions-modulo-case)\n */function cacheIdForRepoId(repoId){// GitHub owner (user/organization) and repository names may be in\n// mixed case, but GitHub prevents mixed-case collisions: e.g., if\n// `foo` is a user then `Foo` cannot also be a user, and likewise for\n// repositories. GitHub login names are DNS-safe (`[0-9A-Za-z-]` only)\n// and so are filename-safe. Repository names have a slightly larger\n// character set, including underscore, but are also filename-safe.\n// Because login may not contain an underscore, it thus suffices to\n// use an underscore as the delimiter. The resulting filename uses\n// only `[0-9A-Za-z_.-]` and so is valid on all major filesystems.\nconst owner=repoId.owner.toLowerCase();const name=repoId.name.toLowerCase();if(owner.includes(\"_\")){throw new Error(\"unexpected underscore in GitHub owner name would be ambiguous: \"+Object(_repoId__WEBPACK_IMPORTED_MODULE_0__[\"repoIdToString\"])(repoId));}return\"github_\".concat(owner,\"_\").concat(name);}\n\n//# sourceURL=webpack:///./src/plugins/github/cacheId.js?");

/***/ }),

/***/ "./src/plugins/github/cliPlugin.js":
/*!*****************************************!*\
  !*** ./src/plugins/github/cliPlugin.js ***!
  \*****************************************/
/*! exports provided: GithubCliPlugin */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"GithubCliPlugin\", function() { return GithubCliPlugin; });\n/* harmony import */ var better_sqlite3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! better-sqlite3 */ \"better-sqlite3\");\n/* harmony import */ var better_sqlite3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(better_sqlite3__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! fs-extra */ \"fs-extra\");\n/* harmony import */ var fs_extra__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(fs_extra__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! path */ \"path\");\n/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var _fetchGithubRepo__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./fetchGithubRepo */ \"./src/plugins/github/fetchGithubRepo.js\");\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _relationalView__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./relationalView */ \"./src/plugins/github/relationalView.js\");\n/* harmony import */ var _createGraph__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./createGraph */ \"./src/plugins/github/createGraph.js\");\n/* harmony import */ var _declaration__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./declaration */ \"./src/plugins/github/declaration.js\");\n/* harmony import */ var _referenceDetector__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./referenceDetector */ \"./src/plugins/github/referenceDetector.js\");\n/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./config */ \"./src/plugins/github/config.js\");\n/* harmony import */ var _token__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./token */ \"./src/plugins/github/token.js\");\n/* harmony import */ var _analysis_pluginDeclaration__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../analysis/pluginDeclaration */ \"./src/analysis/pluginDeclaration.js\");\n/* harmony import */ var _repoId__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./repoId */ \"./src/plugins/github/repoId.js\");\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}const TOKEN_ENV_VAR_NAME=\"SOURCECRED_GITHUB_TOKEN\";async function loadConfig(dirContext){const dirname=dirContext.configDirectory();const path=Object(path__WEBPACK_IMPORTED_MODULE_2__[\"join\"])(dirname,\"config.json\");const contents=await fs_extra__WEBPACK_IMPORTED_MODULE_1___default.a.readFile(path);return Promise.resolve(Object(_config__WEBPACK_IMPORTED_MODULE_9__[\"parse\"])(JSON.parse(contents)));}// Shim to interface with `fetchGithubRepo`; TODO: refactor that to just\n// take a directory.\nclass CacheProviderImpl{constructor(dirContext){_defineProperty(this,\"_dirContext\",void 0);this._dirContext=dirContext;}database(id){const path=Object(path__WEBPACK_IMPORTED_MODULE_2__[\"join\"])(this._dirContext.cacheDirectory(),\"\".concat(id,\".db\"));return Promise.resolve(new better_sqlite3__WEBPACK_IMPORTED_MODULE_0___default.a(path));}}function getTokenFromEnv(){const rawToken=process.env[TOKEN_ENV_VAR_NAME];if(rawToken==null){throw new Error(\"No GitHub token provided: set \".concat(TOKEN_ENV_VAR_NAME));}return Object(_token__WEBPACK_IMPORTED_MODULE_10__[\"validateToken\"])(rawToken);}class GithubCliPlugin{declaration(){return _declaration__WEBPACK_IMPORTED_MODULE_7__[\"declaration\"];}async load(ctx,reporter){const cache=new CacheProviderImpl(ctx);const token=getTokenFromEnv();const config=await loadConfig(ctx);for(const repoId of config.repoIds){const repoString=Object(_repoId__WEBPACK_IMPORTED_MODULE_12__[\"repoIdToString\"])(repoId);const task=\"github: loading \".concat(repoString);reporter.start(task);await Object(_fetchGithubRepo__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(repoId,{token,cache});reporter.finish(task);}}async graph(ctx,rd){const _=rd;// TODO(#1808): not yet used\nconst cache=new CacheProviderImpl(ctx);const token=getTokenFromEnv();const config=await loadConfig(ctx);const repositories=[];for(const repoId of config.repoIds){repositories.push(await Object(_fetchGithubRepo__WEBPACK_IMPORTED_MODULE_3__[\"fetchGithubRepoFromCache\"])(repoId,{token,cache}));}const graph=_core_graph__WEBPACK_IMPORTED_MODULE_4__[\"Graph\"].merge(repositories.map(r=>{const rv=new _relationalView__WEBPACK_IMPORTED_MODULE_5__[\"RelationalView\"]();rv.addRepository(r);return Object(_createGraph__WEBPACK_IMPORTED_MODULE_6__[\"createGraph\"])(rv);}));const weights=Object(_analysis_pluginDeclaration__WEBPACK_IMPORTED_MODULE_11__[\"weightsForDeclaration\"])(_declaration__WEBPACK_IMPORTED_MODULE_7__[\"declaration\"]);return{graph,weights};}async referenceDetector(ctx){const cache=new CacheProviderImpl(ctx);const token=getTokenFromEnv();const config=await loadConfig(ctx);const rvs=[];for(const repoId of config.repoIds){const repo=await Object(_fetchGithubRepo__WEBPACK_IMPORTED_MODULE_3__[\"fetchGithubRepoFromCache\"])(repoId,{token,cache});const rv=new _relationalView__WEBPACK_IMPORTED_MODULE_5__[\"RelationalView\"]();rv.addRepository(repo);rvs.push(rv);}return Object(_referenceDetector__WEBPACK_IMPORTED_MODULE_8__[\"fromRelationalViews\"])(rvs);}}\n\n//# sourceURL=webpack:///./src/plugins/github/cliPlugin.js?");

/***/ }),

/***/ "./src/plugins/github/config.js":
/*!**************************************!*\
  !*** ./src/plugins/github/config.js ***!
  \**************************************/
/*! exports provided: parse */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parse\", function() { return parse; });\n/* harmony import */ var _util_combo__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/combo */ \"./src/util/combo.js\");\n/* harmony import */ var _repoId__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./repoId */ \"./src/plugins/github/repoId.js\");\nconst parser=(()=>{const C=_util_combo__WEBPACK_IMPORTED_MODULE_0__;return C.object({repoIds:C.rename(\"repositories\",C.array(C.fmap(C.string,_repoId__WEBPACK_IMPORTED_MODULE_1__[\"stringToRepoId\"])))});})();function parse(raw){return parser.parseOrThrow(raw);}\n\n//# sourceURL=webpack:///./src/plugins/github/config.js?");

/***/ }),

/***/ "./src/plugins/github/createGraph.js":
/*!*******************************************!*\
  !*** ./src/plugins/github/createGraph.js ***!
  \*******************************************/
/*! exports provided: createGraph */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createGraph\", function() { return createGraph; });\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/null */ \"./src/util/null.js\");\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _git_nodes__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../git/nodes */ \"./src/plugins/git/nodes.js\");\n/* harmony import */ var _nodes__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./nodes */ \"./src/plugins/github/nodes.js\");\n/* harmony import */ var _relationalView__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./relationalView */ \"./src/plugins/github/relationalView.js\");\n/* harmony import */ var _edges__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./edges */ \"./src/plugins/github/edges.js\");\n/* harmony import */ var _graphqlTypes__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./graphqlTypes */ \"./src/plugins/github/graphqlTypes.js\");\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}function createGraph(view){const creator=new GraphCreator();creator.addData(view);return creator.graph;}class GraphCreator{constructor(){_defineProperty(this,\"graph\",void 0);this.graph=new _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"Graph\"]();}addData(view){for(const entity of view.entities()){const address=_nodes__WEBPACK_IMPORTED_MODULE_3__[\"toRaw\"](entity.address());this.graph.addNode({address,description:entity.description(),timestampMs:entity.timestampMs()});}for(const child of view.childEntities()){this.addHasParent(child);}for(const authored of view.authoredEntities()){this.addAuthors(authored);}for(const pull of view.pulls()){const commit=pull.mergedAs();if(commit!=null){const commitTimestamp=_util_null__WEBPACK_IMPORTED_MODULE_0__[\"get\"](view.commit(commit)).timestampMs();this.graph.addEdge(_edges__WEBPACK_IMPORTED_MODULE_5__[\"createEdge\"].mergedAs(pull.address(),commit,commitTimestamp));}}for(const commit of view.commits()){const gitCommitAddress={type:_git_nodes__WEBPACK_IMPORTED_MODULE_2__[\"COMMIT_TYPE\"],hash:commit.hash()};this.graph.addEdge(_edges__WEBPACK_IMPORTED_MODULE_5__[\"createEdge\"].correspondsToCommit(commit.address(),gitCommitAddress,commit.timestampMs()));}for(const referrer of view.textContentEntities()){for(const referent of referrer.references()){this.graph.addEdge(_edges__WEBPACK_IMPORTED_MODULE_5__[\"createEdge\"].references(referrer.address(),referent.address(),referrer.timestampMs()));}}for(const reactable of view.reactableEntities()){for(const{content,user,timestampMs}of reactable.reactions()){// We only support unambiguously positive reactions for now\nif(content===_graphqlTypes__WEBPACK_IMPORTED_MODULE_6__[\"ReactionContent$Values\"].THUMBS_UP||content===_graphqlTypes__WEBPACK_IMPORTED_MODULE_6__[\"ReactionContent$Values\"].HEART||content===_graphqlTypes__WEBPACK_IMPORTED_MODULE_6__[\"ReactionContent$Values\"].HOORAY||content===_graphqlTypes__WEBPACK_IMPORTED_MODULE_6__[\"ReactionContent$Values\"].ROCKET){this.graph.addEdge(_edges__WEBPACK_IMPORTED_MODULE_5__[\"createEdge\"].reacts(content,user,reactable.address(),timestampMs));}}}}addAuthors(entity){for(const author of entity.authors()){this.graph.addEdge(_edges__WEBPACK_IMPORTED_MODULE_5__[\"createEdge\"].authors(author.address(),entity.address(),entity.timestampMs()));}}addHasParent(child){this.graph.addEdge(_edges__WEBPACK_IMPORTED_MODULE_5__[\"createEdge\"].hasParent(child.address(),child.parent().address(),child.timestampMs()));}}\n\n//# sourceURL=webpack:///./src/plugins/github/createGraph.js?");

/***/ }),

/***/ "./src/plugins/github/declaration.js":
/*!*******************************************!*\
  !*** ./src/plugins/github/declaration.js ***!
  \*******************************************/
/*! exports provided: repoNodeType, userNodeType, declaration */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"repoNodeType\", function() { return repoNodeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"userNodeType\", function() { return userNodeType; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"declaration\", function() { return declaration; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _nodes__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./nodes */ \"./src/plugins/github/nodes.js\");\n/* harmony import */ var _edges__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./edges */ \"./src/plugins/github/edges.js\");\n/* harmony import */ var _util_dedent__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../util/dedent */ \"./src/util/dedent.js\");\nfunction _templateObject9(){const data=_taggedTemplateLiteral([\"    Connects a commit on GitHub to the corresponding raw Git commit.\\n  \"],[\"\\\\\\n    Connects a commit on GitHub to the corresponding raw Git commit.\\n  \"]);_templateObject9=function _templateObject9(){return data;};return data;}function _templateObject8(){const data=_taggedTemplateLiteral([\"    Connects users to posts to which they gave a \\uD83D\\uDE80 reaction.\\n  \"],[\"\\\\\\n    Connects users to posts to which they gave a \\uD83D\\uDE80 reaction.\\n  \"]);_templateObject8=function _templateObject8(){return data;};return data;}function _templateObject7(){const data=_taggedTemplateLiteral([\"    Connects users to posts to which they gave a \\uD83C\\uDF89 reaction.\\n  \"],[\"\\\\\\n    Connects users to posts to which they gave a \\uD83C\\uDF89 reaction.\\n  \"]);_templateObject7=function _templateObject7(){return data;};return data;}function _templateObject6(){const data=_taggedTemplateLiteral([\"    Connects users to posts to which they gave a \\uD83D\\uDC4D reaction.\\n  \"],[\"\\\\\\n    Connects users to posts to which they gave a \\uD83D\\uDC4D reaction.\\n  \"]);_templateObject6=function _templateObject6(){return data;};return data;}function _templateObject5(){const data=_taggedTemplateLiteral([\"    Connects users to posts to which they gave a \\u2764\\uFE0F reaction.\\n  \"],[\"\\\\\\n    Connects users to posts to which they gave a \\u2764\\uFE0F reaction.\\n  \"]);_templateObject5=function _templateObject5(){return data;};return data;}function _templateObject4(){const data=_taggedTemplateLiteral([\"    Connects a GitHub post to an entity that it references.\\n\\n    For example, if you write a GitHub issue comment that says \\\"thanks\\n    @username for pull #1337\\\", it will create references edges to both the user\\n    @username, and to pull #1337 in the same repository.\\n  \"],[\"\\\\\\n    Connects a GitHub post to an entity that it references.\\n\\n    For example, if you write a GitHub issue comment that says \\\"thanks\\n    @username for pull #1337\\\", it will create references edges to both the user\\n    @username, and to pull #1337 in the same repository.\\n  \"]);_templateObject4=function _templateObject4(){return data;};return data;}function _templateObject3(){const data=_taggedTemplateLiteral([\"    Connects a GitHub pull request to the Git commit that it merges.\\n  \"],[\"\\\\\\n    Connects a GitHub pull request to the Git commit that it merges.\\n  \"]);_templateObject3=function _templateObject3(){return data;};return data;}function _templateObject2(){const data=_taggedTemplateLiteral([\"    Connects a GitHub entity to its child entities.\\n\\n    For example, a Repository has Issues and Pull Requests as children, and a\\n    Pull Request has comments and reviews as children.\\n  \"],[\"\\\\\\n    Connects a GitHub entity to its child entities.\\n\\n    For example, a Repository has Issues and Pull Requests as children, and a\\n    Pull Request has comments and reviews as children.\\n  \"]);_templateObject2=function _templateObject2(){return data;};return data;}function _templateObject(){const data=_taggedTemplateLiteral([\"    Connects a GitHub account to a post that they authored.\\n\\n    Examples of posts include issues, pull requests, and comments.\\n  \"],[\"\\\\\\n    Connects a GitHub account to a post that they authored.\\n\\n    Examples of posts include issues, pull requests, and comments.\\n  \"]);_templateObject=function _templateObject(){return data;};return data;}function _taggedTemplateLiteral(strings,raw){if(!raw){raw=strings.slice(0);}return Object.freeze(Object.defineProperties(strings,{raw:{value:Object.freeze(raw)}}));}const repoNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Repository\",pluralName:\"Repositories\",prefix:_nodes__WEBPACK_IMPORTED_MODULE_1__[\"Prefix\"].repo,defaultWeight:4,description:\"NodeType for a GitHub repository\"});const issueNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Issue\",pluralName:\"Issues\",prefix:_nodes__WEBPACK_IMPORTED_MODULE_1__[\"Prefix\"].issue,defaultWeight:2,description:\"NodeType for a GitHub issue\"});const pullNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Pull request\",pluralName:\"Pull requests\",prefix:_nodes__WEBPACK_IMPORTED_MODULE_1__[\"Prefix\"].pull,defaultWeight:4,description:\"NodeType for a GitHub pull request\"});const reviewNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Pull request review\",pluralName:\"Pull request reviews\",prefix:_nodes__WEBPACK_IMPORTED_MODULE_1__[\"Prefix\"].review,defaultWeight:1,description:\"NodeType for a GitHub code review\"});const commentNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Comment\",pluralName:\"Comments\",prefix:_nodes__WEBPACK_IMPORTED_MODULE_1__[\"Prefix\"].comment,defaultWeight:1,description:\"NodeType for a GitHub comment\"});const commitNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Commit\",pluralName:\"Commits\",prefix:_nodes__WEBPACK_IMPORTED_MODULE_1__[\"Prefix\"].commit,defaultWeight:1,description:\"Represents a particular Git commit on GitHub, i.e. scoped to a particular repository\"});const userNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"User\",pluralName:\"Users\",prefix:_nodes__WEBPACK_IMPORTED_MODULE_1__[\"Prefix\"].user,defaultWeight:0,description:\"NodeType for a GitHub user\"});const botNodeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"Bot\",pluralName:\"Bots\",prefix:_nodes__WEBPACK_IMPORTED_MODULE_1__[\"Prefix\"].bot,defaultWeight:0,description:\"NodeType for a GitHub bot account\"});const nodeTypes=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()([repoNodeType,issueNodeType,pullNodeType,reviewNodeType,commentNodeType,commitNodeType,userNodeType,botNodeType]);const authorsEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"authors\",backwardName:\"is authored by\",defaultWeight:{forwards:1/2,backwards:1},prefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].authors,description:Object(_util_dedent__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(_templateObject())});const hasParentEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"has parent\",backwardName:\"has child\",defaultWeight:{forwards:1,backwards:1/4},prefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].hasParent,description:Object(_util_dedent__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(_templateObject2())});const mergedAsEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"merges\",backwardName:\"is merged by\",defaultWeight:{forwards:1/2,backwards:1},prefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].mergedAs,description:Object(_util_dedent__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(_templateObject3())});const referencesEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"references\",backwardName:\"is referenced by\",defaultWeight:{forwards:1,backwards:0},prefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].references,description:Object(_util_dedent__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(_templateObject4())});const reactsHeartEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"reacted ❤️ to\",backwardName:\"got ❤️ from\",defaultWeight:{forwards:2,backwards:0},prefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].reactsHeart,description:Object(_util_dedent__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(_templateObject5())});const reactsThumbsUpEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"reacted 👍 to\",backwardName:\"got 👍 from\",defaultWeight:{forwards:1,backwards:0},prefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].reactsThumbsUp,description:Object(_util_dedent__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(_templateObject6())});const reactsHoorayEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"reacted 🎉 to\",backwardName:\"got 🎉 from\",defaultWeight:{forwards:4,backwards:0},prefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].reactsHooray,description:Object(_util_dedent__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(_templateObject7())});const reactsRocketEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"reacted 🚀 to\",backwardName:\"got 🚀 from\",defaultWeight:{forwards:1,backwards:0},prefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].reactsRocket,description:Object(_util_dedent__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(_templateObject8())});const correspondsToCommitEdgeType=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({forwardName:\"corresponds to Git commit\",backwardName:\"merged on GitHub as\",defaultWeight:{forwards:1,backwards:1},prefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].correspondsToCommit,description:Object(_util_dedent__WEBPACK_IMPORTED_MODULE_3__[\"default\"])(_templateObject9())});const edgeTypes=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()([authorsEdgeType,hasParentEdgeType,mergedAsEdgeType,referencesEdgeType,reactsThumbsUpEdgeType,reactsHeartEdgeType,reactsHoorayEdgeType,reactsRocketEdgeType,correspondsToCommitEdgeType]);const declaration=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({name:\"GitHub\",nodePrefix:_nodes__WEBPACK_IMPORTED_MODULE_1__[\"Prefix\"].base,edgePrefix:_edges__WEBPACK_IMPORTED_MODULE_2__[\"Prefix\"].base,nodeTypes:nodeTypes,edgeTypes:edgeTypes,userTypes:[userNodeType]});\n\n//# sourceURL=webpack:///./src/plugins/github/declaration.js?");

/***/ }),

/***/ "./src/plugins/github/edges.js":
/*!*************************************!*\
  !*** ./src/plugins/github/edges.js ***!
  \*************************************/
/*! exports provided: AUTHORS_TYPE, MERGED_AS_TYPE, HAS_PARENT_TYPE, REFERENCES_TYPE, REACTS_TYPE, CORRESPONDS_TO_COMMIT_TYPE, Prefix, createEdge, fromRaw, toRaw */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"AUTHORS_TYPE\", function() { return AUTHORS_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"MERGED_AS_TYPE\", function() { return MERGED_AS_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"HAS_PARENT_TYPE\", function() { return HAS_PARENT_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"REFERENCES_TYPE\", function() { return REFERENCES_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"REACTS_TYPE\", function() { return REACTS_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"CORRESPONDS_TO_COMMIT_TYPE\", function() { return CORRESPONDS_TO_COMMIT_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Prefix\", function() { return Prefix; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createEdge\", function() { return createEdge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromRaw\", function() { return fromRaw; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toRaw\", function() { return toRaw; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _nodes__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./nodes */ \"./src/plugins/github/nodes.js\");\n/* harmony import */ var _git_nodes__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../git/nodes */ \"./src/plugins/git/nodes.js\");\n/* harmony import */ var _graphqlTypes__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./graphqlTypes */ \"./src/plugins/github/graphqlTypes.js\");\nconst AUTHORS_TYPE=\"AUTHORS\";const MERGED_AS_TYPE=\"MERGED_AS\";const HAS_PARENT_TYPE=\"HAS_PARENT\";const REFERENCES_TYPE=\"REFERENCES\";const REACTS_TYPE=\"REACTS\";// GitHub tracks its own notion of a commit, which has a particular\n// database id, is scoped to a particular repository, and has a canonical url\n// on GitHub. The CORRESPONDS_TO_COMMIT_TYPE edges connect the GitHub commits\n// to the corresponding Git commit.\nconst CORRESPONDS_TO_COMMIT_TYPE=\"CORRESPONDS_TO_COMMIT_TYPE\";const GITHUB_PREFIX=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].fromParts([\"sourcecred\",\"github\"]);function githubEdgeAddress(){for(var _len=arguments.length,parts=new Array(_len),_key=0;_key<_len;_key++){parts[_key]=arguments[_key];}return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(GITHUB_PREFIX,...parts);}const Prefix=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({base:GITHUB_PREFIX,authors:githubEdgeAddress(AUTHORS_TYPE),mergedAs:githubEdgeAddress(MERGED_AS_TYPE),references:githubEdgeAddress(REFERENCES_TYPE),hasParent:githubEdgeAddress(HAS_PARENT_TYPE),reacts:githubEdgeAddress(REACTS_TYPE),reactsThumbsUp:githubEdgeAddress(REACTS_TYPE,_graphqlTypes__WEBPACK_IMPORTED_MODULE_4__[\"ReactionContent$Values\"].THUMBS_UP),reactsHeart:githubEdgeAddress(REACTS_TYPE,_graphqlTypes__WEBPACK_IMPORTED_MODULE_4__[\"ReactionContent$Values\"].HEART),reactsHooray:githubEdgeAddress(REACTS_TYPE,_graphqlTypes__WEBPACK_IMPORTED_MODULE_4__[\"ReactionContent$Values\"].HOORAY),reactsRocket:githubEdgeAddress(REACTS_TYPE,_graphqlTypes__WEBPACK_IMPORTED_MODULE_4__[\"ReactionContent$Values\"].ROCKET),correspondsToCommit:githubEdgeAddress(CORRESPONDS_TO_COMMIT_TYPE)});const createEdge=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({authors:(author,content,timestampMs)=>({address:toRaw({type:AUTHORS_TYPE,author,content}),src:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](author),dst:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](content),timestampMs}),mergedAs:(pull,commit,timestampMs)=>({address:toRaw({type:MERGED_AS_TYPE,pull}),src:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](pull),dst:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](commit),timestampMs}),correspondsToCommit:(githubCommit,gitCommit,timestampMs)=>({address:toRaw({type:CORRESPONDS_TO_COMMIT_TYPE,githubCommit}),src:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](githubCommit),dst:_git_nodes__WEBPACK_IMPORTED_MODULE_3__[\"toRaw\"](gitCommit),timestampMs}),hasParent:(child,parent,timestampMs)=>({address:toRaw({type:HAS_PARENT_TYPE,child}),src:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](child),dst:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](parent),timestampMs}),references:(referrer,referent,timestampMs)=>({address:toRaw({type:REFERENCES_TYPE,referrer,referent}),src:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](referrer),dst:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](referent),timestampMs}),reacts:(reactionType,user,reactable,timestampMs)=>({address:toRaw({type:REACTS_TYPE,user,reactionType,reactable}),src:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](user),dst:_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](reactable),timestampMs})});function lengthEncode(x){const parts=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].toParts(x);return[String(parts.length),...parts];}function lengthDecode(x,fail){if(x.length===0){// Not length-encoded.\nthrow fail();}const[lengthString,...allParts]=x;const length=parseInt(lengthString,10);if(isNaN(length)){throw fail();}if(length>allParts.length){// Not enough elements.\nthrow fail();}return{parts:allParts.slice(0,length),rest:allParts.slice(length)};}function multiLengthDecode(x,fail){let remaining=x;const partses=[];while(remaining.length>0){const{parts,rest}=lengthDecode(remaining,fail);partses.push(parts);remaining=rest;}return partses;}function fromRaw(x){function fail(){return new Error(\"Bad address: \".concat(_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].toString(x)));}if(!_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].hasPrefix(x,GITHUB_PREFIX)){throw fail();}const[_unused_sc,_unused_gh,kind,...rest]=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].toParts(x);switch(kind){case AUTHORS_TYPE:{const parts=multiLengthDecode(rest,fail);if(parts.length!==2){throw fail();}const[authorParts,contentParts]=parts;const author=_nodes__WEBPACK_IMPORTED_MODULE_2__[\"fromRaw\"](_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts(authorParts));const content=_nodes__WEBPACK_IMPORTED_MODULE_2__[\"fromRaw\"](_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts(contentParts));return{type:AUTHORS_TYPE,author,content};}case MERGED_AS_TYPE:{const parts=multiLengthDecode(rest,fail);if(parts.length!==1){throw fail();}const[pullParts]=parts;const pull=_nodes__WEBPACK_IMPORTED_MODULE_2__[\"fromRaw\"](_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts(pullParts));return{type:MERGED_AS_TYPE,pull};}case HAS_PARENT_TYPE:{const parts=multiLengthDecode(rest,fail);if(parts.length!==1){throw fail();}const[childParts]=parts;const child=_nodes__WEBPACK_IMPORTED_MODULE_2__[\"fromRaw\"](_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts(childParts));return{type:HAS_PARENT_TYPE,child};}case REFERENCES_TYPE:{const parts=multiLengthDecode(rest,fail);if(parts.length!==2){throw fail();}const[referrerParts,referentParts]=parts;const referrer=_nodes__WEBPACK_IMPORTED_MODULE_2__[\"fromRaw\"](_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts(referrerParts));const referent=_nodes__WEBPACK_IMPORTED_MODULE_2__[\"fromRaw\"](_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts(referentParts));return{type:REFERENCES_TYPE,referrer,referent};}case REACTS_TYPE:{const[rawReactionType,...rest2]=rest;const reactionType=_graphqlTypes__WEBPACK_IMPORTED_MODULE_4__[\"ReactionContent$Values\"][rawReactionType];if(reactionType==null){throw fail();}const parts=multiLengthDecode(rest2,fail);if(parts.length!==2){throw fail();}const[userParts,reactableParts]=parts;const user=_nodes__WEBPACK_IMPORTED_MODULE_2__[\"fromRaw\"](_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts(userParts));const reactable=_nodes__WEBPACK_IMPORTED_MODULE_2__[\"fromRaw\"](_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts(reactableParts));return{type:REACTS_TYPE,reactionType,user,reactable};}default:throw fail();}}function toRaw(x){switch(x.type){case AUTHORS_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(Prefix.authors,...lengthEncode(_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](x.author)),...lengthEncode(_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](x.content)));case MERGED_AS_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(Prefix.mergedAs,...lengthEncode(_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](x.pull)));case HAS_PARENT_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(Prefix.hasParent,...lengthEncode(_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](x.child)));case REFERENCES_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(Prefix.references,...lengthEncode(_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](x.referrer)),...lengthEncode(_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](x.referent)));case REACTS_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(Prefix.reacts,x.reactionType,...lengthEncode(_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](x.user)),...lengthEncode(_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](x.reactable)));case CORRESPONDS_TO_COMMIT_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"EdgeAddress\"].append(Prefix.correspondsToCommit,...lengthEncode(_nodes__WEBPACK_IMPORTED_MODULE_2__[\"toRaw\"](x.githubCommit)));default:throw new Error(x.type);}}\n\n//# sourceURL=webpack:///./src/plugins/github/edges.js?");

/***/ }),

/***/ "./src/plugins/github/fetchGithubRepo.js":
/*!***********************************************!*\
  !*** ./src/plugins/github/fetchGithubRepo.js ***!
  \***********************************************/
/*! exports provided: fetchGithubRepoFromCache, default, _guessTypename, postQuery */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fetchGithubRepoFromCache\", function() { return fetchGithubRepoFromCache; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"default\", function() { return fetchGithubRepo; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_guessTypename\", function() { return _guessTypename; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"postQuery\", function() { return postQuery; });\n/* harmony import */ var better_sqlite3__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! better-sqlite3 */ \"better-sqlite3\");\n/* harmony import */ var better_sqlite3__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(better_sqlite3__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var isomorphic_fetch__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! isomorphic-fetch */ \"isomorphic-fetch\");\n/* harmony import */ var isomorphic_fetch__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(isomorphic_fetch__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var retry__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! retry */ \"retry\");\n/* harmony import */ var retry__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(retry__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var _repoId__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./repoId */ \"./src/plugins/github/repoId.js\");\n/* harmony import */ var _graphql_mirror__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../graphql/mirror */ \"./src/graphql/mirror.js\");\n/* harmony import */ var _graphql_queries__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../graphql/queries */ \"./src/graphql/queries.js\");\n/* harmony import */ var _graphql_schema__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../graphql/schema */ \"./src/graphql/schema.js\");\n/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./schema */ \"./src/plugins/github/schema.js\");\n/* harmony import */ var _cacheId__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./cacheId */ \"./src/plugins/github/cacheId.js\");\n/*\n * API to scrape data from a GitHub repo using the GitHub API. See the\n * docstring of the default export for more details.\n *//**\n * Retrieve previously scraped data for a GitHub repo from cache.\n *\n * Note: the GithubToken requirement is planned to be removed.\n * See https://github.com/sourcecred/sourcecred/issues/1580\n *\n * @param {RepoId} repoId\n *    the GitHub repository to retrieve from cache\n * @param {GithubToken} token\n *    authentication token to be used for the GitHub API; generate a\n *    token at: https://github.com/settings/tokens\n * @return {Promise<Repository>}\n *    a promise that resolves to a JSON object containing the data\n *    scraped from the repository, with data format to be specified\n *    later\n */async function fetchGithubRepoFromCache(repoId,_ref){let{token,cache}=_ref;// TODO: remove the need for a GithubToken to resolve the ID.\n// See https://github.com/sourcecred/sourcecred/issues/1580\nconst postQueryWithToken=payload=>postQuery(payload,token);const resolvedId=await resolveRepositoryGraphqlId(postQueryWithToken,repoId);const db=await cache.database(Object(_cacheId__WEBPACK_IMPORTED_MODULE_8__[\"cacheIdForRepoId\"])(repoId));const mirror=new _graphql_mirror__WEBPACK_IMPORTED_MODULE_4__[\"Mirror\"](db,Object(_schema__WEBPACK_IMPORTED_MODULE_7__[\"default\"])(),{guessTypename:_guessTypename});return mirror.extract(resolvedId);}/**\n * Scrape data from a GitHub repo using the GitHub API.\n *\n * @param {RepoId} repoId\n *    the GitHub repository to be scraped\n * @param {GithubToken} token\n *    authentication token to be used for the GitHub API; generate a\n *    token at: https://github.com/settings/tokens\n * @return {Promise<object>}\n *    a promise that resolves to a JSON object containing the data\n *    scraped from the repository, with data format to be specified\n *    later\n */async function fetchGithubRepo(repoId,_ref2){let{token,cache}=_ref2;const postQueryWithToken=payload=>postQuery(payload,token);const resolvedId=await resolveRepositoryGraphqlId(postQueryWithToken,repoId);// Key the cache file against the RepoId, but make sure that the\n// name is valid and uniquely identifying even on case-insensitive\n// filesystems (HFS, HFS+, APFS, NTFS) or filesystems preventing\n// equals signs in file names.\nconst db=await cache.database(Object(_cacheId__WEBPACK_IMPORTED_MODULE_8__[\"cacheIdForRepoId\"])(repoId));const mirror=new _graphql_mirror__WEBPACK_IMPORTED_MODULE_4__[\"Mirror\"](db,Object(_schema__WEBPACK_IMPORTED_MODULE_7__[\"default\"])(),{guessTypename:_guessTypename});mirror.registerObject({typename:\"Repository\",id:resolvedId});// These are arbitrary tuning parameters.\n// TODO(#638): Design a configuration system for plugins.\nconst ttlSeconds=60*60*12;const nodesLimit=100;const connectionLimit=100;await mirror.update(postQueryWithToken,{since:new Date(Date.now()-ttlSeconds*1000),now:()=>new Date(),// These properties are arbitrary tuning parameters.\nnodesLimit,connectionLimit,// These values are the maxima allowed by GitHub.\nnodesOfTypeLimit:100,connectionPageSize:100});return mirror.extract(resolvedId);}// GitHub object IDs are urlsafe-base64-encoded strings that decode to\n// ASCII strings of the form \"123:Typename4567[...]\", where the \"123\"\n// numbers are a function only of the typename and the \"4567\" numbers\n// are the object's database ID, and the \"[...]\" is either empty or a\n// further section like \":commithash\" for commits.\n//\n// See tests for `_guessTypename` for some example object IDs.\nconst GITHUB_ID_TYPENAME_PATTERN=/^[0-9]*:([a-z0-9_-]*[a-z_-])[0-9]+(?:[^a-z0-9_-].*)?$/i;function _guessTypename(objectId){const decodedId=Buffer.from(objectId,\"base64\").toString(\"utf-8\");const match=decodedId.match(GITHUB_ID_TYPENAME_PATTERN);return match?match[1]:null;}const GITHUB_GRAPHQL_SERVER=\"https://api.github.com/graphql\";// Fetch against the GitHub API with the provided options, returning a\n// promise that either resolves to the GraphQL result data or rejects\n// to a `GithubResponseError`.\nfunction tryGithubFetch(fetch,fetchOptions){return fetch(GITHUB_GRAPHQL_SERVER,fetchOptions).then(x=>x.json().then(x=>{if(x.errors){if(x.errors.length===1&&x.errors[0].message.includes(\"it could be a GitHub bug\")){return Promise.reject({type:\"GITHUB_INTERNAL_EXECUTION_ERROR\",retry:true,error:x});}else if(x.errors.length===1&&x.errors[0].type===\"RATE_LIMITED\"){return Promise.reject({type:\"RATE_LIMIT_EXCEEDED\",retry:false,error:x});}else{return Promise.reject({type:\"GRAPHQL_ERROR\",retry:false,error:x});}}if(x.data===undefined){if(x.message&&x.message.includes(\"Bad credentials\")){return Promise.reject({type:\"BAD_CREDENTIALS\",retry:false,error:x});}else{// See https://github.com/sourcecred/sourcecred/issues/350\nreturn Promise.reject({type:\"NO_DATA\",retry:true,error:x});}}return Promise.resolve(x.data);}),e=>Promise.reject({type:\"FETCH_ERROR\",retry:false,error:e}));}function retryGithubFetch(fetch,fetchOptions){return new Promise((resolve,reject)=>{const operation=retry__WEBPACK_IMPORTED_MODULE_2___default.a.operation();operation.attempt(()=>{tryGithubFetch(fetch,fetchOptions).then(result=>{resolve(result);}).catch(error=>{if(error.retry&&operation.retry(true)){return;}else{reject(error);}});});});}async function postQuery(_ref3,token){let{body,variables}=_ref3;const postBody=JSON.stringify({query:_graphql_queries__WEBPACK_IMPORTED_MODULE_5__[\"stringify\"].body(body,Object(_graphql_queries__WEBPACK_IMPORTED_MODULE_5__[\"inlineLayout\"])()),variables:variables});const fetchOptions={method:\"POST\",body:postBody,headers:{Authorization:\"bearer \".concat(token)}};return retryGithubFetch(isomorphic_fetch__WEBPACK_IMPORTED_MODULE_1___default.a,fetchOptions).catch(error=>{const type=error.type;switch(type){case\"GITHUB_INTERNAL_EXECUTION_ERROR\":case\"NO_DATA\":console.error(\"GitHub query failed! We're tracking these issues at \"+\"https://github.com/sourcecred/sourcecred/issues/350.\\n\"+\"If the error is a timeout or abuse rate limit, you can \"+\"try loading a smaller repo, or trying again in a few minutes.\\n\"+\"The actual failed response can be found below:\\n\"+\"=================================================\");console.error(error.error);break;case\"GRAPHQL_ERROR\":console.error(\"Unexpected GraphQL error; this may be a bug in SourceCred: \",JSON.stringify({postBody:postBody,error:error.error}));break;case\"RATE_LIMIT_EXCEEDED\":console.error(\"You've exceeded your hourly GitHub rate limit.\\n\"+\"You'll need to wait until it resets.\");break;case\"FETCH_ERROR\":// Network error; no need for additional commentary.\nbreak;case\"BAD_CREDENTIALS\":console.error(\"An invalid token was supplied ($SOURCECRED_GITHUB_TOKEN). This is mostly likely caused by supplying a revoked token.\");break;default:throw new Error(type);}return Promise.reject(error);});}async function resolveRepositoryGraphqlId(postQuery,repoId){const b=_graphql_queries__WEBPACK_IMPORTED_MODULE_5__[\"build\"];const payload={body:[b.query(\"ResolveRepositoryId\",[b.param(\"owner\",\"String!\"),b.param(\"name\",\"String!\")],[b.field(\"repository\",{owner:b.variable(\"owner\"),name:b.variable(\"name\")},[b.field(\"id\")])])],variables:{owner:repoId.owner,name:repoId.name}};const data=await postQuery(payload);if(data.repository==null){throw new Error(\"No such repository: \".concat(Object(_repoId__WEBPACK_IMPORTED_MODULE_3__[\"repoIdToString\"])(repoId),\" \")+\"(response data: \".concat(JSON.stringify(data),\")\"));}return data.repository.id;}\n\n//# sourceURL=webpack:///./src/plugins/github/fetchGithubRepo.js?");

/***/ }),

/***/ "./src/plugins/github/graphqlTypes.js":
/*!********************************************!*\
  !*** ./src/plugins/github/graphqlTypes.js ***!
  \********************************************/
/*! exports provided: PullRequestReviewState$Values, ReactionContent$Values */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"PullRequestReviewState$Values\", function() { return PullRequestReviewState$Values; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"ReactionContent$Values\", function() { return ReactionContent$Values; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n// Autogenerated file. Do not edit.\nconst PullRequestReviewState$Values=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({APPROVED:\"APPROVED\",CHANGES_REQUESTED:\"CHANGES_REQUESTED\",COMMENTED:\"COMMENTED\",DISMISSED:\"DISMISSED\",PENDING:\"PENDING\"});const ReactionContent$Values=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({CONFUSED:\"CONFUSED\",EYES:\"EYES\",HEART:\"HEART\",HOORAY:\"HOORAY\",LAUGH:\"LAUGH\",ROCKET:\"ROCKET\",THUMBS_DOWN:\"THUMBS_DOWN\",THUMBS_UP:\"THUMBS_UP\"});\n\n//# sourceURL=webpack:///./src/plugins/github/graphqlTypes.js?");

/***/ }),

/***/ "./src/plugins/github/nodes.js":
/*!*************************************!*\
  !*** ./src/plugins/github/nodes.js ***!
  \*************************************/
/*! exports provided: _githubAddress, REPO_TYPE, ISSUE_TYPE, PULL_TYPE, REVIEW_TYPE, COMMENT_TYPE, COMMIT_TYPE, USERLIKE_TYPE, USER_SUBTYPE, BOT_SUBTYPE, Prefix, loginAddress, fromRaw, toRaw */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_githubAddress\", function() { return _githubAddress; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"REPO_TYPE\", function() { return REPO_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"ISSUE_TYPE\", function() { return ISSUE_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"PULL_TYPE\", function() { return PULL_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"REVIEW_TYPE\", function() { return REVIEW_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"COMMENT_TYPE\", function() { return COMMENT_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"COMMIT_TYPE\", function() { return COMMIT_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"USERLIKE_TYPE\", function() { return USERLIKE_TYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"USER_SUBTYPE\", function() { return USER_SUBTYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"BOT_SUBTYPE\", function() { return BOT_SUBTYPE; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Prefix\", function() { return Prefix; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"loginAddress\", function() { return loginAddress; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromRaw\", function() { return fromRaw; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toRaw\", function() { return toRaw; });\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! deep-freeze */ \"deep-freeze\");\n/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _bots__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./bots */ \"./src/plugins/github/bots.js\");\nconst GITHUB_PREFIX=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].fromParts([\"sourcecred\",\"github\"]);function _githubAddress(){for(var _len=arguments.length,parts=new Array(_len),_key=0;_key<_len;_key++){parts[_key]=arguments[_key];}return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(GITHUB_PREFIX,...parts);}const REPO_TYPE=\"REPO\";const ISSUE_TYPE=\"ISSUE\";const PULL_TYPE=\"PULL\";const REVIEW_TYPE=\"REVIEW\";const COMMENT_TYPE=\"COMMENT\";const COMMIT_TYPE=\"COMMIT\";const USERLIKE_TYPE=\"USERLIKE\";const USER_SUBTYPE=\"USER\";const BOT_SUBTYPE=\"BOT\";const Prefix=deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({base:GITHUB_PREFIX,repo:_githubAddress(REPO_TYPE),issue:_githubAddress(ISSUE_TYPE),pull:_githubAddress(PULL_TYPE),review:_githubAddress(REVIEW_TYPE),comment:_githubAddress(COMMENT_TYPE),commit:_githubAddress(COMMIT_TYPE),userlike:_githubAddress(USERLIKE_TYPE),user:_githubAddress(USERLIKE_TYPE,USER_SUBTYPE),bot:_githubAddress(USERLIKE_TYPE,BOT_SUBTYPE),reviewComment:_githubAddress(COMMENT_TYPE,REVIEW_TYPE),issueComment:_githubAddress(COMMENT_TYPE,ISSUE_TYPE),pullComment:_githubAddress(COMMENT_TYPE,PULL_TYPE)});/**\n * Return the address corresponding to a GitHub login.\n *\n * If the login is considered a bot, then a bot address is returned. Otherwise,\n * a regular user address is returned. The method does not attempt to find out\n * whether the address should actually be an organization address, as we don't\n * yet handle organization addresses.\n *\n * Note: The signature will need to be refactored when we make the list of bots\n * a configuration option rather than a hardcoded constant.\n */function loginAddress(username){const bots=Object(_bots__WEBPACK_IMPORTED_MODULE_2__[\"botSet\"])();if(bots.has(username)){return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.bot,username);}else{return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.user,username);}}// Verify that Commentable is a subtype of Parent\nconst _unused_static=_=>_;function fromRaw(x){function fail(){return new Error(\"Bad address: \".concat(_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].toString(x)));}if(!_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].hasPrefix(x,GITHUB_PREFIX)){throw fail();}const[_unused_sc,_unused_gh,kind,...rest]=_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].toParts(x);switch(kind){case REPO_TYPE:{if(rest.length!==2){throw fail();}const[owner,name]=rest;return{type:REPO_TYPE,owner,name};}case ISSUE_TYPE:{if(rest.length!==3){throw fail();}const[owner,name,number]=rest;const repo={type:REPO_TYPE,owner,name};return{type:ISSUE_TYPE,repo,number};}case PULL_TYPE:{if(rest.length!==3){throw fail();}const[owner,name,number]=rest;const repo={type:REPO_TYPE,owner,name};return{type:PULL_TYPE,repo,number};}case REVIEW_TYPE:{if(rest.length!==4){throw fail();}const[owner,name,pullNumber,id]=rest;const repo={type:REPO_TYPE,owner,name};const pull={type:PULL_TYPE,repo,number:pullNumber};return{type:REVIEW_TYPE,pull,id};}case COMMENT_TYPE:{if(rest.length<1){throw fail();}const[subkind,...subrest]=rest;switch(subkind){case ISSUE_TYPE:{if(subrest.length!==4){throw fail();}const[owner,name,issueNumber,id]=subrest;const repo={type:REPO_TYPE,owner,name};const issue={type:ISSUE_TYPE,repo,number:issueNumber};return{type:COMMENT_TYPE,parent:issue,id};}case PULL_TYPE:{if(subrest.length!==4){throw fail();}const[owner,name,pullNumber,id]=subrest;const repo={type:REPO_TYPE,owner,name};const pull={type:PULL_TYPE,repo,number:pullNumber};return{type:COMMENT_TYPE,parent:pull,id};}case REVIEW_TYPE:{if(subrest.length!==5){throw fail();}const[owner,name,pullNumber,reviewFragment,id]=subrest;const repo={type:REPO_TYPE,owner,name};const pull={type:PULL_TYPE,repo,number:pullNumber};const review={type:REVIEW_TYPE,pull,id:reviewFragment};return{type:COMMENT_TYPE,parent:review,id};}default:throw fail();}}case COMMIT_TYPE:{if(rest.length!==1){throw fail();}const[id]=rest;return{type:COMMIT_TYPE,id};}case USERLIKE_TYPE:{if(rest.length!==2){throw fail();}const[subtype,login]=rest;if(subtype!==\"USER\"&&subtype!==\"BOT\"){throw fail();}return{type:USERLIKE_TYPE,subtype,login};}default:throw fail();}}function toRaw(x){switch(x.type){case REPO_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.repo,x.owner,x.name);case ISSUE_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.issue,x.repo.owner,x.repo.name,x.number);case PULL_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.pull,x.repo.owner,x.repo.name,x.number);case REVIEW_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.review,x.pull.repo.owner,x.pull.repo.name,x.pull.number,x.id);case COMMENT_TYPE:switch(x.parent.type){case ISSUE_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.issueComment,x.parent.repo.owner,x.parent.repo.name,x.parent.number,x.id);case PULL_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.pullComment,x.parent.repo.owner,x.parent.repo.name,x.parent.number,x.id);case REVIEW_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.reviewComment,x.parent.pull.repo.owner,x.parent.pull.repo.name,x.parent.pull.number,x.parent.id,x.id);default:throw new Error(\"Bad comment parent type: \".concat(x.parent.type));}case USERLIKE_TYPE:switch(x.subtype){case\"BOT\":return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.bot,x.login);case\"USER\":return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.user,x.login);default:throw new Error(x.subtype);}case COMMIT_TYPE:return _core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].append(Prefix.commit,x.id);default:throw new Error(\"Unexpected type \".concat(x.type));}}\n\n//# sourceURL=webpack:///./src/plugins/github/nodes.js?");

/***/ }),

/***/ "./src/plugins/github/parseMarkdown.js":
/*!*********************************************!*\
  !*** ./src/plugins/github/parseMarkdown.js ***!
  \*********************************************/
/*! exports provided: textBlocks, deformat, coalesceText */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"textBlocks\", function() { return textBlocks; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"deformat\", function() { return deformat; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"coalesceText\", function() { return coalesceText; });\n/* harmony import */ var commonmark__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! commonmark */ \"commonmark\");\n/* harmony import */ var commonmark__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(commonmark__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var commonmark_lib_common__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! commonmark/lib/common */ \"commonmark/lib/common\");\n/* harmony import */ var commonmark_lib_common__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(commonmark_lib_common__WEBPACK_IMPORTED_MODULE_1__);\n/**\n * Extract maximal contiguous blocks of text from a Markdown string, in\n * source-appearance order.\n *\n * For the purposes of this method, code (of both the inline and block\n * varieties) is not considered text, and will not be included in the\n * output at all. HTML contents are similarly excluded.\n *\n * Normal text, emphasized/strong text, link text, and image alt text\n * all count as text and will be included. A block of text is not\n * required to have the same formatting: e.g., the Markdown document\n * given by `hello *there* [you](https://example.com)` without the\n * backticks has one contiguous block of text: `\"hello there you\"`.\n *\n * Softbreaks count as normal text, and render as a single space.\n * Hardbreaks break a contiguous block of text.\n *\n * Block-level elements, such as paragraphs, lists, and block quotes,\n * break contiguous blocks of text.\n *\n * See test cases for examples.\n */function textBlocks(string){const ast=new commonmark__WEBPACK_IMPORTED_MODULE_0__[\"Parser\"]().parse(string);deformat(ast);coalesceText(ast);const walker=ast.walker();const results=[];for(let step;step=walker.next();){const node=step.node;const type=node.type;if(type===\"text\"){results.push(node.literal);}}return results;}// Copied from:\n// https://github.com/DefinitelyTyped/DefinitelyTyped/blob/bd35c127a6fd869ab2844082ae41047668178b7f/types/commonmark/index.d.ts#L14-L15\nfunction deformat(ast){const walker=ast.walker();// We ignore the contents of HTML \"code\" elements and their subtrees.\n// This variable tracks how deep we are in such a tree. It is 0 if we\n// are not in such a tree, 1 if we are in a \"code\" element, 2 if we\n// are in an element inside a \"code\" element, etc.\nlet htmlDepth=0;const reOpenCodeTag=/^<code(?:$|[ >])/i;const reOpenTag=new RegExp(\"^(?:\".concat(commonmark_lib_common__WEBPACK_IMPORTED_MODULE_1__[\"OPENTAG\"],\")\"));const reCloseTag=new RegExp(\"^(?:\".concat(commonmark_lib_common__WEBPACK_IMPORTED_MODULE_1__[\"CLOSETAG\"],\")\"));for(let step;step=walker.next();){const node=step.node;const type=node.type;if(htmlDepth>0){if(type===\"html_inline\"){if(reOpenTag.test(node.literal)){htmlDepth++;}else if(reCloseTag.test(node.literal)){htmlDepth--;}}// The AST walker gets into a broken state if you unlink a node\n// that has children before those children have been visited. We\n// only unlink when leaving a node, or when entering a node that\n// has no children.\nif(!step.entering||node.firstChild==null){node.unlink();continue;}}switch(type){case\"text\":break;case\"softbreak\":{const space=new commonmark__WEBPACK_IMPORTED_MODULE_0__[\"Node\"](\"text\",node.sourcepos);space.literal=\" \";node.insertBefore(space);node.unlink();break;}case\"linebreak\":break;case\"emph\":case\"strong\":case\"link\":case\"image\":if(!step.entering){// Splice out the node.\nwhile(node.firstChild){node.insertBefore(node.firstChild);}node.unlink();}break;case\"html_inline\":if(reOpenCodeTag.test(node.literal)){htmlDepth++;// should have been 0 previously\n}node.unlink();break;case\"code\":case\"document\":case\"paragraph\":case\"block_quote\":case\"item\":case\"list\":case\"heading\":case\"code_block\":case\"html_block\":case\"thematic_break\":case\"custom_inline\":case\"custom_block\":break;default:throw new Error(\"unexpected type: \"+type);}}}function coalesceText(ast){const walker=ast.walker();let acc=[];let firstTextNode=null;for(let step;step=walker.next();){const node=step.node;const type=node.type;if(type===\"text\"){acc.push(node.literal);if(firstTextNode==null){firstTextNode=node;}else{node.unlink();}}else if(firstTextNode!=null){firstTextNode.literal=acc.join(\"\");acc=[];firstTextNode=null;}}}\n\n//# sourceURL=webpack:///./src/plugins/github/parseMarkdown.js?");

/***/ }),

/***/ "./src/plugins/github/parseReferences.js":
/*!***********************************************!*\
  !*** ./src/plugins/github/parseReferences.js ***!
  \***********************************************/
/*! exports provided: parseReferences */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"parseReferences\", function() { return parseReferences; });\n/* harmony import */ var _parseMarkdown__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./parseMarkdown */ \"./src/plugins/github/parseMarkdown.js\");\n/* harmony import */ var _repoId__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./repoId */ \"./src/plugins/github/repoId.js\");\n/**\n * Parse GitHub references from a Markdown document, such as an issue or\n * comment body. This will include references that span multiple lines\n * (across softbreaks), and exclude references that occur within code\n * blocks.\n */function parseReferences(body){// Note to maintainer: If it becomes necessary to encode references in a\n// richer format, consider implementing the type signature described in\n// https://github.com/sourcecred/sourcecred/pull/130#pullrequestreview-113849998\nconst blocks=Object(_parseMarkdown__WEBPACK_IMPORTED_MODULE_0__[\"textBlocks\"])(body);return[].concat.apply([],blocks.map(parseReferencesFromRawString));}function parseReferencesFromRawString(textBlock){return[...findNumericReferences(textBlock),...findRepoNumericReferences(textBlock),...findGithubUrlReferences(textBlock),...findUsernameReferences(textBlock),...findCommitReferences(textBlock)];}function findRepoNumericReferences(textBlock){const re=new RegExp(\"(?:\\\\W|^)((?:\".concat(_repoId__WEBPACK_IMPORTED_MODULE_1__[\"githubOwnerPattern\"],\")/(?:\").concat(_repoId__WEBPACK_IMPORTED_MODULE_1__[\"githubRepoPattern\"],\")#\\\\d+)(?=\\\\W|$)\"),\"gm\");return findAllMatches(re,textBlock).map(x=>({refType:\"BASIC\",ref:x[1]}));}function findNumericReferences(textBlock){return findAllMatches(/(?:\\W|^)(#\\d+)(?=\\W|$)/gm,textBlock).map(x=>({refType:\"BASIC\",ref:x[1]}));}function findUsernameReferences(textBlock){const pairedWithPattern=\"(?:\\\\W|^)(?:P|p)aired(?:-| )(?:w|W)ith:? \"+\"(@(?:\".concat(_repoId__WEBPACK_IMPORTED_MODULE_1__[\"githubOwnerPattern\"],\"))(?=\\\\W|$)\");const basicPattern=\"(?:\\\\W|^)(@(?:\".concat(_repoId__WEBPACK_IMPORTED_MODULE_1__[\"githubOwnerPattern\"],\"))(?=\\\\W|$)\");const pairedWithRefs=findAllMatches(new RegExp(pairedWithPattern,\"gm\"),textBlock).map(x=>({ref:x[1],refType:\"PAIRED_WITH\"}));const basicRefs=findAllMatches(new RegExp(basicPattern,\"gm\"),textBlock).map(x=>({ref:x[1],refType:\"BASIC\"}));for(const{ref}of pairedWithRefs){const basicRefIndexToRemove=basicRefs.findIndex(x=>x.ref===ref);if(basicRefIndexToRemove===-1){throw new Error(\"Couldn't find BASIC ref for paired with ref: \".concat(ref));}basicRefs.splice(basicRefIndexToRemove,1);}return[...pairedWithRefs,...basicRefs];}function findGithubUrlReferences(textBlock){const urlRegex=new RegExp(\"\"+/(?:\\W|^)/.source+\"(\"+/http(?:s)?:\\/\\/github.com\\//.source+\"(?:\".concat(_repoId__WEBPACK_IMPORTED_MODULE_1__[\"githubOwnerPattern\"],\")\")+\"(?:\"+/\\//.source+\"(?:\".concat(_repoId__WEBPACK_IMPORTED_MODULE_1__[\"githubRepoPattern\"],\")\")+/\\/(?:issues|pull)\\//.source+/(?:\\d+)/.source+/(?:#(?:issue|issuecomment|pullrequestreview|discussion_r)-?(?:\\d+))?/.source+\")?\"+\")\"+/(?=[^\\w/-]|$)/.source,\"gm\");return findAllMatches(urlRegex,textBlock).map(match=>({refType:\"BASIC\",ref:match[1]}));}function findCommitReferences(textBlock){const hashReferences=findAllMatches(/(?:\\W|^)([a-fA-F0-9]{40,})(?=\\W|$)/gm,textBlock).map(x=>({refType:\"BASIC\",ref:x[1].toLowerCase()}));const commitUrlRegex=new RegExp(\"\"+/(?:\\W|^)/.source+\"(\"+/https?:\\/\\/github.com\\//.source+\"(?:\".concat(_repoId__WEBPACK_IMPORTED_MODULE_1__[\"githubOwnerPattern\"],\")\")+/\\//.source+\"(?:\".concat(_repoId__WEBPACK_IMPORTED_MODULE_1__[\"githubRepoPattern\"],\")\")+/\\/commit\\/([a-fA-F0-9]{40,})/.source+\")\"+/(?=[^\\w/]|$)/.source,\"gm\");const urlsAndHashes=findAllMatches(commitUrlRegex,textBlock).map(x=>({url:x[1].toLowerCase(),hash:x[2].toLowerCase()}));// Every urlReference will also generate a hash reference (because the\n// url contains the hash).  So we manually remove the duplicates.\nfor(const{url,hash}of urlsAndHashes){const idxToRemove=hashReferences.findIndex((_ref)=>{let{ref}=_ref;return ref===hash;});if(idxToRemove===-1){throw new Error(\"No matching hash for url reference: \".concat(url));}hashReferences.splice(idxToRemove,1);}const urlReferences=urlsAndHashes.map(x=>({refType:\"BASIC\",ref:x.url}));return[...hashReferences,...urlReferences];}function findAllMatches(re,s){// modified from: https://stackoverflow.com/a/6323598\nlet m;const matches=[];do{m=re.exec(s);if(m){matches.push(m);}}while(m);return matches;}\n\n//# sourceURL=webpack:///./src/plugins/github/parseReferences.js?");

/***/ }),

/***/ "./src/plugins/github/referenceDetector.js":
/*!*************************************************!*\
  !*** ./src/plugins/github/referenceDetector.js ***!
  \*************************************************/
/*! exports provided: fromRelationalViews, GithubReferenceDetector */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromRelationalViews\", function() { return fromRelationalViews; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"GithubReferenceDetector\", function() { return GithubReferenceDetector; });\n/* harmony import */ var _util_dedent__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../util/dedent */ \"./src/util/dedent.js\");\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _core_references__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../core/references */ \"./src/core/references/index.js\");\n/* harmony import */ var _relationalView__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./relationalView */ \"./src/plugins/github/relationalView.js\");\nfunction _templateObject(){const data=_taggedTemplateLiteral([\"          An entry for \",\" already existed, but with a different NodeAddressT.\\n          This is probably a bug with SourceCred. Please report it on GitHub.\\n          Old: \",\"\\n          New: \",\"\\n        \"],[\"\\\\\\n          An entry for \",\" already existed, but with a different NodeAddressT.\\n          This is probably a bug with SourceCred. Please report it on GitHub.\\n          Old: \",\"\\n          New: \",\"\\n        \"]);_templateObject=function _templateObject(){return data;};return data;}function _taggedTemplateLiteral(strings,raw){if(!raw){raw=strings.slice(0);}return Object.freeze(Object.defineProperties(strings,{raw:{value:Object.freeze(raw)}}));}/**\n * Builds a GithubReferenceDetector using multiple RelationalView.\n * As RelationalView should only be used for one repository at a time, you will\n * commonly want to compose several of them into one GithubReferenceDetector.\n *\n * Note: duplicates are normally expected. However for any URL, the corresponding\n * NodeAddressT should be the same, or we'll throw an error.\n */function fromRelationalViews(views){const map=new Map();for(const view of views){for(const[url,addr]of view.urlReferenceMap().entries()){const existing=map.get(url);if(existing&&existing!==addr){throw new Error(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_0__[\"default\"])(_templateObject(),url,_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].toString(existing),_core_graph__WEBPACK_IMPORTED_MODULE_1__[\"NodeAddress\"].toString(addr)));}map.set(url,addr);}}return new GithubReferenceDetector(map);}const GithubReferenceDetector=_core_references__WEBPACK_IMPORTED_MODULE_2__[\"MappedReferenceDetector\"];\n\n//# sourceURL=webpack:///./src/plugins/github/referenceDetector.js?");

/***/ }),

/***/ "./src/plugins/github/relationalView.js":
/*!**********************************************!*\
  !*** ./src/plugins/github/relationalView.js ***!
  \**********************************************/
/*! exports provided: RelationalView, _Entity, Repo, Issue, Pull, Review, Comment, Commit, Userlike, match, expectAllNonNull */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"RelationalView\", function() { return RelationalView; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"_Entity\", function() { return _Entity; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Repo\", function() { return Repo; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Issue\", function() { return Issue; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Pull\", function() { return Pull; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Review\", function() { return Review; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Comment\", function() { return Comment; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Commit\", function() { return Commit; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Userlike\", function() { return Userlike; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"match\", function() { return match; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"expectAllNonNull\", function() { return expectAllNonNull; });\n/* harmony import */ var _core_graph__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../core/graph */ \"./src/core/graph.js\");\n/* harmony import */ var _util_compat__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../util/compat */ \"./src/util/compat.js\");\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! json-stable-stringify */ \"json-stable-stringify\");\n/* harmony import */ var json_stable_stringify__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(json_stable_stringify__WEBPACK_IMPORTED_MODULE_2__);\n/* harmony import */ var _parseReferences__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./parseReferences */ \"./src/plugins/github/parseReferences.js\");\n/* harmony import */ var _nodes__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./nodes */ \"./src/plugins/github/nodes.js\");\n/* harmony import */ var _util_dedent__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../util/dedent */ \"./src/util/dedent.js\");\n/* harmony import */ var _graphqlTypes__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./graphqlTypes */ \"./src/plugins/github/graphqlTypes.js\");\n/* harmony import */ var _util_map__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../util/map */ \"./src/util/map.js\");\n/* harmony import */ var _util_null__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../util/null */ \"./src/util/null.js\");\n/* harmony import */ var _bots__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./bots */ \"./src/plugins/github/bots.js\");\n/* harmony import */ var _urlIdParse__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./urlIdParse */ \"./src/plugins/github/urlIdParse.js\");\nfunction _templateObject2(){const data=_taggedTemplateLiteral([\"          An entry for \",\" already existed, but with a different NodeAddressT.\\n          This is probably a bug with SourceCred. Please report it on GitHub.\\n          Old: \",\"\\n          New: \",\"\\n        \"],[\"\\\\\\n          An entry for \",\" already existed, but with a different NodeAddressT.\\n          This is probably a bug with SourceCred. Please report it on GitHub.\\n          Old: \",\"\\n          New: \",\"\\n        \"]);_templateObject2=function _templateObject2(){return data;};return data;}function _templateObject(){const data=_taggedTemplateLiteral([\"            Your repo doesn't have a commit as its defaultBranchRef's target.             Please file a bug reproducing this error.             https://github.com/sourcecred/sourcecred/issues          \"],[\"\\\\\\n            Your repo doesn't have a commit as its defaultBranchRef's target. \\\\\\n            Please file a bug reproducing this error. \\\\\\n            https://github.com/sourcecred/sourcecred/issues\\\\\\n          \"]);_templateObject=function _templateObject(){return data;};return data;}function _taggedTemplateLiteral(strings,raw){if(!raw){raw=strings.slice(0);}return Object.freeze(Object.defineProperties(strings,{raw:{value:Object.freeze(raw)}}));}function ownKeys(object,enumerableOnly){var keys=Object.keys(object);if(Object.getOwnPropertySymbols){var symbols=Object.getOwnPropertySymbols(object);if(enumerableOnly)symbols=symbols.filter(function(sym){return Object.getOwnPropertyDescriptor(object,sym).enumerable;});keys.push.apply(keys,symbols);}return keys;}function _objectSpread(target){for(var i=1;i<arguments.length;i++){var source=arguments[i]!=null?arguments[i]:{};if(i%2){ownKeys(Object(source),true).forEach(function(key){_defineProperty(target,key,source[key]);});}else if(Object.getOwnPropertyDescriptors){Object.defineProperties(target,Object.getOwnPropertyDescriptors(source));}else{ownKeys(Object(source)).forEach(function(key){Object.defineProperty(target,key,Object.getOwnPropertyDescriptor(source,key));});}}return target;}function _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}const COMPAT_INFO={type:\"sourcecred/github/relationalView\",version:\"0.3.0\"};class RelationalView{constructor(){_defineProperty(this,\"_repos\",void 0);_defineProperty(this,\"_issues\",void 0);_defineProperty(this,\"_pulls\",void 0);_defineProperty(this,\"_comments\",void 0);_defineProperty(this,\"_commits\",void 0);_defineProperty(this,\"_reviews\",void 0);_defineProperty(this,\"_userlikes\",void 0);_defineProperty(this,\"_mapReferences\",void 0);_defineProperty(this,\"_mapReferencedBy\",void 0);this._repos=new Map();this._issues=new Map();this._pulls=new Map();this._comments=new Map();this._commits=new Map();this._reviews=new Map();this._userlikes=new Map();this._mapReferences=new Map();this._mapReferencedBy=new Map();}addRepository(repository){// Warning: calling `addRepository` can put the RelationalView in an\n// inconsistent state. for example, if called with a repo with\n// issues [#1, #2, #3] and then with a repo with issues [#4, #5],\n// then calls to `repo.issues()` will only give back issues 4 and 5\n// (although issues 1, 2, and 3 will still be in the view).\nthis._addRepo(repository);this._addReferences();}/**\n   * Mutate the RelationalView, by replacing all of the post bodies with\n   * empty strings. Usage of this method is a convenient hack to save space,\n   * as we don't currently use the bodies after the _addReferences step.\n   * Also removes commit messages.\n   */compressByRemovingBody(){for(const[address,post]of this._issues.entries()){const compressedPost=_objectSpread(_objectSpread({},post),{},{body:\"\"});this._issues.set(address,compressedPost);}for(const[address,post]of this._pulls.entries()){const compressedPost=_objectSpread(_objectSpread({},post),{},{body:\"\"});this._pulls.set(address,compressedPost);}for(const[address,post]of this._comments.entries()){const compressedPost=_objectSpread(_objectSpread({},post),{},{body:\"\"});this._comments.set(address,compressedPost);}for(const[address,post]of this._reviews.entries()){const compressedPost=_objectSpread(_objectSpread({},post),{},{body:\"\"});this._reviews.set(address,compressedPost);}for(const[address,post]of this._commits.entries()){const compressedPost=_objectSpread(_objectSpread({},post),{},{message:\"\"});this._commits.set(address,compressedPost);}}*repos(){for(const entry of this._repos.values()){yield new Repo(this,entry);}}repo(address){const entry=this._repos.get(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address));return entry==null?entry:new Repo(this,entry);}*issues(){for(const entry of this._issues.values()){yield new Issue(this,entry);}}issue(address){const entry=this._issues.get(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address));return entry==null?entry:new Issue(this,entry);}*pulls(){for(const entry of this._pulls.values()){yield new Pull(this,entry);}}pull(address){const entry=this._pulls.get(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address));return entry==null?entry:new Pull(this,entry);}*comments(){for(const entry of this._comments.values()){yield new Comment(this,entry);}}comment(address){const entry=this._comments.get(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address));return entry==null?entry:new Comment(this,entry);}*commits(){for(const entry of this._commits.values()){yield new Commit(this,entry);}}commit(address){const entry=this._commits.get(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address));return entry==null?entry:new Commit(this,entry);}*reviews(){for(const entry of this._reviews.values()){yield new Review(this,entry);}}review(address){const entry=this._reviews.get(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address));return entry==null?entry:new Review(this,entry);}*userlikes(){for(const entry of this._userlikes.values()){yield new Userlike(this,entry);}}userlike(address){const entry=this._userlikes.get(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address));return entry==null?entry:new Userlike(this,entry);}entity(address){switch(address.type){case\"REPO\":return this.repo(address);case\"ISSUE\":return this.issue(address);case\"PULL\":return this.pull(address);case\"REVIEW\":return this.review(address);case\"COMMENT\":return this.comment(address);case\"USERLIKE\":return this.userlike(address);case\"COMMIT\":return this.commit(address);default:throw new Error(\"Unexpected address type: \".concat(address.type));}}*referentEntities(){yield*this.repos();yield*this.issues();yield*this.pulls();yield*this.reviews();yield*this.comments();yield*this.commits();yield*this.userlikes();}*textContentEntities(){yield*this.issues();yield*this.pulls();yield*this.reviews();yield*this.comments();yield*this.commits();}*parentEntities(){yield*this.repos();yield*this.issues();yield*this.pulls();yield*this.reviews();}*childEntities(){yield*this.issues();yield*this.pulls();yield*this.reviews();yield*this.comments();}*authoredEntities(){yield*this.issues();yield*this.pulls();yield*this.reviews();yield*this.comments();yield*this.commits();}*entities(){yield*this.repos();yield*this.issues();yield*this.pulls();yield*this.reviews();yield*this.comments();yield*this.commits();yield*this.userlikes();}*reactableEntities(){yield*this.issues();yield*this.pulls();yield*this.comments();}toJSON(){const rawJSON={repos:_util_map__WEBPACK_IMPORTED_MODULE_7__[\"toObject\"](this._repos),issues:_util_map__WEBPACK_IMPORTED_MODULE_7__[\"toObject\"](this._issues),pulls:_util_map__WEBPACK_IMPORTED_MODULE_7__[\"toObject\"](this._pulls),reviews:_util_map__WEBPACK_IMPORTED_MODULE_7__[\"toObject\"](this._reviews),comments:_util_map__WEBPACK_IMPORTED_MODULE_7__[\"toObject\"](this._comments),commits:_util_map__WEBPACK_IMPORTED_MODULE_7__[\"toObject\"](this._commits),userlikes:_util_map__WEBPACK_IMPORTED_MODULE_7__[\"toObject\"](this._userlikes),references:_util_map__WEBPACK_IMPORTED_MODULE_7__[\"toObject\"](this._mapReferences),referencedBy:_util_map__WEBPACK_IMPORTED_MODULE_7__[\"toObject\"](this._mapReferencedBy)};return Object(_util_compat__WEBPACK_IMPORTED_MODULE_1__[\"toCompat\"])(COMPAT_INFO,rawJSON);}static fromJSON(compatJson){const json=Object(_util_compat__WEBPACK_IMPORTED_MODULE_1__[\"fromCompat\"])(COMPAT_INFO,compatJson);const rv=new RelationalView();rv._repos=_util_map__WEBPACK_IMPORTED_MODULE_7__[\"fromObject\"](json.repos);rv._issues=_util_map__WEBPACK_IMPORTED_MODULE_7__[\"fromObject\"](json.issues);rv._pulls=_util_map__WEBPACK_IMPORTED_MODULE_7__[\"fromObject\"](json.pulls);rv._reviews=_util_map__WEBPACK_IMPORTED_MODULE_7__[\"fromObject\"](json.reviews);rv._comments=_util_map__WEBPACK_IMPORTED_MODULE_7__[\"fromObject\"](json.comments);rv._commits=_util_map__WEBPACK_IMPORTED_MODULE_7__[\"fromObject\"](json.commits);rv._userlikes=_util_map__WEBPACK_IMPORTED_MODULE_7__[\"fromObject\"](json.userlikes);rv._mapReferences=_util_map__WEBPACK_IMPORTED_MODULE_7__[\"fromObject\"](json.references);rv._mapReferencedBy=_util_map__WEBPACK_IMPORTED_MODULE_7__[\"fromObject\"](json.referencedBy);return rv;}_addRepo(json){const address={type:_nodes__WEBPACK_IMPORTED_MODULE_4__[\"REPO_TYPE\"],owner:_util_null__WEBPACK_IMPORTED_MODULE_8__[\"get\"](json.owner).login,name:json.name};const entry={address,url:json.url,issues:expectAllNonNull(json,\"issues\",json.issues).map(x=>this._addIssue(address,x)),pulls:expectAllNonNull(json,\"pullRequests\",json.pullRequests).map(x=>this._addPull(address,x)),timestampMs:+new Date(json.createdAt)};const raw=_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address);this._repos.set(raw,entry);this._addCommitHistory(json);}_addCommitHistory(json){if(json.defaultBranchRef!=null){const target=json.defaultBranchRef.target;if(target!=null&&target.__typename===\"Commit\"){this._addCommit(target);}else if(target!=null){throw new Error(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_5__[\"default\"])(_templateObject()));}}}_addIssue(repo,json){const address={type:_nodes__WEBPACK_IMPORTED_MODULE_4__[\"ISSUE_TYPE\"],number:String(json.number),repo};const entry={address,url:json.url,comments:expectAllNonNull(json,\"comments\",json.comments).map(x=>this._addComment(address,x)),authors:this._addNullableAuthor(json.author),body:json.body,title:json.title,reactions:expectAllNonNull(json,\"reactions\",json.reactions).map(x=>this._addReaction(x)),timestampMs:+new Date(json.createdAt)};this._issues.set(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address),entry);return address;}_addCommit(json){const commitStack=[json];// reified recursion to avoid stack overflow\nlet originalAddress=null;while(true){const json=commitStack.pop();if(json==null){// End of stack.\nbreak;}const address={type:_nodes__WEBPACK_IMPORTED_MODULE_4__[\"COMMIT_TYPE\"],id:json.id};const rawAddress=_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address);if(originalAddress==null){originalAddress=address;}// This fast-return is critical, because a single commit may appear\n// many times in the repository.\n//\n// For example, a repository with 1000 commits, each of which was\n// created by merging a pull request, will include 1001 structural\n// references to the root commit (one via the HEAD ref, and one\n// along a parent-chain from each pull request), so the number of\n// occurrences of commits can easily be quadratic in the number of\n// actual commits.\n//\n// Furthermore, it can be exponential: consider merge commits like\n//\n//     HEAD\n//     / \\\n//    1A 1B\n//    | X |\n//    2A 2B\n//    | X |\n//    3A 3B\n//     \\ /\n//     root\n//\n// where each merge commit has two parents. The root commit is\n// reachable along about 2^(n/2) paths.\n//\n// This check ensures that we process each commit edge only once.\nif(this._commits.has(rawAddress)){continue;}const authors=json.author==null?[]:this._addNullableAuthor(json.author.user);const entry={address,url:json.url,authors,message:json.message,hash:json.oid,timestampMs:+new Date(json.authoredDate)};this._commits.set(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address),entry);for(const parent of json.parents){if(parent!=null){commitStack.push(parent);}}}// must have gone through at least one loop iteration\nreturn _util_null__WEBPACK_IMPORTED_MODULE_8__[\"get\"](originalAddress);}_addPull(repo,json){const address={type:_nodes__WEBPACK_IMPORTED_MODULE_4__[\"PULL_TYPE\"],number:String(json.number),repo};const mergedAs=json.mergeCommit==null?null:this._addCommit(json.mergeCommit);const entry={address,url:json.url,comments:expectAllNonNull(json,\"comments\",json.comments).map(x=>this._addComment(address,x)),reviews:expectAllNonNull(json,\"reviews\",json.reviews).map(x=>this._addReview(address,x)),authors:this._addNullableAuthor(json.author),body:json.body,title:json.title,mergedAs,additions:json.additions,deletions:json.deletions,reactions:expectAllNonNull(json,\"reactions\",json.reactions).map(x=>this._addReaction(x)),timestampMs:+new Date(json.createdAt)};this._pulls.set(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address),entry);return address;}_addReview(pull,json){const address={type:_nodes__WEBPACK_IMPORTED_MODULE_4__[\"REVIEW_TYPE\"],id:Object(_urlIdParse__WEBPACK_IMPORTED_MODULE_10__[\"reviewUrlToId\"])(json.url),pull};const entry={address,url:json.url,state:json.state,comments:expectAllNonNull(json,\"comments\",json.comments).map(x=>this._addComment(address,x)),body:json.body,authors:this._addNullableAuthor(json.author),timestampMs:+new Date(json.createdAt)};this._reviews.set(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address),entry);return address;}_addComment(parent,json){const id=function(){switch(parent.type){case _nodes__WEBPACK_IMPORTED_MODULE_4__[\"ISSUE_TYPE\"]:return Object(_urlIdParse__WEBPACK_IMPORTED_MODULE_10__[\"issueCommentUrlToId\"])(json.url);case _nodes__WEBPACK_IMPORTED_MODULE_4__[\"PULL_TYPE\"]:return Object(_urlIdParse__WEBPACK_IMPORTED_MODULE_10__[\"pullCommentUrlToId\"])(json.url);case _nodes__WEBPACK_IMPORTED_MODULE_4__[\"REVIEW_TYPE\"]:return Object(_urlIdParse__WEBPACK_IMPORTED_MODULE_10__[\"reviewCommentUrlToId\"])(json.url);default:throw new Error(\"Unexpected comment parent type: \".concat(parent.type));}}();const address={type:_nodes__WEBPACK_IMPORTED_MODULE_4__[\"COMMENT_TYPE\"],id,parent};const entry={address,url:json.url,authors:this._addNullableAuthor(json.author),body:json.body,reactions:expectAllNonNull(json,\"reactions\",json.reactions).map(x=>this._addReaction(x)),timestampMs:+new Date(json.createdAt)};this._comments.set(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address),entry);return address;}_addReaction(json){const authorAddresses=this._addNullableAuthor(json.user);if(authorAddresses.length!==1){throw new Error(\"Invariant violation: Reaction with id \".concat(json.id,\" did not have 1 author\"));}const timestampMs=+new Date(json.createdAt);return{content:json.content,user:authorAddresses[0],timestampMs};}_addNullableAuthor(json){if(json==null){return[];}else{const login=json.login;const subtype=Object(_bots__WEBPACK_IMPORTED_MODULE_9__[\"botSet\"])().has(login)?_nodes__WEBPACK_IMPORTED_MODULE_4__[\"BOT_SUBTYPE\"]:_nodes__WEBPACK_IMPORTED_MODULE_4__[\"USER_SUBTYPE\"];const address={type:_nodes__WEBPACK_IMPORTED_MODULE_4__[\"USERLIKE_TYPE\"],subtype,login};const entry={address,url:json.url};this._userlikes.set(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](address),entry);return[address];}}/**\n   * Creates a Map<URL, NodeAddressT> for each ReferentEntity in this view.\n   * Note: duplicates are accepted within one view. However for any URL, the\n   * corresponding N.RawAddress should be the same, or we'll throw an error.\n   */urlReferenceMap(){const refToAddress=new Map();for(const e of this.referentEntities()){const addr=_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](e.address());const url=e.url();const existing=refToAddress.get(url);if(existing&&existing!==addr){throw new Error(Object(_util_dedent__WEBPACK_IMPORTED_MODULE_5__[\"default\"])(_templateObject2(),url,_core_graph__WEBPACK_IMPORTED_MODULE_0__[\"NodeAddress\"].toString(existing),_core_graph__WEBPACK_IMPORTED_MODULE_0__[\"NodeAddress\"].toString(addr)));}refToAddress.set(url,addr);}return refToAddress;}_addReferences(){// TODO(perf): _addReferences regenerates all refs from scratch\nthis._mapReferences=new Map();this._mapReferencedBy=new Map();// refToAddress maps a \"referencing string\" to the address that string refers to.\n// There are 3 kinds of valid referencing strings:\n// - A canonical URL pointing to a GitHub entity, e.g.\n//   https://github.com/sourcecred/sourcecred/pull/416\n// - A # followed by a number, such as #416\n// - An @ followed by a login name, such as @decentralion\nconst refToAddress=new Map();for(const e of this.referentEntities()){const a=e.address();refToAddress.set(e.url(),a);if(e instanceof Userlike){refToAddress.set(\"@\".concat(e.login()),a);}if(e instanceof Issue||e instanceof Pull){refToAddress.set(\"#\".concat(e.number()),a);refToAddress.set(\"\".concat(e.parent().owner(),\"/\").concat(e.parent().name(),\"#\").concat(e.number()),a);}if(e instanceof Commit){refToAddress.set(e.hash(),a);}}for(const e of this.textContentEntities()){const srcAddress=e.address();const body=e instanceof Commit?e.message():e.body();for(const{ref,refType}of Object(_parseReferences__WEBPACK_IMPORTED_MODULE_3__[\"parseReferences\"])(body)){const refAddress=refToAddress.get(ref);if(refAddress!=null){switch(refType){case\"BASIC\":this._addReference(srcAddress,refAddress);break;case\"PAIRED_WITH\":if(refAddress.type!==_nodes__WEBPACK_IMPORTED_MODULE_4__[\"USERLIKE_TYPE\"]){throw new Error(\"Invariant error: @-ref did not refer to userlike: \".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_2___default()(refAddress)));}const userlike=this.userlike(refAddress);if(userlike==null){throw new Error(\"Invariant error: nonexistent reference: \".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_2___default()(refAddress)));}this._addExtraAuthor(e,userlike);break;default:throw new Error(\"Unexpected refType: \".concat(refType));}}}}}_addReference(src,dst){const srcRaw=_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](src);const referencesForSrc=this._mapReferences.get(srcRaw);if(referencesForSrc==null){this._mapReferences.set(srcRaw,[dst]);}else{referencesForSrc.push(dst);}const dstRaw=_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](dst);const referencedByForDst=this._mapReferencedBy.get(dstRaw);if(referencedByForDst==null){this._mapReferencedBy.set(dstRaw,[src]);}else{referencedByForDst.push(src);}}_addExtraAuthor(e,extraAuthor){for(const existingAuthor of e.authors()){if(existingAuthor.login()===extraAuthor.login()){return;// user can't author the same thing twice\n}}e._entry.authors.push(extraAuthor.address());}*_referencedBy(e){const refs=this._mapReferencedBy.get(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](e.address()));if(refs==null){return;}else{for(const address of refs){let entity;switch(address.type){case\"ISSUE\":entity=this.issue(address);break;case\"PULL\":entity=this.pull(address);break;case\"REVIEW\":entity=this.review(address);break;case\"COMMENT\":entity=this.comment(address);break;case\"COMMIT\":entity=this.commit(address);break;default:throw new Error(\"Unexpected referrer address type: \".concat(address.type));}if(entity==null){throw new Error(\"Invariant error: Reference from non-existent entity: \".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_2___default()(address)));}yield entity;}}}*_references(e){const refs=this._mapReferences.get(_nodes__WEBPACK_IMPORTED_MODULE_4__[\"toRaw\"](e.address()));if(refs==null){return;}else{for(const address of refs){let entity;switch(address.type){case\"REPO\":entity=this.repo(address);break;case\"ISSUE\":entity=this.issue(address);break;case\"PULL\":entity=this.pull(address);break;case\"REVIEW\":entity=this.review(address);break;case\"COMMENT\":entity=this.comment(address);break;case\"COMMIT\":entity=this.commit(address);break;case\"USERLIKE\":entity=this.userlike(address);break;default:throw new Error(\"Unexpected referent address type: \".concat(address.type));}if(entity==null){throw new Error(\"Invariant error: Reference to non-existent entity: \".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_2___default()(address)));}yield entity;}}}}class _Entity{constructor(view,entry){_defineProperty(this,\"_view\",void 0);_defineProperty(this,\"_entry\",void 0);this._view=view;this._entry=entry;}address(){// Relevant Flow bugs:\n//   - https://github.com/facebook/flow/issues/6648\n//   - https://github.com/facebook/flow/issues/6649\nreturn this._entry.address;}url(){return this._entry.url;}timestampMs(){throw new Error(\"Not implemented.\");}description(){throw new Error(\"Not implemented.\");}}class Repo extends _Entity{constructor(view,entry){super(view,entry);}name(){return this._entry.address.name;}owner(){return this._entry.address.owner;}*issues(){for(const address of this._entry.issues){const issue=this._view.issue(address);yield assertExists(issue,address);}}*pulls(){for(const address of this._entry.pulls){const pull=this._view.pull(address);yield assertExists(pull,address);}}referencedBy(){return this._view._referencedBy(this);}timestampMs(){return this._entry.timestampMs;}description(){return\"[\".concat(this.owner(),\"/\").concat(this.name(),\"](\").concat(this.url(),\")\");}}class Issue extends _Entity{constructor(view,entry){super(view,entry);}parent(){const address=this.address().repo;const repo=this._view.repo(address);return assertExists(repo,address);}number(){return this._entry.address.number;}title(){return this._entry.title;}body(){return this._entry.body;}timestampMs(){return this._entry.timestampMs;}description(){return\"[#\".concat(this.number(),\"](\").concat(this.url(),\"): \").concat(this.title());}*comments(){for(const address of this._entry.comments){const comment=this._view.comment(address);yield assertExists(comment,address);}}authors(){return getAuthors(this._view,this._entry);}references(){return this._view._references(this);}referencedBy(){return this._view._referencedBy(this);}reactions(){return this._entry.reactions;}}class Pull extends _Entity{constructor(view,entry){super(view,entry);}parent(){const address=this.address().repo;const repo=this._view.repo(address);return assertExists(repo,address);}number(){return this._entry.address.number;}title(){return this._entry.title;}body(){return this._entry.body;}additions(){return this._entry.additions;}deletions(){return this._entry.deletions;}mergedAs(){return this._entry.mergedAs;}timestampMs(){return this._entry.timestampMs;}description(){return\"[#\".concat(this.number(),\"](\").concat(this.url(),\"): \").concat(this.title());}*reviews(){for(const address of this._entry.reviews){const review=this._view.review(address);yield assertExists(review,address);}}*comments(){for(const address of this._entry.comments){const comment=this._view.comment(address);yield assertExists(comment,address);}}authors(){return getAuthors(this._view,this._entry);}references(){return this._view._references(this);}referencedBy(){return this._view._referencedBy(this);}reactions(){return this._entry.reactions;}}class Review extends _Entity{constructor(view,entry){super(view,entry);}parent(){const address=this.address().pull;const pull=this._view.pull(address);return assertExists(pull,address);}body(){return this._entry.body;}state(){return this._entry.state;}*comments(){for(const address of this._entry.comments){const comment=this._view.comment(address);yield assertExists(comment,address);}}authors(){return getAuthors(this._view,this._entry);}timestampMs(){return this._entry.timestampMs;}description(){return\"[review](\".concat(this.url(),\") on \").concat(this.parent().description());}references(){return this._view._references(this);}referencedBy(){return this._view._referencedBy(this);}}class Comment extends _Entity{constructor(view,entry){super(view,entry);}parent(){const address=this.address().parent;let parent;switch(address.type){case\"PULL\":parent=this._view.pull(address);break;case\"ISSUE\":parent=this._view.issue(address);break;case\"REVIEW\":parent=this._view.review(address);break;default:throw new Error(\"Bad parent address type: \".concat(address.type));}return assertExists(parent,address);}body(){return this._entry.body;}timestampMs(){return this._entry.timestampMs;}description(){return\"[comment](\".concat(this.url(),\") on \").concat(this.parent().description());}authors(){return getAuthors(this._view,this._entry);}references(){return this._view._references(this);}referencedBy(){return this._view._referencedBy(this);}reactions(){return this._entry.reactions;}}class Commit extends _Entity{constructor(view,entry){super(view,entry);}authors(){return getAuthors(this._view,this._entry);}message(){return this._entry.message;}references(){return this._view._references(this);}referencedBy(){return this._view._referencedBy(this);}hash(){return this._entry.hash;}timestampMs(){return this._entry.timestampMs;}description(){const shortHash=this.hash().slice(0,7);const headline=this.message().split(\"\\n\")[0];return\"[\".concat(shortHash,\"](\").concat(this.url(),\"): \").concat(headline);}}class Userlike extends _Entity{constructor(view,entry){super(view,entry);}login(){return this.address().login;}referencedBy(){return this._view._referencedBy(this);}timestampMs(){return null;}description(){return\"[@\".concat(this.login(),\"](\").concat(this.url(),\")\");}}function assertExists(item,address){if(item==null){throw new Error(\"Invariant violation: Expected entity for \".concat(json_stable_stringify__WEBPACK_IMPORTED_MODULE_2___default()(address)));}return item;}function*getAuthors(view,entry){for(const address of entry.authors){const author=view.userlike(address);yield assertExists(author,address);}}function match(handlers,x){if(x instanceof Repo){return handlers.repo(x);}if(x instanceof Issue){return handlers.issue(x);}if(x instanceof Pull){return handlers.pull(x);}if(x instanceof Review){return handlers.review(x);}if(x instanceof Comment){return handlers.comment(x);}if(x instanceof Commit){return handlers.commit(x);}if(x instanceof Userlike){return handlers.userlike(x);}throw new Error(\"Unexpected entity \".concat(x));}/**\n * Invoke this function when the GitHub GraphQL schema docs indicate\n * that a connection provides a list of _nullable_ nodes, but we expect\n * them all to always be non-null.\n *\n * This will drop any `null` elements from the provided list, issuing a\n * warning to stderr if `null`s are found.\n */function expectAllNonNull(context,fieldname,xs){const result=[];for(const x of xs){if(x!==null){result.push(x);}else{console.warn(\"\".concat(context.__typename,\"[\").concat(context.id,\"].\").concat(fieldname,\": \")+\"unexpected null value\");}}return result;}\n\n//# sourceURL=webpack:///./src/plugins/github/relationalView.js?");

/***/ }),

/***/ "./src/plugins/github/repoId.js":
/*!**************************************!*\
  !*** ./src/plugins/github/repoId.js ***!
  \**************************************/
/*! exports provided: githubOwnerPattern, githubRepoPattern, makeRepoId, stringToRepoId, repoIdToString */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"githubOwnerPattern\", function() { return githubOwnerPattern; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"githubRepoPattern\", function() { return githubRepoPattern; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"makeRepoId\", function() { return makeRepoId; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"stringToRepoId\", function() { return stringToRepoId; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"repoIdToString\", function() { return repoIdToString; });\n// Right now all RepoIds are assumed to refer to GitHub repos.\n// In the future, we may support other identifiers.\nconst githubOwnerPattern=\"[A-Za-z0-9-]+\";const githubRepoPattern=\"[A-Za-z0-9-._]+\";function makeRepoId(owner,name){const validOwner=new RegExp(\"^\".concat(githubOwnerPattern,\"$\"));const validRepo=new RegExp(\"^\".concat(githubRepoPattern,\"$\"));if(!owner.match(validOwner)){throw new Error(\"Invalid repository owner: \".concat(JSON.stringify(owner)));}if(!name.match(validRepo)){throw new Error(\"Invalid repository name: \".concat(JSON.stringify(name)));}return{owner,name};}function stringToRepoId(x){const pieces=x.split(\"/\");if(pieces.length!==2){throw new Error(\"Invalid repo string: \".concat(x));}return makeRepoId(pieces[0],pieces[1]);}function repoIdToString(x){return\"\".concat(x.owner,\"/\").concat(x.name);}\n\n//# sourceURL=webpack:///./src/plugins/github/repoId.js?");

/***/ }),

/***/ "./src/plugins/github/schema.js":
/*!**************************************!*\
  !*** ./src/plugins/github/schema.js ***!
  \**************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"default\", function() { return schema; });\n/* harmony import */ var _graphql_schema__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../graphql/schema */ \"./src/graphql/schema.js\");\nfunction schema(){const s=_graphql_schema__WEBPACK_IMPORTED_MODULE_0__;const types={DateTime:s.scalar(\"string\"),GitObjectID:s.scalar(\"string\"),GitTimestamp:s.scalar(\"string\"),Int:s.scalar(\"number\"),String:s.scalar(\"string\"),URI:s.scalar(\"string\"),PullRequestReviewState:s.enum([\"PENDING\",\"COMMENTED\",\"APPROVED\",\"CHANGES_REQUESTED\",\"DISMISSED\"]),ReactionContent:s.enum([\"THUMBS_UP\",\"THUMBS_DOWN\",\"LAUGH\",\"HOORAY\",\"CONFUSED\",\"HEART\",\"ROCKET\",\"EYES\"]),Repository:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),name:s.primitive(s.nonNull(\"String\")),owner:s.node(\"RepositoryOwner\"),issues:s.connection(\"Issue\"),pullRequests:s.connection(\"PullRequest\"),defaultBranchRef:s.node(\"Ref\"),createdAt:s.primitive(s.nonNull(\"DateTime\"))}),Issue:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),title:s.primitive(s.nonNull(\"String\")),body:s.primitive(s.nonNull(\"String\")),number:s.primitive(s.nonNull(\"Int\")),author:s.node(\"Actor\"),comments:s.connection(\"IssueComment\"),reactions:s.connection(\"Reaction\"),createdAt:s.primitive(s.nonNull(\"DateTime\"))}),PullRequest:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),title:s.primitive(s.nonNull(\"String\")),body:s.primitive(s.nonNull(\"String\")),number:s.primitive(s.nonNull(\"Int\")),mergeCommit:s.node(\"Commit\"),additions:s.primitive(s.nonNull(\"Int\")),deletions:s.primitive(s.nonNull(\"Int\")),author:s.node(\"Actor\"),comments:s.connection(\"IssueComment\"),// yes, PRs have IssueComments\nreviews:s.connection(\"PullRequestReview\"),reactions:s.connection(\"Reaction\"),createdAt:s.primitive(s.nonNull(\"DateTime\")),baseRefName:s.primitive(s.nonNull(\"String\"))}),IssueComment:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),body:s.primitive(s.nonNull(\"String\")),author:s.node(\"Actor\"),reactions:s.connection(\"Reaction\"),createdAt:s.primitive(s.nonNull(\"DateTime\"))}),PullRequestReview:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),body:s.primitive(s.nonNull(\"String\")),author:s.node(\"Actor\"),state:s.primitive(s.nonNull(\"PullRequestReviewState\")),comments:s.connection(\"PullRequestReviewComment\"),createdAt:s.primitive(s.nonNull(\"DateTime\"))}),PullRequestReviewComment:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),body:s.primitive(s.nonNull(\"String\")),author:s.node(\"Actor\"),reactions:s.connection(\"Reaction\"),createdAt:s.primitive(s.nonNull(\"DateTime\"))}),Reaction:s.object({id:s.id(),content:s.primitive(s.nonNull(\"ReactionContent\")),user:s.node(\"User\",s.unfaithful([\"User\",\"Organization\"])),createdAt:s.primitive(s.nonNull(\"DateTime\"))}),Ref:s.object({id:s.id(),// Unlike most node references, this is guaranteed non-null (but\n// we have no way to express that).\ntarget:s.node(\"GitObject\")}),GitObject:s.union([\"Blob\",\"Commit\",\"Tag\",\"Tree\"]),Blob:s.object({id:s.id(),oid:s.primitive(s.nonNull(\"GitObjectID\"))}),Commit:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),oid:s.primitive(s.nonNull(\"GitObjectID\")),message:s.primitive(s.nonNull(\"String\")),author:/* GitActor */s.nested({// The GitHub schema indicates that `date` can be null, but does\n// not indicate when this might be the case.\ndate:s.primitive(s.nullable(\"GitTimestamp\")),user:s.node(\"User\",s.unfaithful([\"User\",\"Bot\"]))}),parents:s.connection(\"Commit\"),// In contrast to the author.date, this is both nonNull and is\n// specifically the authoredDate. Docs for author.date suggest that\n// field might be the commiter date instead.\nauthoredDate:s.primitive(s.nonNull(\"GitTimestamp\"))}),Tag:s.object({id:s.id(),oid:s.primitive(s.nonNull(\"GitObjectID\"))}),Tree:s.object({id:s.id(),oid:s.primitive(s.nonNull(\"GitObjectID\"))}),Actor:s.union([\"User\",\"Bot\",\"Organization\"]),// actually an interface\nRepositoryOwner:s.union([\"User\",\"Organization\"]),// actually an interface\nUser:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),login:s.primitive(s.nonNull(\"String\"))}),Bot:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),login:s.primitive(s.nonNull(\"String\"))}),Organization:s.object({id:s.id(),url:s.primitive(s.nonNull(\"URI\")),login:s.primitive(s.nonNull(\"String\"))})};return s.schema(types);}\n\n//# sourceURL=webpack:///./src/plugins/github/schema.js?");

/***/ }),

/***/ "./src/plugins/github/token.js":
/*!*************************************!*\
  !*** ./src/plugins/github/token.js ***!
  \*************************************/
/*! exports provided: validateToken */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"validateToken\", function() { return validateToken; });\n/**\n * Validates a token against know formatting.\n * Throws an error if it appears invalid.\n *\n * Personal access token\n * https://help.github.com/en/github/authenticating-to-github/creating-a-personal-access-token-for-the-command-line\n *\n * Installation access token\n * https://developer.github.com/v3/apps/#create-a-new-installation-token\n */function validateToken(token){const personalAccessTokenRE=/^[A-Fa-f0-9]{40}$/;if(personalAccessTokenRE.test(token)){return token;}// We're currently being lenient with installation tokens, since we're not completely\n// sure on the exact format. We're only warning on unexpected values but leave it up\n// to the GitHub API to reject the token if it's actually invalid.\nconst installationAccessTokenRE=/^(v\\d+)\\.([A-Fa-f0-9]+)$/;const matches=installationAccessTokenRE.exec(token);if(matches!=null){const[_,version,hexCode]=matches;if(version!==\"v1\"){console.warn(\"Warning: GitHub installation access token has an unexpected version \\\"\".concat(version,\"\\\".\"));}if(hexCode.length!==40){console.warn(\"Warning: GitHub installation access token has an unexpected hexadecimal component \"+\"length of \".concat(hexCode.length,\".\"));}return token;}throw new Error(\"The token supplied to $SOURCECRED_GITHUB_TOKEN doesn't match any format known to work.\\n\"+\"Please verify the token \\\"\".concat(token,\"\\\" is correct, or report a bug if you think it should work.\"));}\n\n//# sourceURL=webpack:///./src/plugins/github/token.js?");

/***/ }),

/***/ "./src/plugins/github/urlIdParse.js":
/*!******************************************!*\
  !*** ./src/plugins/github/urlIdParse.js ***!
  \******************************************/
/*! exports provided: reviewUrlToId, issueCommentUrlToId, pullCommentUrlToId, reviewCommentUrlToId */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"reviewUrlToId\", function() { return reviewUrlToId; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"issueCommentUrlToId\", function() { return issueCommentUrlToId; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"pullCommentUrlToId\", function() { return pullCommentUrlToId; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"reviewCommentUrlToId\", function() { return reviewCommentUrlToId; });\n/* harmony import */ var _repoId__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./repoId */ \"./src/plugins/github/repoId.js\");\nconst urlBase=\"^https?://github\\\\.com\";const repoUrl=\"\".concat(urlBase,\"/(?:\").concat(_repoId__WEBPACK_IMPORTED_MODULE_0__[\"githubOwnerPattern\"],\")/(?:\").concat(_repoId__WEBPACK_IMPORTED_MODULE_0__[\"githubRepoPattern\"],\")/\");function reviewUrlToId(url){const suffix=/pull\\/\\d+#pullrequestreview-(\\d+)$/;const regex=new RegExp(repoUrl+suffix.source);const result=regex.exec(url);if(result==null){throw new Error(\"Error parsing review url \".concat(url));}return result[1];}function issueCommentUrlToId(url){const suffix=/issues\\/\\d+#issuecomment-(\\d+)$/;const regex=new RegExp(repoUrl+suffix.source);const result=regex.exec(url);if(result==null){throw new Error(\"Error parsing issue comment url \".concat(url));}return result[1];}function pullCommentUrlToId(url){const suffix=/pull\\/\\d+#issuecomment-(\\d+)$/;const regex=new RegExp(repoUrl+suffix.source);const result=regex.exec(url);if(result==null){throw new Error(\"Error parsing pull comment url \".concat(url));}return result[1];}function reviewCommentUrlToId(url){const suffix=/pull\\/\\d+#discussion_r(\\d+)/;const regex=new RegExp(repoUrl+suffix.source);const result=regex.exec(url);if(result==null){throw new Error(\"Error parsing review comment url \".concat(url));}return result[1];}\n\n//# sourceURL=webpack:///./src/plugins/github/urlIdParse.js?");

/***/ }),

/***/ "./src/tools/entry.js":
/*!****************************!*\
  !*** ./src/tools/entry.js ***!
  \****************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("//\n// Common entry point module. This module should be required by every\n// module that is intended to be run as a standalone application.\nconst util=__webpack_require__(/*! util */ \"util\");// Makes the script crash on unhandled rejections instead of silently\n// ignoring them. In the future, promise rejections that are not handled will\n// terminate the Node.js process with a non-zero exit code.\nprocess.on(\"unhandledRejection\",err=>{const details=util.inspect(err,{showHidden:true,depth:null});console.error(details);throw err;});\n\n//# sourceURL=webpack:///./src/tools/entry.js?");

/***/ }),

/***/ "./src/util/combo.js":
/*!***************************!*\
  !*** ./src/util/combo.js ***!
  \***************************/
/*! exports provided: Parser, string, number, boolean, null_, raw, pure, exactly, fmap, orElse, array, rename, object, shape, tuple, dict */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Parser\", function() { return Parser; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"string\", function() { return string; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"number\", function() { return number; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"boolean\", function() { return boolean; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"null_\", function() { return null_; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"raw\", function() { return raw; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"pure\", function() { return pure; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"exactly\", function() { return exactly; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fmap\", function() { return fmap; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"orElse\", function() { return orElse; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"array\", function() { return array; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"rename\", function() { return rename; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"object\", function() { return object; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"shape\", function() { return shape; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"tuple\", function() { return tuple; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"dict\", function() { return dict; });\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}// Simple parser combinator library for structured types rather than\n// bytestring parsing.\nclass Parser{// Phantom data for the output type of this parser. Used to more\n// reliably match on parsers at the type level, via `$PropertyType`\n// rather than `$Call`. Not populated at runtime; do not dereference.\nconstructor(f){_defineProperty(this,\"_f\",void 0);_defineProperty(this,\"_phantomT\",void 0);this._f=f;}parse(raw){return this._f(raw);}parseOrThrow(raw){const result=this.parse(raw);if(result.ok){return result.value;}else{throw new Error(result.err);}}}// Helper type to extract the underlying type of a parser: for instance,\n// `ParserOutput<Parser<string>>` is just `string`.\n// Helper to make a successful parse result. For readability.\nfunction success(t){return{ok:true,value:t};}// Helper to make a failed parse result. For readability.\nfunction failure(err){return{ok:false,err};}// Helper to nicely render a JSON object's typename, accounting for\n// nulls and arrays.\nfunction typename(x){if(x===null){return\"null\";}if(Array.isArray(x)){return\"array\";}return typeof x;}const string=new Parser(x=>{if(typeof x!==\"string\"){return failure(\"expected string, got \"+typename(x));}return success(x);});const number=new Parser(x=>{if(typeof x!==\"number\"){return failure(\"expected number, got \"+typename(x));}return success(x);});const boolean=new Parser(x=>{if(typeof x!==\"boolean\"){return failure(\"expected boolean, got \"+typename(x));}return success(x);});// Parser that only accepts a literal `null`. (Called `null_` rather\n// than `null` to avoid conflicting with keyword.)\nconst null_=new Parser(x=>{if(x!==null){return failure(\"expected null, got \"+typename(x));}return success(x);});// The identity operation: a parser that always succeeds, emitting a\n// `JsonObject` (not `any`) with the input. Used when you need a parser\n// that matches anything:\n//\n//    // Accepts an arbitrary heterogeneous array and returns its length\n//    C.fmap(C.array(C.raw), (a) => a.length)\n//\n//    // Accepts a config file with dynamic plugin-specific data\n//    C.object({version: string, pluginConfig: C.dict(C.raw)})\n//\n// To destructure the parsed value dynamically, pair with `fmap`.\nconst raw=new Parser(success);// Lift a plain value into a parser that always returns that value,\n// ignoring its input.\nfunction pure(t){return new Parser(_=>success(t));}// Create a parser that accepts any value from a fixed set. This can be\n// used for enumerated values in configs:\n//\n//    type Environment = \"dev\" | \"prod\";\n//    const p: C.Parser<Environment> = C.exactly([\"dev\", \"prod\"]);\n//\n// This function only supports value types. Performing an `any`-cast\n// guarded by a deep equality check would be unsound, breaking opaque\n// type boundaries: e.g., a module could `export opaque type T = {}` and\n// provide two constants `ONE = {}` and `TWO = {}` (different objects),\n// and then expect that any value of type `T` would be identical to\n// either `ONE` or `TWO`. Using strict reference equality for array and\n// object types would be sound, but would not usually be what was\n// wanted, as it wouldn't match ~any actual output of `JSON.parse`.\nfunction exactly(ts){return new Parser(x=>{for(const t of ts){if(x===t){return success(t);}}const expected=ts.length===1?String(ts[0]):\"one of \".concat(JSON.stringify(ts));return failure(\"expected \".concat(expected,\", got \").concat(typename(x)));});}// Transform the output of a parser with a pure function. For instance,\n// if `p: Parser<number>` and `f = (n: number) => n % 2 === 0`, then\n// `fmap(p, f)` is a `Parser<boolean>` that first uses `p` to parse its\n// input to a number and then checks whether the number is even.\n//\n// If the function `f` throws, the thrown value will be converted to\n// string and returned as a parse error. (The string conversion takes\n// `e.message` if the thrown value `e` is an `Error`, else just converts\n// with the `String` builtin.)\n//\n// This can be used for \"strong validation\". If `U` is a (possibly\n// opaque) subtype of `T`, and `f: (T) => U` is a checked downcast that\n// either returns a `U` or throws an error, then `fmap` can transform a\n// `Parser<T>` into a validating `Parser<U>`, where the fact that the\n// validation has been performed is encoded at the type level. Thus:\n//\n//    import * as C from \".../combo\";\n//    import {NodeAddress, type NodeAddressT} from \".../core/graph\";\n//\n//    const addressParser: Parser<NodeAddressT> =\n//      C.fmap(C.array(C.string), NodeAddress.fromParts);\n//\n// As a degenerate case, it can also be used for \"weak validation\",\n// where the types `T` and `U` are the same and the function `f` simply\n// returns its argument or throws, but in this case there is nothing\n// preventing a user of a `Parser<T>` from simply forgetting to\n// validate. Prefer strong validation when possible.\nfunction fmap(p,f){return new Parser(x=>{const maybeT=p.parse(x);if(!maybeT.ok){return failure(maybeT.err);}const t=maybeT.value;let u;try{u=f(t);}catch(e){if(e instanceof Error){return failure(e.message);}else{return failure(String(e));}}return success(u);});}// Create a parser that tries each of the given parsers on the same\n// input, taking the first successful parse or failing if all parsers\n// fail. In the failure case, the provided `errorFn` will be called with\n// the error messages from all the subparsers to form the resulting\n// error; the default error function includes the full text of all the\n// error messages, but a user-supplied error function may act with\n// domain-specific precision.\n//\n// One use case is for parsing unions, including discriminated unions:\n//\n//    type Expr =\n//      | {|+type: \"CONSTANT\", +value: number|}\n//      | {|+type: \"VARIABLE\", +name: string|};\n//    const exprParser: C.Parser<Expr> = C.orElse([\n//      C.fmap(C.number, (value) => ({type: \"CONSTANT\", value})),\n//      C.fmap(C.string, (name) => ({type: \"VARIABLE\", name})),\n//    ]);\n//\n// Another is to use `pure` to provide a default value:\n//\n//    const lenientNumber: C.Parser<number | \"(unknown)\"> = C.orElse([\n//      C.number,\n//      C.pure(\"(unknown)\"),\n//    ]);\n//\n// This last parser will always succeed, because `C.pure(v)` always\n// succeeds and always returns `v`.\nfunction orElse(parsers){let errorFn=arguments.length>1&&arguments[1]!==undefined?arguments[1]:errors=>\"no parse matched: \".concat(JSON.stringify(errors));return new Parser(x=>{const errors=[];for(const parser of parsers){const result=parser.parse(x);if(result.ok){return success(result.value);}else{errors.push(result.err);}}return failure(errorFn(errors));});}function array(p){return new Parser(x=>{if(!Array.isArray(x)){return failure(\"expected array, got \"+typename(x));}const result=Array(x.length);for(let i=0;i<result.length;i++){const raw=x[i];const parsed=p.parse(raw);if(!parsed.ok){return failure(\"index \".concat(i,\": \").concat(parsed.err));}result[i]=parsed.value;}return success(result);});}// Fields for an object type. Each is either a bare parser or the result\n// of `rename(\"oldFieldName\", p)` for a parser `p`, to be used when the\n// field name in the output type is to be different from the field name\n// in the input type.\nfunction rename(oldKey,parser){return new RenameFieldImpl(oldKey,parser);}class RenameFieldImpl extends Parser{constructor(oldKey,parser){super(parser._f);_defineProperty(this,\"oldKey\",void 0);this.oldKey=oldKey;}}// Parser combinator for an object type all of whose fields are\n// required.\n// Create a parser for an object type, with required fields and\n// (optionally) optional fields. The returned parser will silently drop\n// extraneous fields on values that it parses, to facilitate forward and\n// backward compatibility.\nconst object=function object(requiredFields,optionalFields){const newKeysSeen=new Set();const fields=[];const fieldsets=[{inputFields:requiredFields,required:true},{inputFields:optionalFields||{},required:false}];for(const{inputFields,required}of fieldsets){for(const newKey of Object.keys(inputFields)){const parser=inputFields[newKey];if(newKeysSeen.has(newKey)){throw new Error(\"duplicate key: \"+JSON.stringify(newKey));}newKeysSeen.add(newKey);const oldKey=parser instanceof RenameFieldImpl?parser.oldKey:newKey;fields.push({oldKey,newKey,parser,required});}}return new Parser(x=>{if(typeof x!==\"object\"||Array.isArray(x)||x==null){return failure(\"expected object, got \"+typename(x));}const result={};for(const{oldKey,newKey,parser,required}of fields){const raw=x[oldKey];if(raw===undefined){if(required){return failure(\"missing key: \"+JSON.stringify(oldKey));}else{continue;}}const parsed=parser.parse(raw);if(!parsed.ok){return failure(\"key \".concat(JSON.stringify(oldKey),\": \").concat(parsed.err));}result[newKey]=parsed.value;}return success(result);});};// Create a parser for an object type all of whose fields are optional.\n// Shorthand for `object` with an empty first argument.\nconst shape=function shape(fields){return object({},fields);};// Create a parser for a tuple: a fixed-length array with possibly\n// heterogeneous element types. For instance,\n//\n//    C.tuple([C.string, C.number, C.boolean])\n//\n// is a parser that accepts length-3 arrays whose first element is a\n// string, second element is a number, and third element is a boolean.\nfunction tuple(parsers){const ps=Array.from(parsers);return new Parser(x=>{if(!Array.isArray(x)){return failure(\"expected array, got \"+typename(x));}if(x.length!==ps.length){return failure(\"expected array of length \".concat(ps.length,\", got \").concat(x.length));}const result=Array(ps.length);for(let i=0;i<result.length;i++){const raw=x[i];const parser=ps[i];const parsed=parser.parse(raw);if(!parsed.ok){return failure(\"index \".concat(i,\": \").concat(parsed.err));}result[i]=parsed.value;}return success(result);});}// Parser combinator for a dictionary whose keys are arbitrary strings.\n// Create a parser for objects with arbitrary string keys and\n// homogeneous values. For instance, a set of package versions:\n//\n//    {\"better-sqlite3\": \"^7.0.0\", \"react\": \"^16.13.0\"}\n//\n// might be parsed by the following parser:\n//\n//    C.dict(C.fmap(C.string, (s) => SemVer.parse(s)))\n//\n// Objects may have any number of entries, including zero.\n//\n// An optional second argument may be passed to refine the keys to a\n// subtype of `string`, such as an opaque subtype (`NodeAddressT`) or a\n// string enum (`\"ONE\" | \"TWO\"`). Fails if the key parser gives the same\n// output for two distinct keys.\nconst dict=function dict(valueParser){let keyParser=arguments.length>1&&arguments[1]!==undefined?arguments[1]:string;return new Parser(x=>{if(typeof x!==\"object\"||Array.isArray(x)||x==null){return failure(\"expected object, got \"+typename(x));}const rawKeys=new Map();const result={};for(const rawKey of Object.keys(x)){const parsedKey=keyParser.parse(rawKey);if(!parsedKey.ok){return failure(\"key \".concat(JSON.stringify(rawKey),\": \").concat(parsedKey.err));}const oldRawKey=rawKeys.get(parsedKey.value);if(oldRawKey!=null){const s=JSON.stringify;return failure(\"conflicting keys \".concat(s(oldRawKey),\" and \").concat(s(rawKey),\" \")+\"both have logical key \".concat(s(parsedKey.value)));}rawKeys.set(parsedKey.value,rawKey);const rawValue=x[rawKey];const parsedValue=valueParser.parse(rawValue);if(!parsedValue.ok){return failure(\"value \".concat(JSON.stringify(rawKey),\": \").concat(parsedValue.err));}result[parsedKey.value]=parsedValue.value;}return success(result);});};\n\n//# sourceURL=webpack:///./src/util/combo.js?");

/***/ }),

/***/ "./src/util/compat.js":
/*!****************************!*\
  !*** ./src/util/compat.js ***!
  \****************************/
/*! exports provided: toCompat, fromCompat, compatibleParser */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toCompat\", function() { return toCompat; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromCompat\", function() { return fromCompat; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"compatibleParser\", function() { return compatibleParser; });\n/* harmony import */ var _combo__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./combo */ \"./src/util/combo.js\");\nfunction toCompat(compatInfo,obj){return[compatInfo,obj];}/**\n * Load an object from compatibilized state created by `toCompat`.\n * The object has an expected type and version, and may optionally have\n * handler functions for transforming previous versions into a canonical state.\n * If a handler is present for the current version, it will be applied.\n * Throws an error if the compatibilized object is the wrong type, or if its version\n * is not current and there was no handler for its version.\n */function fromCompat(expectedCompatInfo,obj,handlers){if(!Array.isArray(obj)||obj.length!==2){throw new Error(\"Tried to load object that didn't have compatibility defined\");}const{type,version}=obj[0];let result=obj[1];const{type:expectedType,version:expectedVersion}=expectedCompatInfo;if(type!==expectedType){throw new Error(\"Expected type to be \".concat(expectedType,\" but got \").concat(type));}if(handlers!=null&&handlers[version]!=null){result=handlers[version](result);}else if(version!==expectedVersion){throw new Error(\"\".concat(type,\": tried to load unsupported version \").concat(version));}return result;}const headerParser=_combo__WEBPACK_IMPORTED_MODULE_0__[\"object\"]({type:_combo__WEBPACK_IMPORTED_MODULE_0__[\"string\"],version:_combo__WEBPACK_IMPORTED_MODULE_0__[\"string\"]});const wrappedParser=_combo__WEBPACK_IMPORTED_MODULE_0__[\"tuple\"]([headerParser,_combo__WEBPACK_IMPORTED_MODULE_0__[\"raw\"]]);function compatibleParser(expectedType,handlers){return new _combo__WEBPACK_IMPORTED_MODULE_0__[\"Parser\"](x=>{const wrapResult=wrappedParser.parse(x);if(!wrapResult.ok){return{ok:false,err:\"unable to unwrap compatible: \".concat(wrapResult.err)};}const[{type,version},raw]=wrapResult.value;if(type!==expectedType){return{ok:false,err:\"expected type \\\"\".concat(expectedType,\"\\\" but got \\\"\").concat(type,\"\\\"\")};}if(!Object.prototype.hasOwnProperty.call(handlers,version)){return{ok:false,err:\"no \\\"\".concat(type,\"/\").concat(version,\"\\\" handler\")};}const parseResult=handlers[version].parse(raw);if(parseResult.ok){return parseResult;}else{return{ok:false,err:\"\".concat(type,\"/\").concat(version,\": \").concat(parseResult.err)};}});}\n\n//# sourceURL=webpack:///./src/util/compat.js?");

/***/ }),

/***/ "./src/util/dedent.js":
/*!****************************!*\
  !*** ./src/util/dedent.js ***!
  \****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"default\", function() { return dedent; });\n/*\n * A template tag function that performs dedenting on the template, but\n * not its arguments.\n *\n * For instance, given the template\n *\n *     |dedent`\\\n *     |    one ${one}\n *     |        two ${two}\n *     |    done`,\n *\n * where `one === \"1\"` and `two === \"\\n    2\"`, the template string\n * would expand to \"one 1\\n    two\\n    2\\ndone\". Note that four spaces\n * of indentation were stripped off of each of \"one\" and \"two\", but not\n * from \"2\".\n *\n * Lines that contain only whitespace are not used for measuring.\n */function dedent(strings){const lineLengths=strings.join(\"\").split(\"\\n\").filter(line=>line.trim().length!==0).map(line=>line.length-line.trimLeft().length);const trimAmount=Math.min.apply(null,lineLengths);const parts=[];for(let i=0;i<strings.length;i++){const trimmed=strings[i].split(\"\\n\").map((line,j)=>i===0||j>0?line.substr(trimAmount):line).join(\"\\n\");parts.push(trimmed);if(i<(arguments.length<=1?0:arguments.length-1)){parts.push(i+1<1||arguments.length<=i+1?undefined:arguments[i+1]);}}return parts.join(\"\");}\n\n//# sourceURL=webpack:///./src/util/dedent.js?");

/***/ }),

/***/ "./src/util/map.js":
/*!*************************!*\
  !*** ./src/util/map.js ***!
  \*************************/
/*! exports provided: toObject, fromObject, copy, mapKeys, mapValues, mapEntries, merge, pushValue, mapToArray */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toObject\", function() { return toObject; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"fromObject\", function() { return fromObject; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"copy\", function() { return copy; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mapKeys\", function() { return mapKeys; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mapValues\", function() { return mapValues; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mapEntries\", function() { return mapEntries; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"merge\", function() { return merge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"pushValue\", function() { return pushValue; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mapToArray\", function() { return mapToArray; });\n/**\n * Convert a string-keyed map to an object. Useful for conversion to\n * JSON. If a map's keys are not strings, consider invoking `mapKeys`\n * first.\n */function toObject(map){const result={};for(const[k,v]of map.entries()){result[k]=v;}return result;}/**\n * Convert an object to a map. The resulting map will have key-value\n * pairs corresponding to the enumerable own properties of the object in\n * iteration order, as returned by `Object.keys`.\n */function fromObject(object){const result=new Map();const keys=Object.keys(object);for(const key of keys){result.set(key,object[key]);}return result;}/**\n * Shallow-copy a map, allowing upcasting its type parameters.\n *\n * The `Map` type constructor is not covariant in its type parameters,\n * which means that (e.g.) `Map<string, Dog>` is not a subtype of\n * `Map<string, Animal>` even if `Dog` is a subtype of `Animal`. This is\n * because, given a `Map<string, Animal>`, one can insert a `Cat`, which\n * would break invariants of existing references to the variable as a\n * map containing only `Dog`s.\n *\n *     declare class Animal {};\n *     declare class Dog extends Animal {};\n *     declare class Cat extends Animal {};\n *     declare var dogMap: Map<string, Dog>;\n *     const animalMap: Map<string, Animal> = dogMap;  // must fail\n *     animalMap.set(\"tabby\", new Cat());  // or we could do this...\n *     (dogMap.values(): Iterator<Dog>);  // ...now contains a `Cat`!\n *\n * This problem only exists when a map with existing references is\n * mutated. Therefore, when we shallow-copy a map, we have the\n * opportunity to upcast its type parameters: `copy(dogMap)` _can_ be a\n * `Map<string, Animal>`.\n */function copy(map){const entries=map.entries();return new Map(entries);}/**\n * Map across the keys of a map. Note that the key-mapping function is\n * provided both the key and the value for each entry.\n *\n * The key-mapping function must be injective on the map's key set. If\n * it maps two distinct input keys to the same output key, an error may\n * be thrown.\n */function mapKeys(map,f){const result=new Map();for(const[k,v]of map.entries()){const outK=f(k,v);if(result.has(outK)){throw new Error(\"duplicate key: \"+String(outK));}result.set(outK,v);}return result;}/**\n * Map across the values of a map. Note that the value-mapping function\n * is provided both the key and the value for each entry.\n *\n * There are no restrictions on the value-mapping function (in\n * particular, it need not be injective).\n */function mapValues(map,g){const result=new Map();for(const[k,v]of map.entries()){result.set(k,g(k,v));}return result;}/**\n * Map simultaneously across the keys and values of a map.\n *\n * The key-mapping function must be injective on the map's key set. If\n * it maps two distinct input keys to the same output key, an error may\n * be thrown. There are no such restrictions on the value-mapping\n * function.\n */function mapEntries(map,h){const result=new Map();for(const[k,v]of map.entries()){const[outK,outV]=h(k,v);if(result.has(outK)){throw new Error(\"duplicate key: \"+String(outK));}result.set(outK,outV);}return result;}/**\n * Merge maps without mutating the arguments.\n *\n * Merges multiple maps, returning a new map which has every key from\n * the source maps, with their corresponding values. None of the inputs\n * are mutated. In the event that multiple maps have the same key, an\n * error will be thrown.\n */function merge(maps){const result=new Map();let updates=0;for(const map of maps){for(const[key,value]of map.entries()){result.set(key,value);if(result.size!==++updates){throw new Error(\"Maps have duplicate key: \".concat(String(key)));}}}return result;}/**\n * Given a map whose values are arrays, push an element onto the array\n * corresponding to the given key. If the key is not in the map, first\n * insert it with value a new empty array.\n *\n * If the key is already in the map, its value will be mutated, not\n * replaced.\n */function pushValue(map,key,value){let arr=map.get(key);if(arr==null){map.set(key,arr=[]);}arr.push(value);return arr;}/**\n * Given a Map, transform its entries into an Array using a\n * provided transformer function.\n */function mapToArray(map,fn){return Array.from(map.entries()).map(fn);}\n\n//# sourceURL=webpack:///./src/util/map.js?");

/***/ }),

/***/ "./src/util/null.js":
/*!**************************!*\
  !*** ./src/util/null.js ***!
  \**************************/
/*! exports provided: map, get, orThrow, orElse, filterList */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"map\", function() { return map; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"get\", function() { return get; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"orThrow\", function() { return orThrow; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"orElse\", function() { return orElse; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"filterList\", function() { return filterList; });\n/**\n * Utilities for working with nullable types: `?T = T | null | void`.\n *\n * These functions use the native runtime representation, as opposed to\n * creating an `Optional<T>` wrapper class. This ensures that they have\n * minimal runtime cost (just a function call), and that they are\n * trivially interoperable with other code.\n *\n * When a value of type `?T` is `null` or `undefined`, we say that it is\n * _absent_. Otherwise, it is _present_.\n *\n * Some functions that typically appear in such libraries are not\n * needed:\n *\n *   - `join` (`??T => ?T`) can be implemented as the identity function,\n *     because the Flow types `??T` and `?T` are equivalent;\n *   - `flatMap` (`?T => (T => ?U) => ?U`) can be implemented simply as\n *     `map`, again because `??T` and `?T` are equivalent;\n *   - `first` (`?T => ?T => ?T`) can be implemented simply as `orElse`,\n *     again because `??T` and `?T` are equivalent;\n *   - `isPresent` (`?T => boolean`) doesn't provide much value over the\n *     equivalent abstract disequality check;\n *   - constructors like `empty` (`() => ?T`) and `of` (`T => ?T`) are\n *     entirely spurious.\n *\n * Other functions could reasonably be implemented, but have been left\n * out because they have rarely been needed:\n *\n *   - `filter` (`?T => (T => boolean) => ?T`);\n *   - `forEach` (`?T => (T => void) => void`);\n *   - `orElseGet` (`?T => (() => T) => T`), which is useful in the case\n *      where constructing the default value is expensive.\n *\n * (Of these three, `orElseGet` would probably be the most useful for\n * our existing codebase.)\n */ /**\n * Apply the given function inside the nullable. If the input is absent,\n * then it will be returned unchanged. Otherwise, the given function\n * will be applied.\n */function map(x,f){return x!=null?f(x):x;}/**\n * Extract the value from a nullable. If the input is present, it will\n * be returned. Otherwise, an error will be thrown with the provided\n * message (defaulting to the string representation of the absent input).\n */function get(x,errorMessage){if(x==null){throw new Error(errorMessage!=null?errorMessage:String(x));}else{return x;}}/**\n * Extract the value from a nullable. If the input is present, it will\n * be returned. Otherwise, an error will be thrown, with message given\n * by the provided function.\n */function orThrow(x,getErrorMessage){if(x==null){throw new Error(getErrorMessage());}else{return x;}}/**\n * Extract the value from a nullable, using the provided default value\n * in case the input is absent.\n */function orElse(x,defaultValue){return x!=null?x:defaultValue;}/**\n * Filter nulls and undefined out of an array, returning a new array.\n *\n * The functionality is easy to implement without a util method (just call\n * `filter`); however Flow doesn't infer the type of the output array based on\n * the callback that was passed to filter. This method basically wraps filter\n * in a type-aware way.\n */function filterList(xs){// A type-safe way to implement this would be:\n/*:: (xs.flatMap((x) => x == null ? [] : [x]): T[]); */ // For performance, we instead take an unsafe route.\nreturn xs.filter(x=>x!=null);}\n\n//# sourceURL=webpack:///./src/util/null.js?");

/***/ }),

/***/ "./src/util/sortBy.js":
/*!****************************!*\
  !*** ./src/util/sortBy.js ***!
  \****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"default\", function() { return sortBy; });\nconst identity=x=>x;/**\n * Sorting utility. Accepts an array and optionally any number of \"pluck\"\n * functions to get the value to sort by. Will create a shallow copy, and sort in ascending order.\n * - `arr`: The input array to sort\n * - `pluckArgs`: (0...n) Functions to get the value to sort by. Defaults to identity.\n */function sortBy(arr){for(var _len=arguments.length,pluckArgs=new Array(_len>1?_len-1:0),_key=1;_key<_len;_key++){pluckArgs[_key-1]=arguments[_key];}const plucks=pluckArgs.length===0?[identity]:pluckArgs;function sortByCompare(a,b){for(const pluck of plucks){const valA=pluck(a);const valB=pluck(b);if(valA>valB)return 1;if(valA<valB)return-1;}return 0;}return[...arr].sort(sortByCompare);}\n\n//# sourceURL=webpack:///./src/util/sortBy.js?");

/***/ }),

/***/ "./src/util/taskReporter.js":
/*!**********************************!*\
  !*** ./src/util/taskReporter.js ***!
  \**********************************/
/*! exports provided: LoggingTaskReporter, TestTaskReporter, formatTimeElapsed, startMessage, finishMessage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"LoggingTaskReporter\", function() { return LoggingTaskReporter; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"TestTaskReporter\", function() { return TestTaskReporter; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"formatTimeElapsed\", function() { return formatTimeElapsed; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"startMessage\", function() { return startMessage; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"finishMessage\", function() { return finishMessage; });\nfunction _defineProperty(obj,key,value){if(key in obj){Object.defineProperty(obj,key,{value:value,enumerable:true,configurable:true,writable:true});}else{obj[key]=value;}return obj;}const chalk=__webpack_require__(/*! chalk */ \"chalk\");/**\n * This class is a lightweight utility for reporting task progress to the\n * command line.\n *\n * - When a task is started, it's printed to the CLI with a \" GO \" label.\n * - When it's finished, it's printed with a \"DONE\" label, along with the time\n * elapsed.\n * - Tasks are tracked and represented by string id.\n * - The same task id may be re-used after the first task with that id is\n * finished.\n */class LoggingTaskReporter{// Maps the task to the time\nconstructor(consoleLog,getTime){_defineProperty(this,\"activeTasks\",void 0);_defineProperty(this,\"_consoleLog\",void 0);_defineProperty(this,\"_getTime\",void 0);this._consoleLog=consoleLog||console.log;this._getTime=getTime||function(){return+new Date();};this.activeTasks=new Map();}start(taskId){if(this.activeTasks.has(taskId)){throw new Error(\"task \".concat(taskId,\" already registered\"));}this.activeTasks.set(taskId,this._getTime());this._consoleLog(startMessage(taskId));return this;}finish(taskId){const startTime=this.activeTasks.get(taskId);if(startTime==null){throw new Error(\"task \".concat(taskId,\" not registered\"));}const elapsedTime=this._getTime()-startTime;this._consoleLog(finishMessage(taskId,elapsedTime));this.activeTasks.delete(taskId);return this;}}/**\n * TestTaskReporter is a mock TaskReporter for testing purposes.\n *\n * Rather than emitting any messages or taking timing information, it allows retrieving\n * the sequence of task updates that were sent to the reporter.\n *\n * This makes it easy for test code to verify that the TaskReporter was sent the right\n * sequence of tasks.\n *\n * Callers can also check what tasks are still active (e.g. to verify that there are no\n * active tasks unfinished at the end of a method.)\n */class TestTaskReporter{constructor(){_defineProperty(this,\"_activeTasks\",void 0);_defineProperty(this,\"_entries\",void 0);this._activeTasks=new Set();this._entries=[];}start(taskId){if(this._activeTasks.has(taskId)){throw new Error(\"task \".concat(taskId,\" already active\"));}this._activeTasks.add(taskId);this._entries.push({taskId,type:\"START\"});return this;}finish(taskId){if(!this._activeTasks.has(taskId)){throw new Error(\"task \".concat(taskId,\" not active\"));}this._activeTasks.delete(taskId);this._entries.push({taskId,type:\"FINISH\"});return this;}entries(){return this._entries.slice();}activeTasks(){return Array.from(this._activeTasks);}}function formatTimeElapsed(elapsed){if(elapsed<0){throw new Error(\"nonegative time expected\");}if(elapsed<1000){return\"\".concat(elapsed,\"ms\");}const seconds=Math.round(elapsed/1000);const minutes=Math.floor(seconds/60);if(minutes===0)return\"\".concat(seconds,\"s\");const hours=Math.floor(minutes/60);if(hours===0)return\"\".concat(minutes,\"m \").concat(seconds%60,\"s\");const days=Math.floor(hours/24);if(days===0)return\"\".concat(hours,\"h \").concat(minutes%60,\"m\");return\"\".concat(days,\"d \").concat(hours%24,\"h\");}function startMessage(taskId){const label=chalk.bgBlue.bold.white(\"  GO  \");const message=\"\".concat(label,\" \").concat(taskId);return message;}function finishMessage(taskId,elapsedTimeMs){const elapsed=formatTimeElapsed(elapsedTimeMs);const label=chalk.bgGreen.bold.white(\" DONE \");const message=\"\".concat(label,\" \").concat(taskId,\": \").concat(elapsed);return message;}\n\n//# sourceURL=webpack:///./src/util/taskReporter.js?");

/***/ }),

/***/ "better-sqlite3":
/*!*********************************!*\
  !*** external "better-sqlite3" ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"better-sqlite3\");\n\n//# sourceURL=webpack:///external_%22better-sqlite3%22?");

/***/ }),

/***/ "bottleneck":
/*!*****************************!*\
  !*** external "bottleneck" ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"bottleneck\");\n\n//# sourceURL=webpack:///external_%22bottleneck%22?");

/***/ }),

/***/ "chalk":
/*!************************!*\
  !*** external "chalk" ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"chalk\");\n\n//# sourceURL=webpack:///external_%22chalk%22?");

/***/ }),

/***/ "commonmark":
/*!*****************************!*\
  !*** external "commonmark" ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"commonmark\");\n\n//# sourceURL=webpack:///external_%22commonmark%22?");

/***/ }),

/***/ "commonmark/lib/common":
/*!****************************************!*\
  !*** external "commonmark/lib/common" ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"commonmark/lib/common\");\n\n//# sourceURL=webpack:///external_%22commonmark/lib/common%22?");

/***/ }),

/***/ "d3-array":
/*!***************************!*\
  !*** external "d3-array" ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"d3-array\");\n\n//# sourceURL=webpack:///external_%22d3-array%22?");

/***/ }),

/***/ "d3-time":
/*!**************************!*\
  !*** external "d3-time" ***!
  \**************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"d3-time\");\n\n//# sourceURL=webpack:///external_%22d3-time%22?");

/***/ }),

/***/ "deep-freeze":
/*!******************************!*\
  !*** external "deep-freeze" ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"deep-freeze\");\n\n//# sourceURL=webpack:///external_%22deep-freeze%22?");

/***/ }),

/***/ "entities":
/*!***************************!*\
  !*** external "entities" ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"entities\");\n\n//# sourceURL=webpack:///external_%22entities%22?");

/***/ }),

/***/ "fs-extra":
/*!***************************!*\
  !*** external "fs-extra" ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"fs-extra\");\n\n//# sourceURL=webpack:///external_%22fs-extra%22?");

/***/ }),

/***/ "htmlparser2":
/*!******************************!*\
  !*** external "htmlparser2" ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"htmlparser2\");\n\n//# sourceURL=webpack:///external_%22htmlparser2%22?");

/***/ }),

/***/ "isomorphic-fetch":
/*!***********************************!*\
  !*** external "isomorphic-fetch" ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"isomorphic-fetch\");\n\n//# sourceURL=webpack:///external_%22isomorphic-fetch%22?");

/***/ }),

/***/ "json-stable-stringify":
/*!****************************************!*\
  !*** external "json-stable-stringify" ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"json-stable-stringify\");\n\n//# sourceURL=webpack:///external_%22json-stable-stringify%22?");

/***/ }),

/***/ "lodash.isequal":
/*!*********************************!*\
  !*** external "lodash.isequal" ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"lodash.isequal\");\n\n//# sourceURL=webpack:///external_%22lodash.isequal%22?");

/***/ }),

/***/ "lodash.sortby":
/*!********************************!*\
  !*** external "lodash.sortby" ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"lodash.sortby\");\n\n//# sourceURL=webpack:///external_%22lodash.sortby%22?");

/***/ }),

/***/ "path":
/*!***********************!*\
  !*** external "path" ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"path\");\n\n//# sourceURL=webpack:///external_%22path%22?");

/***/ }),

/***/ "retry":
/*!************************!*\
  !*** external "retry" ***!
  \************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"retry\");\n\n//# sourceURL=webpack:///external_%22retry%22?");

/***/ }),

/***/ "util":
/*!***********************!*\
  !*** external "util" ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("module.exports = require(\"util\");\n\n//# sourceURL=webpack:///external_%22util%22?");

/***/ })

/******/ });
});